#########
######### DATA CREDIT TO WEBOPEDIA
######### https://www.webopedia.com/quick_ref/fileextensionsfull.asp
######### REARRANGED FOR PYTHON BY ANIME NO SEKAI
#########
######### data file for the fileinfo module

def file_extension_to_human_readable_data():
    file_extension_to_human_readable = {'.!bt': 'BitTorrent Incomplete Download file', '.!qb': 'qBittorrent Partial Download file', '.!ut': 'uTorrent Incomplete Download file', '.#24': 'Printer data file for 24 pin matrix printer (LocoScript)', '.#ib': 'Printer data file (LocoScript)', '.#sc': 'Printer data file (LocoScript)', '.#st': 'Standard mode printer definitions (LocoScript)', '.$#!': 'Cryptext', '.$$$': 'Temporary file', '.$00': 'Pipe file (DOS)', '.$01': 'Pipe file (DOS)', '.$db': 'Temporary file (dBASE IV)', '.$ed': 'Editor temporary file (MS C)', '.$er': 'GroupWise Database', '.$o1': 'Pipe file (DOS)', '.$vm': 'Virtual manager temporary file (Windows 3.x)', '.^^^': 'Pervasive.SQL Database file', '.__a': 'File Splitter & Joiner Encrypted file', '.__b': 'File Splitter & Joiner Encrypted Archive file', '._dd': 'Norton Disk Doctor Recovered file', '._eml': 'Windows Live Mail Email file', '._nws': 'Windows Live Mail Newsgroup Copy file', '._p': 'Malicious Software Removal Tool Temporary file', '.~$~': 'Temporary file (1st Reader)', '.~ap': 'Old AppExpert project database (Borland C++ 4.5)', '.~de': 'Project backup (Borland C++ 4.5)', '.~hm': 'HostMonitor TestList Backup file', '.~mn': 'Menu backup (Norton Commander)', '.{pb': 'Corel WordPerfect Document Index file', '.\\201$\\201': 'Temporary file (1st Reader)', '.000': 'Image Data Recovery file', '': 'Folder', '.001': 'Norton Ghost Span file', '.075': '75x75 dpi display font (Ventura Publisher)', '.085': '85x85 dpi display font (Ventura Publisher)', '.091': '91x91 dpi display font (Ventura Publisher)', '.096': '96x96 dpi display font (Ventura Publisher)', '.0b': 'Printer font with lineDraw extended character set (PageMaker)', '.0xe': 'F-Secure Renamed Virus file', '.1': 'Inno Setup Binary file', '.10': 'IBM Voice Type Script file', '.113': 'Iomega Backup file', '.123': 'Lotus 1-2-3 Spreadsheet file', '.15u': 'Printer font with PI font set (PageMaker)', '.1pe': 'TurboTax Form file', '.1ph': 'TurboTax file', '.1st': 'Usually README.1ST text', '.2': 'Setup Factory 6.0 setup launcher', '.264': 'Ripped Video Data file', '.2d': '2d Drawings (VersaCad)', '.2da': '2 Dimensional Data Array file', '.2dl': '2d Libraries (VersaCad)', '.3d': '3d Drawings (VersaCad)', '.3dl': '3d Libraries (VersaCad)', '.3dv': '3D VRML World', '.301': 'Fax (Super FAX 2000 - Fax-Mail 96)', '.386': 'Intel 80386 processor driver (Windows 3.x)', '.3da': '3D Assembly file', '.3dd': 'ArcGlobe Document file', '.3dr': '3DMark Benchmark file', '.3ds': 'Graphics (3D Studio)', '.3dt': 'Database for 3D mind map / concept map (3D Topicscape)', '.3fx': 'Effect (CorelChart)', '.3g2': '3GPP2 file format', '.3gp': '3GPP Multimedia file', '.3gr': 'Data file (Windows Video Grabber)', '.3ko': 'NGRAIN Mobilizer', '.3me': 'TurboTax Form file', '.3mm': '3D Movie Maker Movie Project', '.3pe': 'TurboTax 2008 Form file', '.3t4': 'Binary file converter to ASCII (Util3)', '.411': 'Sony Mavica Data file', '.4c$': 'Datafile (4Cast/2)', '.4dv': '4D View Ultrasound file', '.4mp': '4-MP3 Database file', '.4sw': '4dos Swap File', '.4th': 'Forth source code file (ForthCMP - LMI Forth)', '.5cr': 'Preconfigured drivers for System 5cr and System 5cr Plus', '.669': 'Music (8 channels) (The 669 Composer)', '.6cm': 'Music (6 Channel Module) (Triton FastTracker)', '.777': '7-Zip compressed file archive', '.7z': '7-Zip archiving format', '.8': 'A86 assembler source code file', '.8b?': 'Adobe Photoshop Plugin file', '.8ba': 'Adobe Photoshop Plugin file', '.8bf': 'Adobe Photoshop Plugin file', '.8bi': 'Adobe Photoshop Plugin file', '.8cm': 'Music (8 Channel Module) (Triton FastTracker)', '.8li': 'Photoshop Scripting Plug-in', '.8m': 'Printer font with Math 8 extended character set (PageMaker)', '.8pbs': 'Adobe Photoshop Macintosh file', '.8u': 'Printer font with Roman 8 extended character set (PageMaker)', '.a': 'Ada source code file', '.a0?': 'ALZip Split Archive file', '.a11': 'Graphics AIIM image file', '.a2b': 'A2B Player Playlist', '.a3d': 'Amapi 3D Modeling file', '.a3m': 'Unpackaged Authorware MacIntosh file', '.a3w': 'Unpackaged Authorware Windows file', '.a4a': 'Authorware 4.x Library', '.a4m': 'Unpackaged Authorware MacIntosh file', '.a4p': 'Authorware file packaged without runtime', '.a4w': 'Unpackaged Authorware Windows file', '.a5w': 'Unpackaged Authorware Windows file', '.aa': 'Audible Audio file', '.aab': 'Macromedia Authorware Binary', '.aac': 'Advanced Audio Coding MPEG-2, MPEG-4', '.aam': 'Authorware shocked file', '.aax': 'Audible Audiobook file', '.ab2': "Parson's Address Book", '.ab6': 'Datafile (ABStat)', '.ab8': 'Datafile (ABStat)', '.aba': 'Palm Address Book file', '.abc': 'ActionScript Byte Code File', '.abd': 'AmBiz Bonus Calculator data file', '.abf': 'Adobe Binary Font', '.abi': 'ABI CODER Encryption software', '.abk': 'Automatic backup file (CorelDRAW)', '.abm': 'ImagePals Photo Album Document', '.abr': 'Adobe Photoshop brush file', '.abs': 'Abstracts (info file)', '.abw': 'AbiWord document', '.abx': 'WordPerfect Address Book file', '.aby': 'AOL file (located in AOL program directory)', '.ac3': 'AC3 Audio File Format', '.aca': 'Microsoft Agent Character file', '.acb': 'Graphics (ACMB)', '.acc': 'Program (DR-DOS - ViewMax) (GEM / resident)', '.acd': 'Sonic Foundry Acid music file', '.ace': 'Ace Archiver / WinAce compressed file', '.acf': 'Microsoft Agent Character file', '.aci': 'ACI Development Appraisal', '.acl': 'Microsoft Office Auto Correction file', '.acm': 'Audio Compression Manager Driver', '.acorn': 'ACORN Graphics format', '.acs': 'MS Agent Character file', '.acs2': 'AIMP2 Media Player Skin file', '.acsm': 'Adobe Content Server Message file', '.act': 'Actor source code file', '.acv': 'OS/2 Audio Drivers', '.ad': 'Screen saver data (AfterDark)', '.ada': 'Ada source code file', '.adb': 'Ada Package Body', '.adc': 'Bitmap graphics (16 colors) (Scanstudio)', '.ade': 'Microsoft Access Project', '.adf': 'Adapter Description file', '.adi': 'Graphics (AutoCAD)', '.adl': 'Mca adapter description library (QEMM)', '.adm': 'After Dark Screen Saver Module', '.adn': 'Add-in (Lotus 1-2-3)', '.ado': 'Photoshop Duotone Options', '.adp': 'FaxWorks Modem setup file', '.adr': 'Address Book', '.ads': 'Ada Package Specification', '.adt': 'Datafile for cardfile application (HP NewWave)', '.adx': 'Document (Archetype Designer)', '.adz': 'GZ-Packed Amiga Disk file', '.aeh': 'iPer Advanced Embedded Hypertext', '.aep': 'Adobe After Effects Project file', '.aex': 'PGP Armored Extracted Public Encryption Key', '.af2': 'Flowchart (ABC FlowCharter 2.0)', '.aff': 'AnyForm Form file', '.afi': 'Truevision bitmap graphics', '.afl': 'Font file (for Allways) (Lotus 1-2-3)', '.afm': 'Type 1 font metric ASCII data for font installer (ATM - many)', '.afs': 'Adobe Type Manager font set', '.aft': 'AnyForm template file', '.ag': 'Applixware graphics file', '.agp': 'Aspen Graphics Pages', '.agw': 'Aspen Graphics Windows', '.ai': 'Vector graphics (Adobe Illustrator)', '.aiff': 'Audio interchange file format', '.ain': 'Compressed file archive created by AIN', '.aio': 'APL file transfer format file', '.air': 'Adobe AIR Installation Package file', '.ais': 'Array of Intensity Samples graphics (Xerox)', '.aix': 'Datafile for cardfile application (HP NewWave)', '.ajp': 'JPEG2000 Digital closed-circuit television (CCTV) security camera video format', '.alb': 'JASC Image Commander Album', '.albm': 'webAlbum Photo Album', '.all': 'Format file for working pages (Always)', '.als': 'Alias Image', '.alt': 'Menu file (WordPerfect Library)', '.alx': 'ActiveX Layout file', '.alz': 'ALZip Compressed file', '.amf': 'Music (Advanced Module Format)', '.amff': 'Amiga Metafile', '.amg': 'Compressed file archive created by AMGC', '.amp': 'Photoshop Arbitrary Map Settings', '.amr': 'Adaptive Multi-Rate ACELP Codec', '.amv': 'AMV Video file', '.amx': 'After Effects Motion Exchange file', '.anc': 'Animation file format (MorphInk)', '.ani': 'Animation (Presidio - many)', '.anm': 'Animation (Deluxe Paint Animator)', '.ann': 'Help Annotations (Windows 3.x)', '.ans': 'Ansi graphics (character animation)', '.aos': 'Add-On Software (Nokia 9000)', '.ap': 'Compressed Amiga file archive created by WHAP', '.apc': 'Printer driver (Lotus 1-2-3)', '.apd': 'Printer driver (Lotus 1-2-3)', '.ape': 'Music format (different players)', '.apf': 'Printer driver (Lotus 1-2-3)', '.api': 'Adobe Acrobat Plugin file', '.apk': 'Android Package file', '.apl': 'APL work space format file', '.apm': 'ArcPad 6 file', '.app': 'Add-in application file (Symphony)', '.apr': 'Employee performance review (Employee Appraiser)', '.aps': 'MS Visual C++ file', '.apx': 'Appexpert database file (Borland C++ 4.5)', '.arc': 'Compressed file archive created by ARC (arc602.exe/pk361.exe)', '.arf': 'Automatic Response file', '.arg': 'AutoCAD Profile Export file', '.ari': 'Compressed file archive created by ARI', '.arj': 'Compressed file archive created by ARJ (arj241.exe)', '.arl': 'AOL Organizer File', '.ark': 'Arc file archive created by CP/M port of ARC file archiver', '.arr': 'Arrangement (Atari Cubase)', '.ars': 'Adobe After Effects Render', '.art': 'Graphics (scrapbook) (Art Import)', '.arv': 'Arsiv File', '.arx': 'Compressed file archive created by ARX', '.asa': 'MS Visual InterDev file', '.asc': 'Ascii text file', '.ascx': 'Microsoft ASP.NET user control file', '.asd': 'Autosave file (Word for Windows)', '.asf': 'Datafile (STATGRAPHICS)', '.ash': 'Assembly language header file (TASM 3.0)', '.asi': 'Assembler include file (Turbo C - Borland C++)', '.asl': 'Adobe Photoshop Layer file', '.asm': 'Assembly source code file', '.asmx': 'Microsoft .NET Web Service file', '.aso': 'Assembler object (object orientated) file (Turbo Assembler)', '.asp': 'Microsoft Active Server Page', '.aspx': 'Microsoft ASP.NET file', '.asr': 'Ms Automap Route', '.asx': 'Microsoft Advanced Streaming Format', '.at2': 'Auto template (Aldus Persuasion 2.0)', '.atm': 'Adobe Type Manager data/info', '.atn': 'Adobe Photoshop Action file', '.atr': 'Lightscape Material Library', '.att': 'AT&T Group 4 Bitmap', '.aty': '3D Topicscape (Exported association type)', '.au': 'Sound (audio) file (SUN Microsystems)', '.au3': 'Autoit3 script file', '.aud': 'Audio file', '.aut': 'AutoIt Script', '.aux': 'Auxillary references (TeX/LaTeX)', '.ava': 'Publication (Avagio)', '.avb': 'Inoculan Anti-Virus virus infected file', '.avd': 'Avery Label Pro Data file', '.avi': 'Audio Video Interleaved animation file (Video for Windows)', '.avr': 'Audio Visual Research file', '.avs': 'Animation file', '.avx': 'ArcView file', '.aw': 'Text file (HP AdvanceWrite)', '.awb': 'Lavasoft Ad-aware backup file', '.awd': 'AWD MS Fax', '.awe': 'Adobe Acrobat Bookmark XML file', '.awk': 'Awk script/program', '.awm': 'Movie (Animation Works)', '.awp': 'Microsoft Fax key viewer', '.awr': 'Telsis Digital Audio file', '.aws': 'Data (STATGRAPHICS)', '.ax': 'DirectShow Filter', '.axd': 'Avery Label Pro Re-Index file', '.axe': 'Paradigm C++ Integrated Debugger file', '.axg': 'MS Autoroute Trip file', '.axl': 'ArcIMS XML Project file', '.axs': 'AMX Axcess control system file format', '.axt': 'ZenWorks snAPPshot ASCII Application Object template', '.axx': 'axxess files used as backups of Inter-Tel databases', '.azw': 'Amazon Kindle eBook File', '.azz': 'AZZ Cardfile', '.b': 'Batch list (APPLAUSE)', '.b&w': 'Black and white graphics (atari - mac)', '.b~k': 'backup file', '.b00': 'CD Image Segment file', '.b16': 'PCO Graphic file', '.b1n': 'Both mono and color binary screen image (1st Reader)', '.b1s': 'Booksmith', '.b30': 'Printer font (JLaser - Cordata) (Ventura Publisher)', '.b3d': '3D Builder file', '.b5i': 'Blindwrite 5 Disk Image file', '.b5t': 'Blindwrite 5 Image Information file', '.b6i': 'Blindwrite 6 Disk Image file', '.b6t': 'Blindwrite 6 Image Information file', '.b8': 'Raw graphics (one byte per pixel) plane two (PicLab)', '.b_w': 'Black and white graphics (atari - mac)', '.bad': 'Bad file (Oracle)', '.bag': 'PMMail Mail Index file', '.backup': 'Ad-Aware Reference file', '.bak': 'Backup file', '.bal': 'Music score (Ballade)', '.ban': 'Sierra Print Artist Banner', '.bar': 'Horizontal bar menu object file (dBASE Application Generator)', '.bas': 'Basic source code file', '.bat': 'Batch file (DOS)', '.bb': 'Database backup (Papyrus)', '.bba': 'Settler IV Archive file', '.bbl': 'Bibliographic reference (TeX/BibTeX)', '.bbm': 'Brush (Deluxe Paint)', '.bbs': 'Bulletin Board System announce or text info file', '.bc!': 'Bitcomet Incompleted Download file', '.bcf': 'ConfigSafe Snapshot index', '.bch': 'Batch process object file (dBASE Application Generator)', '.bck': 'Backup', '.bcm': 'MS Works Communications file', '.bcn': 'Business Card Pro Design', '.bco': 'Outline font description (Bitstream)', '.bcp': 'Borland C++ makefile', '.bct': 'Business Card Designer template', '.bcw': 'Environment settings (Borland C++ 4.5)', '.bde': 'Borland Database Engine', '.bdf': 'Bitmap Distribution Format font file (X11)', '.bdm': 'AVCHD Index file', '.bdmv': 'Blu-ray information file', '.bdr': 'Border (MS Publisher)', '.bez': 'Outline font description (Bitstream)', '.bf2': 'Bradford 2 font', '.bff': 'Binary file format', '.bfm': 'Font metrics (unix/Frame)', '.bfs': 'Tivoli Storage Manager file', '.bfx': 'Fax (BitFax)', '.bga': 'Bitmap graphics', '.bgt': 'Quicken 2002 Internet Common File', '.bgi': 'Borland Graphics Interface device driver', '.bgl': 'Flight Simulator scenery file', '.bib': 'Bibliography (ASCII)', '.bic': 'Civilization III Scenario', '.bid': 'BidMaker 2002 file', '.bif': 'Binary Image Format b&w graphics (Image Capture board)', '.bik': 'BioCharter Profile backup file', '.bin': 'Binary file', '.bio': 'OS/2 BIOS', '.bip': 'Free-motion capture files for character studio biped', '.bit': 'Bitmap Image', '.bk': 'Faxbook (JetFax)', '.bk!': 'Document backup (WordPerfect for Win)', '.bk1': 'Timed backup file for document window 1 (WordPerfect for Win)', '.bk2': 'Timed backup file for document window 2 (WordPerfect for Win)', '.bk3': 'Timed backup file for document window 3 (WordPerfect for Win)', '.bk4': 'Timed backup file for document window 4 (WordPerfect for Win)', '.bk5': 'Timed backup file for document window 5 (WordPerfect for Win)', '.bk6': 'Timed backup file for document window 6 (WordPerfect for Win)', '.bk7': 'Timed backup file for document window 7 (WordPerfect for Win)', '.bk8': 'Timed backup file for document window 8 (WordPerfect for Win)', '.bk9': 'Timed backup file for document window 9 (WordPerfect for Win)', '.bkf': 'Microsoft Backup file', '.bkg': 'Background file', '.bkp': 'Backup file (Write - TurboVidion DialogDesigner)', '.bkw': 'Mirror image of font set (FontEdit)', '.blb': 'DreamWorks Resource Archive', '.bld': 'Bloadable picture (BASIC)', '.blend': 'Blender 3D file', '.blf': 'Windows Registry Recovery file', '.blg': 'Binary Performance Log File', '.blk': 'Temporary file (WordPerfect for Win)', '.blob': 'Steam Archive file', '.blt': 'Saved AIM Buddy List file', '.bm': 'Bitmap graphics', '.bmf': 'Corel Image file', '.bmi': '3ds max Executable', '.bmk': 'Help Bookmarks (Windows 3.x)', '.bmp': 'Bitmap graphics (PC Paintbrush - many)', '.bmx': 'Buzz music file', '.bnd': 'Typequick file', '.bndl': 'Bundle file', '.bnk': 'Adlib instrument bank file', '.bob': 'BobDown Downloading Program', '.bom': 'MicroSim PCBoard Bill of Materials', '.boo': 'Compressed file ASCII archive created by BOO (msbooasm.arc)', '.book': 'Adobe FrameMaker Book', '.bot': 'Linkbot file', '.box': 'Myriad Jukebox file', '.bpc': 'Chart (Business Plan Toolkit)', '.bpl': 'Delphi Library', '.bpt': 'Bitmap fills file (CorelDRAW)', '.bqy': 'BrioQuery file', '.br': 'Script (Bridge)', '.brd': 'Eagle Layout file', '.brf': 'Braille ASCII file', '.brk': 'Fax (Brooktrout Fax-Mail)', '.brn': 'BornoSoft Bangla2000 (a Bengali word processor) File extension', '.bro': 'Tree Professional Broadleaf Creator file', '.brp': 'Tree Professional Broadleaf Creator image', '.brt': 'Micrografx Picture Publisher file', '.brx': 'Multimedia browsing index', '.bsa': 'Compressed file archive created by BSARC', '.bsb': 'MapInfo Sea Chart', '.bsc': 'Compressed Apple II file archive created by BINSCII', '.bsdl': 'Boundary Scan Description Language', '.bsl': 'BSPlayer Configuration file', '.bsp': 'Half-life/TFC/CS Map', '.bst': 'BibTeX Style file', '.bsv': 'Bluespec System Verilog file', '.bt!': 'BitTorrent Partial Download file', '.btm': 'Batch To Memory batch file (4DOS)', '.btn': 'Buttonware file', '.bto': 'Baytex Organix! 2001 Language Kit', '.btr': 'Btrieve Database file', '.btx': 'DB/TextWorks Database Term & Indexes', '.bud': 'Quicken Backup', '.bug': 'Bugs and Problems', '.bun': 'Bundled Audio files', '.bup': 'DVD Backup file', '.but': 'Button definitions (Buttons!)', '.buy': 'Datafile format (movie)', '.bv1': 'Overflow file below insert point in Doc 1 (WordPerfect for Win)', '.bv2': 'Overflow file below insert point in Doc 2 (WordPerfect for Win)', '.bv3': 'Overflow file below insert point in Doc 3 (WordPerfect for Win)', '.bv4': 'Overflow file below insert point in Doc 4 (WordPerfect for Win)', '.bv5': 'Overflow file below insert point in Doc 5 (WordPerfect for Win)', '.bv6': 'Overflow file below insert point in Doc 6 (WordPerfect for Win)', '.bv7': 'Overflow file below insert point in Doc 7 (WordPerfect for Win)', '.bv8': 'Overflow file below insert point in Doc 8 (WordPerfect for Win)', '.bv9': 'Overflow file below insert point in Doc 9 (WordPerfect for Win)', '.bwa': 'BlindWrite Disk Image Information file', '.bwb': 'Spreadsheet application (Visual Baler)', '.bwi': 'Blindread/Blindwrite', '.bwr': 'Beware (buglist) (Kermit)', '.bws': 'Blindwrite Sub Channel Data File', '.bwt': 'Blindread/Blindwrite', '.bxx': 'blaxxun Contact', '.bz2': 'Bzip 2 UNIX Compressed file', '.c': 'C source code file', '.c++': 'C++ source code file', '.c--': 'Source code (Sphinx C--)', '.c00': 'Print file (Ventura Publisher)', '.c01': 'Genesis 2000', '.c2d': 'WinOnCD CD Image', '.c4d': 'MAXON Cinema 4D File (Graphics)', '.c60': 'Midtronics Battery Management Software', '.c86': 'C source code file (Computer Innovation C86)', '.ca': 'Initial cache data for root domain servers (Telnet)', '.cab': 'Cabinet File (Microsoft installation archive)', '.cache': 'Cache file (typically Web cache)', '.cad': 'Document (Drafix Windows CAD)', '.cac': 'dBASE IV executable when caching on/off (see cachedb.bat)', '.cag': 'MS Clip Gallery Catalog file', '.cal': 'Calendar file (Windows 3.x)', '.calb': 'Coolect Album file (Coolect Album Player)', '.cam': 'Casio Camera Graphic', '.can': 'Fax (Navigator Fax)', '.cap': 'Caption (Ventura Publisher)', '.car': 'AtHome Assistant file', '.cas': 'Comma-delimited ASCII File', '.cat': 'Catalog (dBASE IV)', '.cb': 'Clean Boot File (Microsoft)', '.cbc': 'Fuzzy logic system (CubiCalc)', '.cbf': 'Calendar Builder file', '.cbl': 'Cobol source code file', '.cbm': 'Compiled bitmap graphics (XLib)', '.cbp': 'CentralBuilder Project', '.cbr': 'ComicBook Reader File archive (CDisplay image viewer)', '.cbt': 'Computer Based Training (many)', '.cbz': 'ComicBook Reader File archive (CDisplay image viewer)', '.cc': 'C++ source code file', '.cca': 'CC:Mail archive file', '.ccb': 'Visual Basic Animated Button Configuration', '.ccc': 'Bitmap graphics (native format) (Curtain Call)', '.ccd': 'CloneCD Related file', '.cce': 'Calendar Creator 2 Event file', '.ccf': 'Communications configuration file (Symphony)', '.cch': 'Chart (CorelChart)', '.ccl': 'Communication Command Language file (Intalk)', '.cco': 'Btx Graphics file (XBTX)', '.cct': 'Macromedia Director Shockwave file', '.ccx': 'Corel PrintHouse file', '.cda': 'CD Audio Track', '.cdb': 'Card database (CardScan)', '.cdd': 'ConceptDraw Document file', '.cde': 'Honeywell Hybrid Control Designer', '.cdf': 'Component Definition file', '.cdg': 'Compact Disc Plus Graphics file', '.cdi': 'Phillips Compact Disk Interactive format', '.cdk': 'Document (Atari Calamus)', '.cdl': 'CaseWare Working Papers Document Link', '.cdm': 'Media Maker Disk Image file', '.cdp': 'Visual Objects Developer file', '.cdr': 'Vector graphics (CorelDRAW native format)', '.cdt': 'Data (CorelDraw 4.0)', '.cdx': 'CorelDraw Compressed Image file', '.ce': 'Main.ce (The FarSide Computer Calendar)', '.ceb': 'Apabi eBook file', '.ceg': 'Bitmap graphics (Tempra Show - Edsun Continuous Edge Graphics)', '.cel': 'Graphics (Autodesk Animator - Lumena)', '.cf': 'Sendmail Configuration file', '.cfb': 'Comptons multimedia file', '.cfc': 'Macromedia Coldfusion component extension', '.cfg': 'Configuration', '.cfl': 'Chart (CorelFLOW)', '.cfm': 'ColdFusion Markup Language (Allaire)', '.cfn': 'Font data (Atari Calamus)', '.cfo': 'C Form Object internal format object file (TCU Turbo C Utilities)', '.cfp': 'Quicken Cash Flow Projection file', '.cfr': 'Crossfire Replay file', '.cga': 'CGA display font (Ventura Publisher)', '.cgd': 'Cricket Graph Data file', '.cge': 'CCD Astrocamera', '.cgi': 'Common Gateway Interface script', '.cgm': 'Computer Graphics Metafile vector graphics (A&L - HG - many)', '.ch': 'Header file (Clipper 5)', '.ch3': 'Chart (Harvard Graphics 3.0)', '.ch4': 'Presentation (Charisma 4.0)', '.chd': 'Font descriptor (FontChameleon)', '.chi': 'Document (ChiWriter)', '.chk': 'Recovered data (ChkDsk)', '.chl': 'Configuration History Log', '.chm': 'Compiled HTML', '.chn': 'Data (Ethnograph 3)', '.cho': 'ChordPro file', '.chp': 'Chapter file (Ventura Publisher)', '.chr': 'Character set (Turbo C - Turbo Pascal)', '.cht': 'Chart (Harvard Graphics 2.0 - SoftCraft Presenter)', '.chw': 'Compiled Help Index file', '.cid': 'AnalogX Caller ID file', '.cif': 'Caltech Intermediate Format graphics', '.ciff': 'Canon CIFF', '.cil': 'Clip Gallery Download Package', '.cit': 'Intergraph Raster File Reference', '.cix': 'Database index (TCU Turbo C Utilities)', '.ckb': 'Keyboard mapping (Borland C++ 4.5)', '.cl': 'Common LISP source code file', '.cl3': 'Easy CD Creator Layout file', '.cl4': 'Easy CD Creator Layout file', '.cl5': 'Easy CD Creator Layout file', '.class': 'Java class file', '.clb': 'ICQ Contact List', '.clg': 'Windows Catalog file', '.cli': 'Client Management System Customer file', '.clm': 'COLIMO file', '.clp': 'Clip art graphics (Quattro Pro)', '.clpi': 'Blue-ray Disc Clip Information file', '.clr': 'Color binary screen image (1st Reader)', '.cls': 'C++ class definition file', '.cm': 'Data file (CraftMan)', '.cmd': 'Batch file (OS/2)', '.cmf': 'FM-music file (Creative Music File)', '.cmg': 'CMG file', '.cmk': 'Card (Card Shop Plus)', '.cml': 'COMAL programming language', '.cmm': 'Cmm script (batch) file (CEnvi)', '.cmo': 'Virtools Composition file', '.cmp': 'Header file for PostScript printer files (CorelDRAW)', '.cmq': 'Culturemetrics file', '.cmt': 'Culturemetrics file', '.cms': 'TrialDirector media storage', '.cmv': 'Animation (CorelMove CorelDraw 4.0)', '.cmx': 'Corel PhotoPaint Image', '.cnc': 'CNC general program data', '.cnd': 'ControlDraw file', '.cnf': 'Configuration (program - printer setup)', '.cnt': 'Helpfile contents', '.cnv': 'Data conversion support file (Word for Windows)', '.cob': 'Cobol source code file', '.cod': 'Datafile (Forecast Plus - MS Multiplan - StatPac Gold)', '.col': 'Color palette (Autodesk Animator - many)', '.com': 'Command (memory image of executable program) (DOS)', '.con': 'Configuration file (Simdir)', '.conf': 'Configuration file', '.config': 'Configuration file', '.cor': 'Protein Structure file', '.cpd': 'Script (Complaints Desk)', '.cpe': 'MS Fax Cover Sheet', '.cpf': 'Fax (The Complete Fax)', '.cph': 'Corel Print House image', '.cpi': 'Code Page Information file (DOS)', '.cpl': 'Control panel file (Windows 3.x)', '.cpo': 'Corel Print House file', '.cpp': 'C++ source code file', '.cpr': 'Cubase Project file', '.cps': 'Backup of startup files by Central Point PC Tools autoexec.cps', '.cpt': 'Compressed Mac file archive created by COMPACT PRO (ext-pc.zip)', '.cpx': 'Control Panel Applet', '.cpy': 'Copy Books Data file', '.cpz': 'Music text file (COMPOZ)', '.cr2': 'Canon Raw Image file', '.crc': 'Total Commander CRC file', '.crd': 'Cardfile (Windows 3.x - YourWay)', '.crf': 'Cross-reference (MS MASM - Zortech C++)', '.crh': 'Links Games Course file', '.crp': 'Encrypted database (dBASE IV)', '.crs': 'File Conversion Resource (WordPerfect 5.1)', '.crt': 'Terminal settings information (Oracle)', '.crtr': 'Multi-Ad Creator 7 document', '.crtx': 'Microsoft Chart Template file', '.cru': 'Compressed file archive created by CRUSH', '.crw': 'Canon RAW Image file', '.crx': 'Chrome Extension file', '.crz': 'Links Games Course file', '.cs': 'Visual C# Source file', '.csa': 'Comma Deliminated Text', '.csf': 'Adobe Colour Settings file', '.csg': 'Graph (Statistica/w)', '.csh': 'Hamilton Labs C Shell Script file', '.csk': 'Claris Works', '.csm': 'Precompiled headers (Borland C++ 4.5)', '.cso': 'Compressed ISO Image file', '.csp': 'PC Emcee Screen Image file (Computer Support Corporation)', '.css': 'Cascading Sheet Style file', '.cst': 'Macromedia Director Cast file', '.csv': 'Comma Separated Values text file format (ASCII)', '.ct': 'Continous Tone file', '.ctc': 'Control file (PC Installer)', '.ctd': 'Cobra Track Dump', '.ctf': 'Character code translation file (Symphony)', '.ctg': 'Canon Catalog file', '.ctl': 'Microsoft Visual Basic Control file', '.ctn': 'CADTERNS file', '.ctt': 'Messenger contacts file', '.ctu': 'CZTU, a gamma-ray analysis program. Need the CTZU.exe file to work', '.ctx': 'Course TeXt file (Microsoft online guides)', '.cty': 'SimCity City file', '.cue': 'MS Cue Cards data', '.cuf': 'C Utilities Form definition (TCU Turbo C Utilities)', '.cul': 'Windows cursor library (IconForge, ImageForge, ImageForge PRO)', '.cur': 'Cursor image file (Windows 3.x)', '.cut': 'Bitmap graphics (Dr. Halo)', '.cv4': 'Color file (CodeView)', '.cv5': 'Canvas version 5', '.cva': 'ACD Canvas Sequence Set file', '.cvb': 'Borland BDE File', '.cvd': 'Bitdefender', '.cvp': 'Cover page (WinFax)', '.cvr': 'WinFax Cover Sheet', '.cvs': 'Graphics (Canvas)', '.cvt': 'Backup file for CONVERTed database file (dBASE IV)', '.cvw': 'Color file (CodeView)', '.cwk': 'Claris Works data', '.cwz': 'CropWalker file', '.cxf': 'Google Picasa Collage file', '.cxp': 'Core Media Player XML-based Playlist File', '.cxt': 'Macromedia Director Protected Cast file', '.cxx': 'C++ source code file (Zortech C++)', '.d': 'D programming language source code', '.d00': 'Blaster Master Pro File', '.d10': 'H&R Block Deduction Pro file', '.d2s': 'Character file (Diablo 2)', '.d3d': 'File Extension for Desktop-3D Notes', '.d64': 'Commodore 64 Emulator Disk Image', '.dat': 'Data file in special format or ASCII', '.data': 'Sid Tune audio file', '.day': 'Journal file', '.db': 'Configuration (dBASE IV - dBFast)', '.db$': 'Temperature debug info (Clarion Modula-2)', '.db2': 'Database (dBASE II)', '.db3': 'Database (dBASE III)', '.dba': 'Datafile (DataEase)', '.dbb': 'ANSYS Database Backup', '.dbd': 'Business data (Business Insight)', '.dbf': 'Database file (dBASE III/IV - FoxPro - dBFast - DataBoss)', '.dbg': 'Symbolic debugging information (MS C/C++)', '.dbk': 'Database backup (dBASE IV)', '.dbl': 'Windows XP Activation file', '.dbm': 'Datafile (DataEase)', '.dbo': 'Compiled program (dBASE IV)', '.dbs': 'Database in SQL Windows format', '.dbt': 'Data Base Text (Clipper)', '.dbw': 'Windows file (DataBoss)', '.dbx': 'Database', '.dca': 'Document Content Architecture text file (IBM DisplayWrite)', '.dcf': 'Disk image file', '.dcm': 'DCM Module Format', '.dcp': 'Data CodePage (OS/2)', '.dcr': 'Kodak Proprietary Image Format', '.dcs': 'Bitmap graphics (CYMK format) (QuarkXPress)', '.dct': 'Database dictionary (Clarion Database Developer)', '.dcx': 'FAX Image', '.dd': 'Compressed Macintosh file archive created by DISKDOUBLER', '.ddat': 'DivX Temporary file', '.ddb': 'Bitmap graphics', '.ddc': 'DivX Descriptor Description File', '.ddf': 'MS Data Definition Language file', '.ddi': 'Diskdupe Image file (ddupe322.zip)', '.ddp': 'Device Driver Profile file (OS/2)', '.de': 'MetaProducts Download Express incompletely downloaded file', '.de7': 'Dance E jay 7 File', '.deb': 'Debug script (DOS Debug)', '.dec': 'VersaPro Declaration file', '.def': 'Assembly header file (Geoworks)', '.dem': 'Demonstration', '.des': 'Description Text', '.dev': 'Device driver', '.dfd': 'Data Flow Diagram graphic (Prosa)', '.dff': 'Criterion RenderWare 3.x 3D object format', '.dfi': 'Outline font description (Digifont)', '.dfl': 'Default program settings (Signature)', '.dfm': 'Data Flow Diagram model file (Prosa)', '.dfs': 'Delight Sound file', '.dft': 'Fakt2000 file', '.dfv': 'Printing form (Word)', '.dfx': 'Drafix file', '.dgn': 'Graphics (MicroStation)', '.dgr': 'Fax Page (MS Outlook Express)', '.dgs': 'Diagnostics', '.dh': 'Dependency information for .ph (Geoworks)', '.dhp': 'Dr. Halo PIC Format graphics (Dr. Halo II - III)', '.dht': 'Datafile (Gauss)', '.dhy': 'Adobe Bridge file', '.dia': 'Diagraph graphics (Computer Support Corporation)', '.dib': 'Bitmap graphics (Device-Independent Bitmap)', '.dic': 'Lotus Notes / Domino dictonary file', '.dif': 'Database (VisiCalc)', '.dig': 'Digilink Format', '.dip': 'Graphics', '.dir': 'Adobe Director Movie File', '.dis': 'DATAIR data import specification file', '>': '', '.divx': 'DivX Encoded Movie file', '.diz': 'Description file (Description In Zip)', '.dje': 'MattBatt iAM-player', '.djv': 'DJVu Scanned file', '.djvu': 'DJVu file', '.dkb': 'Raytraced graphics (DKBTrace)', '.dl': 'Animation (Italian origin)', '.dl_': 'Compressed .dll file in an Install Archive', '.dld': 'Data (Lotus 1-2-3)', '.dlg': 'Dialog resource script file (MS Windows SDK)', '.dll': 'Dynamic Link Library (Windows 3.x - OS/2)', '.dls': 'Setup (Norton Disklock)', '.dmf': 'Delusion/XTracker digital music file', '.dmg': 'Macintosh OS X Disk Image file', '.dml': 'Medical Manager DML System Script', '.dmo': 'Demo (Derive)', '.dmp': 'Dump file (eg. screen or memory)', '.dms': 'Compressed Amiga file archive created by DISKMASHER', '.dmsk': 'DivX Web Player Temporary file', '.dna': 'Desktop DNA data storage file', '.dnasym': 'Desktop DNA compiled application script', '.dnax': 'Desktop DNA exclusion list (text)', '.dne': 'Netica Bayes net file (Norsys Software Corp.)', '.dng': 'Adobe Digital Negative fFile', '.dnl': 'DigitalWebBook Electronic Book', '.do': 'ModelSim Filter Design HDL Coder', '.doc': 'Document text file', '.docm': 'Open XML Macro-enabled Document file (Microsoft Word 2007 / Word 2010)', '.docx': 'Open XML Document text file (Microsoft Office 2007 / Office 2010)', '.dog': 'Screen file (Laughing Dog Screen Maker)', '.doh': 'Dependency information for .poh (Geoworks)', '.dol': 'Nintendo Executable file', '.dos': 'External command file (1st Reader)', '.dot': 'Line-type definition file (CorelDRAW)', '.dotx': 'Microsoft Word 2007 / Word 2010 Template file', '.dox': 'Text file (MultiMate 4.0)', '.doz': 'Description Out of Zip (VENDINFO)', '.dp': 'Calendar file (Daily Planner)', '.dpg': 'Nintendo DS MPEG Video File', '.dpk': 'Delphi Package file', '.dpp': 'Serif DrawPlus Drawing', '.dpr': 'Default project- and state-related information (Borland C++)', '.dps': 'DivX Player Skin file', '.dpt': 'Desktop DNA template', '.dpx': 'Digital moving picture exchange format', '.dra': 'Map Maker Pro GIS vector layer', '.drs': 'Display Resource (WordPerfect for Win)', '.drv': 'Device driver eg. for printer', '.drw': 'Drawing (various)', '.ds': 'Twain Data Source file', '.ds4': 'Vector graphics (Micrografx Designer 4.0)', '.dsa': 'DasyTec DASYLab file', '.dsb': 'DasyTec DASYLab file', '.dsc': 'Discard file (Oracle)', '.dsd': 'Database (DataShaper)', '.dsf': 'Micrografx Designer', '.dsk': 'Project desktop file (Borland C++ - Turbo Pascal)', '.dsm': 'Digital sound module (DSI)', '.dsn': 'ODBC Data Source file', '.dsp': 'Display parameters (Signature)', '.dsp2': 'ReaderX and DragonStar Pro Ltd file extensions', '.dsr': 'Driver Resource (WordPerfect for Win)', '.dss': 'Screensaver file (DCC)', '.dst': 'PC-RDist Distribution file', '.dsw': 'Desktop settings (Borland C++ 4.5)', '.dsy': 'PC Draft Symbol Library', '.dt_': 'Data fork of a Macintosh file (Mac-ette)', '.dta': 'Data file (Turbo Pascal - PC-File - Stata)', '.dtd': 'SGML Document Definition file', '.dtf': 'Database file (PFS - Q&A)', '.dtp': 'Document (Timeworks Publisher3)', '.dup': 'Duplicate Backup', '.dus': 'Readiris font dictionary', '.dvc': 'Data (Lotus 1-2-3)', '.dvf': 'DV Studio Camcorder Graphics file', '.dvi': 'Device Independent document (TeX)', '.dvp': 'Desqview Program Information file (DESQview)', '.dvr': 'Windows Media Center Recorded file', '.dvr-ms': 'files created by Stream Buffer Engine(SBE)', '.dw2': 'Drawing (DesignCAD for windows)', '.dwc': 'Compressed file archive created by DWC (dwc-a501.exe)', '.dwd': 'Davka Writer file', '.dwf': 'Autodesk WHIP! Drawing Web file', '.dwg': 'Drawing (Drafix)', '.dwk': 'DADiSP Worksheet File', '.dwl': 'Drawing Lock file', '.dwt': 'AutoCAD Template/Prototype file', '.dwz': 'DVD movieFactory 3', '.dx': 'Text file (DEC WPS/DX format - DEC WPS Plus)', '.dxf': 'Drawing Interchange File Format vector graphics (AutoCAD)', '.dxn': 'Fax (Fujitsu dexNET)', '.dxr': 'Adobe Director Movie File', '.dyc': 'ICUII Videochat file', '.dylib': 'Apple osx extension for lib', '.dyn': 'Data (Lotus 1-2-3)', '.dz': 'Dzip Compressed file', '.e3p': 'CIM-Team E3.series parts file', '.e3s': 'CIM-Team E3.series project file format', '.e3t': 'CIM-Team E3.series template file', '.e3v': 'CIM-Team E3.series viewer project file format', '.eap': 'Enterprise Architect Project file', '.ear': 'Java Enterprise Application Packaging Unit', '.eas': 'Elite Visual Basic API Spy', '.ebj': 'Error-checking object file (Geoworks)', '.ebo': 'MS Reader Ebook Format', '.ebp': 'Pocket PC WindowsCE Project file', '.ecf': 'Microsoft Outlook Add-on file', '.eco': 'NetManage ECCO file', '.ecw': 'Ensoniq Waveset Format', '.edb': 'MS Exchange Database', '.edl': 'Edit Decision List (management for video/film post production)', '.edr': 'Portable energy file - GROMACS 3.3', '.eds': 'Ensoniq SQ80 disk image', '.edt': 'Default settings (VAX Edt editor)', '.eeb': 'Button bar for Equation Editor (WordPerfect for Win)', '.efe': 'Ensoniq EPS file', '.eft': 'High resolution screen font (ChiWriter)', '.efx': 'Fax (Everex EFax)', '.ega': 'EGA display font (Ventura Publisher)', '.ek5': 'SonarData Echoview file', '.ek6': 'SonarData Echoview file', '.ekm': 'EXP: The Scientific Word Processor Macro', '.el': 'Elisp source code file (Emacs lisp)', '.elc': 'Compiled ELISP code (Emacs lisp)', '.elm': 'MS FrontPage Theme-Pack file', '.elt': 'Event list text file (Prosa)', '.email': 'Outlook Express Mail Message', '.emb': 'Everest Embedded Bank File', '.emd': 'ABT Extended Module', '.emf': 'Enchanced Metafile graphics', '.eml': 'Electronic Mail (Email) Message file', '.emp': 'E-Music File Format', '.ems': 'PC Tools Enhanced Menu System Config', '.emu': 'Terminal emulation data (BITCOM)', '.emx': 'Ensuredmail encrypted file/e-mail message', '.emz': 'Windows Compressed Enhanced Metafile', '.enc': 'Encoded file - UUENCODEd file (Lotus 1-2-3 - uuexe515.exe)', '.end': 'Arrow-head definition file (CorelDRAW)', '.eng': 'Dictionary engine (Sprint)', '.ens': 'EndNote Styles file', '.env': 'Enveloper macro (WOPR)', '.eot': 'MS WEFT Embedded OpenType file', '.epd': 'Publication (Express Publisher)', '.epf': 'Encryption Protection (encrypted file format)', '.epi': 'Document (Express Publisher)', '.epp': 'EditPad Pro Project', '.eps': 'Encapsulated PostScript vector graphics (Adobe Illustrator)', '.epub': 'Open Electronic Book file', '.eqn': 'Equation (WordPerfect for Win)', '.erd': 'Entity Relationship Diagram graphic file (Prosa)', '.erm': 'Entity Relationship Diagram model file (Prosa)', '.err': 'Error log', '.esp': 'Ventura file', '.esh': 'Extended Shell batch file', '.esl': 'MS Visual FoxPro Distributable Support Library', '.ess': 'EXP: The Scientific Word Processor Style Sheet', '.est': 'MS Streets & Trips 2001 Trip file', '.etf': 'Enriched Text file', '.eth': 'Document (Ethnograph 3)', '.ets': 'eSignal Time and Sales file', '.etx': 'Structure Enhanced (setext) text', '.ev': 'SonarData Echoview file', '.evi': 'SonarData Echoview file', '.evl': 'SonarData Echoview file', '.evr': 'SonarData Echoview file', '.evt': 'Event log', '.evy': 'Document (WordPerfect Envoy)', '.ewd': 'Document (Express Publisher for Windows)', '.ewl': 'EclipseCrossword Word List', '.ex': 'Norton Ghost Template File', '.ex_': 'Compressed .EXE File in an Install Archive', '.ex3': 'Device driver (Harvard Graphics 3.0)', '.exc': 'Rexx source code file (VM/CMS)', '.exd': 'Control Information Cache', '.exe': 'Directly executable program (DOS)', '.exm': 'Msdos executable, system-manager compliant (HP calculator)', '.exp': 'ICQ Saved Chat file', '.ext': 'Extension file (Norton Commander)', '.ext2fs': 'filesystem driver in the Linux kernel', '.exx': 'Intermediate file by MsgPut (IBM LinkWay)', '.ezf': 'Fax (Calculus EZ-Fax)', '.ezm': 'Text file', '.ezp': 'Edify Electronic Workforce Backup Utility', '.ezz': 'eZBackup backup file', '.f': 'Fortran source code file', '.f_i': 'Print IPS file', '.f01': 'Fax (perfectfax)', '.f06': 'Dos screen text font - height 6 pixels (fntcol13.zip)', '.f07': 'Dos screen text font - height 7 pixels (fntcol13.zip)', '.f08': 'Dos screen text font - height 8 pixels (fntcol13.zip)', '.f09': 'Dos screen text font - height 9 pixels (fntcol13.zip)', '.f10': 'Dos screen text font - height 10 pixels (fntcol13.zip)', '.f11': 'Dos screen text font - height 11 pixels (fntcol13.zip)', '.f12': 'Dos screen text font - height 12 pixels (fntcol13.zip)', '.f13': 'Dos screen text font - height 13 pixels (fntcol13.zip)', '.f14': 'Dos screen text font - height 14 pixels (fntcol13.zip)', '.f16': 'Dos screen text font - height 16 pixels (fntcol13.zip)', '.f2': 'FLASH BIOS file', '.f2r': 'Linear module (music) (Farandole)', '.f3r': 'Blocked module (music) (Farandole)', '.f4v': 'MP4 Video file', '.f77': 'Fortran 77 source code file', '.f90': 'Fortran file', '.f96': 'Fax (Frecom FAX96)', '.fac': 'Face graphics', '.faq': 'Frequently Asked Questions text file', '.far': 'Farandoyle Tracker Music Module', '.fav': 'MS Outlook Bar Shortcuts', '.fax': 'Fax (raster graphics) (most Fax programs)', '.fbc': 'FamilyTree Compressed backup file', '.fbk': 'Navison Financials Backup', '.fc': 'Spell checking dictionary (Harvard Graphics 2.0)', '.fcd': 'Virtual CD-ROM', '.fcm': 'Binary file patch file (forward compression)(jlpak10.zip)', '.fcp': 'FLAMES Checkpoint Restart file (Ternion)', '.fcs': 'Flow Cytometry Standard Format', '.fcw': 'Campaign Cartographer 2 file', '.fd': 'Declaration file (MS Fortran)', '.fdb': 'Art Explosion Portfolio Catalog file', '.fde': 'FLAMES Dataset Export file (Ternion)', '.fdf': 'Adobe Acrobat Forms document', '.fdr': 'Final Draft Document file', '.fdw': 'Form (F3 Design and Mapping)', '.feb': 'Button bar for Figure Editor (WordPerfect for Win)', '.fef': 'Steuer2001 file', '.fes': 'Fabio Editing Software', '.fev': 'FLAMES Environment Variable file (Ternion)', '.ff': 'Outline font description (Agfa Compugraphics)', '.ffa': 'MS Fast Find file', '.fff': 'Fax (defFax)', '.ffl': 'MS Fast Find file', '.ffo': 'MS Fast Find file', '.fft': 'Dca/FFT Final Form Text text file (DisplayWrite)', '.ffx': 'Microsoft Fast Find file', '.fgd': 'Folder Guard Data', '.fh3': 'Vector graphics (Aldus FreeHand 3.x)', '.fh4': 'Vector graphics (Aldus FreeHand 4.x)', '.fh5': 'Freehand 5', '.fh6': 'Freehand 6', '.fh7': 'Freehand 7', '.fh8': 'Macromedia Freehand 8', '.fh9': 'Macromedia Freehand 9', '.fh10': 'Macromedia Freehand 10', '.fi': 'Interface file (MS Fortran)', '.fif': 'Fractal Image Format file', '.fig': 'REND386/AVRIL Graphic', '.fil': 'File template (Application Generator)', '.fin': 'Print-formatted text file (Perfect Writer - Scribble - MINCE)', '.fio': 'PhotoStyler graphics (filter)', '.fit': 'Fits graphics', '.fix': 'Patch file', '.fky': 'Macro file (FoxPro)', '.fla': 'Adobe Flash file', '.flac': 'Free Lossless Audio Codec', '.flb': 'Format library (Papyrus)', '.flc': 'Animation (Autodesk Animator)', '.fld': 'Folder (Charisma)', '.fle': 'Flea program: outbound file and attachment required by the given mailer environment', '.flf': 'Corel Paradox Form', '.fli': 'Tex font library (EmTeX)', '.flk': 'File Locker Encrypted file', '.flm': 'Film Roll (AutoCAD/AutoShade)', '.flo': 'Micrografx FlowCharter', '.flp': 'Adobe Flash Project file', '.flt': 'Asymetrix Graphics Filter Support file', '.flv': 'Adobe Flash Video file', '.flx': 'Compiled binary (DataFlex)', '.fm': 'Spreatsheet (FileMaker Pro)', '.fm1': 'Spreadsheet (Lotus 1-2-3 release 2.x)', '.fm3': 'Device driver (Harvard Graphics 3.0)', '.fmb': 'File Manager Button bar (WordPerfect for Win)', '.fmf': 'Font or icon file (IBM LinkWay)', '.fmg': 'FreeMarkets Graphics Browser', '.fmk': 'Makefile (Fortran PowerStation)', '.fmo': 'Compiled format file (dBASE IV)', '.fmp': 'FileMaker Pro Document', '.fmpp': 'FLAMES Model Prototype file for components written in C++ (Ternion)', '.fmt': 'Format file (dBASE IV - FoxPro - Clipper 5 - dBFast)', '.fmv': 'Frame Vector Metafile', '.fmz': 'Form Z Program files (drawing program)', '.fn3': 'Font file (Harvard Graphics 3.0)', '.fnt': 'Font file (many)', '.fnx': 'Inactive font (Exact)', '.fo1': 'Font file (Borland Turbo C)', '.fo2': 'Font file (Borland Turbo C)', '.fol': 'Folder of saved messages (1st Reader)', '.fon': 'Dialing directory file (Telix)', '.for': 'Fortran source code file', '.fot': 'Installed Truetype font (Windows Font Installer)', '.fp': 'Configuration file (FoxPro)', '.fp3': 'FileMaker Pro 3.0 and earlier files', '.fp4': 'FileMaker Pro 4.0', '.fp5': 'FileMaker Pro 5.0 and later files', '.fpb': 'FLAMES Playback Recorder file (Ternion)', '.fpc': 'Catalog (FoxPro)', '.fpk': 'JetForm FormFlow file', '.fpr': 'FLAMES Prototype file (Ternion)', '.fpt': 'Memo (FoxPro)', '.fpw': 'Floorplan drawing (FloorPLAN plus for Windows)', '.fpx': 'FlashPix Bitmap', '.fqy': 'FLAMES FLARE Command file (Ternion)', '.fr3': 'Renamed dBASE III+ form file (dBASE IV)', '.frc': 'FLAMES Recorder Output file; FLARE Input file (Ternion)', '.frd': 'Files which contain loudspeaker frequency response data', '.fre': 'Creative Digital Blaster Digital VCR file', '.frf': 'Font (FontMonger)', '.frg': 'Uncompiled report file (dBASE IV)', '.frl': 'FormFlow file', '.frm': 'MySQL Database Format file', '.fro': 'Compiled report file (dBASE IV)', '.frp': 'Form (PerForm PRO Plus - FormFlow)', '.frs': 'Screen Font Resource (WordPerfect for Win)', '.frt': 'Report memo (FoxPro)', '.frx': 'Report (FoxPro)', '.fs': 'F# Source Code file', '.fsc': 'FLAMES Scenario file (Ternion)', '.fsh': 'EA Sports Game Graphic Editor file', '.fsl': 'Form (Paradox for Windows)', '.fsm': 'Farandoyle Sample format music', '.fst': 'Linkable program (dBFast)', '.fsproj': 'Store Firestarter projects used to generate class mapping definitions for Habanero Firestarter', '.fsx': 'Data (Lotus 1-2-3)', '.fsy': "Fileware's Filesync", '.ftm': 'Font file (Micrografx)', '.fts': 'Windows Help Full-Text Search Index file', '.ftw': 'Family file', '.ftp': 'Configuration (FTP Software PC/TCP)', '.fus': 'Files that store user settings for various FLAMES applications (Ternion)', '.fvt': 'Interlock Public Computer Utility', '.fw': 'Database (FrameWork)', '.fw2': 'Database (Framework II)', '.fw3': 'Database (Framework III)', '.fwp': 'FLAMES Window Viewer project file (Ternion).', '.fx': 'DirectX Effects file', '.fxd': 'Phonebook (FAXit)', '.fxm': 'WinFax/WinFax MiniViewer Fax', '.fxo': 'Fax Image Document', '.fxp': 'Compiled format (FoxPro)', '.fxr': 'WinFax Received Document', '.fxs': 'Fax Transmit Format graphics (WinFax)', '.g': 'Data chart (APPLAUSE)', '.g3': 'Group 3 Fax document; Group 3 Fax', '.g3f': 'Zetafax TIFF file (fine resolution)', '.g3n': 'Zetafax TIFF file (normal resolution)', '.g8': 'Raw graphics (one byte per pixel) plane three (PicLab)', '.gab': 'Global Address Book file', '.gal': 'Corel Multimedia Manager Album', '.gam': 'Saved Game file', '.gat': 'Gator file', '.gb': 'Pagefox Bitmap Image file', '.gba': 'Game Boy Advanced ROM', '.gbc': 'Game Boy COlor ROM', '.gbd': 'Gator Banner file', '.gbl': 'Global definitions (VAXTPU editor)', '.gbr': 'GIMP Brush file', '.gbx': 'Gerber file', '.gc1': 'Lisp source code (Golden Common Lisp 1.1)', '.gc3': 'Lisp source code (Golden Common Lisp 3.1)', '.gcd': 'Graphics', '.gcf': 'Steam GCF File', '.gdb': 'Interbase Database', '.gdf': 'Dictionary file (GEOS)', '.gdr': 'Bitmap Font file (SymbianOS)', '.ged': "Editor's native file format (Arts & Letters)", '.gem': 'Vector graphics (GEM - Ventura Publisher)', '.gen': 'Compiled template (dBASE Application Generator)', '.geo': 'Geode (Geoworks)', '.gfb': 'Compressed GIF image created by GIFBLAST (gifblast.exe)', '.gft': 'Font (NeoPaint)', '.gfx': 'Genigraphics Graphics Link Presentation', '.gg': 'Google Desktop Gadget file', '.gho': 'Symantec Ghost Disk image file', '.ghs': 'Lasertank High Scores', '.gib': 'Chart (Graph-in-the-Box)', '.gid': 'Windows Help index file', '.gif': 'Graphics Interchange Format bitmap graphics (CompuShow)', '.gig': 'Sound file', '.giw': 'Presentation (Graph-in-the-Box for Windows)', '.gl': 'Animation (GRASP GRAphical System for Presentation)', '.glm': 'Datafile (Glim)', '.gls': 'Datafile (Across)', '.gly': 'Glossary (MS Word)', '.gmd': 'Game Maker file format', '.gmf': 'CGM graphics (APPLAUSE)', '.gml': 'Geography Markup Language file', '.gmp': 'Geomorph tile map (SPX)', '.gno': 'Genopro Genealogy Document file', '.gnt': 'In MF COBOL a compiled .cbl file', '.goc': 'Goc source code file (Geoworks)', '.goh': 'Goc header file (Geoworks)', '.gp': 'Geode parameter file (Geoworks Glue)', '.gp3': 'CCITT Group 3 file', '.gp4': 'Guitar Pro version 4.06', '.gpd': 'VISUAL EPR Input Data for PARAMS.EXE', '.gph': 'Graph (Lotus 1-2-3/G)', '.gpk': 'Omnigo program package', '.gpx': 'GPS eXchange Format', '.gr2': 'Screen driver (Windows 3.x)', '.gra': 'Datafile (SigmaPlot)', '.grb': 'Ms-DOS Shell Monitor file (MS-DOS 5)', '.grd': 'Gradebook Power file', '.grf': 'Micrografix Image file', '.grl': 'Matlab Graphic Format', '.grp': 'Group file (Windows 3.x - Papyrus)', '.grx': 'File list (GetRight)', '.gry': 'Raw GREY graphics', '.gs1': 'Presentation (GraphShow)', '.gsd': 'Vector graphics (Professional Draw)', '.gsm': 'Raw GSM 6.10 Audio Stream', '.gsp': "Geometer's Sketchpad Material file", '.gsw': 'Worksheet (GraphShow)', '.gtp': 'Gnome Desktop Theme file', '.gts': 'Genome Software Tempo Alarm Clock', '.gup': 'Data (PopMail)', '.gwi': 'Groupwise File', '.gwp': 'Greetings WorkShop file', '.gxd': 'General CADD Pro file', '.gxl': 'Graphics library (Genus)', '.gxt': 'GTA2 Game file', '.gym': 'Sega Genesis Music Logged Format', '.gz': 'Compressed file archive created by GZIP (GNU zip)', '.gzip': 'Compressed file archive created by GZIP (GNU zip)', '.h': 'Header file', '.h!': 'On-line help file (Flambeaux Help! Display Engine)', '.h++': 'Header file (C++)', '.h--': 'Header file (Sphinx C--)', '.ha': 'Compressed file archive created by HA (ha098.zip)', '.ham': 'Image file', '.hap': 'Compressed file archive created by HAP (hap303re.zip)', '.hbk': 'Handbook (Mathcad)', '.hbs': 'eBerry Transparent Animation - compressed bitmap files', '.hcr': 'IBM HCD/HCM Production Configuration', '.hdf': 'Hierarchical Data File graphics (SDSC Image Tools)', '.hdl': 'Alternate download file listing (Procomm Plus)', '.hdp': 'HD Photo File', '.hdr': 'InstallShield Setup header', '.hds': 'Windows Digital Right Management file', '.hdw': 'Vector graphics (Harvard Draw)', '.hdx': 'Help index (AutoCAD - Zortech C++)', '.hed': 'HighEdit document', '.hex': 'Hex dump', '.hfi': 'Hp Font Info file (GEM)', '.hfx': 'HotFax file', '.hgl': 'Hp Graphics Language graphics', '.hh': 'C++ header file', '.hhc': 'Table of Contents file', '.hhh': 'Precompiled header file (Power C)', '.hhk': 'Help Workshop Index file', '.hhp': 'Help information for remote users (Procomm Plus)', '.hht': 'MS Messenger file', '.hin': 'Molecule (HyperChem)', '.his': 'Insight II Dynamics Trajectory History file', '.hlb': 'Help library (VAX)', '.hlp': 'Help information', '.hlz': 'Multi-Edit Packed Help file', '.hm3': 'Help & Manual 3 project Format', '.hmm': 'Alternate Mail Read option menu (Procomm Plus)', '.hnc': 'CNC program files Heidenhain (?) dialog', '.hof': 'Hall Of Fame (game scores)', '.hp8': 'Ascii text HP Roman8 character set (NewWave Write)', '.hpf': 'Hp LaserJet fonts (PageMaker)', '.hpg': 'HPGL plotter file vector graphics (AutoCad - Harvard Graphics)', '.hpi': 'Font information file (GEM)', '.hpj': 'Help project (MS Help Compiler)', '.hpk': 'Compressed file archive created by HPACK (hpack75.zip)', '.hpm': 'Emm text (HP NewWave)', '.hpp': 'C++ header file (Zortech C++)', '.hqx': 'Compressed Macintosh ASCII archive created by BINHEX (xbin23.zip)', '.hrf': 'Graphics (Hitachi Raster Format)', '.hrm': 'Alternate Main menu for limited/normal users (Procomm Plus)', '.hs2': 'Monochrome image (Postering)', '.hsi': 'Handmade Software Inc. graphics - almost JPEG (Image Alchemy)', '.hst': 'Yahoo Messenger History file', '.hta': 'Hypertext application', '.htc': 'HTML Component (mechanism for implementing Dynamic HTML in script)', '.htf': 'WebBase File', '.hti': 'WebBase File', '.htm': 'HyperText Markup Language document', '.html': 'HyperText Markup Language document', '.htr': 'Motion Analysis Software Skeletal file', '.htt': 'Hypertext template', '.htx': 'Hypertext file', '.hus': 'Husqvarna Designer I Embroidery Machine Format', '.hwd': 'Presentation (Hollywood)', '.hxm': 'Alternate Protocol Selection menu for all users (Procomm Plus)', '.hxx': 'C++ header file', '.hy1': 'Hyphenation algorithms (Ventura Publisher)', '.hy2': 'Hyphenation algorithms (Ventura Publisher)', '.hyc': 'Data (WordPerfect)', '.hyd': 'Hyphenation dictionary (WordPerfect for Win)', '.hyp': 'Compressed file archive created by HYPER (hyper25.zip)', '.hyt': 'VFSMOD Project output file', '.i': 'Intermediate file (Borland C++ 4.5)', '.iaf': 'MS Outlook 97 and 2000 e-mail account settings', '.iax': 'Bitmap graphics (IBM Image Access eXecutive)', '.ibm': 'Compressed file archive created by ARCHDOS (Internal IBM only)', '.ibd': 'Installer Dialog Resource file', '.ibp': 'Isobuster Image file', '.ibq': 'Isobuster Managed Image file', '.ica': 'Bitmap graphics (Image Object Content Architecture)', '.icb': 'Bitmap graphics', '.icc': 'Kodak Printer Image', '.icd': 'IronCAD 2D CAD file', '.icl': 'Icon library (ActivIcons, IconForge, ImageForge, ImageForge PRO)', '.icm': 'Image Color Matching Profile file', '.icn': 'Icon source code file', '.ico': 'Icon (Windows 3.x)', '.ics': 'iCalendar Calendar file', '.id': 'Disk identification file', '.id2': 'Windows Live Messenger Emoticon file', '.idb': 'Database Used by Disassembler', '.ide': 'Project (Borland C++ 4.5)', '.idf': 'ARTiSAN Real-time Studio ID file', '.idl': 'MS Visual C++ Interface Definition file', '.idw': 'Vector graphics (IntelliDraw)', '.idx': 'Index (many - FoxPro)', '.ies': 'Photometric file data', '.ifd': 'Form (JetForm Design)', '.iff': 'Interchange File Format bitmap graphics/sound (Amiga)', '.ifo': 'Saved graphic objects (ImageForge PRO)', '.ifp': 'Script (KnowledgeMan)', '.ifs': 'Fractal image compressed file (Yuvpak)', '.igr': 'Intergraph SmartSketch Drawing', '.igs': 'IGES-Format', '.igx': 'iGrafx Process', '.iif': 'QuickBooks for Windows Interchange file', '.ilb': 'Data (Scream Tracker)', '.ilk': "Outline of program's format (MS ILink incremental linker)", '.im30': 'Sun Raster image file', '.im8': 'Sun raster graphics', '.ima': 'Mirage vector graphics (EGO, Chart, Autumn)', '.imb': 'IncrediMail file', '.imc': 'IncrediMail file', '.imd': 'Caseware IDEA (GIS data file)', '.imf': 'ImageForge/IconForge saved filtered brushes(IconForge, ImageForge, ImageForge PRO)', '.img': 'Bitmap graphics (Ventura Publisher - GEM Paint)', '.imm': 'IncrediMail Trash', '.imn': 'IncrediMail Notifier', '.imp': 'Spreadsheet (Lotus Improv)', '.imq': 'Image presentation (ImageQ)', '.ims': 'Incredimail Graphic', '.imv': 'Yahoo Instant Messenger IMVironment', '.imw': 'Imageware Surfacer 3D CAD Surface Geometry', '.imz': 'Compressed floppy image', '.in$': 'Installation file (HP NewWave)', '.in3': 'Input device driver (Harvard Graphics 3.0)', '.inb': 'Test script (Vermont HighTest)', '.inc': 'Include file (several programming languages)', '.ind': 'Index (dBASE IV)', '.indd': 'Adobe InDesign file format', '.inf': 'Type 1 LaserJet font information file (soft font installers)', '.ini': 'Initialization file', '.ink': 'Pantone reference fills file (CorelDRAW)', '.inl': 'MS Visual C++ Inline Function file', '.inp': 'GIS Software Text Input file', '.ins': 'Data (WordPerfect)', '.int': 'Borland Interface Units', '.inv': 'Rogue Spear Inventory file', '.inx': 'Foxpro Index (Foxbase)', '.io': 'Compressed file archive created by CPIO', '.iob': '3d graphics database in TDDD format', '.ioc': 'Organizational chart (Instant ORGcharting!)', '.ion': '4dos descript.ion file (file descriptions)', '.ipa': 'iPod/iPhone Application file', '.ipd': 'BlackBerry Backup file', '.ipg': 'Mindjongg Format', '.ipj': 'Impatica OnCue Project file', '.ipl': 'Pantone Spot reference palette file (CorelDRAW)', '.ipp': 'Help & Manual Proprietary Image', '.ips': 'Game Patch file', '.ipsw': 'IPod/IPad/IPhone Software file', '.ipx': 'IPIX AV file', '.ipz': 'ICQ Skin Plus', '.iri': 'IR Image file', '.irs': 'Resource (WordPerfect)', '.isd': 'Spelling Checker dictionary (RapidFile)', '.ish': 'Compressed file archive created by ISH', '.isk': 'Command file', '.iso': 'Easy CD Creator Disc Image', '.isr': 'MS Streets & Trips Route file', '.iss': 'InstallShield Response file', '.ist': 'Digitrakker Instrument File (n-FaCToR)', '.isu': 'InstallShield Uninstall Script', '.isz': 'An extension on .ISO that allows compression and splitting of an archive', '.it': 'Settings (intalk)', '.itc2': 'iTunes Album Data file', '.itdb': 'iTunes Database file', '.itf': 'Interface file (JPI TopSpeed Pascal)', '.ith': 'InTether technology secured file', '.itl': 'Music Library file', '.iv': 'OpenInventor files (the successor to Inventor)', '.iva': 'security video data file', '.ivt': 'MS Infoviewer Title', '.iw': 'Presentation flowchart (IconAuthor - HSC InterActive)', '.iwa': 'Text file (IBM Writing Assistant)', '.iwd': 'Call of Duty Game Data file', '.iwp': 'Text file (Wang)', '.izt': 'Izl binary token file (IZL)', '.j01': 'File Extension from ADP Payroll Company', '.jad': 'Java Application Descriptor extension (for installing MIDlets)', '.jar': 'Java archive file', '.jas': 'Graphics', '.jav': 'Java source code file', '.java': 'Java source code file', '.jbc': 'Jam Byte-Code Hex file', '.jbd': 'Datafile (SigmaScan)', '.jbf': 'Paint Shop Pro browser file', '.jbk': 'Juno Backup file', '.jbr': 'Jasc Paint Shop Pro Brush', '.jbx': 'Project file (Project Scheduler 4)', '.jdt': 'Accelio Capture Classic Filler', '.jef': 'Janome NH10000 Sewing Machine file', '.jet': 'Fax (Hybrid JetFax)', '.jff': 'Bitmap graphics (JPEG File Interchange Format)', '.jfif': 'JPEG image', '.jfx': 'J2 Fax File', '.jhtml': 'Dynamo Server Page', '.jif': 'JPEG/JIFF Image', '.jmx': 'JMeter file', '.jnb': 'Sigma Plot Workbook file', '.jnl': 'Ingres Journal file', '.jnlp': 'Java Web Start file', '.jnt': 'Windows Journal Note file', '.job': 'Job file', '.jor': 'Journal file SQL', '.jou': 'Journal backup (VAX Edt editor)', '.jp2': 'JPEG 2000 file', '.jpc': 'Graphics (Japan PIC)', '.jpeg': 'JPEG image', '.jpf': 'JPEG 2000 file', '.jpg': 'Bitmap graphics (Joint Photography Experts Group)', '.jps': 'Stereo Image', '.jpx': 'JBuilder Project file', '.js': 'Microsoft Scripting Language "JScript" file extension', '.jsd': 'eFAX Jet Suite Document', '.jse': 'JScript Encoded Script file', '.jsf': 'Fireworks Batch Script file', '.jsh': 'Henter-Joyce, Inc. Jaws Script Header file', '.json': 'JavaScript Object Notation file', '.jsp': 'Java Server page', '.jtf': 'Fax (Hayes JT Fax)', '.jtp': 'Jetform file', '.jup': "(New Planet Software) Code Crusader user's project preferences file", '.jw': 'Text document (JustWrite)', '.jwl': 'Library (JustWrite)', '.jwp': 'Easy CD Creator Label file', '.jxr': 'JPEG XR file', '.jzz': 'Spreadsheet (Jazz)', '.kar': 'Midi file with karaoke word track', '.kau': 'Sassafras KeyAudit Audit file', '.kb': 'Keyboard script (Borland C++ 4.5)', '.kbd': 'Keyboard mapping (LocoScript - Signature - Procomm Plus)', '.kbm': 'Keyboard mapping (Reflection 4.0)', '.kcl': 'Lisp source code (Kyoto Common Lisp)', '.kcp': 'Keychamp file', '.kdc': 'Kaspersky Virus Database file', '.keo': 'Older, outdated Print Shop extension', '.ket': 'Older, outdated Print Shop extension', '.kex': 'Macro (KEDIT)', '.kext': 'Mac OS X Kernel Extension', '.key': 'Datafile (Forecast Pro)', '.kgb': 'KGB Archive file', '.kit': 'Raven Toolkit file', '.kix': 'KixTart Script', '.kma': 'Kodak Memory Book file', '.kml': 'Keyhole Markup Language file', '.kmp': 'Korg Trinity KeyMaP file', '.kmx': 'Kaufman Mmail Warrior Mail Folder', '.kmz': 'Google Earth Map Location file', '.kos': 'MicroType Pro Document', '.kp2': 'Kruptos Encrypted file', '.kpl': 'Kazaa Playlist', '.kpp': 'Toolpad (SmartPad)', '.kps': 'Ibm KIPS bitmap graphics', '.kqb': 'Knowledge Question Base file', '.kqe': 'W32/Spybot.KQE Worm virus', '.kqp': 'Konica Quality Picture', '.krz': 'Kurzweil 2000 Sample', '.ksd': 'Native Instruments Audio Patch file', '.ktk': "Kutoka's Mia", '.kwi': 'Navigation Data file', '.kwm': 'WebMoney Private Key file', '.kyb': 'Keyboard mapping (FTP Software PC/TCP)', '.l': 'Lex source code file', '.l01': 'ARC Digitized Raster Graphics', '.lab': 'Datafile (NCSS - SOLO)', '.lang': 'Skype Language file', '.lat': 'Crossword Express Lattice file', '.latex': 'LaTeX typesetting system', '.lay': 'Word chart layout (APPLAUSE)', '.lbg': 'Label generator data (dBASE IV)', '.lbl': 'Label (dBASE IV - Clipper 5 - dBFast)', '.lbm': 'Bitmap graphics (DeluxePaint)', '.lbo': 'Compiled label (dBASE IV)', '.lbr': 'Compressed file archive created by LU (lue220.arc)', '.lbt': 'Label memo (FoxPro)', '.lbx': 'Label (FoxPro)', '.lcf': 'Linker Control File (Norton Guides compiler)', '.lck': 'Lockfile (Paradox)', '.lcl': 'Data (FTP Software PC/TCP)', '.lcn': 'Lection (WordPerfect)', '.lcs': 'Datafile (ACT! History Files)', '.lcw': 'Spreadsheet (Lucid 3-D)', '.ld': 'Long Distance codes file (Telix)', '.ld1': 'Overlay file (dBASE)', '.ldb': 'Data (MS Access)', '.ldf': 'Library definition file (Geoworks Glue)', '.ldif': 'LDAP Data Interchange Format', '.leg': 'Legacy Graphic Format', '.les': 'Lesson (check *.cbt)', '.let': 'Letter', '.lev': 'Level file (NetHack 3.x)', '.lex': 'Lexicon (dictionary) (many)', '.lfa': 'LifeForm file', '.lft': 'Laser printer font (ChiWriter)', '.lg': 'Logo procedure definitions (LSRHS Logo)', '.lgc': 'Program Use Log file', '.lgo': 'Logo for header and footer (SuperFax)', '.lgx': 'Gerber file', '.lha': 'Compressed file archive created by LHA/LHARC (lha255b.exe)', '.lhw': 'Compressed Amiga file archive created by LHWARP', '.lib': 'Library file (several programming languages)', '.lic': 'License file (Shareware)', '.lid': 'Kodak Gallery Album file', '.lif': 'Logical Interchange Format data file (Hewlett-Packard)', '.lim': 'Compressed file archive created by LIMIT (limit12.zip)', '.lin': 'Line types (AutoCAD)', '.lis': 'Listing (VAX)', '.lit': 'MS Reader eBook file', '.lix': 'Extend Simulation Library file', '.lj': 'Text file for HP LJ II printer', '.lko': 'MS Outlook Express Linked Object', '.ll3': 'Laplink III related file (document) (LapLink III)', '.lmp': 'Lump File', '.lmt': 'Nokia PC Suite Log file', '.lnd': '3D Landscape Data', '.lng': 'Adobe Acrobat Language Plugin file', '.lnk': 'Windows Shortcut file', '.loc': 'MicroSim PCBoard Component Locations Report', '.lod': 'Load file', '.log': 'Log file', '.lok': 'Encrypted and compressed archive format (FileWrangler, SecurDesk!, ZipWrangler)', '.lpc': 'Printer driver (TEKO)', '.lpd': 'Helix Nuts and Bolts File', '.lpf': "Lytec's Direct Electronic Medical Claims ClaimsDirect", '.lpi': 'Live Pictures', '.lpk': 'Licensed ActiveX Control for Internet Explorer.', '.lrf': 'Linker response file (MS C/C++)', '.lrs': 'Language Resource File (WordPerfect for Win)', '.lse': 'Nokia Audio Manager', '.lsf': 'Streaming Audio/Video file', '.lsl': 'Lotus Script Library', '.lsp': 'Lisp source code file (Xlisp)', '.lss': 'Spreadsheet (Legato)', '.lst': 'Keyboard macro (1st Reader)', '.lt2': 'e frontier Poser file', '.ltm': 'Form (Lotus Forms)', '.ltr': 'Letter', '.lua': 'Lua Source Code file', '.lvl': 'Game Level file', '.lvp': 'Lucent Voice Player', '.lwa': 'LightWorks Archive Material/Scene file', '.lwd': 'Text document (LotusWorks)', '.lwo': 'NewTek Lightwave Object', '.lwp': 'IBM Word Pro / Lotus Word Pro 96/97 document file', '.lwz': 'MS Linguistically Enhanced Sound file', '.lx': 'Lexico - files with source code', '.lyr': 'DataCAD Layer file', '.lzd': 'Difference file for binaries (Ldiff 1.20)', '.lzh': 'Compressed file archive created by LHA/LHARC (lha255b.exe)', '.lzs': 'Compressed file archive created by LARC (larc333.zip)', '.lzw': 'Compressed Amiga file archive created by LHWARP', '.lzx': 'Compressed file', '.m': 'Function (program) (Matlab)', '.m11': 'Text file (MASS11)', '.m1v': 'MPEG-1 Video file', '.m2p': 'MPEG-2 Program Stream Format file', '.m2ts': 'BDAV MPEG-2 file', '.m2v': 'MPEG-2 Video Only file', '.m3': 'Modula 3 source code file', '.m3d': '3D animation macro', '.m3u': 'Music Playlist (Winamp)', '.m4': 'M4 preprocessor file (unix)', '.m4a': 'MPEG-4 Audio Layer', '.m4b': 'MPEG-4 Audio Book file', '.m4p': 'MPEG-4 Encoded Audio file', '.m4r': 'iPhone Ringtone file', '.m4v': 'Apple Video file', '.m_u': 'Backup of boot sector, FAT and boot dir (MazeGold)', '.ma3': 'Macro (Harvard Graphics 3.0)', '.mac': 'Bitmap graphics (Macintosh MacPaint)', '.mad': 'MS Access Module Shortcut', '.maff': 'Mozilla Archive Format file', '.mag': "Woody Lynn's MAG graphics format (MPS Magro Paint System)", '.mai': 'Mail (VAX)', '.mak': 'Makefile', '.man': 'Command manual', '.map': 'Color palette', '.mar': 'Mozilla Archive', '.mas': 'Smartmaster set (Freelance Graphics)', '.mat': 'Data file (Matlab)', '.max': 'Max source code file', '.mb': 'Memo field values for database (Paradox)', '.mbf': 'MS Money Backup file', '.mbk': 'Multiple index file backup (dBASE IV)', '.mbx': 'Mailbox (Eudora/Zerberus)', '.mcc': 'Configuration file (Mathcad)', '.mcd': 'Document (Mathcad)', '.mcf': 'Mathcad font', '.mci': 'Mci command script (Media Control Interface)', '.mcp': 'Application script (Capsule)', '.mcr': 'DataCAD Keyboard macro file', '.mcw': 'Text file (MacWrite II)', '.mcx': 'Graphic file', '.md': 'Compressed file archive created by MDCD (mdcd10.arc)', '.md5': 'MD5 Checksum file', '.mda': 'Data (MS Access)', '.mdb': 'Database (MS Access)', '.mde': 'Microsoft Access MDE database', '.mdf': 'Accelio Capture Classic (JetForm) Filler', '.mdi': 'Microsoft Office 2003 imaging format', '.mdk': 'Keyboard Map file', '.mdl': 'Model (3D Design Plus)', '.mdm': 'Modem definition (TELIX)', '.mdmp': 'Microsoft Windows XP Trouble Report', '.mdr': 'FaxTalk Modem Doctor Modem Report file', '.mdt': 'Data table (MS ILink incremental linker)', '.mdx': 'Multiple index file (dBASE IV)', '.mdz': 'MS Access Wizard Template', '.me': 'Usually ASCII text file READ.ME', '.meb': 'Macro Editor bottom overflow file (WordPerfect Library)', '.med': 'Macro Editor delete save (WordPerfect Library)', '.mem': 'Macro Editor macro (WordPerfect Library)', '.meq': 'Macro Editor print queue file (WordPerfect Library)', '.mer': 'Macro Editor resident area (WordPerfect Library) (vakioalue)', '.mes': 'Macro Editor work space file (WordPerfect Library)', '.met': 'Document (Omnipage Pro)', '.meu': 'Menu group (DOS Shell)', '.mex': 'Mex file (executable command) (Matlab)', '.mf': 'Metafont text file', '.mfx': 'ImageMAKER Fax Viewer folder file', '.mgf': 'Font (Micrografx)', '.mgi': 'Modular Gateway Interface', '.mgp': 'MagicPoint Presentation file', '.mhp': 'MS Home Publishing Project', '.mht': 'MS MHTML Document', '.mia': 'MusicIndiaOnline player music file', '.mib': 'Snmp MIB file', '.mic': 'Microsoft Image Composer file', '.mid': 'Standard MIDI file (music synthetizers)', '.mif': 'Maker Interchange Format (FrameMaker)', '.mii': 'Datafile (MicroStat-II)', '.mim': 'MIME file', '.mio': 'Multimedia Interactive Object', '.mip': 'Paint Shop Pro Multiple Image Print file', '.mis': 'Delta Force Land Warrior Mission', '.mix': 'Object file (Power C)', '.mk': 'Makefile', '.mkd': 'Pervasive Btrieve files', '.mke': 'Makefile (MS Windows SDK)', '.mki': 'Japanese graphics MAKIchan format (MagView 0.5)', '.mks': 'Data (TACT)', '.ml3': 'Project (Milestones 3.x)', '.mlb': 'Macro library file (Symphony)', '.mlm': 'Novel Groupwise e-mail file', '.mm': 'Text file (MultiMate Advantage II)', '.mmc': 'Media Catalog', '.mmd': 'Peristudio/PeriProducer file', '.mmf': 'Mail message file (MS Mail)', '.mml': 'Mail Meta Language', '.mmm': 'Movie (RIFF RMMP format) (MacroMind Director 3.x)', '.mmo': 'Memo writer file (RapidFile)', '.mmp': 'Output video format from Bravado board', '.mmx': 'Command & Conquer Red Alert 2 Map file', '.mmz': 'MusicMatch Theme file', '.mnd': 'Menu source (AutoCAD Menu Compiler)', '.mng': "Map (DeLorme Map'n'Go)", '.mnt': 'Menu memo (FoxPro)', '.mnu': 'Advanced macro (HP NewWave)', '.mnx': 'Compiled menu (AutoCAD)', '.mny': 'Account book (MS Money)', '.mob': 'Device definition (PEN Windows)', '.mod': 'Modula-2 source code file (Clarion Modula-2)', '.mol': 'MDL Molfile', '.mon': 'Monitor description (ReadMail)', '.mov': 'QuickTime Video Clip', '.mp2': 'Mpeg audio file (xing)', '.mp3': 'mp3PRO Audio file', '.mp4': 'MPEG-4 Video File', '.mpa': 'MPEG Audio Stream, Layer I, II or III', '.mpc': 'Calender file (MS Project)', '.mpd': 'MS Project database file', '.mpe': 'MPEG Movie Clip', '.mpeg': 'MPEG Movie Clip', '.mpf': 'MS Design Gallery', '.mpg': 'MPEG-1 animation', '.mpl': 'Playlist Data file', '.mpls': 'Blu-ray Information file', '.mpm': 'Mathplan macro (WordPerfect Library)', '.mpp': 'Project file (MS Project)', '.mpq': 'Blizzard Game Data file', '.mpr': 'Generated program (FoxPro)', '.mps': 'Multimedia File', '.mpt': 'Bitmap graphics (Multipage TIFF)', '.mpv': 'View file (MS Project)', '.mpw': 'MosASCII Project Workspace file', '.mpx': 'Compiled menu program (FoxPro)', '.mrb': 'Multiple Resolution Bitmap graphics (MS C/C++)', '.mrc': 'MIRC Script file', '.mrk': 'Informative Graphics markup file', '.mrs': 'Macro Resource file (WordPerfect for Win)', '.msc': 'MS C makefile', '.msd': 'MS Diagnostic Utility Report', '.msf': 'Multiple Sequence file', '.msg': 'Message', '.msi': 'Windows Installer file', '.msm': 'MultiSIM Circuit Diagram', '.msn': 'MSN Content Plus file', '.mso': 'Math Script Object file', '.msp': 'Bitmap graphics (Microsoft Paint)', '.mspx': 'XML based Web Page', '.mss': 'Manuscript text file (Perfect Writer - Scribble - MINCE - Jove)', '.mst': 'ChemFinder Chemical Structure Index', '.msu': 'Windows Update file', '.msv': 'Sony Memory Stick Format', '.msw': 'Text file (MS Word)', '.mswmm': 'Windows Movie Maker Project', '.msx': 'Compressed CP/M file archive created by MSX', '.mtd': 'Digital Sheet Music', '.mth': 'Math file (Derive)', '.mtm': 'Multitracker Module music', '.mts': 'AVCHD Video file', '.mtv': 'MTV Music Generator', '.mtw': 'Datafile (Minitab)', '.mtx': 'Temporary File often used by a browser or TWAIN device', '.mu': 'Menu (Quattro Pro)', '.mu3': 'Myriad Music file (packed sounds & digital tracks)', '.muf': 'ProtoMuck Multi User Forth Program', '.mul': 'Ultima Online Game', '.mus': 'MusicTime Sound file', '.mvb': 'Database', '.mvc': 'Music Collector Collection Manager file', '.mvd': 'MicroDVD (DVD movie file)', '.mvf': 'Stop frame file (AutoCAD AutoFlix)', '.mvi': 'Movie command file (AutoCAD AutoFlix)', '.mvw': 'Log file (Saber LAN)', '.mwf': 'Animation (ProMotion)', '.mwp': 'Lotus Wordpro 97 Smartmaster file', '.mws': 'Maple Worksheet File', '.mwv': 'MovieWorks file', '.mxd': 'GIS Project file', '.mxe': 'Macro Express', '.mxf': 'Material eXchange Format for the interchange of audio-visual', '.mxl': 'Moxcel Spreadsheet File', '.mxm': 'MS Project/Outlook Team Assign Task', '.mxp': 'Macromedia Extension Manager', '.mxt': 'Data (MS C)', '.myp': 'Presentation (MM Make Your Point)', '.myr': 'Myriad Music file', '.mys': 'Myst Saved Game', '.myt': 'Myriad Tutorial file', '.mzp': 'Maxscript Compressed File', '.na2': 'Netscape Mail file', '.nam': 'MS Office Name file', '.nap': 'Naplps file (VideoShow) (EnerGraphics)', '.nav': 'MSN Application Extension', '.nb': 'Text file (Nota Bene)', '.nbf': 'Backup Now Backup file', '.nbu': 'Nokia PC Suite Backup file', '.nc': 'Graphics (netcdf)', '.ncb': 'MS Developer Studio file', '.ncc': 'Cnc (Computer Numeric Control) control file (CamView 3D)', '.ncd': 'Nero CoverDesigner Document file', '.ncf': 'Lotus Notes Internal Clipboard', '.nch': 'Outlook Express folder file', '.nd5': 'NDS Renamed file', '.ndb': 'Network database (Intellicom - Compex)', '.nde': 'Video format - various manufactures of surveillance camera systems', '.ndf': 'NeoPlanet Browser File', '.ndk': 'Lotus Notes(containing the files related to workspace)', '.ndx': 'Index file (dBASE II - III - IV - dBFast)', '.neb': 'Nortec H.E.L.P.', '.ned': 'MSN Application Extension', '.nef': "Nikon's RAW format for digital cameras (Nikon Electronic Format)", '.neo': 'Raster graphics (Atari Neochrome)', '.nes': 'Nintendo Entertainment System ROM Image', '.net': 'Network configuration/info file', '.new': 'New info', '.nfo': 'Info file', '.ng': 'Online documentation database (Norton Guide)', '.ngf': 'Enterasys Networks NetSight generated format file', '.ngg': 'Nokia Group Graphics', '.nh': 'NetHack file', '.nib': 'Adobe AIR file', '.nif': 'NetImmerse File Format', '.njb': 'Photo Index file', '.nlm': 'Netware Loadable Module', '.nls': 'Code Page National Language Support', '.nlx': 'Form (FormWorx 3.0)', '.nmd': 'SwordSearcher file', '.nmi': 'SwordSearcher file', '.nmo': 'Virtools Behavioral Objects', '.nms': "Numega Softice's Loader file", '.nnb': 'newnovelist Story Outline', '.nob': 'VersaPro Word Exchange file', '.nol': 'Nokia Operator Logo', '.not': 'Acrobat Spelling file', '.now': 'Text file', '.np': 'Project schedule (Nokia Planner) (Visual Planner 3.x)', '.npa': 'ReliaSoft Weibull++ 6', '.npf': 'Backup Now Image file', '.npi': 'Source for DGEN.EXE intepreter (dBASE Application Generator)', '.nra': 'Nero Audio-CD Compilation', '.nrb': 'Nero CD-ROM Boot Compilation', '.nrg': 'Norton Registration Entries', '.nri': 'Nero ISO CD-ROM compilation', '.nrl': 'iManage file', '.nrw': 'Nero WMA Compilation file', '.nsc': 'Noder file (Polish)', '.nsf': 'Lotus Notes / Domino database', '.nsi': 'Nullsoft Install System Script', '.nst': 'Music (NoiseTracker)', '.nt': 'Startup files (Windows NT)', '.ntf': 'Lotus Notes / Domino template file', '.nth': 'Nokia Theme file', '.ntp': 'Neato CD Labels', '.ntr': 'Executable ASCII text file (strip header and rename) (netrun31.zip)', '.nts': 'Tutorial (Norton)', '.ntx': 'Index (Clipper 5)', '.ntz': 'InVircible Directory Integrity Information', '.nu4': 'Norton Utilities Root File (DLL) Symantec Corporation', '.nuf': 'Message for new users on their 1st call (Procomm Plus)', '.numbers': 'iWork Numbers Spreadsheet file', '.nup': 'Program Component Update files', '.nvc': 'Nero Vision Project file', '.nvm': 'AOLpress Help file', '.nwc': 'Noteworthy Composer song file', '.nws': 'Info text file (latest news) (ASCII)', '.nwr': 'New World Report Aegis/MSP Law Enforcement Records (New World Systems)', '.nwt': 'New World Text Aegis/MSP Law Enforcement Records (New World Systems)', '.nxt': 'Sound (NeXT format)', '.nzb': 'NewsBin Index file', '.o': 'Object file (unix - Atari - GCC)', '.o$$': 'Outfile (Sprint)', '.oaz': 'Fax (NetFax Manager)', '.ob': 'Object cut/paste file (IBM LinkWay)', '.obd': 'MS Office Binder', '.obj': 'Object code (Intel Recolatable Object Module)', '.obr': 'Object browser data file (Borland C++)', '.obs': 'Script (ObjectScript)', '.obv': 'Visual interface (ObjectScript)', '.oca': 'Control Typelib Cache', '.ocf': 'Object Craft File (Object Craft)', '.ocm': 'AOL Advertising Control files', '.ocp': 'Advanced Art Studio', '.ocr': 'Incoming fax transcribed to text (FAXGrapper)', '.oct': 'Radiance Octree Format', '.ocx': 'OLE ActiveX custom control', '.odf': 'Open Document Interchange', '.odg': 'OpenDocument Graphic file', '.odl': 'Type library source (Visual C++)', '.odp': 'OpenOffice Presentation file', '.ods': 'OpenOffice Spreadsheet file', '.odt': 'OpenOffice OpenDocument text document', '.oeb': 'Outlook Express Backup Wizard', '.oem': 'TextSetup OEM file', '.ofc': 'Open Financial Connectivity file', '.ofd': 'Form definition (ObjectView)', '.off': 'Object File Format vector graphics', '.ofm': 'Adobe font', '.oft': 'MS Outlook Item Template', '.ofx': 'Olicom Fax', '.ogg': 'Ogg Vorbis Codec Compressed WAV file', '.ogm': 'Ogg Vorbis Compressed Video file', '.ogv': 'Video Container file', '.okt': 'Music (Oktalizer)', '.olb': 'Object library (VAX)', '.old': 'Backup file', '.ole': 'Object Linking and Embedding Object', '.oli': 'Text file (Olivetti)', '.oma': 'OpenMG Music file', '.omf': 'Open Media file', '.omg': 'OpenMG Jukebox', '.oms': 'Briggs Softworks Order Maven', '.ond': 'Lotus Notes-related file', '.one': 'OneNote Document File', '.ont': 'Bible file', '.oom': 'Swap file (Shroom)', '.opd': 'Omnipage file', '.opf': 'Flip Album file', '.opl': 'Psion Organiser Programming Language Source file', '.opn': 'Active options (Exact)', '.ops': 'Microsoft Office profile settings file', '.opt': 'Optimize support file (QEMM)', '.opw': 'Organization chart (Org Plus for Windows)', '.opx': 'Inactive options (Exact)', '.or2': 'Lotus Organizer 2 file', '.or3': 'Lotus Organizer 97 file', '.or4': 'Lotus Organizer file', '.or5': 'Lotus Organizer file', '.ora': 'Parameter file (Oracle)', '.org': 'Calendar file (Lotus Organizer)', '.osd': 'Open Software Description file', '.oss': 'MS Office Saved Search', '.ost': 'Microsoft Outlook Offline file', '.otf': 'Open Type Format', '.otl': 'Outline font description (Z-Soft Type Foundry)', '.otx': 'Text file (Olivetti Olitext Plus)', '.out': 'Output file', '.ov1': 'Overlay file (part of program to be loaded when needed)', '.ov2': 'Overlay file (part of program to be loaded when needed)', '.ovd': 'Datafile (ObjectVision)', '.ovl': 'Overlay file (part of program to be loaded when needed)', '.ovr': 'Overlay file (part of program to be loaded when needed)', '.ovw': 'Cool Edit Pro Overviewfile', '.ows': 'Web Studio 2 Project file', '.oxt': 'Open Office Extension file', '.p': 'Pascal source code file', '.p16': 'Music (16 channels) (ProTracker Studio 16)', '.p22': 'Patch file (Patch22)', '.p65': 'Adobe Pagemaker v6.5', '.p7m': 'PKCS #7 MIME Message', '.pa': 'Print Artist', '.pa1': 'Worktable (PageAhead)', '.pab': 'Microsoft Outlook personal address book', '.pac': 'Stad Image (graphics ?)', '.pack': 'Pack 2000 Compressed file', '.pad': 'Keypad definition (Telemate)', '.paf': 'PARIS audio format', '.pages': 'Pages document', '.pak': 'Compressed file archive created by PAK (pak251.exe)', '.pal': 'Adobe Pagemaker Library Palette', '.pan': 'Printer-specific file (copy to coreldrw.ink) (CorelDRAW)', '.par': 'Parts application (Digitalk PARTS)', '.pas': 'Pascal source code file', '.pat': 'Hatch patterns (AutoCAD - Photostyler)', '.pax': 'Pax Archive file', '.pb': 'Fax (FAXability Plus)', '.pb1': 'Document (First Publisher for Windows)', '.pba': 'Powerbasic BASIC source code (Genus)', '.pbd': 'Phone book (FaxNOW! - Faxit)', '.pbf': 'Turtle Beach Pinnacle Bank file', '.pbi': 'Powerbasic include file (Genus)', '.pbk': 'Microsoft XP Remote Access Phonebook file', '.pbl': 'Powerbasic library (Genus)', '.pbm': 'Pbm Portable Bit Map graphics', '.pbo': 'Profiler Binary Output (MS Source Profiler)', '.pbr': 'Microsoft Publisher backup file', '.pbt': 'Profiler Binary Table (MS Source Profiler)', '.pc': 'Text file containing IBM PC specific info', '.pc3': 'Custom palette (Harvard Graphics 3.0)', '.pc8': 'Ascii text IBM8 character set (NewWave Write)', '.pca': 'Cash Register Express program', '.pcb': 'Broderbund Print Shop Business Card', '.pcc': 'Cutout picture vector graphics (PC Paintbrush)', '.pcd': 'Graphics (Kodak PhotoCD)', '.pcf': 'Profile Configuration file', '.pch': 'Patch file', '.pcj': "Multimedia authoring tool graphics (IBM's Linkaway-Live)", '.pck': 'Received Package file', '.pcl': 'HP-PCL graphics data (HP Printer Control Language)', '.pcm': 'Plasmacam CAD/CAM system file', '.pcs': 'PICS Animation', '.pct': 'Bitmap Graphic', '.pcw': 'Text file (PC Write)', '.pcx': 'Bitmap graphics (PC Paintbrush)', '.pd': 'SynerGEE Stoner software files (compressible pipe flow program)', '.pda': 'Bitmap graphics', '.pdb': 'Data (TACT)', '.pdc': 'Personal Database Creator file', '.pdd': 'Adobe PhotoDeluxe Image', '.pde': 'Principalm Data Extract files', '.pdf': 'Adobe Portable Document Format', '.pdg': 'Printshop Deluxe files', '.pdl': 'Project Description Language file (Borland C++ 4.5)', '.pdr': 'Port or printer driver', '.pds': 'Incredimail', '.pdt': 'ProCite Primary Database', '.pdv': 'Printer driver (Paintbrush)', '.pdw': 'Document (Professional Draw)', '.pdx': 'Adobe Acrobat Index file', '.pe4': 'Photo Explorer Thumbnail', '.pea': 'PeaZip Compressed FileArchived files', '.peb': 'Program Editor bottom overflow file (WordPerfect Library)', '.ped': 'Program Editor delete save (WordPerfect Library)', '.pem': 'Program Editor macro (WordPerfect Library)', '.peq': 'Program Editor print queue file (WordPerfect Library)', '.per': 'Program Editor resident area (WordPerfect Library) (vakioalue)', '.pes': 'Program Editor work space file (WordPerfect Library)', '.pet': 'Program Editor top overflow file (WordPerfect Library)', '.pf': 'Windows Prefetch file', '.pfa': 'Type 3 font file (unhinted PostScript font)', '.pfb': 'Type 1 PostScript font file', '.pfc': 'Text file (First Choice)', '.pfg': 'jEEPers file', '.pfk': 'Programmable function keys (XTreePro)', '.pfl': 'Family Lawyer Data file', '.pfm': 'Windows Type 1 font metric file', '.pfs': 'Database (PFS:FILE) - text file (PFS:Write)', '.pft': 'Printer font (ChiWriter)', '.pg': 'Pagefox File', '.pgi': 'Printer Graphics File device driver (PGRAPH library)', '.pgm': 'Portable Grayscale bitMap graphics', '.pgp': 'Support file (Pretty Good Privacy RSA System)', '.pgs': 'Manual page (man4dos)', '.ph': 'Optimized .goh file (Geoworks)', '.phb': 'NewLeaf PhraseBook', '.phn': 'Phone list (UltraFax - QmodemPro)', '.php': 'PHP Script', '.pho': 'Phone database (Metz Phone for Windows)', '.phr': 'Phrases (LocoScript)', '.phtml': 'PHP Script', '.pic': 'Pixar picture file (SDSC Image Tool)', '.pif': 'Program Information File (Windows 3.x)', '.pim': 'PIM Archive file', '.pip': 'Personalized menu and toolbar (MS Office)', '.pit': 'Compressed Mac file archive created by PACKIT (unpackit.zoo)', '.pix': 'Alias image file (SDSC Image Tool)', '.pj64': 'Project 64 game files.mswmm Windows Movie Maker Project file', '.pj': 'Project (CA-SuperProject)', '.pjt': 'Project memo (FoxPro)', '.pjx': 'Project (FoxPro)', '.pk': 'Packed bitmap font bitmap file (TeX DVI drivers)', '.pk3': 'American McGee Alice Archive', '.pka': 'Compressed file archive created by PKARC', '.pkd': 'Top Secret Crypto Gold file', '.pkg': 'Installer script (Next)', '.pkk': 'Private Key file', '.pkt': 'Packet Tracer Network Simulation file', '.pl': 'Perl source code file', '.pl1': 'Room plan (3D Home Architect)', '.pl3': 'Chart palette (Harvard Graphics 3.0)', '.plb': 'Library (FoxPro)', '.plc': 'Add-in file (functions - macros - applications) (Lotus 1-2-3)', '.pll': 'Pre-linked library (Clipper 5)', '.pln': 'Spreadsheet (WordPerfect for Win)', '.plr': 'Descent Pilot file', '.pls': 'DisorderTracker2 Sample', '.plt': 'AutoCAD HPGL Vector Graphic Plotter file', '.pmv': 'Pegasus Mail Filter Rule file', '.pmx': 'Pegasus Mail file', '.pn3': 'Printer device driver (Harvard Graphics 3.0)', '.pnf': 'Precompiled Setup Information (Temporary file seen during installs)', '.png': 'Bitmap graphics (Portable Network Graphics)', '.pnm': 'Pbm Portable aNy Map (PNM) graphics', '.pnt': 'Macintosh painting', '.pod': 'OPENPROJ Project file', '.poh': 'Optimized .goh file (Geoworks)', '.poi': 'Point of interest file', '.pop': 'Messages index (PopMail)', '.pos': 'ProCite Output Styles', '.pot': 'PowerPoint template', '.potx': 'PowerPoint Open XML Template file', '.pov': 'Raytraced scene description file (Persistence Of Vision)', '.pow': 'Chord chart (PowerChords)', '.pp': 'Free Pascal Source Code file', '.ppa': 'PowerPoint Add-in', '.ppb': 'Button bar for Print Preview (WordPerfect for Win)', '.ppd': 'PostScript Printer Description (Acrobat)', '.ppf': 'Turtle Beach Pinnacle Program file', '.ppg': 'MS PowerPoint Ppresentation', '.ppl': 'Polaroidpaletteplus ColorKey device driver (Harvard Graphics 3.0)', '.ppm': 'Portable Pixel Map graphics', '.ppo': 'Pre-processor output (Clipper 5)', '.ppp': 'Publication (PagePlus)', '.pps': 'PowerPoint Slideshow', '.ppsx': 'MS Office PowerPoint Slide Show file', '.ppt': 'General file extension (PowerPoint)', '.ppz': 'PowerPoint Packaged Presentation', '.pqa': 'Palm Query Application File (database for wireless access)', '.pqi': 'Power Quest Drive imaging', '.pr2': 'Printer driver (dBASE IV)', '.pr3': 'Postscript printer driver (dBASE IV)', '.prc': 'Corel Presentation file', '.prd': 'Printer driver (many)', '.pre': 'Presentation (Freelance Graphics)', '.prf': 'Pixel Run Format graphics (Improces - Fastgraph)', '.prg': 'Program (Atari)', '.pri': 'Printer definitions (LocoScript)', '.prj': 'Project', '.prm': 'Parameters', '.prn': 'DataCAD Windows Printer file', '.pro': 'Prolog source code file', '.prs': 'Printer Resource eg. fonts (WordPerfect for Win)', '.prt': 'CADKEY Part file', '.prx': 'Windows Media Settings file', '.prz': 'Freelance Graphics 97 file', '.ps': 'PostScript file (text/graphics) (ASCII)', '.ps2': 'PostScript Level 2 file', '.psb': 'Pinnacle Sound Bank', '.psd': 'Adobe Photoshop file', '.pse': 'Bitmap graphics (IBM printer Page SEgment)', '.psf': 'Photoshop Proof Settings file', '.psi': 'PSION A-law Audio', '.psm': 'Music (MASI - ProTracker)', '.psmdoc': 'PrintShop Mail', '.psp': 'PaintShop Pro Image', '.psr': 'Project Scheduler Resource file', '.pst': 'MS Outlook personal folder', '.psw': 'WinXP Backup Password File', '.pt3': 'Device driver (Harvard Graphics 3.0)', '.pt4': 'Template (PageMaker 4)', '.ptb': 'Script (PubTech BatchWorks)', '.ptm': 'Macro (PubTech BatchWorks)', '.ptn': 'PaperPort Thumbnail Images', '.ptp': 'Act! Modem Sync file', '.ptr': 'Qwk reader pointer file (QMail)', '.pts': 'Infinity Engine Game Tileset', '.ptx': 'Real Legal E-Transcript', '.pub': 'Page template (MS Publisher)', '.put': 'Compressed file archive created by PUT (put334.zip)', '.puz': 'Across Lite Crossword Puzzle', '.pva': 'Hauppauge DVB-Software', '.pvd': 'Script (Instalit)', '.pvm': 'Parallel Virtual Machine software library', '.pvl': 'Library (Instalit)', '.pvt': 'Local Fidonet pointlist', '.pw': 'Text file (Professional Write)', '.pwd': 'Pocket Word document', '.pwf': 'ProCite Workforms', '.pwi': 'Pocket Word document', '.pwl': 'Password List', '.pwm': 'WebMoney Purse file', '.pwp': 'Text document (Professional WritePlus)', '.pwz': 'MS Powerpoint Wizard', '.px': 'Primary database index (Paradox)', '.pxl': 'Pocket Excel Spreadsheet', '.pxv': 'Modelworks Project File used in JPad Pro and SitePad Pro', '.py': 'Python script file', '.pyc': 'Compiled PYTHON script file', '.pyd': 'Binary Python Extension on Windows', '.pyw': 'Python GUI Script on Windows', '.pz2': 'Curious Labs Poser Pose file', '.pz3': 'Curious Labs Poser Document', '.pza': 'MGI PhotoSuite II/III/4 Album file', '.pzd': 'Default settings (Pizazz Plus)', '.pzl': 'Jigs@w Puzzle', '.pzo': 'Overlay file (Pizazz Plus)', '.pzp': 'MGI PhotoSuite II/III/4 Project file', '.pzs': 'Settings (Pizazz Plus)', '.pzt': 'Transfer file (Pizazz Plus)', '.pzx': 'Swap file (Pizazz Plus)', '.q05': 'Intuit Canada Quick tax file, tax return file', '.q9q': 'BladePro Graphic Plugin file', '.qad': 'QuickArt database', '.qag': 'Quick Access Group (Norton Desktop)', '.qap': 'Application (Omnis Quartz)', '.qbb': 'QuickBooks for Windows Backup file', '.qbe': 'Saved query (Query By Example) (dBASE IV - Quattro Pro)', '.qbk': 'Intuit Canada Quick tax file, backup copy of tax return file', '.qbl': 'Business Lawyer Document', '.qbo': 'Compiled query (dBASE IV)', '.qbr': 'QuickBooks Report', '.qbw': 'Spreadsheet (QuickBooks for Windows)', '.qcn': 'Qualcomm Phonebook file', '.qcp': 'Qualcomm PureVoice File', '.qd0': 'Data file - segment 10 (Omnis Quartz)', '.qd1': 'Data file - segment 1 (Omnis Quartz)', '.qd2': 'Data file - segment 2 (Omnis Quartz)', '.qd3': 'Data file - segment 3 (Omnis Quartz)', '.qd4': 'Data file - segment 4 (Omnis Quartz)', '.qd5': 'Data file - segment 5 (Omnis Quartz)', '.qd6': 'Data file - segment 6 (Omnis Quartz)', '.qd7': 'Data file - segment 7 (Omnis Quartz)', '.qd8': 'Data file - segment 8 (Omnis Quartz)', '.qd9': 'Data file - segment 9 (Omnis Quartz)', '.qdat': 'Quicktime Installer Cache', '.qdb': 'Quicken data file', '.qdf': 'Quicken for Windows data file', '.qdt': 'Quark Xpress Dictionary file', '.qdv': 'Graphics (Steve Blackstock Giffer)', '.qe4': 'Kingpin Project file', '.qef': 'Query file (Q+E for MS Excel)', '.qel': 'Quicken Electronic Library file', '.qfl': 'Quicken Family Lawyer file', '.qfx': 'Quicken Financial Exchange file', '.qhf': 'QIP PDA History file', '.qic': 'Backup set for Microsoft Backup', '.qif': 'Quicken Interchange Format', '.qix': 'NovaStar Backup file', '.qlb': 'Quick library (MS C/C++)', '.qlc': 'Data (PostScript help file) atmfonts.qlc', '.qlf': 'Family Tree Maker Genealogy file', '.qlp': 'Printer driver (QuickLink)', '.qm4': 'Options or services file (QMail 4.x Mail Door)', '.qm': 'Virtual Box Language file', '.qml': 'Quick Markup Language file', '.qph': 'Intuit Quicken Price History file', '.qpr': 'Generated query program (FoxPro)', '.qpw': 'Quattro Pro Project file', '.qpx': 'Compiled query program (FoxPro)', '.qrp': 'QuickReport Report files', '.qrs': 'Equation Editor support file (WordPerfect for Win)', '.qrt': 'Qrt ray tracing graphics', '.qru': 'SQL Query file', '.qry': 'Query (dBASE IV)', '.qsd': 'Quicken for Windows data file', '.qsi': 'Quintessential Stereotaxic Injector Commander log files', '.qst': 'Quake Spy Tab file', '.qt': 'Quicktime movie (animation)', '.qtc': 'Incite Media Assistant file', '.qtk': 'Apple QuickTake file format for Windows', '.qtl': 'Quick Time Media Link file', '.qtp': 'QuickTime Preferences', '.qts': 'Macintosh PICT image', '.qtx': 'QuickTime image', '.que': 'CuteFTP Queue file', '.qvm': 'Quake file', '.qvs': 'Casio Digital Camera file', '.qw': 'Symantec Q&A Write file', '.qwk': 'QWK reader message file', '.qxd': 'QuarkXPress document file format', '.qxl': 'Element library (QuarkXPress)', '.qxp': 'QuarkXPress project file', '.qxt': 'Template file (QuarkXpress)', '.r': 'Ratfor (FORTRAN preprosessor) file', '.r33': 'Train Simulator Game file', '.r8': 'Raw graphics (one byte per pixel) plane one (PicLab)', '.r8p': 'Pcl 4 bitmap font file (Intellifont)', '.ra': 'Music (RealAudio)', '.ram': 'Ramfile (RealAudio)', '.rar': 'Compressed file archive created by RAR (rar1_402.exe)', '.ras': 'Sun Rasterfile graphics', '.rat': 'Datafile (RATS)', '.raw': 'Raw RGB 24-bit graphics', '.rb': 'Ruby on Rails class file', '.rbf': 'Windows Installer Rollback file', '.rbn': "Richard's Bridge Notation", '.rbs': 'Windows Installer Rollback Script file', '.rbx': 'Format for playing RapidPlayer v3.0 ActiveX Control in Explorer', '.rc': 'Resource script (Visual C/C++ - Borland C++)', '.rcf': 'Rhapsody Storage file', '.rcg': 'Netscape newsgroup file (netsc.rcg)', '.rcp': "Recomposer's MIDI Sequencer Music file", '.rcx': 'Lego Mindstorms Robotics Invention System', '.rdb': 'TrueVector Rules database', '.rdf': 'Compiled UIC source code (Geoworks UI Compiler)', '.rdi': 'Device-independent bitmap file (RIFF RDIB format)', '.rds': 'Ray Dream Studio file', '.rdx': 'Datafile (Reflex)', '.rec': 'Datafile (EpiInfo)', '.red': 'Path info (Clarion Modula-2)', '.ref': 'Cross-reference', '.reg': 'OLE Registration (Windows 3.x)', '.rels': 'Microsoft Office 2007 Relationships', '.rem': 'Encrypted Data file', '.rep': 'QWK reader reply file', '.req': 'Request', '.res': 'Compiled resource (MS C/C++ - Borland C++)', '.rev': 'Revision file (Geoworks)', '.rex': 'Report definition (Oracle)', '.rez': 'Resource file', '.rf': 'Sun raster graphics', '.rfl': 'Roll Forward Log file', '.rft': 'Dca/RFT Revisable Format Text file (IBM DisplayWrite 4.0-5.1)', '.rgb': 'Sgi RGB image file (SDSC Image Tool)', '.rgi': 'RealArcade Game Installer', '.rgp': 'RealArcade Game Package', '.rgs': 'RealArcade Game Installer', '.rgx': 'Symbol tables etc. info (ReaGeniX code generator)', '.rh': 'Resource header file (Borland C++ 4.5)', '.rhp': 'Rhapsody Notation Program File Format', '.ri': 'Data (Lotus 1-2-3)', '.rib': 'Graphics in Renderman format (3DReality)', '.ric': 'Fax (Ricoh)', '.rif': 'Riff bitmap graphics (Fractal Design Painter)', '.rip': 'Graphics (Remote Access)', '.rix': 'Bitmap graphics (ColorRIX VGA Paint)', '.rl4': 'Bitmap graphics', '.rl8': 'Bitmap graphics', '.rla': 'Wavefront raster image file (SDSC Image Tool)', '.rlb': 'Data (Harvard Graphics Win) hgw.rlb', '.rlc': 'Graphics 1bit/pixel scanner output', '.rle': 'Utah Run Length Encoded raster graphic (SDSC Image Tool)', '.rlz': 'Realizer source code file (CA-Realizer)', '.rm': 'RealMedia', '.rmf': 'Rich Map Format', '.rmi': 'Midi file (RIFF RMID format)', '.rmj': 'Real Jukebox file', '.rmk': 'Makefile (Clipper RMake)', '.rmm': 'RealPlayer file', '.rmr': 'Resume Maker file', '.rms': 'Secure Real Media file', '.rmvb': 'Real Media video file', '.rmx': 'RealJukeBox MP3 file', '.rn': 'Xpl program for Nota Bene users', '.rnd': 'Rendering Slide (AutoCAD AutoShade)', '.roi': 'Actuate ReportBlast file', '.rno': 'Runoff file (VAX)', '.rol': 'Fm music Adlib Music File (Roland)', '.rpd': 'Database (RapidFile)', '.rpl': 'Text document (Replica)', '.rpm': 'RedHat Package Manager', '.rps': 'Propellerhead Software Reason Song', '.rpt': 'Report', '.rrd': 'ERDAS Imagine file', '.rs': 'Data file (Amiga Resource - Reassembler)', '.rs_': 'Resource fork of a Macintosh file (Mac-ette)', '.rsb': 'Red Storm Image Format', '.rsc': 'Resource file', '.rsm': 'ReliaSoft MPC 3', '.rsp': 'Response file', '.rss': 'Rockwell Logix PLC file', '.rst': 'ANSYS Results', '.rsw': 'ReliaSoft BlockSim', '.rtc': 'Live Meeting Connection file', '.rtf': 'Rich Text Format text file (many - Windows Word)', '.rtl': 'Run Time Library (NU 7.0)', '.rtp': 'Turbo Tax Update file', '.rts': 'Runtime library file (CA-Realizer)', '.rtx': 'Reliacast Audience Manager Turnstile', '.ru': 'JavaSoft Library file', '.rul': 'InstallShield', '.run': 'RunScanner Saved file', '.rv': 'RealVideo Video file', '.rvb': 'Rhinoscript file', '.rvp': 'MS Scan Configuration file', '.rvw': 'Review', '.rwg': 'Random Word Generator List file', '.rws': 'Resource Workshop data file (Borland C++)', '.rwx': 'Script (RenderWare)', '.rwz': 'MS Outlook Rules Wizard file', '.rzk': 'Red Zion File Crypt (password file)', '.rzr': 'in-sync Speed Razor Project file', '.rzx': 'in-sync Speed Razor Project file', '.s': 'Assembly source code file (Unix)', '.s$$': 'Temporary sort file (Sprint)', '.s3m': 'Music (16 channels) (Scream Tracker 3.0)', '.sac': 'Shared Asset Catalog (Adobe)', '.saf': 'MusicMatch Jukebox Secure Audio file', '.sah': 'SETI@Home data file', '.sal': 'Datafile (SORITEC)', '.sam': 'Text file (Samna - Lotus Ami/Ami Pro)', '.sar': 'Compressed file archive created by SAR (sar1.zip)', '.sas': 'SAS System program', '.sas7bcat': 'SAS System file catalog', '.sas7bdat': 'SAS System data set', '.sas7bndx': 'SAS System index', '.sas7bpgm': 'SAS System Stored Program', '.sas7bvew': 'SAS Data Set View', '.sas7mdb': 'SAS System multidimensional database', '.sat': 'Standard ACIS Text file', '.sav': 'Backup file (saved file)', '.sb': 'Audio file (signed byte)', '.sbc': 'Sagebrush Corporation Spectrum CIRC/CAT Report', '.sbd': 'Storyboard (Storyboard Editor)', '.sbi': 'Sound Blaster Instrument file (Creative Labs)', '.sbj': 'Micrografx Clipart or Palette file', '.sbn': 'ArcView file (GIS)', '.sbp': 'Dml program (Superbase 4)', '.sbr': 'Support file (Source Browser)', '.sbs': 'SWAT HRU Output file', '.sbt': 'Notes related to record (Suberbase 4 Windows)', '.sbx': 'ArcView file (GIS)', '.sc': 'Pal script (Paradox)', '.sc3': 'Renamed dBASE III screen mask file (dBASE IV)', '.sca': 'Datafile (SCA)', '.scc': 'Text file', '.scd': 'Scodl Scan Conversion Object Description Language graphics', '.scf': 'Multimedia show (ScoreMaker)', '.sch': 'Project schedule (Schedule Publisher)', '.sci': 'System Configuration Information', '.scm': 'Scheme source code file', '.scn': 'Screen file (Kermit)', '.sco': 'High score', '.scp': 'Script (BITCOM)', '.scr': 'Debug source code file (DOS Debug)', '.sct': 'Screen memo (FoxPro)', '.scx': 'Bitmap graphics (ColorRIX)', '.scy': 'Security file (ReaGeniX)', '.sda': "Fidonet's Software Distribution Network file archive description", '.sdc': 'StarOffice Spreadsheet', '.sdd': 'StarOffice Presentation', '.sdf': 'System Data Format file (fixed lenght ASCII text)', '.sdi': 'Software Distribution Network Info file', '.sdn': 'Software Distribution Network compressd file archive (pak251.exe)', '.sdr': 'SmartDraw file', '.sds': 'Chart Application Document file', '.sdt': 'SmartDraw Template', '.sdu': 'Edwards Systems Technology file', '.sdw': 'StarOffice Text', '.sea': 'Self-Extracting compressed Macintosh file Archive', '.sec': 'CyberPaint animation file (sequence)', '.sed': 'Self Extraction Directive file', '.sep': 'Printer separator page', '.seq': 'Atari animation file', '.ses': 'Session info (Clarion Modula-2)', '.set': 'Configuration (1st Reader)', '.sf': 'Ircam Sound File (CSound package - MixView sound sample editor)', '.sf2': 'Creative Labs Soundfont file', '.sfb': 'HP Soft Font file', '.sfc': 'System File Checker file', '.sff': 'Fritz Fax-Print file', '.sfi': 'Graphics (SIS Framegrabber)', '.sfl': 'Pcl 4 bitmap font (landscape) (Intellifont) (Ventura Publisher)', '.sfn': 'Font (SPX)', '.sfo': 'CuteFTP Search file', '.sfp': 'Pcl 4 bitmap font (portrait) (Intellifont) (Ventura Publisher)', '.sfs': 'Pcl 5 scalable font file (Intellifont)', '.sft': 'Screen font (ChiWriter)', '.sfv': 'QuickSFV/WinSFV Checksum file', '.sfw': 'Seattle Film Works file', '.sfx': 'Self Extracting Archive file', '.sg1': 'Graphics (Stanford Graphics)', '.sgf': 'Document with graphics (Starwriter)', '.sgi': 'Graphics (IRIS - Silicon Graphics)', '.sgm': 'Standard Generalized Markup Language file', '.sgn': 'Sierra Print Artist Sign', '.sgp': 'Statistics (STATGRAPHICS Plus)', '.sgt': 'Save/get keyboard macro (Signature)', '.sh': 'Unix shell script', '.sh3': 'Presentation (Harvard Graphics 3.0)', '.sha': 'Shell Archive file', '.shb': 'Background (CorelShow)', '.shd': 'Microsoft Windows Shadow file', '.shg': 'Segmented-graphics bitmap', '.shk': 'Compressed Apple II file archive created by SHRINKIT', '.shm': 'Shell macro (WordPerfect Library)', '.shn': 'Shorten audio compression file', '.shp': 'Shape file and source file for text fonts (AutoCAD)', '.shr': 'Unix ASCII file archive created by SHAR (unshar.zip)', '.shs': 'Microsoft Word or Excel scrap file which is created when you drag and drop selected text', '.shtml': 'HTML File with Server Side', '.shw': 'Presentation (Harvard Graphics 2.0 - CorelShow)', '.shx': 'Shape entities (AutoCAD)', '.sid': 'Commodore64 Music file', '.sif': 'Setup Installation Files info (Windows NT Setup)', '.sig': 'Current program settings (Signature)', '.sik': 'Backup file (Sicherungskopie) (MS Word)', '.sim': 'Aurora', '.sis': 'SymbianOS Installer file', '.sit': 'Compressed Macintosh archive created by STUFFIT (unsit30.zip)', '.sitx': 'Stuffit SITX Compressed File', '.skb': 'SketchUp software file (3D Design Tool)', '.skf': 'Autosketch file', '.skin': 'Skin file', '.skm': 'Google Sketchup Texture file', '.skn': 'Interface skins images (FileWrangler, SecurDesk!, SecurDesk! LV, ZipWrangler)', '.skp': 'Sketchup software component (3D Design Tool)', '.sl': 'S-Lang source code file', '.slb': 'Slide library (AutoCAD)', '.slc': 'Compiled SALT script (Telix)', '.sld': 'Slide (AutoCAD)', '.slf': 'BitDefender file', '.sli': 'Slide (MAGICorp Slide Service)', '.slk': 'Sylk Symbolic Link format data file (MultiPlan)', '.sll': 'Sound data file', '.sln': 'Microsoft Visual Studio Solution file', '.slt': 'Salt Script Application Language for Telix script source (Telix)', '.sm': 'Smalltalk source code file', '.smc': 'Super Nintendo Game-console ROM Image', '.smd': 'StarOffice Mail', '.smf': 'Fax (SMARTFAX)', '.smi': 'RealPlay SMIL file', '.smil': 'Synchronized Multimedia Integration Language file', '.smk': 'Compressed File (Smacker)', '.smm': 'Macro (Ami Pro)', '.smp': 'Sample (sound file)', '.sms': 'Microsoft Package Definition file', '.smt': 'Text file (Smart Ware II)', '.smtmp': 'SMTMP Virus', '.snd': 'Digitized sound file (Macintosh/ATARI/PC)', '.sng': 'Song (midi sound) (Midisoft Studio - Prism)', '.snm': 'Netscape mail', '.sno': 'Snobol4 source code file', '.snp': 'CoffeeCup HTML Editor Snippet', '.snx': 'Mirage Microdrive Snapshot Extended Version', '.so': 'Apache Module file', '.sol': 'Flash shared object file', '.som': 'Network serial numbers (Quattro Pro)', '.son': 'Song (SBStudio II)', '.sou': 'Sound data (sound tool)', '.sp': 'Compressed file archive created by SPLINT (unix)', '.spa': 'Macromedia FutureSplash file', '.spc': 'Program (MS Multiplan)', '.spd': 'Scalable font (Speedo) (Harvard Graphics 3.0)', '.spf': 'Slide presentation file (EnerGraphics)', '.spg': 'Glossary (Sprint)', '.spi': 'InConSoft Ltd. Sim-Path system files', '.spl': 'Compressed file archive created by SPLINT (splint.arc)', '.spm': 'Data (WordPerfect) wp{wp}.spm', '.spo': 'Statistical Program (SPSS)', '.spp': 'Printer file (Sprint)', '.spr': 'Document letter (Sprint)', '.sps': 'Spssx source code file (VAX/VMS)', '.spt': 'Spitbol source code file', '.spv': 'InConSoft Ltd Sim-Path vehicle file', '.spw': 'Worksheet (SigmaPlot)', '.spx': 'Compiled screen program (FoxPro)', '.sql': 'SQL report or query', '.sqlite': 'SQLite Database file', '.sqm': 'Service Quality Monitoring file', '.sqz': 'Compressed file archive created by SQUEEZE (sqz1083e.exe)', '.src': 'Source (DataFlex)', '.srf': 'Sun Raster File graphics', '.srp': 'Script (QuickLink)', '.srt': 'BSplayer Subtitle file', '.ss': 'Bitmap graphics (Splash)', '.ssa': 'Subtitles', '.ssb': 'SmartSync Pro', '.ssd': 'Datafile (SAS/PC)', '.ssf': 'Snagit file', '.ssm': 'RealPlayer Standard Streaming Metafile', '.ssp': 'Datafile (SAS Transport)', '.st': 'Smalltalk source code file (Little Smalltalk)', '.st3': 'MIDI Karaoke file', '.sta': 'Adobe Photoshop Match Colour Image Statistics file', '.stb': 'Stub library (Genus GX Kernel)', '.std': 'State Transition Diagram graphic file (Prosa)', '.stf': 'Compressed file archive created by SHRINKTOFIT', '.stg': 'ActiveSync (Microsoft) Backup file', '.stl': 'C++ Standard Template Library', '.stm': 'State Transition Diagram model file (Prosa)', '.stn': 'ArcView Geocoding Standardization file', '.sto': 'Pascal stub OBJ file (Genus GX Kernel)', '.stp': 'Sharepoint Web Site Template File', '.str': 'Structure list object file (dBASE Application Generator)', '.sts': 'Project status info (MS C/C++)', '.stt': 'Automap Template', '.stu': 'Tarantella Enterprise 3 3270 Emulator Style file', '.stw': 'Data file (SmartTerm for Windows)', '.stx': 'Electronic book (SmarText)', '.sty': 'Style library or sheet (many text and graphics programs)', '.sub': 'CloneCd related file', '.sui': 'Suit library (Simple User Interface Toolkit)', '.sum': 'Summary', '.sun': 'Sun rasterfile graphics', '.sup': 'Supplementary dictionary (WordPerfect for Win)', '.sv4': 'RollerCoaster Tycoon Saved Game', '.svd': 'Autosave file for document (MS Word)', '.svg': 'Autosave file for glossary (MS Word)', '.svgz': 'Compressed Scaleable Graphic file', '.svp': 'WISCO Survey Power', '.svs': 'Autosave file for style sheet (MS Word)', '.sw': 'Audio file (signed word)', '.swd': 'Storybook file', '.swf': 'ShockWave Flash object', '.swg': 'Swag packet (SWAG Reader)', '.swi': 'Swish Data file', '.swk': 'Swapkeys Keyboard File', '.swp': 'Document backup (Sprint)', '.sxc': 'StarOffice / OpenOffice Spreadsheet file', '.sxw': 'OpenOffice.org Writer 6.0 text file', '.sy1': 'Smartpix symbol library (Ami Pro)', '.sy3': 'Symbol file (Harvard Graphics 3.0)', '.syd': 'Backup of startup files created by QEMM (?) autoexec.syd', '.sym': 'Precompiled headers (Borland C++)', '.syn': 'Sdsc Synu image file (SDSC Image Tool)', '.sys': 'Datafile (SYGRAPH - SYSTAT - SPSS/PC)', '.syw': 'Graphics symbols (Harvard Graphics Win)', '.szc': 'Windows Mobile 5 (Pocket PC)', '.t': 'Tads source', '.t$m': 'AVG Internet Security Temporary file', '.t04': 'TaxCut 2004 file', '.t05': 'TaxCut 2005 Tax Return', '.t06': 'TaxCut 2006 Tax Return', '.t07': 'TaxCut 2007 Tax Return', '.t08': 'TaxCut 2008 Tax Return', '.t09': 'H&R Block At Home 2009 Tax Return', '.t10': 'H&R Block At Home 2010 Tax Return', '.t11': 'H&R Block At Home 2011 Tax Return', '.t12': 'H&R Block At Home 2012 Tax Return', '.t2': 'Textease 2000 file', '.t44': 'Temporary file for Sort or Index (dBASE IV)', '.t64': 'Program (C64S emulator)', '.ta0': 'TaxAct file', '.tab': 'Guitar Tablature file', '.tag': 'Query tag name (DataFlex)', '.tah': 'Turbo Assembler Help file (Borland C++)', '.tal': 'Text illustration (TypeAlign)', '.tao': 'IsoBuster file', '.tar': 'Compressed file archive created by TAR (pax2exe.zoo)', '.tax': 'TurboTax file', '.taz': 'Compressed ASCII file archive created by TAR and COMPRESS (.tar.Z)', '.tb1': 'Font file (Borland Turbo C)', '.tb2': 'Font file (Borland Turbo C)', '.tbf': 'Fax (Imavox TurboFax)', '.tbh': 'Mah Jongg for Windows Tile Set', '.tbk': 'Memo backup (dBASE IV - FoxPro)', '.tbl': 'Graphics (native format) (Adobe PageMaker TableEditor)', '.tbs': 'Text elements ?? (Textbausteine) (MS Word)', '.tbx': 'Table (Project Scheduler 4)', '.tc': 'Configuration (Turbo C - Borland C++)', '.tch': 'Turbo C Help file (Borland C++)', '.tcl': 'Tool Command Language source code (Swat)', '.tcp': '3D Topicscape (exported inter-Topicscape topic link)', '.tcw': 'Drawing (TurboCAD for Windows)', '.td': 'Configuration file (Turbo Debugger for DOS)', '.td0': 'Disk image file (Teledisk)', '.td2': 'Configuration file (Turbo Debugger for Win32)', '.tdb': 'Database (TACT)', '.tdf': 'Font (TheDraw)', '.tdh': 'Help file (Turbo Debugger)', '.tdk': 'Keystroke recording file (Turbo Debugger)', '.tds': 'Symbol table (Turbo Debugger)', '.tdt': 'ASCII Data File in CSV Format', '.tdw': 'Configuration file (Turbo Debugger for Windows)', '.tee': 'TeeChart Office graphic', '.tef': 'Fax (Relisys TEFAX)', '.tel': 'Host file (Telnet)', '.tem': 'Turbo Editor Macro Language script (Borland C++)', '.temp': 'Temporary file', '.test': 'Test File Extension', '.tex': 'LaTeX Source Document file', '.text': 'ASCII Text file', '.tf': 'Configuration (Turbo Profiler)', '.tfa': 'Area file (Turbo Profiler)', '.tfc': "Catalogue file (Tobi's Floppy Cataloguer)", '.tfh': 'Help file (Turbo Profiler)', '.tfm': 'Tex Font Metric file (TeX)', '.tfs': 'Statistics (Turbo Profiler)', '.tfw': 'ArcView World File For TIF Image', '.tg1': 'Project file (On Target)', '.tga': 'Truevision Targa bitmap graphics', '.tgz': 'Compressed file archive created by TAR and GNUzip (.tar.gz)', '.thb': 'KinuPix Skin', '.thd': 'Thread', '.thm': 'Thumbnail Image file', '.thn': 'Graphics Workshop for Windows Thumbnail', '.ths': 'Thesaurus dictionary (WordPerfect for Win)', '.tib': 'Acronis True Image file', '.tif': 'Tagged Image File Format bitmap graphics (PageMaker - CorelDRAW)', '.tiff': 'Tagged Image File Format', '.til': 'Fuzzy logic knowledge base (Togai InfraLogic Fuzzy-C Compiler)', '.tim': 'Playstation Game Texture Image', '.tis': 'Tile set (MahJongg 3.0)', '.tix': 'ASA for UNIX Terminfo Extension file', '.tjl': 'Backup file (VAXTPU editor)', '.tlb': 'OLE Type Library', '.tlc': 'Compiled Tool Command Language source code (Swat)', '.tlp': 'Project (TimeLine)', '.tlt': 'Trellix Web Design file', '.tmb': 'Timbuktu Pro Connection Document', '.tmd': 'Document (TextMaker)', '.tmf': 'Tagged Font Metric file (WordPerfect for Win)', '.tmo': 'Ztg global optimizer default output file (Zortech C++)', '.tmp': 'Temporary file', '.tmpl': 'eMule Web Interface Template file', '.tmq': 'TestMaster file', '.tms': 'Script (Telemate)', '.tmv': 'Template (TextMaker)', '.toc': 'Table Of Contents', '.tol': 'Kodak Photoenhancer', '.TOPC': 'TopicCrunch project file for saving and resubmitting SEO searches', '.tos': 'Self-extracting file archive (Atari ST)', '.tp': 'Configuration (Turbo Pascal)', '.tp3': 'Template (Harvard Graphics 3.0)', '.tpb': 'Downloadable PCL Soft font file backup (HiJaak)', '.tpf': 'Downloadable PCL Soft font file (HiJaak)', '.tph': 'Help file (Turbo Pascal)', '.tpi': 'Microsoft Test file', '.tpl': 'Document Template file', '.tpp': 'Protected Mode Units (Borland Pascal 7.0)', '.tps': 'Clarion for Windows data file', '.tpu': 'Turbo Pascal Unit (BGI) (Turbo Pascal)', '.tpw': 'Session-state file (Turbo Profiler for Windows)', '.tpz': 'Compressed file archive created by TAR and GNUzip (.tar.gz)', '.tr': 'Session-state settings (Turbo Debugger for DOS)', '.tr2': 'Session-state settings (Turbo Debugger for Win32)', '.trace': 'ECXpert Debugging file', '.trc': 'Debug support file (Power CTrace)', '.tre': 'Directory tree file (PC-Tools)', '.trg': 'Symantec LiveUpdate file', '.tri': 'Trigram file', '.trk': 'Kermit Script file', '.trm': 'Terminal settings (Windows 3.x)', '.trn': 'Translation support file (Quattro)', '.trp': 'Tripmaker file', '.trs': 'Executable file (Micrografx)', '.trw': 'Session-state settings (Turbo Debugger for Windows)', '.trx': 'Router Firmware file', '.ts': 'Transport Stream file', '.tsk': 'Skins for Pocket PC PDAs', '.tsp': 'Windows Telephony Service Provider', '.tst': 'Printer test file (WordPerfect for Win)', '.tsv': 'Tab Separated Value file', '.tt10': 'Turbotax 2010 Return file', '.tta': 'The True Audio Codec file', '.ttc': 'OpenType font file', '.ttf': 'Truetype Font file', '.tub': 'PaintShop Pro Tube file', '.tut': 'Tutorial', '.tv': 'Table view settings (Paradox)', '.tv1': 'Overflow file above insert point in Doc 1 (WordPerfect for Win)', '.tv2': 'Overflow file above insert point in Doc 2 (WordPerfect for Win)', '.tv3': 'Overflow file above insert point in Doc 3 (WordPerfect for Win)', '.tv4': 'Overflow file above insert point in Doc 4 (WordPerfect for Win)', '.tv5': 'Overflow file above insert point in Doc 5 (WordPerfect for Win)', '.tv6': 'Overflow file above insert point in Doc 6 (WordPerfect for Win)', '.tv7': 'Overflow file above insert point in Doc 7 (WordPerfect for Win)', '.tv8': 'Overflow file above insert point in Doc 8 (WordPerfect for Win)', '.tv9': 'Overflow file above insert point in Doc 9 (WordPerfect for Win)', '.tvf': 'Table view settings (dBASE)', '.tvo': 'TeveoLive', '.tvp': 'NVIDIA Graphic Card Update file', '.tvr': 'Navicat for MySQL file', '.tvt': 'RealPlayer', '.txd': 'Grand Theft Auto 3 Texture file', '.txf': 'Compressed file archive created by TAR and FREEZE (.tar.f)', '.txi': 'Support file (TeX)', '.txl': 'Genesis3D Texture file', '.txt': 'Text file', '.tym': 'Time Stamp (PageMaker 4)', '.tz': 'Compressed file archive created by TAR and COMPRESS (.tar.Z)', '.tzb': 'Compressed file archive created by TAR - COMPRESS - BTOA (.tar.Z.btoa)', '.uax': 'Unreal Audio file', '.ub': 'Audio file (unsigned byte)', '.uc2': 'Compressed file archive created by UltraCompressor II (uc2.zip)', '.ucn': 'New compressed file archive created by UltraCompressor II', '.ucs': 'Universal Classification Standard Database file', '.udc': 'Acrobat Spelling file', '.udf': 'Filter (Photostyler)', '.udl': 'MS Data Link', '.uds': 'Sierra Generations Family file', '.ue2': 'Encrypted file archive created by UltraCompressor II', '.ufo': 'Ulead PhotoImpact Graphic file', '.uha': 'UHARC Compressed Archive file', '.uhs': 'Universal Hint System (binary file)', '.ui': 'Espire source code file (Geoworks UI Compiler)', '.uif': 'MagicISO Disc Image file', '.uih': 'Espire header file (Geoworks UI Compiler)', '.uis': 'WindowBlinds (Copyright Neil Banfield & Stardock.net, Inc.)', '.ul': 'Ulaw audio file', '.uld': 'Information about uploaded files (Procomm Plus)', '.ult': 'Music (UltraTracker)', '.umb': 'Backup file (MemMaker)', '.umd': 'Universal Media Disc file', '.umf': 'Stockmoves, MOTEK BV', '.umx': 'Unreal music file', '.uni': 'Unimod music module (MIKMOD)', '.unl': 'Garmin Unlock file', '.unq': 'Fax View file', '.uns2': 'Ultra Notes Backup file', '.unx': 'Text file containing UNIX specific info', '.upd': 'Program update info', '.upg': 'Firmware Upgrade file', '.upo': 'Compiled update data (dBASE)', '.upx': 'ULead Photo Express Saved Image file', '.url': 'Uniform Resource Locator (Internet shortcut)', '.urls': 'GetRight URL List file', '.usb': 'D-Link FM Radio Update', '.user': 'Visual Studio User Options file', '.usp': 'Printer font with USASCII extended character set (PageMaker)', '.usr': 'User database file (Procomm Plus - Turbo C++ tour)', '.utf': 'AOL Updating Files', '.utl': 'Sound file', '.utx': 'Unreal Engine Texture file', '.uu': 'Compressed ASCII file archive created by UUDE/ENCODE', '.uue': 'Compressed ASCII file archive created by UUENCODE (uuexe515.exe)', '.uvf': 'CSV (comma separated value) format. Used by Netica', '.uvr': 'Ulead Cool 360 Viewer file', '.uw': 'Audio file (unsigned word)', '.uwl': 'WordPerfect User Word List file', '.v': 'Consistency check support file (ReaGeniX code generator)', '.v2': 'Microsoft Live Messenger data file', '.v64': 'Nintento 64 Emulation ROM Image', '.val': 'Validity checks and referential integrity (Paradox for Windows)', '.van': 'Animation (VistaPro)', '.var': 'Variable file (IconAuthor)', '.vbc': 'Visual Business Cards', '.vbd': 'ActiveX file', '.vbe': 'VBScript Encoded Script file', '.vbn': 'Norton Corporate anti-virus quarantined file', '.vbp': 'Visual Basic Project file', '.vbs': 'Visual Basic Script file (Visual Basic)', '.vbw': 'Visual Basic Project Workplace (Visual Basic)', '.vbx': 'Visual Basic eXtension (Visual Basic)', '.vc': 'Include file with color definitions (Vivid 2.0)', '.vc4': 'Virtual CD/DVD Image file', '.vcd': 'VisualCADD Drawing file', '.vce': 'Visual CE Class Type file', '.vcf': 'VCard file', '.vch': 'Interlock Public Computer Utility', '.vcmf': 'VAIO Content Metadata file', '.vcs': 'vCalender file', '.vcw': 'Visual workbench information (MS Visual C++)', '.vcx': 'Spreatsheet (VisiCalc Advanced)', '.vda': 'Bitmap graphics', '.vdb': 'Norton AntiVirus Corporate Edition Update file', '.vdf': 'Avira AntiVir virus definition file', '.vdi': 'Virtual Disk Images files', '.vdj': 'Virtual DJ Sample file', '.vdm': 'VDM Play', '.vdr': 'Drawing (ComputerEasy Draw)', '.vdx': 'XML for Visio Drawing file', '.vem': 'VeePro Embroidery Software Format', '.ver': 'Version Description file', '.vew': 'View file (Clipper 5, Lotus Approach)', '.vfm': 'Voting Form (Voter)', '.vfn': 'Voting Form for Customers (Voter)', '.vfp': 'TMPGEnc VFAPI Plug-in', '.vfs': 'Virtual File System Index', '.vfx': 'Ulead Video Studio Sample file', '.vga': 'Vga display driver', '.vgd': 'Vga display driver (Generic CADD)', '.vgr': 'Graphics (Ventura Publisher)', '.vhd': 'Virtual Hard Disk file', '.vi': 'Graphics (Jovian Logic VI)', '.vic': 'Vicar graphics', '.vid': 'Video file', '.vif': 'Khoros Visualization image file (SDSC Image Tool)', '.vik': 'Viking graphics', '.vir': 'Virus Infected file', '.vis': 'Vis graphics', '.viv': 'VivoActive Player Video file', '.vlm': 'Ashlar-Vellum file', '.vlt': 'WinVault Container file', '.vm': 'Virtual Memory file (Geoworks)', '.vm1': 'Panasonic SD Voice Editor file', '.vmc': 'Virtual memory configuration (Acrobat reader)', '.vmdk': 'VMware Image file', '.vmf': 'Font characteristics (Ventura Publisher)', '.vmg': 'Text Message files', '.vml': 'Vector Markup Language', '.vmo': 'Mobile Phone voice file (Siemens Sl45)', '.vmp': 'Logos Library System 2.x Verse Map', '.vms': 'Text file containing VMS specific info', '.vmt': 'Valve Material file. Details how a material is to be rendered', '.vmx': 'VMware Configuration file', '.vnt': 'vNote file', '.vo': 'Include file with object definition (Vivid 2.0)', '.vob': 'DVD video movie file', '.voc': 'Digitized samples (Creative Voice file)', '.vof': 'Object folder (VZ Programmer)', '.vol': 'VOL Archive file', '.vor': 'OpenOffice.org Template', '.vox': 'Vox Audio', '.vp6': 'TrueMotion VP6 Video file', '.vpa': 'Excite Chat Gestures file', '.vpd': 'Virpet Performance Descriptor', '.vpg': 'Graphics (VPGraphics)', '.vpk': 'Steam Package Archive file', '.vpl': 'Karaoke Player Playlist file', '.vpp': 'Virtual Pool Game', '.vqe': 'Yamaha Sound-VQ Locator File', '.vqf': 'Yamaha Sound-VQ File', '.vql': 'Yamaha Sound-VQ Locator File', '.vrd': 'VRScape data file', '.vrm': 'Overlay file (QuattroPro)', '.vro': 'Panasonic DVD Recorder file', '.vrp': 'Project (WATCOM VX?Rexx)', '.vrs': 'Video Resource eg. video device driver (WordPerfect)', '.vs': 'Include file with surface definition (Vivid 2.0)', '.vsd': 'Diagram (Shapeware Visio)', '.vsl': 'GetRight Download List file', '.vsm': 'Simulation model (VisSim)', '.vsp': 'Visual Studio file', '.vss': 'Smartshapes file (Shapeware Visio)', '.vst': 'Truevision Vista bitmap graphics', '.vtf': 'Valve Texture file. Used to store texture data', '.vts': 'DVD File format', '.vtx': 'XML for Visio template file', '.vue': 'Animation (3D Studio)', '.vw': 'Text file (Volkswriter)', '.vw3': 'Text file (Volkswriter 3)', '.vwl': 'VideoWave Video Wave Library', '.vwr': 'File viewer file (PC Tools)', '.vwt': 'VideoWave Thumbnail', '.vxd': 'Virtual device driver (MS Windows)', '.vyd': 'VyperHelp', '.w': 'Database AppBuilder Source Code file', '.w02': 'Multiple Archive file', '.w30': 'Printer font (AST TurboLaser) (Ventura Publisher)', '.w31': 'Startup file (Windows 3.1)', '.w3g': 'Warcraft III file', '.w3m': 'Warcraft III Map file', '.w44': 'Temporary file for Sort or Index (dBASE)', '.w5v': 'Winamp file', '.wab': 'Outlook File', '.wac': 'Infinity Game Engine WAVC Sound', '.wad': 'Doom Game file', '.waf': "Mayim's WAF Compiler file", '.wal': 'Winamp Skin file', '.war': 'Java Web Archive (used by Servlets)', '.wav': 'Waveform audio file (RIFF WAVE format)', '.wax': 'Windows Media Player Redirect file', '.wb1': 'Notebook (Quattro Pro)', '.wb2': 'Spreadsheet (Quattro Pro)', '.wb3': 'Quattro Pro for Windows', '.wba': 'WindowBlinds Compressed Skin', '.wbc': 'Webshots Picture Collection', '.wbf': 'Ms Windows Batch File (Catch)', '.wbk': 'Document/workbook (WordPerfect for Win)', '.wbmp': 'Wireless Application Protocol Bitmap file', '.wbt': 'Batch file (WinBatch)', '.wbx': 'Webigger file', '.wbz': 'WebShots file', '.wcd': 'Macro token list (WordPerfect for Win)', '.wcm': 'Data transmission file (MS Works)', '.wcp': 'Product information description (WordPerfect for Win)', '.wd2': 'Info Select for Palm Organizer file', '.wdb': 'Database (MS Works)', '.wdf': 'ReliaSoft Weibull 5.0', '.wdl': 'Windows XP Watchdog Log file', '.web': 'Web source code file', '.wer': 'Microsoft Windows Error Report file', '.wfc': 'Windows Connect Now file', '.wfm': 'Form object (dBASE Form Designer)', '.wfn': 'Font (CorelDRAW)', '.wfx': 'Data file (Winfax)', '.wg1': 'Worksheet (Lotus 1-2-3/G)', '.wg2': 'Worksheet (Lotus 1-2-3 for OS/2)', '.wgt': 'Opera Widget file', '.wid': 'Width table (Ventura Publisher)', '.wim': 'Image Format file', '.win': 'Opera Saved Window file', '.wiz': 'Page wizard (MS Publisher)', '.wjp': 'WildTangent Branded .jpg file', '.wk1': 'Spreadsheet (Lotus 1-2-3 version 2.x - Symphony 1.1+)', '.wk3': 'Spreadsheet (Lotus 1-2-3 version 3.x)', '.wk4': 'Spreadsheet (Lotus 1-2-3 version 3.4)', '.wkb': 'Document (WordPerfect for Win)', '.wke': 'Spreatsheet (Lotus 1-2-3 educational version)', '.wkq': 'Spreatsheet (Quattro)', '.wks': 'Spreadsheet (Lotus 1-2-3 version 1A - Symphony 1.0 - MS Works)', '.wll': 'Word Add-in', '.wlk': 'Graphics (Virtus Walkthrough)', '.wlt': 'eWallet file', '.wma': 'Microsoft Active Streaming file', '.wmc': 'Backup of startup files by Windows MathCad autoexec.wmc', '.wmf': 'Windows MetaFile vector graphics', '.wml': 'Wireless Markup Language', '.wmv': 'MS Active Streaming file', '.wmz': 'Windows Media Compressed skin file', '.wn': 'Text (NeXT WriteNow)', '.wnf': 'Outline font description (CorelDRAW native format)', '.wo4': 'STABCAL file', '.wo7': 'STABCAL file', '.woa': 'Swap file (Windows 3.x)', '.woc': 'Microsoft Office 2007 Organization file', '.wor': 'MapInfo Workspace', '.wot': 'WebEx Saved Meeting Movie', '.wow': 'Music (8 channels) (Grave Mod Player)', '.wp': 'Text file (WordPerfect 4.2)', '.wp3': 'Microsoft Photo Story Project file', '.wp5': 'Document (WordPerfect 5.x)', '.wpd': 'Document (WordPerfect 6.0 - PFS:WindowWorks)', '.wpf': 'Fax (WorldPort)', '.wpg': 'WildTangent Branded .PNG file', '.wpj': 'MS Works Projects', '.wpk': 'Macros (WordPerfect for Win)', '.wpl': 'Windows Media Player Playlist file/td>', '.wpm': 'Macros (WordPerfect)', '.wps': 'Text document (MS Works)', '.wpt': 'WordPerfect template', '.wpw': 'PerfectWorks document', '.wq!': 'Compressed spreadsheet (Quattro Pro)', '.wq1': 'Spreadsheet (Quattro Pro)', '.wr1': 'Spreadsheet (Symphony 1.1 - 1.2 - 2)', '.wrd': 'Template (Charisma)', '.wrf': 'used for WebEx recording. Microsoft office add-in for meeting', '.wri': 'Text file (Windows Write)', '.wrk': 'Spreadsheet (Symphony 1.0, 1.2, 2.0, 3.0)', '.wrl': 'Plain text VRML file', '.wrml': 'Plain text VRML file', '.wrp': 'Compressed Amiga file archive created by WARP', '.wrs': 'Windows Resource eg. printer driver (WordPerfect for Win)', '.ws': 'Text file (WordStar 5.0-6.0)', '.wsf': 'Windows Script file', '.wss': 'Web Screen Saver file (Web Screen Saver 2008)', '.ws2': 'Text file (WordStar 2000)', '.wsc': 'Windows scripting component file', '.wsd': 'Document (WordStar)', '.wsh': 'Windows Script Host Settings file', '.wsp': 'Workspace (Fortran PowerStation)', '.wsr': 'FirstStop WebSearch file', '.wst': 'Text file (WordStar)', '.wsx': 'WinMX Filesharing Program', '.wsz': 'Skin Zip file (WinAmp)', '.wtd': 'WinTune Document file', '.wtr': 'MS Encarta file', '.wv': 'WavPack compressed Audio file', '.wve': 'Component of a DIVX Movie Conversion', '.wvx': 'Metafile', '.wvw': 'Backup Wonderware InTouch window file', '.wwb': 'Button bar for document window (WordPerfect for Win)', '.wwk': 'Keyboard layout (WordPerfect for Win)', '.wwp': 'Worms World Party Teams file', '.wws': 'AutoRoute User Information', '.wwv': 'WildTangent Branded .WAV file', '.wxp': 'Document (EXP for Windows)', '.wxs': 'Easy Cross crosstitch file', '.wzg': 'WZebra file', '.wzs': 'Microsoft Word wizard', '.x': 'DirectX Object file', '.x01': 'Secondary index (Paradox)', '.x02': 'Secondary index (Paradox)', '.x03': 'Secondary index (Paradox)', '.x04': 'Secondary index (Paradox)', '.x05': 'Secondary index (Paradox)', '.x06': 'Secondary index (Paradox)', '.x07': 'Secondary index (Paradox)', '.x08': 'Secondary index (Paradox)', '.x09': 'Secondary index (Paradox)', '.x16': 'Macromedia Program Extension (16-bit)', '.x32': 'Macromedia Program Extension (32-bit)', '.xap': 'Silveright Application Package', '.xbel': 'XML Bookmark Exchange Language file', '.xbm': 'X11 Bitmap graphics', '.xcf': 'Gimp Image file', '.xdf': 'Milnta APL Transfer Function', '.xdw': 'X Windows Screen Dump file', '.xef': 'X-Genics eManager - XML form and data for eManager', '.xem': 'X-Genics eManager - Metered units / credit definition for forms/file usage in eManager', '.xep': 'X-Genics eManager - File packaging / unpacking information for eManager components', '.xes': 'X-Genics eManager - XML definition for UI skins', '.xet': 'X-Genics eManager - XML definition for eManager process', '.xev': 'X-Genics eManager - File download definition for auto-update and delivery of new procedures', '.xez': 'X-Genics eManager - Template package for eManager', '.xfd': 'XML Form in XFDL Format', '.xfdl': 'Extensible Forms Description Language file', '.xfn': 'Printer font (Xerox 4045) (Ventura Publisher)', '.xft': '24 pin printer font (ChiWriter)', '.xfx': 'Fax File (various)', '.xhtml': 'Extensible HyperText Markup Language file', '.xi': 'Fast Tracker 2 Instrument or ScreamTracker Instrument file', '.xif': 'Wang image file', '.xla': 'Add-in macro sheet (MS Excel)', '.xlb': 'Data (MS Excel)', '.xlc': 'Chart document (MS Excel)', '.xlk': 'Excel Backup', '.xll': 'Excel Dynamic Link Library (MS Excel)', '.xlm': 'Macro sheet (MS Excel)', '.xlr': 'MS Works file', '.xls': 'Spreadsheet(MS Works)', '.xlsm': 'Microsoft Excel Macro-Enabled Workbook file', '.xlsx': 'Microsoft Excel XML file', '.xlt': 'Template (MS Excel)', '.xlw': 'Workbook (MS Excel)', '.xlx': 'XoloX Incomplete Download file', '.xm': 'Music (Fast Tracker)', '.xmi': 'Compressed eXtended MIdi music', '.xml': 'Extensible Markup Language file', '.xmp': 'Extensible Metadata Platform', '.xnf': 'Standard Network File form', '.xpi': 'XPInstall File', '.xnk': 'Microsoft Exchange Shortcut', '.xpl': 'Music file', '.xpm': 'X11 Pixel Map graphics', '.xpr': 'Memorex CD-ROM label file', '.xps': 'XML Paper Specification file', '.xpt': 'Mozilla Firefox Component file', '.xpw': 'Leading Market Technologies EXPO', '.xqt': 'Executable file (Waffle)', '.xpv': 'digital surveillance system', '.xrf': 'Cross-reference file', '.xsd': 'XML Schema file', '.xsf': 'Milnta APL Transfer Function', '.xsl': 'Extensible Stylesheet Language file', '.xspf': 'XML Shareable Playlist file', '.xss': 'Ability Office Spreadsheet', '.xtb': 'External translation table (LocoScript)', '.xtm': 'Xtremsplit Data file', '.xtr': 'MapTool file (an add-on for UI-View)', '.xul': 'XML User Interface Language file', '.xvb': 'WinExplorer VB Script', '.xvid': 'Xvid Video file', '.xvl': 'Compact 3D file format for web apps.(Lattice 3D)', '.xwd': 'X Window System window dump image graphics (SDSC Image Tool)', '.xwk': 'Keyboard mapping (Crosstalk)', '.xwp': 'Session (Crosstalk)', '.xx': 'Compressed file ASCII archive created by XXENCODE (uuexe515.exe)', '.xxe': 'Compressed file ASCII archive created by XXENCODE (uuexe515.exe)', '.xxx': 'Singer Sewing Machine Professional SewWare file', '.xy': 'Text file (XY Write)', '.xy3': 'Text file (XYWrite III)', '.xyw': 'Text file (XyWrite III)', '.xyz': 'ASCII RPG Maker Graphic Format', '.xz': 'XZ Compressed Archive file', '.y': 'Yacc grammar file', '.y01': 'Secondary index (Paradox)', '.y02': 'Secondary index (Paradox)', '.y03': 'Secondary index (Paradox)', '.y04': 'Secondary index (Paradox)', '.y05': 'Secondary index (Paradox)', '.y06': 'Secondary index (Paradox)', '.y07': 'Secondary index (Paradox)', '.y08': 'Secondary index (Paradox)', '.y09': 'Secondary index (Paradox)', '.yab': 'Yabasic Source Code file', '.yal': 'Data (Arts & Letters)', '.ybk': 'Microsoft Encarta Yearbook file', '.ychat': 'Yahoo! Messenger chat log', '.yenc': 'yEnc file', '.ymg': 'Yahoo! Messenger file', '.yml': 'YAML file', '.ync': 'yEnc Encoded file', '.yps': 'Yahoo! Messenger Data file', '.yuv': 'YUV Encoded Image or Video file', '.yz': 'Compressed file archive created by YAC', '.yz1': 'Yamazaki ZIPPER file', '.z': 'Compressed file ASCII archive created by COMPRESS (comp430d.zip)', '.z01': 'Winzip Split Archive file', '.z02': 'Split Archive file', '.z1': 'ZoneAlarm Renamed VB file', '.z3': 'Infocom game module', '.zap': 'Zero Administration Package file', '.zbd': 'Canon ZoomBrowser Database file', '.zdb': '', '.zdct': 'After Effects Language file', '.zdg': 'Compressed ZiffNet text document (Zview)', '.zdl': 'Design Pro Label file', '.zdp': 'ZDNet Password Pro 32', '.zer': 'Data file (Zerberus)', '.zfx': 'ZFX - CC3 File Packer Tool', '.zgm': 'Graphics (Zenographics)', '.zhtml': 'Secure IE Zipped HTML file', '.zi': 'Renamed Zip file', '.zif': 'Zooming Image Format file', '.zip': 'ZIP Compressed file archive', '.zipx': 'WinZip Compressed file', '.zix': 'Quicken Data file', '.zl?': 'Zone Alarm Mailsafe Renamed File.', '.zl': 'Zlib Compressed file', '.zls': 'Atlantis Ocean Mind Word Processing file', '.zmc': 'ZoneAlarm Mailsafe', '.zom': 'Compressed Amiga file archive created by ZOOM', '.zon': 'Grand Theft Auto 3 Zone file', '.zoo': 'Compressed file archive created by ZOO (zoo210.exe)', '.zpk': 'Z Firm Package file', '.zpl': 'Creative Zen Micro playlist', '.zst': 'ZSNES Slot 0 Savestate', '.ztd': 'Ziff Davis Media text database', '.zvd': 'Zyxel Voicefile (Z-Fax)', '.zvz': 'Possible Virus file', '.zxp': 'Extension Manager Package', '.zz': 'Zzip Compressed Archive file', '.zzt': 'ZZT Game Creation System'}
    return(file_extension_to_human_readable)

def file_extension_to_human_readable(file_ext):
    data = file_extension_to_human_readable_data()
    result = ''
    try:
        result = data[file_ext]
    except:
        result = 'unknown'
    return result