#########
######### DATA CREDIT TO WIKIPEDIA
######### https://en.wikipedia.org/wiki/List_of_filename_extensions
######### REARRANGED FOR PYTHON BY ANIME NO SEKAI
#########
######### Last updated: 11 May 2020, at 01:22
######### data file for the fileinfo module

def file_extension_description_data():
    data = {'': {'description': 'When talking about file systems, a folder (also called directory, or catalog) is a way to organize computer files. A folder is a storage space where many files can be placed into groups and organize the computer. A folder can also contain other folders. For many computer software applications, there is a current working directory. This is the folder that the application runs in. In Unix and Linux, a directory is a special type of file.', 'used_by': ['Operating Systems and Users']}, '.###': {'description': 'Temporary file', 'used_by': ['Program-dependent format']}, '.#24': {'description': 'Printer data file for 24-pin matrix printer', 'used_by': ['LocoScript']}, '.#ib': {'description': 'Printer data file', 'used_by': ['LocoScript']}, '.#nn': {'description': 'Part of file image', 'used_by': ['Long']}, '.#sc': {'description': 'Printer data file', 'used_by': ['LocoScript']}, '.#st': {'description': 'Standard mode printer definitions', 'used_by': ['LocoScript']}, '.$$$': {'description': 'Temporary file', 'used_by': ['']}, '.$?': {'description': 'ZX Spectrum file in HOBETA format', 'used_by': ['']}, '.$00': {'description': 'Pipe file', 'used_by': ['DOS']}, '.$db': {'description': 'Database temporary file', 'used_by': ['dBase']}, '.$o1': {'description': 'Pipe file', 'used_by': ['DOS']}, '.$vm': {'description': 'Virtual manager temporary file', 'used_by': ['Windows 3.x']}, '.&01, &02, etc': {'description': 'Holdfast backup archive files', 'used_by': ['Holdfast']}, '.)2(': {'description': 'LHA archiver temporary file', 'used_by': ['LHA']}, '.??$': {'description': 'Backup file', 'used_by': ['P-CAD']}, '.??_': {'description': 'Microsoft packed file', 'used_by': ['Expand. Note: ?? could be any first two characters in a file extension (e.g. BM_ for compressed bitmap (BMP), DL_ for compressed library, etc.) Files compressed using this method have been in use on Microsoft software CDs and floppies since around 1995.']}, '.?dk': {'description': 'Disk image', 'used_by': ['Loaddskf.exe']}, '.?ut': {'description': 'Nonpacked FTN mail (? - flavor)', 'used_by': ['FidoNet']}, '.!qb': {'description': 'Unfinished qBittorrent download', 'used_by': ['qBittorrent']}, '.!ut': {'description': 'Unfinished μTorrent download', 'used_by': ['μTorrent']}, '.@@@': {'description': 'DOS 2.0 - 3.2 backup control file', 'used_by': ['DOS commands BACKUP and RESTORE']}, '.___': {'description': 'Adinf table', 'used_by': ['Adinf']}, '.?q?': {'description': 'Squeeze', 'used_by': ['CP/M and MS-DOS']}, '.~$~': {'description': 'Temporary file', 'used_by': ['1st Reader']}, '.~1~, ~2~, etc.': {'description': 'Backup file (name is constructed with numbered backup option by appending ~, the incremented number, and another ~ after the original name)', 'used_by': ['GNU coreutils (cp, install, ln, mv ), Emacs']}, '.~??': {'description': 'Old Backup files (.MNU to .~MN)', 'used_by': ['Resource Workshop (Borland Delphi)']}, '.~h': {'description': 'Cardfile heap', 'used_by': ['AZZ Cardfile']}, '.μ': {'description': 'Metrowerks Codewarrior project', 'used_by': ['']}, '.π': {'description': 'THINK C project', 'used_by': ['']}, '.0': {'description': 'Compressed harddisk data', 'used_by': ['DoubleSpace']}, '.0b': {'description': 'Printer font with lineDraw extended character set', 'used_by': ['PageMaker']}, '.001, 002, ...': {'description': 'Split parts of a single whole file', 'used_by': ['FFSJ, HJSplit, JJSplit, split (Unix) (when using numeric suffixes)']}, '.1': {'description': 'Roff/nroff/troff/groff source for manual page', 'used_by': ['cawf2.zip']}, '.123': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 version 9 and version 97']}, '.123dx': {'description': 'CAD drawing file', 'used_by': ['Autodesk 123D design file, a ZIP file format package containing a .sat file and .png thumbnails.[1]']}, '.15u': {'description': 'Printer font with PI font set', 'used_by': ['PageMaker']}, '.16': {'description': 'SYSLINUX Splash Screen Graphic', 'used_by': ['SYSLINUX, XnView']}, '.1st': {'description': 'Usually README.1ST text file', 'used_by': ['']}, '.1tx': {'description': '1toX Logipole file', 'used_by': ['']}, '.2gr': {'description': '286 Grabber File', 'used_by': ['Win']}, '.301': {'description': 'Fax', 'used_by': ['Super FAX 2000 - Fax-Mail 96']}, '.386': {'description': 'Windows virtual device driver', 'used_by': ['Win']}, '.3d': {'description': 'Universal Combat 3D model file', 'used_by': ['Universal Combat']}, '.3dmf': {'description': 'QuickDraw 3D Metafile', 'used_by': ['QuickDraw']}, '.3ds': {'description': 'A 3DS file is a 3D image format used by Autodesk 3D Studio. It contains mesh data, material attributes, bitmap references, smoothing group data, viewport configurations, camera locations, and lighting information. 3DS files may also include object animation data.', 'used_by': ['Autodesk 3ds Max 2020', 'IMSI TurboCAD Pro', 'Trimble SketchUp', 'MeshLab', 'MAXON Cinema 4D', 'pmG messiahStudio', 'CADSoftTools ABViewer', 'Adobe Photoshop 2020', 'GLC_Player', 'ACCA Edificius', 'Cheetah3D', 'IMSI TurboCAD Deluxe']}, '.3dsx': {'description': 'Nintendo 3DS Homebrew File Format', 'used_by': ['Nintendo 3DS Homebrew Launcher']}, '.3dt': {'description': 'Database in which the meta-data of a 3D Topicscape is held', 'used_by': ['3D Topicscape']}, '.3dv': {'description': '3-D wireframe graphics by Oscar Garcia', 'used_by': ['3dv wireframe viewer']}, '.3fx': {'description': 'Effect', 'used_by': ['CorelChart']}, '.3g2': {'description': 'A 3G2 file is a multimedia file saved in an audio and video format developed by the 3rd Generation Partnership Project 2 (3GPP2). 3G2 files are designed for transmitting multimedia content over the Internet and are used by cell phones to save video files.', 'used_by': ['Apple QuickTime Player', 'VideoLAN VLC media player', 'Microsoft Windows Video', 'CyberLink PowerDirector 15 Ultra']}, '.3ga': {'description': 'Mobile Phone Audio (Samsung)', 'used_by': ['']}, '.3gp': {'description': 'A 3GP file is a multimedia file saved in an audio and video container format developed by the 3rd Generation Partnership Project (3GPP). It stores video and audio streams that are transmitted between 3G mobile phones and over the Internet.', 'used_by': ['Apple QuickTime Player', 'VideoLAN VLC media player', 'Microsoft Movies & TV']}, '.3gr': {'description': '386 Grabber File', 'used_by': ['Win']}, '.3mf': {'description': '3D Manufacturing Format', 'used_by': ['3D Builder']}, '.3t4': {'description': 'Binary file converter to ASCII', 'used_by': ['Util3']}, '.4db': {'description': '4D Structure File', 'used_by': ['4D']}, '.4dd': {'description': '4D Data File', 'used_by': ['4D']}, '.4dindy': {'description': '4D Structure Index File', 'used_by': ['4D']}, '.4c$': {'description': 'Datafile', 'used_by': ['4Cast/2']}, '.4md': {'description': 'Musical file', 'used_by': ['']}, '.4sw': {'description': '4DOS Swap File', 'used_by': ['4DOS']}, '.4th': {'description': 'FORTH source code file', 'used_by': ['ForthCMP - LMI Forth']}, '.555': {'description': '16 bit per pixel image file format (5bit per component)', 'used_by': ['Sierra Entertainment']}, '.602': {'description': 'Text (fairly simple format, plain text with binary control commands embedded within text lines and special formatting commands on dedicated lines)', 'used_by': ['Text602 text processor by Software602']}, '.668': {'description': 'Music (the mixing is always at 12048 Hz)', 'used_by': ['']}, '.669': {'description': 'Music (8 channels)', 'used_by': ['The 669 Composer']}, '.6cm': {'description': 'Music (6 Channel Module)', 'used_by': ['Triton FastTracker']}, '.75': {'description': '75×75 dpi display font', 'used_by': ['Ventura Publisher']}, '.7z': {'description': "A 7Z file is a compressed archive created by various file compression utilities, most notably, Igor Pavlov's 7-Zip. It uses open-source LZMA compression, which has a high compression ratio and can include strong AES-256 (256-bit) encryption. 7Z files may contain multiple directories or files compressed to save space for storage or transportation purposes.", 'used_by': ['Corel WinZip Mac 7', 'The Unarchiver', '7-Zip', 'Corel WinZip 24', 'RARLAB WinRAR', 'B1 Free Archiver', 'PeaZip']}, '.8': {'description': 'A86 assembler source code file', 'used_by': ['']}, '.85': {'description': '85×85 dpi display font', 'used_by': ['Ventura Publisher']}, '.8bf': {'description': 'Adobe Photoshop compatible filters/plugins', 'used_by': ['']}, '.8bi': {'description': 'Adobe Photoshop compatible filters/plugins', 'used_by': ['']}, '.8bx': {'description': 'Adobe Photoshop compatible filters/plugins', 'used_by': ['']}, '.890': {'description': 'ScanTitling subtitle files', 'used_by': ['']}, '.8cm': {'description': 'Music (8 Channel Module)', 'used_by': ['Triton FastTracker']}, '.8m': {'description': 'Printer font with Math 8 extended character set', 'used_by': ['PageMaker']}, '.8u': {'description': 'Printer font with Roman 8 extended character set', 'used_by': ['PageMaker']}, '.83p': {'description': 'Executable program for TI-83 Graphing Calculator', 'used_by': ['TI Connect']}, '.89p': {'description': 'Executable program for TI-89/89 Titanium Graphing Calculator', 'used_by': ['TI Connect']}, '.8xp': {'description': 'Executable program for TI-83/84 Plus Graphing Calculator', 'used_by': ['TI Connect']}, '.91': {'description': '91×91 dpi display font', 'used_by': ['Ventura Publisher']}, '.96': {'description': '96×96 dpi display font', 'used_by': ['Ventura Publisher']}, '.a': {'description': 'Library', 'used_by': ['Unix']}, '.a##': {'description': "ALZip Compressed Files' pieces", 'used_by': ['ALZip']}, '.a11': {'description': 'Graphics AIIM image file', 'used_by': ['']}, '.a2w': {'description': 'World file for Alice programming language, version 2', 'used_by': ['Alice 2']}, '.a3p': {'description': 'Project file for Alice programming language, version 3', 'used_by': ['Alice 3']}, '.a80': {'description': 'Assembler language source for 8080', 'used_by': ['8080']}, '.aa, ab, ...': {'description': 'Split parts of a single whole file', 'used_by': ['split (Unix)']}, '.aac': {'description': 'Advanced Audio Coding, a standardized, lossy compression and encoding scheme for digital audio', 'used_by': ['Nintendo DSi']}, '.aaf': {'description': 'Advanced Authoring Format, an advanced media wrapper file for professional applications', 'used_by': ['']}, '.aas': {'description': 'Animation Play Script', 'used_by': ['AAPlay']}, '.ab': {'description': 'Android adb Backup', 'used_by': ['adb']}, '.ab6': {'description': 'Datafile', 'used_by': ['ABStat']}, '.ab8': {'description': 'Datafile', 'used_by': ['ABStat']}, '.abc': {'description': 'Music in ABC format', 'used_by': ['Many music notation editors, some video games.']}, '.abp': {'description': 'AVS Barcode Profile', 'used_by': ['AVS Barcode Source']}, '.abf': {'description': 'Adobe Binary Screen Font', 'used_by': ['Adobe Systems Software']}, '.abk': {'description': 'Automatic backup file', 'used_by': ['CorelDRAW']}, '.abm': {'description': 'Album file (various programs)', 'used_by': ['']}, '.abr': {'description': 'Adobe Brush file for PhotoShop', 'used_by': ['PhotoShop']}, '.abs': {'description': 'Data file', 'used_by': ['Abscissa']}, '.ac': {'description': 'Project backup', 'used_by': ['Audit Command Language (ACL)']}, '.aca': {'description': 'Project', 'used_by': ['Project Manager Workbench']}, '.acb': {'description': 'see ACMB', 'used_by': ['']}, '.acc': {'description': 'Program (DR-DOS - ViewMax)', 'used_by': ['GEM / resident']}, '.accda': {'description': 'Data', 'used_by': ['Microsoft Access Database Wizard (Open XML)']}, '.accdb': {'description': 'An ACCDB file is a database created with Microsoft Access 2007 or later. It typically contains data organized into tables and fields and may also include custom forms, SQL queries, and other data. ACCDB files replaced .MDB files.', 'used_by': ['MDB Viewer', 'Microsoft Access 2019', 'Microsoft Visual Studio 2019', 'MDB Viewer Plus', 'Aryson Access Database Recovery']}, '.accde': {'description': 'Data', 'used_by': ['Microsoft Access Database Wizard (Open XML)']}, '.accdt': {'description': 'Data', 'used_by': ['Microsoft Access Database Template (Open XML)']}, '.accdu': {'description': 'Data', 'used_by': ['Microsoft Access Database Wizard (Open XML)']}, '.accft': {'description': 'Microsoft Access Data Type Template[1]', 'used_by': ['Microsoft Access']}, '.acdc': {'description': 'layered graphics file', 'used_by': ['ACDSee']}, '.acda': {'description': 'ACDSee Action', 'used_by': ['ACDSee']}, '.acdapk': {'description': 'ACDSee Actions Pack', 'used_by': ['ACDSee']}, '.ace': {'description': 'Archive', 'used_by': ['ACE']}, '.acf': {'description': 'Adobe Custom Filter for PhotoShop', 'used_by': ['PhotoShop']}, '.acl': {'description': 'AutoCorrect List', 'used_by': ['Microsoft Office']}, '.acm': {'description': 'Audio Compression Module add-on', 'used_by': ['Win']}, '.acmb': {'description': 'Graphics file', 'used_by': ['']}, '.aco': {'description': 'Adobe Color Palette', 'used_by': ['Adobe']}, '.act': {'description': 'Presentation', 'used_by': ['Action!']}, '.ad': {'description': 'AfterDark screensaver module', 'used_by': ['AfterDark']}, '.ad2': {'description': 'ADPCM 2-bit compressed voice file', 'used_by': ['ZFAX']}, '.ad3': {'description': 'ADPCM 3-bit compressed voice file', 'used_by': ['ZFAX']}, '.ada': {'description': 'Ada source code file', 'used_by': ['']}, '.adb': {'description': 'Ada Package Body', 'used_by': ['']}, '.adc': {'description': 'Dictionary', 'used_by': ['Lingvo']}, '.add': {'description': 'OS/2 adapter device driver', 'used_by': ['']}, '.adef': {'description': 'Legato Application Definition', 'used_by': ['Legato.io build tools mkapp and mksys']}, '.adf': {'description': 'Amiga Disk File', 'used_by': ['unADF, UAE, WinUAE etc...']}, '.adg': {'description': 'Data', 'used_by': ['ADG 3D Scene']}, '.adi': {'description': 'Database Table', 'used_by': ['Advantage Database Server']}, '.adicht': {'description': 'LabChart data acquisition file', 'used_by': ['ADInstruments']}, '.adl': {'description': 'ADONIS Definition Language file for exporting models and model groups', 'used_by': ['ADONIS']}, '.adm': {'description': 'ADEM file format', 'used_by': ['ADEM']}, '.adn': {'description': 'Add-in', 'used_by': ['Lotus 1-2-3']}, '.adr': {'description': 'After Dark support file', 'used_by': ['AfterDark']}, '.ads': {'description': 'Ada Package Specification', 'used_by': ['']}, '.adson': {'description': 'Adsonica sound and image file', 'used_by': ['Adsonica']}, '.adt': {'description': 'Fax', 'used_by': ['AdTech']}, '.adv': {'description': 'GUS device driver', 'used_by': ['Gf166.com']}, '.adx': {'description': 'Document', 'used_by': ['Archetype Designer']}, '.adz': {'description': 'Amiga Disk Zipped (See Amiga Disk File)', 'used_by': ['GZip']}, '.aep': {'description': 'After Effects Project File', 'used_by': ['Adobe After Effects']}, '.aes': {'description': 'File encrypted using the Advanced Encryption Standard (AES)', 'used_by': ['AES Crypt (Windows, Mac, Linux, Java) and Crypt4All (Android)']}, '.af2': {'description': 'Flowchart', 'used_by': ['ABC FlowCharter 2.0']}, '.af3': {'description': 'Flowchart', 'used_by': ['ABC FlowCharter 3.0']}, '.afi': {'description': 'Truevision bitmap graphics', 'used_by': ['']}, '.afl': {'description': 'Font file (for Always)', 'used_by': ['Lotus 1-2-3']}, '.afm': {'description': 'Type 1 font metric ASCII data for font installer', 'used_by': ['ATM - many']}, '.afp': {'description': 'Shape palette', 'used_by': ['ABC FlowCharter']}, '.aft': {'description': 'Template', 'used_by': ['ABC FlowCharter 3.0']}, '.afw': {'description': 'Workplace', 'used_by': ['ABC FlowCharter 3.0']}, '.agr': {'description': 'ArcView ASCII grid', 'used_by': ['']}, '.ahk': {'description': 'AutoHotkey script file', 'used_by': ['AutoHotkey']}, '.ai': {'description': 'An AI file is a drawing created with Adobe Illustrator, a vector graphics editing program. It is composed of paths connected by points, rather than bitmap image data. AI files are commonly used for logos and print media.', 'used_by': ['Adobe Illustrator 2020', 'Adobe Acrobat DC', 'Adobe Photoshop 2020', 'Apple Preview', 'Inkscape', 'IMSI TurboCAD Deluxe', 'CorelDRAW Graphics Suite 2020', 'GIMP']}, '.aif': {'description': 'An AIF file is an audio file created using the Audio Interchange File Format (AIFF). It contains uncompressed CD-quality audio similar to a .WAV file and is commonly used to store standard CD audio.', 'used_by': ['Apple QuickTime Player', 'Apple iTunes', 'Adobe Audition CC 2019', 'Apple GarageBand 10', 'Microsoft Windows Media Player']}, '.aifc': {'description': 'Audio Interchange File Format with Compression', 'used_by': ['Apple iTunes', 'Apple QuickTime Player', 'Adobe Audition CC 2019', 'Nullsoft Winamp', 'Microsoft Windows Media Player']}, '.aiff': {'description': 'Audio Interchange File Format', 'used_by': ['Convert (c) Villena']}, '.aim': {'description': 'Asm Text Mode Image File', 'used_by': ['The Ultimate Draw']}, '.ain': {'description': 'Job schedule', 'used_by': ['AutoIntern']}, '.aio': {'description': 'APL programming language file transfer format file', 'used_by': ['']}, '.air': {'description': 'Adobe AIR installation package', 'used_by': ['The Adobe AIR runtime environment']}, '.ais': {'description': 'Array of Intensity Samples graphics file', 'used_by': ['Xerox']}, '.aix': {'description': 'Datafile for cardfile application', 'used_by': ['HP NewWave']}, '.akm': {'description': '"Akai Multitimbral" sample information file', 'used_by': ['Akai S5000 and S6000 hardware samplers (MS-DOS-based) and compatible software samplers']}, '.akp': {'description': '"Akai Program" sample information file', 'used_by': ['Akai S5000 and S6000 hardware samplers (MS-DOS-based) and compatible software samplers']}, '.alc': {'description': 'Molecular coordinates', 'used_by': ['Alchemy, RasMol']}, '.alg': {'description': 'ER Mapper Algorithm', 'used_by': ['ERViewer']}, '.ale': {'description': 'Avid Log Exchange (used in film & video editing)', 'used_by': ['Avid']}, '.all': {'description': 'General printer information', 'used_by': ['WordPerfect for Win']}, '.aln': {'description': 'CLUSTALW format[2]', 'used_by': ['']}, '.alo': {'description': 'Almanac support file', 'used_by': ['']}, '.alt': {'description': 'Menu file', 'used_by': ['WordPerfect Library']}, '.alz': {'description': 'AlZip Compressed Files', 'used_by': ['']}, '.amd': {'description': 'Maxum chromatograph offline database', 'used_by': ['Siemens Maxum Chromatograph']}, '.amf': {'description': 'Additive Manufacturing File Format', 'used_by': ['Computer Aided Design Software']}, '.amg': {'description': 'System image file', 'used_by': ['ACTOR']}, '.aml': {'description': 'AutomationML', 'used_by': ['AutomationML Group']}, '.amlx': {'description': 'Compressed and packed AutomationML file', 'used_by': ['AutomationML Group']}, '.ampl': {'description': 'AMPL source code file', 'used_by': ['AMPL']}, '.amr': {'description': 'Audio format for mobile phones (Nokia, SonyEricsson)', 'used_by': ['']}, '.ams': {'description': 'Music format', 'used_by': ['']}, '.ani': {'description': 'Animation', 'used_by': ['IconAuthor']}, '.anm': {'description': 'Animation', 'used_by': ['Deluxe Paint Animator']}, '.anim': {'description': "Trainz Animation specification file, for example a steam locomotive's connecting rod movements, or water movement on a river or lake motion. (Obsolescent)", 'used_by': ['Trainz/Auran JET files']}, '.ann': {'description': 'Multi volume ARJ archive', 'used_by': ['ARJ']}, '.ans': {'description': 'ASCII text ANSI character set', 'used_by': ['NewWave Write']}, '.aol': {'description': 'America On-line for Windows DLL', 'used_by': ['Win']}, '.aos': {'description': 'Add-On Software', 'used_by': ['Nokia 9000']}, '.ap': {'description': 'Datafile', 'used_by': ['Datalex EntryPoint 90']}, '.apc': {'description': 'Printer driver', 'used_by': ['Lotus 1-2-3']}, '.apd': {'description': 'Printer driver', 'used_by': ['Lotus 1-2-3']}, '.ape': {'description': "Monkey's Audio (Lossless)", 'used_by': ['audio media players']}, '.apf': {'description': 'Printer driver', 'used_by': ['Lotus 1-2-3']}, '.api': {'description': 'Printer driver', 'used_by': ['Lotus 1-2-3']}, '.apk': {'description': "An APK file is an app created for Android, Google's mobile operating system. Some apps come pre-installed on Android devices, while other apps can be downloaded from Google Play. Apps downloaded from Google Play are automatically installed on your device, while those downloaded from other sources must be installed manually.", 'used_by': ['Google Android SDK', 'Apple Archive Utility', 'BlueStacks', 'Corel WinZip 24', '7-Zip', 'RARLAB WinRAR', 'Genymotion']}, '.apl': {'description': 'ACDSee plugin', 'used_by': ['ACDSee']}, '.apm': {'description': 'Authorware Macintosh', 'used_by': ['Authorware']}, '.app': {'description': 'An APP file is an application bundle that runs under macOS, an operating system (OS) developed by Apple and designed to run on Macintosh computers. It stores multiple directories, such as Contents, Resources, and Frameworks, which contain various files that make up the application. APP files are executable files similar to .EXE files in Windows and run when double-clicked.', 'used_by': ['Apple macOS']}, '.application': {'description': 'ClickOnce Application Deployment Manifest', 'used_by': ['Microsoft Windows']}, '.apr': {'description': 'Employee performance review', 'used_by': ['Employee Appraiser']}, '.apw': {'description': 'Authorware Windows', 'used_by': ['Authorware']}, '.apx': {'description': 'Appexpert database file', 'used_by': ['Borland C++ 4.5']}, '.aqf': {'description': 'Analyzer Queries and Filters', 'used_by': ['Actix']}, '.ar': {'description': 'Argon - for 3D Modeling', 'used_by': ['Ashlar-Vellum']}, '.ar7': {'description': 'Archive', 'used_by': ['AR7']}, '.arc': {'description': 'Nintendo proprietary archive format', 'used_by': ['Various Nintendo games']}, '.ard': {'description': 'Map', 'used_by': ['Holux - Alan']}, '.arf': {'description': 'Automatic Response File', 'used_by': ['']}, '.arff': {'description': 'Weka data file', 'used_by': ['Weka']}, '.arh': {'description': 'Archivers definitions file', 'used_by': ['DN']}, '.ari': {'description': 'Archive', 'used_by': ['ARI']}, '.arj': {'description': 'Archive', 'used_by': ['ARJ - ARJZ']}, '.ark': {'description': 'Managing your Money Archive File', 'used_by': ['']}, '.arr': {'description': 'Arrangement', 'used_by': ['Atari Cubase']}, '.art': {'description': 'Graphics format (Another Ray Tracer)', 'used_by': ['PFS:1st publisher - Art Import']}, '.artx': {'description': 'file format', 'used_by': ['belightsoft Text Art']}, '.arx': {'description': 'Archive', 'used_by': ['ARX']}, '.as': {'description': 'Adaptive Script File', 'used_by': ['Adaptive Framework']}, '.asax': {'description': 'ASP.NET global application file[3]', 'used_by': ['']}, '.asc': {'description': 'Transport armor file', 'used_by': ['PGP']}, '.ascx': {'description': 'ASP.NET User Control[3]', 'used_by': ['']}, '.asd': {'description': 'Spectral Data Set', 'used_by': ['ASD Inc. RS3 spectral acquisition program']}, '.ase': {'description': 'ASCII Scene Export', 'used_by': ['3D Studio']}, '.asf': {'description': 'An ASF file is a media file stored in the Advanced Systems Format (ASF), a proprietary video and audio container format. It may store only audio data, or video and audio data, along with optional metadata, such as title, author, and copyright bibliographic data. ASF files are developed by Microsoft primarily for streaming media online.', 'used_by': ['VideoLAN VLC media player', 'Microsoft Windows Media Player', 'CyberLink PowerProducer 6', 'Nullsoft Winamp']}, '.ask': {'description': 'SYSGEN answer file', 'used_by': ['RT-11']}, '.ash': {'description': 'Assembly language header file', 'used_by': ['TASM 3.0']}, '.ashx': {'description': 'ASP.NET handler file[3]', 'used_by': ['']}, '.asi': {'description': 'Assembler include file', 'used_by': ['Turbo C - Borland C++']}, '.asm': {'description': 'Assembler language source', 'used_by': ['TASM, MASM, NASM, Yasm, FASM']}, '.asmx': {'description': 'ASP.NET Web Service[3]', 'used_by': ['Microsoft Corporation']}, '.aso': {'description': 'Assembler object (object-oriented) file', 'used_by': ['Turbo Assembler']}, '.asp': {'description': "An ASP file is a webpage created by a web developer that resides on a web server and may contain scripts written in VBScript or JavaScript. It is parsed on the server, which generates HTML that is sent to the client's browser. ASP files are commonly used by ASP.NET sites and websites hosted on Windows servers running Microsoft IIS.", 'used_by': ['Any Web browser', 'Any text editor', 'Adobe Dreamweaver 2020', 'Adobe Fireworks']}, '.aspx': {'description': "Microsoft Visual Studio CodeAn ASPX file is an Active Server Page Extended (ASPX) file, which is a webpage generated by web servers running the Microsoft ASP.NET framework. It contains one or more scripts written in VBScript or C# code that are processed by the web server into HTML, which is sent to the user's web browser. ASPX files are often written with Microsoft Visual Web Developer and designed for the Microsoft ASP.NET framework.", 'used_by': ['Adobe Dreamweaver 2020', 'Any Web browser', 'Microsoft Visual Web Developer', 'Microsoft Visual Studio 2019']}, '.ass': {'description': 'Advanced SubStation Alpha (Subtitles)', 'used_by': ['Aegisub']}, '.ast': {'description': 'Nintendo proprietary music streaming format', 'used_by': ['Various Nintendo games']}, '.asv': {'description': 'Autosave File', 'used_by': ['MATLAB']}, '.asw': {'description': 'Authorware Star', 'used_by': ['Authorware']}, '.asx': {'description': 'Advanced Stream Redirector file, redirects to an ASF file (see ASF)', 'used_by': ['Microsoft Corporation']}, '.asz': {'description': 'Skin', 'used_by': ['AltDesk']}, '.at2': {'description': 'Auto template', 'used_by': ['Aldus Persuasion 2.0']}, '.at3': {'description': 'Atrac 3 Sound/music file', 'used_by': ['All Sony devices and programs with the Atrac 3+ specification']}, '.atm': {'description': 'Adobe Type Manager data/info', 'used_by': ['']}, '.atml': {'description': 'Awhcp HTML file', 'used_by': ['']}, '.atn': {'description': 'Adobe Photoshop action', 'used_by': ['Adobe Photoshop']}, '.att': {'description': 'AT&T Group', 'used_by': ['GCGW']}, '.attf': {'description': 'AramOS TypeAtor Text File', 'used_by': ['AramOS TypeAtor 1.0 (Development State)']}, '.aty': {'description': 'Produced when an association type is exported by 3D Topicscape', 'used_by': ['3D Topicscape']}, '.au': {'description': 'Sound (audio) file', 'used_by': ['Sun Microsystems - Convert (c) Villena']}, '.aud': {'description': 'Audio file', 'used_by': ['AudioRack']}, '.aup': {'description': 'Audacity project file', 'used_by': ['Audacity']}, '.aus': {'description': 'Kedit AutoSave file', 'used_by': ['Kedit']}, '.aux': {'description': 'Auxiliary references', 'used_by': ['TeX/LaTeX']}, '.auz': {'description': 'Ableton Live File', 'used_by': ['Authorization File for Ableton Live']}, '.ava': {'description': 'Publication', 'used_by': ['Avagio']}, '.avb': {'description': 'AntiViral Toolkit Pro Bases', 'used_by': ['']}, '.avi': {'description': 'An AVI file is a video file saved in the Audio Video Interleave (AVI) multimedia container format created by Microsoft. It stores video and audio data that may be encoded in a variety of codecs, including DivX and XviD. AVI files can be opened by various videos players, such as Microsoft Movies & TV, Windows Media Player, and Apple QuickTime Player, which are bundled with their respective operating systems.', 'used_by': ['Apple QuickTime Player', 'Adobe Premiere Pro 2020', 'VideoLAN VLC media player', 'Microsoft Windows Media Player', 'Microsoft Movies & TV', 'Adobe After Effects 2020']}, '.avr': {'description': 'Audio Visual Research', 'used_by': ['AWAVE']}, '.avs': {'description': 'Audio Video Software', 'used_by': ['AVS Video Editor (video editing software)']}, '.avt': {'description': 'AVATAR-coding files', 'used_by': ['A3E']}, '.aw': {'description': 'Proprietry Nintendo wave format', 'used_by': ['Various home console Nintendo games']}, '.awa': {'description': 'Animations Works Accelerated Movie', 'used_by': ['Animation Works']}, '.awd': {'description': 'Microsoft Fax At Work Document', 'used_by': ['Microsoft Fax At Work']}, '.awk': {'description': 'AWK script/program', 'used_by': ['awk, GNU Awk, mawk, nawk, MKS AWK, Awka (compiler)']}, '.awm': {'description': 'Animations Works Movie (as .AVI)', 'used_by': ['Animation Works']}, '.aws': {'description': 'Data (APL Workspace)', 'used_by': ['STATGRAPHICS (APL*Plus/PC)']}, '.ax': {'description': 'Directshow filter file format', 'used_by': ['']}, '.axd': {'description': 'ASP.NET handler file[3]', 'used_by': ['']}, '.axf': {'description': '"lightweight geodatabase" [1]', 'used_by': ['ESRI ArcPad']}, '.axm': {'description': 'Axmedis object', 'used_by': ['Axmedis Tools']}, '.azd': {'description': 'Amazon Software Download', 'used_by': ['Amazon Software Download']}, '.azw': {'description': 'DRM enabled eBook', 'used_by': ['All models of Amazon Kindle']}, '.azw1': {'description': 'DRM enabled eBook with embedded fonts', 'used_by': ['All models Amazon Kindle']}, '.azw2': {'description': 'Program file', 'used_by': ['All models of Amazon Kindle excluding Kindle 1']}, '.azz': {'description': 'Data file', 'used_by': ['AZZ Cardfile']}, '.atsofts': {'description': 'Encrypted File', 'used_by': ['[4] LetEncrypt.xyz']}, '.b1': {'description': 'Archive file format', 'used_by': ['B1 Free Archiver']}, '.b&w': {'description': 'Mono binary screen image', 'used_by': ['1st Reader']}, '.b': {'description': 'A B file is a saved game file created by Grand Theft Auto III (GTA3), an automotive-based action game. It saves gameplay information so the game can be resumed from the save point at a later time. B files are used by multiple editions of GTA3, including Vice City and San Andreas.', 'used_by': ['Rockstar Games Grand Theft Auto 3', 'Rockstar Games Grand Theft Auto: Vice City', 'Rockstar Games Grand Theft Auto: San Andreas']}, '.b_w': {'description': 'Black and white graphics file', 'used_by': ['Atari - mac']}, '.b1n': {'description': 'Both mono and color binary screen image', 'used_by': ['1st Reader']}, '.b30': {'description': 'Printer font (JLaser - Cordata)', 'used_by': ['Corel Ventura Publisher']}, '.b3d': {'description': 'Blitz3D files', 'used_by': ['Blitz3D']}, '.b8': {'description': 'Raw graphics file (one byte per pixel) plane two', 'used_by': ['PicLab']}, '.ba': {'description': 'Binary Archive', 'used_by': ['Scifer Archiver and Compression [External Header Mode]']}, '.bac': {'description': 'Compiled BASIC', 'used_by': ['RT-11 BASIC-11']}, '.bad': {'description': 'File which covers bad blocks on disk volume (not to be moved)', 'used_by': ['RT-11']}, '.bak': {'description': 'A BAK file is a backup of the Google Chrome or Mozilla Firefox bookmarks file, which can be used to replace saved bookmarks in case the main bookmarks file becomes corrupt. It is automatically generated by the Chrome or Firefox web browser and is typically named bookmarks.bak.', 'used_by': ['Google Chrome', 'Mozilla Firefox']}, '.bal': {'description': 'Music score', 'used_by': ['Ballade']}, '.balance': {'description': 'Balance accounting sheet file', 'used_by': ['Balance']}, '.bap': {'description': 'Blaze Audio Wave Information File', 'used_by': ['BlazeAudio MadCap Software']}, '.bar': {'description': 'Broker Archive. Compressed file containing number of other files for deployment.[5]', 'used_by': ['IBM WebSphere Message Broker']}, '.bas': {'description': 'BASIC language source', 'used_by': ['QuickBASIC - GW-BASIC - FreeBASIC']}, '.bat': {'description': 'A BAT file is a DOS batch file used to execute commands with the Windows Command Prompt (cmd.exe). It contains a series of line commands in plain text that are executed to perform various tasks, such as starting programs or running maintenance utilities within Windows.', 'used_by': ['Parallels Desktop for Mac with Windows installed', 'A virtual machine with Windows Installed', 'Microsoft Windows Command Prompt', 'Microsoft Windows', 'Any text editor']}, '.bb': {'description': 'Database backup', 'used_by': ['Papyrus Design Group']}, '.bbl': {'description': 'Bibliographic reference file', 'used_by': ['TeX/BibTeX']}, '.bbm': {'description': 'Brush', 'used_by': ['Deluxe Paint']}, '.bbp': {'description': 'Playlist', 'used_by': ['BassBox']}, '.bbq': {'description': 'BitBeamer Transfer Queue file', 'used_by': ['BitBeamer']}, '.bbs': {'description': 'Hudson-style messagebase', 'used_by': ['FTN software']}, '.bc!': {'description': 'Unfinished download', 'used_by': ['Unfinished BitComet download (a BitTorrent client)']}, '.bcd': {'description': 'Boot Configuration Data', 'used_by': ['Windows Vista and later, Registry Editor']}, '.bcf': {'description': 'Card data', 'used_by': ['Bingo Card Creator']}, '.bch': {'description': 'Datafile', 'used_by': ['Datalex EntryPoint 90']}, '.bco': {'description': 'Outline font description', 'used_by': ['Bitstream Inc.']}, '.bcp': {'description': 'Borland C++ makefile', 'used_by': ['']}, '.bct': {'description': 'Backup dictionary', 'used_by': ['Clarion']}, '.bcw': {'description': 'Environment settings', 'used_by': ['Borland C++ 4.5']}, '.bdb': {'description': 'Bookends database', 'used_by': ['Bookends']}, '.bdc': {'description': 'Dictionary', 'used_by': ['Lingvo']}, '.bdef': {'description': 'Builder Definition', 'used_by': ['Websphere Portlet Factory']}, '.bdf': {'description': 'Datafile', 'used_by': ['Egret']}, '.bdic': {'description': 'Google Chrome Dictionary', 'used_by': ['Google Chrome']}, '.bdm': {'description': 'Videoclip', 'used_by': ['AVCHD']}, '.bdmv': {'description': 'Blu-ray Video Data Content file', 'used_by': ['Media players / software that supports Blu-ray structure']}, '.bdr': {'description': 'Border', 'used_by': ['Microsoft Publisher']}, '.bdt': {'description': 'Behandlungsdatentransfer, an xDT application', 'used_by': ['Healthcare providers in Germany']}, '.beam': {'description': 'Executable bytecode file in fat binary format', 'used_by': ['BEAM (Erlang virtual machine)[6]']}, '.bef': {'description': 'Bleck Encrypted File', 'used_by': ['']}, '.bem': {'description': 'BIM Cost estimating file', 'used_by': ['BIMestiMate']}, '.bez': {'description': 'Outline font description', 'used_by': ['Bitstream']}, '.bf': {'description': 'Brainfuck sourcefile', 'used_by': ['']}, '.bf2': {'description': 'Bradford 2 font', 'used_by': ['']}, '.bfc': {'description': 'Briefcase Win95', 'used_by': ['Win95']}, '.bfm': {'description': 'Font metrics', 'used_by': ['unix/Frame']}, '.bfs': {'description': 'Binary File Storage', 'used_by': ['']}, '.bfx': {'description': 'Fax', 'used_by': ['BitFax']}, '.bga': {'description': 'Bitmap graphics', 'used_by': ['']}, '.bgi': {'description': 'Borland Graphics Interface device driver', 'used_by': ['Turbo C - Turbo Pascal']}, '.bgs': {'description': 'Minecraft JSON Book Generator file', 'used_by': ['Minecraft JSON Book Generator']}, '.bh': {'description': 'Blackhole', 'used_by': ['data compression format']}, '.bi': {'description': 'BASIC include file', 'used_by': ['Visual Basic - FreeBASIC']}, '.bib': {'description': 'Literature database', 'used_by': ['TeX/BibTeX']}, '.bif': {'description': 'Binary Image Format b&w graphics file', 'used_by': ['Image Capture board']}, '.bik': {'description': 'Bink Video file (RAD Video)', 'used_by': ['']}, '.bim': {'description': 'Building Information Modeling', 'used_by': ['ArchiCAD / Autodesk Revit']}, '.bin': {'description': 'A BIN file is a file that stores data in a binary format. It is different than a text-based file, which can be edited in a text editor. BIN files may be created by a variety of different programs but typically cannot be manually edited.', 'used_by': ['Open with program that created the file']}, '.bio': {'description': 'OS/2 BIOS', 'used_by': ['']}, '.bit': {'description': 'Encrypted file', 'used_by': ['FinalCrypt']}, '.bk!': {'description': 'Document backup', 'used_by': ['WordPerfect for Win']}, '.bk': {'description': 'Faxbook', 'used_by': ['JetFax']}, '.bk?': {'description': 'Backup file', 'used_by': ['']}, '.bkc': {'description': 'Backup catalog', 'used_by': ['Backup4all']}, '.bkf': {'description': 'Backup archive', 'used_by': ['Windows NTBackup Utility']}, '.bkn': {'description': 'Timed backup file for document window n', 'used_by': ['WordPerfect for Win']}, '.bkp': {'description': 'Backup file', 'used_by': ['Write - TurboVidion DialogDesigner']}, '.bkw': {'description': 'Mirror image of font set', 'used_by': ['FontEdit']}, '.blc': {'description': 'BLC format[2]', 'used_by': ['']}, '.bld': {'description': 'SYSGEN Build procedure file', 'used_by': ['RT-11']}, '.blend': {'description': 'Blender3D Project File', 'used_by': ['Blender']}, '.blg': {'description': 'Backup Log', 'used_by': ['ARCSOLO']}, '.blk': {'description': 'Temporary file', 'used_by': ['WordPerfect for Win']}, '.blob': {'description': 'Unknown', 'used_by': ['Steam (software) for Win']}, '.blp': {'description': 'Blizzard Game Picture', 'used_by': ['Blizzard Entertainment games (various)']}, '.bm': {'description': 'BitMap graphics file', 'used_by': ['']}, '.bm3': {'description': 'UIQ3 Phone backup', 'used_by': ['']}, '.bmd': {'description': 'Nintendo proprietary 3D model file', 'used_by': ['Various Nintendo games']}, '.bmk': {'description': 'Bookmark of old Windows Help file', 'used_by': ['Windows 3.0 - XP']}, '.bmp': {'description': 'A BMP file is an uncompressed raster image comprised of a rectangular grid of pixels. It contains a file header (bitmap identifier, file size, width, height, color options, and bitmap data starting point) and bitmap pixels, each with a different color.', 'used_by': ['Apple Preview', 'Apple Photos', 'Adobe Photoshop 2020', 'Adobe Illustrator 2020', 'CorelDRAW Graphics Suite 2020', 'Adobe Photoshop Elements 2020', 'Microsoft Photos', 'Microsoft Paint', 'Microsoft Windows Photo Viewer']}, '.bmpw': {'description': 'bitmap world-file - geo-references info', 'used_by': ['']}, '.bms': {'description': 'Nintendo proprietary MIDI tracker format', 'used_by': ['Various Nintendo games']}, '.bmt': {'description': 'Ami Pro Button', 'used_by': ['Ami Pro']}, '.bna': {'description': 'Data', 'used_by': ['Atlas Boundary']}, '.bnk': {'description': 'Adlib instrument bank file', 'used_by': ['']}, '.bnr': {'description': 'Graphics Banner', 'used_by': ['Banner - Poster']}, '.bob': {'description': 'File archive for Lego Island 2', 'used_by': ['Lego Island 2']}, '.bod': {'description': 'Stores paths to game files in a BOB archive', 'used_by': ['Lego Island 2']}, '.bok': {'description': 'Shamela Library book', 'used_by': ['Shamela Library Program']}, '.boo': {'description': 'Boo programming language source file', 'used_by': ['Boo Programming Language']}, '.bot': {'description': 'Bot files, these go with JKB files', 'used_by': ['Quake 3 Engine']}, '.bpc': {'description': 'Chart', 'used_by': ['Business Plan Toolkit']}, '.bpoly': {'description': 'Data', 'used_by': ['Prisms binary 3D object']}, '.bpp': {'description': 'Backup application', 'used_by': ['Clarion']}, '.bps': {'description': 'Binary file commonly used in computer malware', 'used_by': ['Certain antivirus programs and computer malware']}, '.bpt': {'description': 'Bitmap fills file', 'used_by': ['CorelDRAW']}, '.bpw': {'description': 'Bitser proprietary encrypted password file', 'used_by': ['Bitser password manager']}, '.br': {'description': 'Script', 'used_by': ['Bridge']}, '.brd': {'description': 'Cadence Allegro board file', 'used_by': ['Cadence']}, '.brf': {'description': 'Braille', 'used_by': ['Braille embossers and refreshable displays']}, '.brk': {'description': 'The Brake! Mailer REXX script', 'used_by': ['The Brake!']}, '.brl': {'description': 'CAD', 'used_by': ['Ballistic Research Laboratory CAD']}, '.browser': {'description': 'ASP.NET browser definition file[3]', 'used_by': ['']}, '.bs': {'description': 'Boot sector file', 'used_by': ['SYSLINUX']}, '.bs2': {'description': 'Archive', 'used_by': ['BS2.EXE']}, '.bsa': {'description': 'Archive', 'used_by': ['BSArc']}, '.bsc': {'description': 'Pwbrmake object file', 'used_by': ['Microsoft Fortran']}, '.bsp': {'description': 'id Tech map files', 'used_by': ['id Software']}, '.bss': {'description': 'Casio Phone base', 'used_by': ['PC-LINK']}, '.bst': {'description': 'BiblioTex file (BiblioTex=bibliography file)', 'used_by': ['TeX']}, '.bsy': {'description': 'Busy flag', 'used_by': ['FTN soft']}, '.btm': {'description': 'Batch-to-memory (quick batch)', 'used_by': ['4dos -ndos']}, '.btn': {'description': 'Makeover Button file', 'used_by': ['']}, '.btx': {'description': 'backup of 4DOS batch files (_4INST.BTM)', 'used_by': ['4DOS']}, '.bufr': {'description': 'Binary Universal Form for the Representation of Meteorological Data', 'used_by': ['']}, '.bug': {'description': 'Bugs and Problems', 'used_by': ['']}, '.bun': {'description': 'LucasArts Bundle File', 'used_by': ['']}, '.bup': {'description': 'Backup file', 'used_by': ['']}, '.but': {'description': 'Button definitions', 'used_by': ['Buttons!']}, '.buy': {'description': 'Datafile format', 'used_by': ['movie']}, '.bvf': {'description': 'BIM model file format', 'used_by': ['BIM Vision']}, '.bvn': {'description': 'Overflow file below insert point in Doc n', 'used_by': ['WordPerfect for Win']}, '.bwb': {'description': 'Spreadsheet application', 'used_by': ['Visual Baler']}, '.bwr': {'description': 'Beware (buglist)', 'used_by': ['Kermit']}, '.byk': {'description': 'BYK Compressed File', 'used_by': ['BYK']}, '.byu': {'description': 'BYU Movie', 'used_by': ['BYU']}, '.bz2': {'description': 'Archive', 'used_by': ['bzip2']}, '.bzm': {'description': 'Map', 'used_by': ['Blitzkrieg']}, '.bzn': {'description': 'Map file', 'used_by': ['Star Trek Armada II Fleet Operations map file']}, '.c--': {'description': 'C-- language source', 'used_by': ['Sphinx C--']}, '.c': {'description': "A C file is a source code file for a C or C++ program. It may include an entire program's source code, or may be one of many source files referenced within a programming project. C files can be edited using a basic text editor, but will not show syntax highlighting like most software development programs do.", 'used_by': ['Apple Xcode', 'Microsoft Visual Studio 2019', 'Microsoft Visual Studio Code', 'Code::Blocks', 'GNU Emacs', 'Eclipse CDT']}, '.c++': {'description': 'C++ language source', 'used_by': ['']}, '.c00': {'description': 'Print file', 'used_by': ['Ventura Publisher']}, '.c01': {'description': 'Typhoon wave files', 'used_by': ['AWAVE']}, '.c32': {'description': 'COMBOOT Executable (32-bit)', 'used_by': ['SYSLINUX']}, '.c86': {'description': 'C source code file', 'used_by': ['Computer Innovation C86']}, '.ca': {'description': 'Initial cache data for root domain servers', 'used_by': ['Telnet']}, '.ca?': {'description': 'Borland packed and split file', 'used_by': ['Borland Installer']}, '.cab': {'description': 'A CAB file is a Windows Cabinet file saved in an archive format native to Microsoft Windows that supports .ZIP, Quantum, and LZX data compression algorithms. CAB files contain compressed data and is used for Windows software installations such as system files, network components, and device drivers.', 'used_by': ['Corel WinZip Mac 7', 'The Unarchiver', 'Microsoft Windows Installer', 'Corel WinZip 24', 'Microsoft System Configuration Utility', 'RARLAB WinRAR', '7-Zip']}, '.cac': {'description': 'dBASE IV executable when caching on/off (see cachedb.bat)', 'used_by': ['']}, '.cad': {'description': 'Document', 'used_by': ['Drafix Windows CAD']}, '.caf': {'description': 'Core Audio Format container', 'used_by': ['Apple']}, '.cal': {'description': 'Spreadsheet format', 'used_by': ['SuperCalc']}, '.cals': {'description': 'Support Raster Format', 'used_by': ['']}, '.cam': {'description': 'Casio Camera', 'used_by': ['']}, '.can': {'description': 'Fax', 'used_by': ['Navigator Fax']}, '.cap': {'description': 'Capture file', 'used_by': ['ProComm - Telix']}, '.cas': {'description': 'C + ASM language source', 'used_by': ['Turbo C']}, '.cat': {'description': 'Stellarium Star Catalogue', 'used_by': ['Stellarium']}, '.catdrawing': {'description': 'Drawing file of CATIA V5', 'used_by': ['CATIA V5']}, '.catpart': {'description': 'Part file of CATIA V5', 'used_by': ['CATIA V5']}, '.catproduct': {'description': 'Assembly file of CATIA V5', 'used_by': ['CATIA V5']}, '.cats': {'description': 'Combined source', 'used_by': ['ATS']}, '.cba': {'description': 'Source code', 'used_by': ['Creative BASIC']}, '.cbc': {'description': 'Fuzzy logic system', 'used_by': ['CubiCalc']}, '.cbl': {'description': 'COBOL source code file', 'used_by': ['']}, '.cbm': {'description': 'Compiled bitmap graphics', 'used_by': ['XLib']}, '.cbr': {'description': 'A CBR file is a compressed set of .JPEG, .PNG, or static .GIF images saved in a single .RAR archive with the ".cbr" extension. It contains pages that are automatically ordered and can be presented one or two at a time. CBR files are used for storing and displaying comic books or other collections of pages.', 'used_by': []}, '.cbs': {'description': 'MasterWord button bar configuration file', 'used_by': ['']}, '.cbt': {'description': 'Computer Based Training', 'used_by': ['many']}, '.cbz': {'description': 'Comic Book Reader (ZIP file)', 'used_by': ['CDisplay and similar']}, '.cc': {'description': 'CC language source', 'used_by': ['CC']}, '.ccc': {'description': 'Bitmap graphics (native format)', 'used_by': ['Curtain Call']}, '.ccd': {'description': 'text metadata for CD/DVD images', 'used_by': ['CloneCD Control File']}, '.ccf': {'description': 'Color Chat file', 'used_by': ['Color Chat File']}, '.cch': {'description': 'Chart', 'used_by': ['CorelChart']}, '.ccitt': {'description': 'CCITT Group 3 and Group 4 Encoding', 'used_by': ['']}, '.ccl': {'description': 'Communication Command Language file', 'used_by': ['Intalk']}, '.cco': {'description': 'BTX Graphics file', 'used_by': ['XBTX']}, '.cct': {'description': 'Print Template', 'used_by': ['BobCAD-CAM']}, '.cd': {'description': 'ASP.NET class diagram file[3]', 'used_by': ['']}, '.cda': {'description': 'CD-Audio', 'used_by': ['Win95']}, '.cdb': {'description': 'Main database', 'used_by': ['TCU Turbo C Utilities']}, '.cdf': {'description': 'Graphics', 'used_by': ['netcdf']}, '.cdk': {'description': 'Document', 'used_by': ['Atari Calamus']}, '.cdl': {'description': 'CADKey CADL Language', 'used_by': ['CADKey']}, '.cdm': {'description': 'Music format (compressed)', 'used_by': ['']}, '.cdo': {'description': 'Music notation', 'used_by': ['Crescendo Music Notation Editor']}, '.cdr': {'description': 'Disk Image File', 'used_by': ['Apple']}, '.cdt': {'description': 'Corel Draw Template File', 'used_by': ['CorelDraw!']}, '.cdx': {'description': 'Compound index file', 'used_by': ['Visual FoxPro, Advantage Database Server']}, '.ce': {'description': 'Main.ce', 'used_by': ['The FarSide Computer Calendar']}, '.ceb': {'description': 'Cont. Edge Bitmap', 'used_by': ['Conversion Artist']}, '.cef': {'description': 'Compact Embedded Font', 'used_by': ['Adobe Illustrator']}, '.ceg': {'description': 'Bitmap graphics', 'used_by': ['Tempra Show - Edsun Continuous Edge Graphics']}, '.cel': {'description': 'Celestia Script', 'used_by': ['Celestia']}, '.celx': {'description': 'Celestia Script', 'used_by': ['Celestia']}, '.cer': {'description': 'CalibreA CER file is a security file provided by a third party Certificate Authority, such as VeriSign or Thwate, that verifies the authenticity of a website. It is installed on a web server to establish the validity of a certain website hosted on the server.', 'used_by': ['Apple Safari', 'Mozilla Firefox', 'Adobe Acrobat Reader DC', 'Adobe Acrobat DC', 'Apple Keychain Access', 'Microsoft Internet Explorer', 'Google Chrome']}, '.cf': {'description': 'Configuration file', 'used_by': ['imake']}, '.cfa': {'description': 'Audio file', 'used_by': ['Adobe Premiere Pro']}, '.cfc': {'description': 'ColdFusion Component', 'used_by': ['Adobe ColdFusion']}, '.cfg': {'description': 'A CFG file is a generic preference file that stores settings and configuration information. It is used by various programs, which means different CFG files may store data in different formats. CFG files typically should not be opened manually but may be saved in a text format that can be viewed in a text editor.', 'used_by': ['Apple TextEdit', 'MacroMates TextMate', 'Vim']}, '.cfl': {'description': 'Chart', 'used_by': ['CorelFLOW']}, '.cfm': {'description': 'Microsoft NotepadA CFM file is a webpage that contains ColdFusion code, or CFML (ColdFusion Markup Language). It is dynamically executed by a ColdFusion web server when the page is accessed by a user. CFM files can run ColdFusion applications and scripts written in CFScript and may reference database information, generate forms, and create PDF reports on the fly.', 'used_by': ['Adobe ColdFusion 2018', 'Adobe ColdFusion Builder', 'Adobe Dreamweaver 2020', 'Microsoft Visual Studio Code', 'Sublime Text', 'A web browser', 'Any text editor']}, '.cfn': {'description': 'Font data', 'used_by': ['Atari Calamus']}, '.cfo': {'description': 'C Form Object internal format object file', 'used_by': ['TCU Turbo C Utilities']}, '.cfp': {'description': 'Fax', 'used_by': ['The Complete Fax Portable']}, '.cft': {'description': 'CFast graphics file', 'used_by': ['Disney Animation Studio']}, '.cga': {'description': 'CGA display font', 'used_by': ['Ventura Publisher']}, '.cgi': {'description': 'A CGI file is a Common Gateway Interface (CGI) script that is executed by a web server to create dynamic pages. It is typically written in Perl or C programming languages. CGI scripts are often stored in the "cgi-bin" folder within a website directory on a web server and can only be edited if they are not pre-compiled.', 'used_by': []}, '.cgm': {'description': 'Computer Graphics Metafile vector graphics', 'used_by': ['A&L - HG - many']}, '.ch': {'description': 'Clipper language header', 'used_by': ['CA Clipper']}, '.ch3': {'description': 'Chart', 'used_by': ['Harvard Graphics 3.0']}, '.ch4': {'description': 'Presentation', 'used_by': ['Charisma 4.0']}, '.chd': {'description': 'Font descriptor', 'used_by': ['FontChameleon']}, '.chi': {'description': 'ChiWriter Document', 'used_by': ['ChiWriter - Chiview']}, '.chk': {'description': 'Temporary file', 'used_by': ['WordPerfect for Win']}, '.chl': {'description': 'Configuration History Log', 'used_by': ['']}, '.chm': {'description': 'Compiled Help File', 'used_by': ['Microsoft Windows, Help Explorer Viewer']}, '.chml': {'description': 'Encrypted Data File', 'used_by': ['Krasbit Technologies, Chameleon Imaging Workflow Software']}, '.chn': {'description': 'Data', 'used_by': ['Ethnograph 3']}, '.cho': {'description': 'ChordPro lead sheet (lyrics and chords)', 'used_by': ['ChordPro and similar tools']}, '.chp': {'description': 'Chapter file', 'used_by': ['Ventura Publisher']}, '.chr': {'description': 'Character set', 'used_by': ['Turbo C - Turbo Pascal']}, '.cht': {'description': 'Interface file for ChartMaster', 'used_by': ['dBASE']}, '.chz': {'description': 'Archive', 'used_by': ['CHARC']}, '.cia': {'description': 'Nintendo 3DS importable archive', 'used_by': ['Nintendo 3DS']}, '.cif': {'description': 'Crystallographic Information File', 'used_by': ['RasMol, Jmol']}, '.cim': {'description': 'C Text Mode Image File', 'used_by': ['The Ultimate Draw']}, '.cix': {'description': 'Database index', 'used_by': ['TCU Turbo C Utilities']}, '.ckb': {'description': 'Borland C++ 4.x editor keystroke mapping', 'used_by': ['BCW.EXE']}, '.cl': {'description': 'COMMON LISP source code file', 'used_by': ['']}, '.cla': {'description': 'Source', 'used_by': ['Clarion']}, '.class': {'description': 'MacroMates TextMateA CLASS file is a compiled .JAVA file created by the Java compiler. It contains bytecode, which is binary program code that is executable when run by a Java Virtual Machine (JVM). CLASS files are commonly bundled into .JAR files, which are included in the $CLASSPATH environment variable for execution.', 'used_by': ['Oracle Java Runtime Environment', 'Eclipse IDE for Java Developers with JD-Eclipse plug-in', 'Apple Jar Launcher', 'JD-GUI']}, '.cld': {'description': 'Clipper debugger configuration file', 'used_by': ['CA Clipper']}, '.clj': {'description': 'Clojure source code', 'used_by': ['Clojure']}, '.clp': {'description': 'Graphics format', 'used_by': ['PCPAINT/Pictor']}, '.clpi': {'description': 'ClipAV Clip Information file for Blu-ray', 'used_by': ['Media hardware / software with Blu-ray structure support']}, '.clprj': {'description': 'ClassicLadder project file', 'used_by': ['ClassicLadder']}, '.clr': {'description': 'Palette file for GIS format', 'used_by': ['']}, '.cls': {'description': 'C++ class definition file', 'used_by': ['']}, '.clw': {'description': 'MFC Class Wizard information', 'used_by': ['Microsoft VC++']}, '.cm': {'description': 'Data file', 'used_by': ['CraftMan']}, '.cmb': {'description': 'Xtree for Windows Button Bar file', 'used_by': ['']}, '.cmd': {'description': 'OS/2 batch/REXX file', 'used_by': ['OS/2']}, '.cmf': {'description': 'FM-music file (Creative Music File)', 'used_by': ['']}, '.cmk': {'description': 'Card', 'used_by': ['Card Shop Plus']}, '.cmm': {'description': 'CMM script (batch) file', 'used_by': ['CEnvi']}, '.cmod': {'description': 'Celestia Model', 'used_by': ['Celestia']}, '.cmp': {'description': 'User dictionary', 'used_by': ['Microsoft Word for DOS']}, '.cmr': {'description': 'Coach 7 project file', 'used_by': ['Coach 7']}, '.cmrl': {'description': 'Concise message routing language', 'used_by': ['DOTGO']}, '.cms': {'description': 'Content Management System', 'used_by': ['Any Web Browser']}, '.cmu': {'description': 'Carnegie Mellon University Formats', 'used_by': ['']}, '.cmv': {'description': 'Animation (CorelMove CorelDraw 4.0)', 'used_by': ['CorelMove CorelDraw 4.0']}, '.cnc': {'description': 'CNC general program data', 'used_by': ['']}, '.cnd': {'description': 'System generation conditional file', 'used_by': ['RT-11']}, '.cnf': {'description': 'Configuration file', 'used_by': ['']}, '.cnt': {'description': 'contents table of old Windows Help file', 'used_by': ['Windows 3.0 - XP']}, '.cnv': {'description': 'Winword DLL used as part of an import operation (CNV=converter)', 'used_by': ['Microsoft Word']}, '.co': {'description': 'Cobalt - parametric drafting and 3D modeling', 'used_by': ['Ashlar-Vellum']}, '.cob': {'description': 'COBOL source code file', 'used_by': ['']}, '.cod': {'description': 'Videotext file', 'used_by': ['']}, '.coe': {'description': 'Coefficient file', 'used_by': ['Xilinx ISE']}, '.cof': {'description': 'Animation Control File', 'used_by': ['Diablo II']}, '.coffee': {'description': 'CoffeeScript source code file', 'used_by': ['']}, '.col': {'description': 'DIMACS graph data stores a single undirected graph (text and binary variants)', 'used_by': ['']}, '.com': {'description': 'A COM file is an executable program capable of being run by MS-DOS and Windows. It is saved in a binary format and is similar to an .EXE file, but differs in that it has a maximum size of roughly 64KB and it has no header or metadata. COM files are commonly used for executing a set of instructions whereas EXE files are used for fully developed programs.', 'used_by': ['Microsoft Windows', 'A virtual machine with Windows installed']}, '.con': {'description': 'MSTS Consist file', 'used_by': ['MSTS']}, '.compile': {'description': 'ASP.NET precompiled stub file[3]', 'used_by': ['']}, '.contact': {'description': 'Contact file', 'used_by': ['Windows']}, '.cpc': {'description': 'Compressed image', 'used_by': ['Cartesian Perceptual Compression']}, '.cpd': {'description': 'Script', 'used_by': ['Complaints Desk']}, '.cpf': {'description': 'Fax', 'used_by': ['The Complete Fax']}, '.cpi': {'description': 'Video clip information file', 'used_by': ['The AVCHD format']}, '.cpl': {'description': 'A CPL file is a control panel item, such as Displays, Mouse, Sound, or Networking, used by the Windows operating system. It is stored in the Windows\\System folder and loaded automatically when the Windows Control Panel is opened.', 'used_by': ['Microsoft Windows']}, '.cpmz': {'description': 'ConPro/Miradi Zipfile', 'used_by': ['Miradi and ConPro']}, '.cpp': {'description': 'A CPP file is a source code file written in C++, a popular programming language that adds features such as object-oriented programming to C. It may be a standalone program, containing all the code or one of many files referenced in a development project. CPP files must be compiled by a C++ compiler for the target platform before the code can be run.', 'used_by': ['Apple Xcode', 'Code::Blocks', 'Eclipse CDT', 'MacroMates TextMate', 'Microsoft Visual Studio 2019', 'Microsoft Visual Studio Code', 'GNU Compiler Collection (GCC)']}, '.cpr': {'description': 'Cubase Project File', 'used_by': ['Steinberg Cubase']}, '.cps': {'description': 'backup of startup files by QEMM (?) autoexec.cps', 'used_by': ['']}, '.cpt': {'description': 'Template', 'used_by': ['CA-Cricket Presents']}, '.cpz': {'description': 'Music text file', 'used_by': ['COMPOZ']}, '.cr2': {'description': 'Raw image format', 'used_by': ['Canon digital cameras']}, '.cra': {'description': 'Advanced crack file (usually text)', 'used_by': ['']}, '.crai': {'description': 'CRAM index', 'used_by': ['']}, '.crd': {'description': 'Molecular coordinates', 'used_by': ['CHARMM, RasMol']}, '.crdownload': {'description': 'A CRDOWNLOAD file is a partially downloaded file created by the Google Chrome web browser. It stores the contents of a file as it is being received by the browser and uses the .crdownload extension to mark the download as incomplete until it is finished, at which point the .crdownload extension is removed. CRDOWNLOAD files are similar to .PART files, which are used by the Mozilla Firefox web browser for partial downloads.', 'used_by': ['Google Chrome', 'Microsoft Edge', 'Chromium']}, '.crf': {'description': 'Cross-reference', 'used_by': ['Microsoft MASM - Zortech C++, RT-11 CREF']}, '.crk': {'description': 'Crack file (usually text)', 'used_by': ['']}, '.crp': {'description': 'Game asset texture', 'used_by': ['Cities: Skylines']}, '.crs': {'description': 'File Conversion Resource', 'used_by': ['WordPerfect 5.1']}, '.crt': {'description': 'Terminal settings information', 'used_by': ['Oracle']}, '.cru': {'description': 'Compressed file archive created by CRUSH', 'used_by': ['']}, '.crw': {'description': 'CrossWords document file', 'used_by': ['']}, '.crx': {'description': 'A CRX file is an extension that adds extra features or themes to the Google Chrome web browser. It is saved in a compressed format and may contain .JS, .JSON, and other files, such as images and executable programs. CRX files are used for installing browser addons such as games, ad blockers, and news readers.', 'used_by': ['Google Chrome', 'Microsoft Edge', 'Chromium', '7-Zip']}, '.cs': {'description': 'A CS file is a source code file written in C# (pronounced "C Sharp"), an object-oriented programming language created by Microsoft for use with the .NET Framework. It is used for developing a range of applications, from simple desktop programs to applications for distributed environments.', 'used_by': []}, '.csd': {'description': 'Compact Shared Document', 'used_by': ['Dream To Reality']}, '.csg': {'description': 'Graph', 'used_by': ['Statistica/w']}, '.cshtml': {'description': 'Razor page/view', 'used_by': ['']}, '.csm': {'description': 'Borland C++ 4.x precompiled header file', 'used_by': ['BCW.EXE']}, '.cso': {'description': 'ACDSee edit tool', 'used_by': ['ACDSee']}, '.csp': {'description': 'PC Emcee Screen Image file', 'used_by': ['Computer Support Corporation']}, '.csproj': {'description': 'C# project file', 'used_by': ['Microsoft Visual Studio']}, '.css': {'description': 'Adobe Dreamweaver 2020A CSS file is a cascading style sheet (CSS) file used to format the contents of a webpage. It contains customized, global properties for how to display HTML elements. CSS files can define the size, color, font, line spacing, indentation, borders, and location of HTML elements.', 'used_by': ['Adobe Dreamweaver 2020', 'Adobe ColdFusion Builder', 'Apple TextEdit', 'Microsoft Visual Studio 2019', 'Notepad++', 'Microsoft Visual Studio Code', 'Any web browser', 'Any text editor']}, '.csv': {'description': 'A CSV file is a comma separated values file commonly used by spreadsheet programs such as Microsoft Excel or OpenOffice Calc. It contains plain text data sets separated by commas with each new line in the CSV file representing a new database row and each database row consisting of one or more fields separated by a comma. CSV files are often opened by spreadsheet programs to be organized into cells or used for transferring data between databases.', 'used_by': ['Microsoft Excel 2019', 'Apache OpenOffice', 'LibreOffice']}, '.ctc': {'description': 'Control file', 'used_by': ['PC Installer']}, '.ctf': {'description': 'Character code translation file', 'used_by': ['Symphony']}, '.ctk': {'description': 'CommonTime Key file', 'used_by': ['CommonTime software applications']}, '.ctl': {'description': 'BATCH control file (generated by BATCH from .BAT file)', 'used_by': ['RT-11']}, '.ctt': {'description': 'BATCH Temporary file', 'used_by': ['RT-11']}, '.ctx': {'description': 'document', 'used_by': ['Creativyst Table eXchange']}, '.cue': {'description': 'A CUE file is a text file that defines the way tracks are organized on compact discs and super-audio CDs (SACDs). It may contain the song name, performer, and length of each track on the disc. CUE files are written in a standard format and therefore are recognized by most CD playback and editing programs.', 'used_by': ['VideoLAN VLC media player', 'NTI Dragon Burn 4', 'Roxio Toast 18', 'Roxio Creator NXT Pro 7', 'Any text editor']}, '.cuf': {'description': 'C Utilities Form definition', 'used_by': ['TCU Turbo C Utilities']}, '.cur': {'description': 'A CUR file is a cursor image or animation used for the Windows mouse pointer. It may be an arrow (for general use), a spinning hourglass (for waiting periods), or an I-bar (for text editing).', 'used_by': ['Inkscape', 'Microsoft Windows', 'Axialis CursorWorkshop', 'Greenfish Icon Editor Pro']}, '.cut': {'description': 'Graphics format (bitmapped graphics)', 'used_by': ['dr. Halo']}, '.cv4': {'description': 'Color file', 'used_by': ['CodeView']}, '.cvp': {'description': 'Cover page', 'used_by': ['WinFax']}, '.cvs': {'description': 'Graphics', 'used_by': ['Canvas']}, '.cvt': {'description': 'Backup file for CONVERTed database file', 'used_by': ['dBASE IV']}, '.cvw': {'description': 'Color file', 'used_by': ['CodeView']}, '.cw': {'description': 'Circuit Wizard Document', 'used_by': ['Circuit Wizard']}, '.cweb': {'description': 'C Web', 'used_by': ['']}, '.cwk': {'description': 'Datafile', 'used_by': ['ClarisWorks, Appleworks']}, '.cxx': {'description': 'C++ source code file', 'used_by': ['Zortech C++']}, '.cys': {'description': 'Cytoscape session file', 'used_by': ['Cytoscape']}, '.d': {'description': 'Directory containing configuration files (informal standard)', 'used_by': ['Unix']}, '.d3v': {'description': 'Video file', 'used_by': ['Nintendo DS (with ARME, MMCF etc.)']}, '.d4d': {'description': 'Data', 'used_by': ['Draw 4D object']}, '.d4p': {'description': 'Data', 'used_by': ['Draw 4D Pro object']}, '.d64': {'description': 'Commodore 64 disk image', 'used_by': ['']}, '.d88': {'description': 'Toshiba Pasopeia D88 disk image format', 'used_by': ['A series of emulators of Japanese computers']}, '.daa': {'description': 'Direct Access Archive', 'used_by': ['']}, '.dae': {'description': 'COLLADA file', 'used_by': ['']}, '.daf': {'description': 'Data file', 'used_by': ['Digital Anchor']}, '.dat': {'description': 'A DAT file is a generic data file created by a specific application. It may contain data in binary or text format (text-based DAT files can be viewed in a text editor). DAT files are typically accessed only by the application that created them.', 'used_by': ['Original program that created the file', 'Any text editor']}, '.dats': {'description': 'Dynamic source', 'used_by': ['ATS']}, '.dav': {'description': 'Proprietary DVR format', 'used_by': ['Recorded encrypted video from digital video recorders DVR365 or AlienDVR series[8]']}, '.db$': {'description': 'Temporary file', 'used_by': ['dBASE']}, '.db': {'description': 'A DB file is a database file used on mobile devices such as Android, iOS, and Windows Phone 7 mobile phones. It is often used to store contacts and SMS information but may store any type of device or application data. DB files are commonly stored in an SQLite database format but may also be locked or encrypted so the user cannot see the data directly. It can also be: A DB file is a generic database file that stores data in a structured format, typically with an arrangement of tables, table fields, field data types, and field values. It can be created by various database programs and exported into different formats, such as .CSV files. DB files may also be imported by multiple database programs and are used for gaming files as well.', 'used_by': []}, '.db2': {'description': 'Database', 'used_by': ['dBASE II']}, '.db3': {'description': 'Database', 'used_by': ['dBASE III']}, '.dba': {'description': 'DarkBasic source code', 'used_by': ['']}, '.dbc': {'description': 'DataBaseContainer', 'used_by': ['Visual FoxPro']}, '.dbd': {'description': 'Debug info', 'used_by': ['Clarion Modula-2']}, '.dbf': {'description': 'SQLiteA DBF file is a standard database file used by dBASE, a database management system application. It organizes data into multiple records with fields stored in an array data type. DBF files are also compatible with other "xBase" database programs, which arose because of the file format\'s popularity.', 'used_by': ['Planamesa NeoOffice', 'Apache OpenOffice', 'dBase', 'Microsoft Access 2019']}, '.dbfx': {'description': 'DevBox Database File', 'used_by': ['Pudince Devbox']}, '.dbg': {'description': 'Symbolic debugging information', 'used_by': ['Microsoft C/C++']}, '.dbk': {'description': 'Database backup', 'used_by': ['dBASE IV']}, '.dbl': {'description': 'Design Block file', 'used_by': ['EAGLE']}, '.dbm': {'description': 'Menu template', 'used_by': ['DataBoss']}, '.dbo': {'description': 'Compiled program', 'used_by': ['dBASE IV']}, '.dbpro': {'description': 'DarkBasicPro Project', 'used_by': ['']}, '.dbs': {'description': 'Printer description file', 'used_by': ['Microsoft Word, Microsoft Works']}, '.dbt': {'description': 'Memo file for database w/same name', 'used_by': ['dBASE IV - dBFast']}, '.dbw': {'description': 'Windows file', 'used_by': ['DataBoss']}, '.dbx': {'description': 'Archive File', 'used_by': ['Outlook Express']}, '.dc': {'description': 'CAD drawing file', 'used_by': ['DesignCAD 3000 for Windows']}, '.dc6': {'description': 'Image file', 'used_by': ['Diablo II']}, '.dca': {'description': 'Document Content Architecture text file', 'used_by': ['IBM DisplayWrite']}, '.dcc': {'description': 'Animation', 'used_by': ['Diablo II']}, '.dcd': {'description': 'CAD Drawing File', 'used_by': ['DesignCAD 3DMax for Windows']}, '.dcf': {'description': 'floppy disk image', 'used_by': ['Disk Copy Fast']}, '.dch': {'description': 'Schematic Drawing file', 'used_by': ['DipTrace Schematic Capture']}, '.dci': {'description': 'Dreamcast Save File', 'used_by': ['Dreamcast']}, '.dcl': {'description': 'Delphi Control Library', 'used_by': ['Borland Delphi']}, '.dcm': {'description': 'DCM music module', 'used_by': ['AWAVE']}, '.dcp': {'description': 'OS/2 device code page', 'used_by': ['OS/2']}, '.dcs': {'description': 'Datafile', 'used_by': ['ACT! Activity Files']}, '.dct': {'description': 'DataBaseContainer Extension', 'used_by': ['Visual FoxPro']}, '.dcu': {'description': 'Delphi unit (compiled)', 'used_by': ['Borland Delphi']}, '.dcw': {'description': 'Walter Machine Programing', 'used_by': ['Walter Profile Editor']}, '.dcx': {'description': 'DataBaseContainer Index', 'used_by': ['Visual FoxPro']}, '.dd': {'description': 'Macintosh file archive', 'used_by': ['DiskDoubler']}, '.dda': {'description': 'Data', 'used_by': ['GLBasic ASCII 3D object']}, '.ddb': {'description': 'Digidesign Database File', 'used_by': ['Digidesign Pro Tools']}, '.ddd': {'description': 'Building Diagram', 'used_by': ['Diagramming software']}, '.ddi': {'description': 'Disk image', 'used_by': ['DiskDupe']}, '.ddp': {'description': 'Device Driver Profile file', 'used_by': ['OS/2']}, '.dds': {'description': 'A DDS file is a raster image saved in the DirectDraw Surface (DDS) container format. It can store compressed and uncompressed pixel formats and is often used for texturing video game unit models. DDS files may also be used to store Windows desktop backgrounds or wallpapers.', 'used_by': ['XnView MP', 'GIMP with DDS plugin', 'Adobe Photoshop with NVIDIA DDS plugin']}, '.deb': {'description': 'A DEB file is a standard Unix archive that contains two bzipped or gzipped archives, one for the installer control information and another for the actual installable data. DEB files are often used for software installation packages by multiple versions of Linux including Ubuntu, Kubuntu, Edubuntu, and PCLinuxOS.', 'used_by': ['7-Zip', 'Debian package management system', 'Synaptic Package Manager']}, '.def': {'description': 'Linker definition file', 'used_by': ['TLink - WLink...']}, '.dem': {'description': "A DEM file is a game replay file created by various first-person shooter games and most popularly by Counter-Strike (supported by Valve's Source game engine). DEM files are used to record a player's perspective in a single or multiplayer game, which can then be shared with others.", 'used_by': ['Valve Counter-Strike', 'Epic Games Unreal Tournament']}, '.der': {'description': 'Security certificate', 'used_by': ['Microsoft Windows']}, '.des': {'description': 'Ascii text parameter description', 'used_by': ['AWAVE']}, '.desklink': {'description': 'Windows Explorer Desktop Control (commonly "Desktop (create shortcut).DESKLINK", 0 bytes). Uses a \'special\' hidden file extension (NeverShowExt flag inside the Registry), overriding the Windows Explorer option of showing/hiding file extensions.', 'used_by': ['']}, '.desktop': {'description': 'Desktop Entry', 'used_by': ['freedesktop.org']}, '.dev': {'description': 'Dev-C++ project file', 'used_by': ['Dev-C++']}, '.dex': {'description': 'Dalvik executable', 'used_by': ['Android']}, '.dfd': {'description': 'Data Flow Diagram graphic file', 'used_by': ['Prosa']}, '.dff': {'description': 'RenderWare model data (e.g. Grand Theft Auto III and later)', 'used_by': ['']}, '.dfi': {'description': 'Outline font description', 'used_by': ['Digifont']}, '.dfl': {'description': 'Default program settings', 'used_by': ['Signature']}, '.dfm': {'description': 'Delphi form module', 'used_by': ['Borland Delphi']}, '.dfs': {'description': 'Delight Sound File', 'used_by': ['']}, '.dfti': {'description': 'Dynamic Formatted Text and Images (Word Processing)', 'used_by': ['FlexiWrite']}, '.dfv': {'description': 'Printing form (Word)', 'used_by': ['Microsoft Word']}, '.dfx': {'description': 'Micrografx Effects DLL', 'used_by': ['']}, '.dgn': {'description': 'Graphics file', 'used_by': ['MicroStation']}, '.dgs': {'description': 'Diagnostics', 'used_by': ['']}, '.dh': {'description': 'Dependency information for .ph', 'used_by': ['Geoworks']}, '.dhp': {'description': 'Dr. Halo PIC Format graphics file', 'used_by': ['Dr. Halo II - III']}, '.dht': {'description': 'Datafile', 'used_by': ['Gauss']}, '.di': {'description': 'D Programming Language interface file', 'used_by': ['DMD']}, '.dia': {'description': 'Diagraph graphics file', 'used_by': ['Computer Support Corporation']}, '.dib': {'description': 'Device Independent Bitmap', 'used_by': ['rarely used Windows 3.0 bitmap; Win - OS/2']}, '.dic': {'description': 'Dictionary (e.g. from WinWord)', 'used_by': ['']}, '.dicom': {'description': 'Digital Imaging and Communications in Medicine (DICOM) bitmap', 'used_by': ['DICOM Software (XnView)']}, '.dif': {'description': 'SRCCOM, BINCOM output file', 'used_by': ['RT-11']}, '.dig': {'description': 'Sound Designer 1 audio file', 'used_by': ['AWAVE']}, '.dip': {'description': 'PCB Drawing file', 'used_by': ['DipTrace PCB Layout']}, '.dir': {'description': 'Directory listing file', 'used_by': ['RT-11']}, '.dired': {'description': 'Directory listing (ls format)', 'used_by': ['Dired']}, '.dis': {'description': 'Thesaurus', 'used_by': ['CorelDraw']}, '.diz': {'description': 'Description file (Description In Zip)', 'used_by': ['']}, '.djvu': {'description': 'DJVU Document Format, a format similar to PDF but with higher compression rates at the same quality.', 'used_by': ['DJVU']}, '.dkb': {'description': 'Raytraced graphics', 'used_by': ['DKBTrace']}, '.dl': {'description': 'Animation format (Italian origin)', 'used_by': ['Display - DL Viewer']}, '.dlc': {'description': 'JDownloader Link Container', 'used_by': ['JDownloader']}, '.dld': {'description': '', 'used_by': ['Lotus 1-2-3']}, '.dlf': {'description': 'Dialogue Live Format', 'used_by': ['Produced by Exstream Dialogue and edited by Dialogue Live Editor']}, '.dlg': {'description': 'Windows SDK dialog editor data file', 'used_by': ['']}, '.dll': {'description': 'A DLL file is a compiled library that contains a set of procedures and/or drivers that are referenced and executed by a Windows program. It allows multiple programs to access shared functions through common libraries. DLL files are "dynamically linked" into a program at runtime, meaning they are only loaded when needed.', 'used_by': ['Microsoft Windows', '7-Zip', 'Microsoft Visual Studio 2019', 'Microsoft Visual FoxPro']}, '.dlm': {'description': 'Microsoft File Transfer Manager', 'used_by': ['Microsoft File Transfer Manager']}, '.dlp': {'description': 'Data', 'used_by': ['DAQLab']}, '.dls': {'description': 'Setup', 'used_by': ['Norton Disklock']}, '.dmf': {'description': 'DeleD files', 'used_by': ['']}, '.dmg': {'description': 'A DMG file is a mountable disk image used to distribute software to the macOS operating system. The file is typically downloaded from the Internet by a Mac user, then double-clicked to install an application on the compute', 'used_by': ['Apple Disk Utility', '7-Zip']}, '.dmo': {'description': 'Demo', 'used_by': ['Derive']}, '.dmp': {'description': 'A DMP file is a file that contains data "dumped" from a program\'s memory space. It is often created when a program has an error or crashes and may also be saved by the program "Savedump.exe" on the first reboot after a crash. DMP files are usually named "Memory.dmp."', 'used_by': ['Windows Debug Tools', 'Windows Kernel Debug', 'Microsoft Visual Studio 2019']}, '.dms': {'description': 'Amiga file archive', 'used_by': ['DISKMASHER']}, '.dn': {'description': '3D file', 'used_by': ['Adobe Dimension']}, '.dng': {'description': 'Digital Negative (DNG), a publicly available archival format for the raw files generated by digital cameras', 'used_by': ['At least 30 camera models from at least 10 manufacturers, and at least 200 software products']}, '.dnt': {'description': 'data', 'used_by': ['RSNetWorx Project']}, '.do': {'description': 'Java servlet file', 'used_by': ['Web browser (Various)']}, '.doc': {'description': 'A DOC file is a word processing document created by Microsoft Word, or another word processing program, such as OpenOffice Writer or Apple Pages. It may contain formatted text, images, tables, graphs, charts, page formatting, and print settings.', 'used_by': []}, '.docm': {'description': 'Microsoft Word 2007 Master document', 'used_by': ['Microsoft Word 2007']}, '.docx': {'description': 'More InformationA DOCX file is a document created by Microsoft Word or another word processing program, such as OpenOffice Writer or Apple Pages. It contains formatted text but may also include images, drawn objects, and other document elements. DOCX files are widely used in home, academic, and business environments for drafting letters, resumes, invitations, newsletters, and other documents.', 'used_by': ['Microsoft Word 2019', 'Apple Pages', 'Apache OpenOffice', 'Planamesa NeoOffice', 'LibreOffice', 'Apple Preview']}, '.dof': {'description': 'Delphi project options file', 'used_by': ['Borland Delphi']}, '.dog': {'description': 'Screen file', 'used_by': ['Laughing Dog Screen Maker']}, '.doh': {'description': 'Dependency information for .poh', 'used_by': ['Geoworks']}, '.dol': {'description': 'Nintendo Wii and GameCube proprietary executable format', 'used_by': ['Nintendo Wii and GameCube games and software']}, '.dor': {'description': 'Roland Digital audio file', 'used_by': ['Roland']}, '.dos': {'description': 'Text file containing DOS specific info', 'used_by': ['']}, '.dot': {'description': 'Microsoft Word document template', 'used_by': ['Microsoft Word']}, '.dotx': {'description': 'Office Open XML Text document template', 'used_by': ['Microsoft Word']}, '.dox': {'description': 'Text file', 'used_by': ['MultiMate 4.0']}, '.doz': {'description': 'Description Out of Zip', 'used_by': ['VENDINFO']}, '.dp': {'description': 'Data file', 'used_by': ['DataPhile']}, '.dpr': {'description': 'Default project- and state-related information', 'used_by': ['Borland C++ - Delphi - C']}, '.dpf': {'description': 'Debrief Plot File', 'used_by': ['Debrief']}, '.dpx': {'description': 'Digital Moving Picture Exchange', 'used_by': ['']}, '.drp': {'description': 'Web3D File', 'used_by': ['Web3D']}, '.drs': {'description': 'Display Resource', 'used_by': ['WordPerfect for Win']}, '.dru': {'description': 'Design Rules', 'used_by': ['EAGLE']}, '.drv': {'description': 'A DRV file is a driver file used by Windows operating systems to connect and communicate with hardware devices (both external and internal). It contains commands and parameters for how a device and the operating system communicate together. DRV files are also used to install a device driver on a computer.', 'used_by': ['Microsoft Windows']}, '.drw': {'description': 'Designer vector graphics file', 'used_by': ['Designer - MicroGraphix']}, '.ds': {'description': 'TWAIN Data Source', 'used_by': ['Any twain-source must supply one xxx.ds file']}, '.ds1': {'description': 'Map file', 'used_by': ['Diablo II']}, '.ds4': {'description': 'Vector graphics', 'used_by': ['Micrografx Designer 4.x']}, '.dsc': {'description': 'Discard file', 'used_by': ['Oracle']}, '.dsd': {'description': 'Database', 'used_by': ['DataShaper']}, '.dsf': {'description': 'Delusion Digital Sound File', 'used_by': ['Delusion']}, '.dsk': {'description': 'Logical disk file', 'used_by': ['RT-11']}, '.dsm': {'description': 'Digital Sound Module', 'used_by': ['DSI']}, '.dsn': {'description': 'Design', 'used_by': ['Object System Designer']}, '.dsp': {'description': 'Visual Studio 6 project file', 'used_by': ['Microsoft Visual Studio']}, '.dsr': {'description': 'Driver Resource', 'used_by': ['WordPerfect for Win']}, '.dss': {'description': 'SQL Script for .Time Framework', 'used_by': ['Exaktime']}, '.dst': {'description': 'WAIN (Scanner spec) data source DLL', 'used_by': ['Win']}, '.dsv': {'description': 'Nintendo DS battery save', 'used_by': ['DeSmuME, DraStic']}, '.dsw': {'description': 'Borland C++ 4.x desktop layout file', 'used_by': ['BCW.EXE']}, '.dsy': {'description': 'DAISY container file', 'used_by': ['ADAKTA.EXE']}, '.dt1': {'description': 'Tile file', 'used_by': ['Diablo II']}, '.dt2': {'description': 'msn-emoticon', 'used_by': ['paint']}, '.dt_': {'description': 'Data fork of a Macintosh file', 'used_by': ['Mac-ette']}, '.dta': {'description': 'Data file', 'used_by': ['Turbo Pascal - PC-File - Stata']}, '.dtb': {'description': 'Database Backup for .Time Framework', 'used_by': ['Exaktime']}, '.dtd': {'description': 'A DTD file is a text file that specifies elements and attributes used in an XML, SGML, HTML, or XHTML document. It can also define the ordering and nesting for elements and their attributes. DTD files are commonly referenced within webpages using a URL.', 'used_by': ['MacroMates TextMate', 'Apple TextEdit', 'Microsoft Visual Studio 2019', 'Microsoft Notepad', 'Other text editor']}, '.dtf': {'description': 'Database file', 'used_by': ['PFS - Q&A']}, '.dtl': {'description': 'Django template language', 'used_by': ['djangoproject']}, '.dtm': {'description': 'DigiTrekker music module', 'used_by': ['AWAVE']}, '.dto': {'description': 'data', 'used_by': ['Directory Toolkit output']}, '.dtp': {'description': 'Publication', 'used_by': ['Publish-It! upgrades to Greenstreet Publisher']}, '.dts': {'description': 'Device tree source file', 'used_by': ['Linux kernel project']}, '.dtsi': {'description': 'Device tree include file', 'used_by': ['Linux kernel project']}, '.dvc': {'description': 'Data', 'used_by': ['Lotus 1-2-3']}, '.dvdproj': {'description': 'iDVD project file', 'used_by': ["iDVD (Apple iLife '08)"]}, '.dvi': {'description': 'DeVice Independent document', 'used_by': ['TeX']}, '.dvp': {'description': 'Device parameter file', 'used_by': ['AutoCAD']}, '.dw2': {'description': 'Drawing', 'used_by': ['DesignCAD for DOS, & DesignCAD for Windows']}, '.dwb': {'description': 'Coryphaeus Software Designers Workbench', 'used_by': ['CSD']}, '.dwc': {'description': 'Archive', 'used_by': ['DWC']}, '.dwd': {'description': 'DiamondWare Digitized file', 'used_by': ['AWAVE']}, '.dwf': {'description': 'Autodesk Design Web Format', 'used_by': ['Design Review']}, '.dwg': {'description': 'A DWG file is a database of 2D or 3D drawings created with AutoCAD, a professional CAD program. It contains vector image data and metadata that describes the contents of the file. DWG files are related to .DXF files, which are ASCII versions of DWG files.', 'used_by': ['Autodesk AutoCAD 2020', 'IMSI TurboCAD Deluxe', 'Adobe Illustrator 2020', 'Autodesk Fusion 360', 'Bricsys Bricscad']}, '.dwz': {'description': 'DVD MovieFactory for TOSHIBA Project File, Designer vector graphics file', 'used_by': ['Designer - MicroGraphix or TOSHIBA']}, '.dx': {'description': 'Text file', 'used_by': ['DEC WPS/DX format - DEC WPS Plus']}, '.dxf': {'description': 'A DXF file is a data file saved in a format developed by Autodesk and used for CAD (computer-aided design) vector image files, such as AutoCAD documents. DXF files are similar to .DWG files, but are more compatible with other programs since they are ASCII (text) based.', 'used_by': ['Adobe Illustrator 2020', 'IMSI TurboCAD Deluxe', 'Autodesk AutoCAD 2020', 'Cheetah3D', 'CADEMIA', 'LibreCAD']}, '.dxn': {'description': 'Fax', 'used_by': ['Fujitsu dexNET']}, '.dxp': {'description': 'ISO creation project file', 'used_by': ['CD Burner XP Pro']}, '.dylib': {'description': 'Dynamic Library', 'used_by': ['Mac OS-X']}, '.dyn': {'description': 'Data', 'used_by': ['Lotus 1-2-3']}, '.e': {'description': 'E language source code', 'used_by': ['E']}, '.e##': {'description': 'EnCase Evidence File chunk', 'used_by': ['EnCase Forensic Analysis Suite entity']}, '.e00': {'description': 'ArcInfo interchange file', 'used_by': ['GIS software']}, '.e2d': {'description': '2-dimensional vector graphics file', 'used_by': ['Editor included in JFire']}, '.eas': {'description': 'Extended file attributes', 'used_by': ['OS/2']}, '.ear': {'description': 'Enterprise archive', 'used_by': ['archive']}, '.eba': {'description': 'Source code', 'used_by': ['Emergence BASIC']}, '.ebd': {'description': 'versions of DOS system files (AUTOEXEC.BAT, COMMAND.COM, CONFIG.SYS, WINBOOT.SYS, etc. ) for an emergency boot disk', 'used_by': ['Windows 98, ME']}, '.ebj': {'description': 'Error-checking object file', 'used_by': ['Geoworks']}, '.ebq': {'description': 'CITE standard electronic BQ exchange file', 'used_by': ['']}, '.ec': {'description': 'Source code', 'used_by': ['eC']}, '.ecc': {'description': 'Error-checking file', 'used_by': ['dvdisaster']}, '.ece': {'description': 'Escenic Contenting Engine dynamic page', 'used_by': ['Escenic']}, '.ecms': {'description': 'Status document', 'used_by': ['ECMerge']}, '.ecmt': {'description': 'Template document / Session', 'used_by': ['ECMerge']}, '.ed5': {'description': 'EDMICS', 'used_by': ['GCGW']}, '.eda': {'description': 'Ensoniq ASR disk image', 'used_by': ['AWAVE']}, '.ede': {'description': 'Ensoniq EPS disk image', 'used_by': ['AWAVE']}, '.edf': {'description': 'Exchequer Document Format', 'used_by': ['IRIS Software']}, '.edk': {'description': 'Ensoniq KT disk image', 'used_by': ['AWAVE']}, '.edl': {'description': 'EDL', 'used_by': ['Premiere']}, '.edq': {'description': 'Ensoniq sq1,2/ks32 disk image', 'used_by': ['AWAVE']}, '.eds': {'description': 'Ensoniq SQ80 disk image', 'used_by': ['AWAVE']}, '.edt': {'description': 'External editors definitions', 'used_by': ['DN']}, '.edv': {'description': 'Ensoniq VFX-SD disk image', 'used_by': ['AWAVE']}, '.eeb': {'description': 'Button bar for Equation Editor', 'used_by': ['WordPerfect for Win']}, '.efa': {'description': 'Encrypted File Archive', 'used_by': ['']}, '.efe': {'description': 'Ensoniq EPS instrument file', 'used_by': ['AWAVE']}, '.efi': {'description': 'Extensible Firmware Interface', 'used_by': ['']}, '.efk': {'description': 'Ensoniq KT file', 'used_by': ['AWAVE']}, '.efq': {'description': 'Ensoniq SQ1/SQ2/KS32 file', 'used_by': ['AWAVE']}, '.efs': {'description': 'Ensoniq SQ80 file', 'used_by': ['AWAVE']}, '.eft': {'description': 'High resolution screen font', 'used_by': ['ChiWriter']}, '.efv': {'description': 'Ensoniq VFX-SD file', 'used_by': ['AWAVE']}, '.efx': {'description': 'Fax', 'used_by': ['Everex EFax']}, '.ega': {'description': 'EGA display font', 'used_by': ['Ventura Publisher']}, '.eis': {'description': 'EIS Spectrum Analyser Project', 'used_by': ['EIS Spectrum Analyser']}, '.eka': {'description': 'Internal data files', 'used_by': ["Borland's Eureka"]}, '.el': {'description': 'Emacs Lisp source code file', 'used_by': ['Emacs']}, '.elb': {'description': 'Synergy/DE library', 'used_by': ['']}, '.elc': {'description': 'Byte-compiled Emacs Lisp code', 'used_by': ['Emacs']}, '.elfo': {'description': '', 'used_by': ['ElsterFormular']}, '.eli': {'description': 'Archive', 'used_by': ['ELI']}, '.elt': {'description': 'Event list text file', 'used_by': ['Prosa']}, '.email': {'description': 'Outlook Express Email Message', 'used_by': ['Windows Live Mail, Outlook Express, Microsoft Notepad']}, '.emaker': {'description': 'E language source code (maker)', 'used_by': ['E']}, '.emc': {'description': 'Striata Reader Encrypted Document Format', 'used_by': ['']}, '.emd': {'description': 'ABT Extended MoDule', 'used_by': ['AWAVE']}, '.emf': {'description': 'Microsoft Enhanced Metafile', 'used_by': ['']}, '.eml': {'description': 'Stationery Template', 'used_by': ['Outlook Express']}, '.emu': {'description': 'Terminal emulation data', 'used_by': ['BITCOM']}, '.emz': {'description': 'Microsoft Enhanced Metafile compressed with ZIP', 'used_by': ['Microsoft Office suite']}, '.enc': {'description': 'Music', 'used_by': ['Encore']}, '.end': {'description': 'Arrow-head definition file', 'used_by': ['CorelDRAW']}, '.enff': {'description': 'Extended Neutral File Format', 'used_by': ['']}, '.eng': {'description': 'Graphics file (charting)', 'used_by': ['EnerGraphics']}, '.env': {'description': 'Environment file', 'used_by': ['WordPerfect for Win']}, '.eossa': {'description': 'Electro-Optic Space Situational Awareness file format', 'used_by': ['']}, '.eot': {'description': 'Embedded OpenType', 'used_by': ['']}, '.ep': {'description': 'GUI wireframe/prototype project', 'used_by': ['Prikhi Pencil, Evolus Pencil']}, '.epa': {'description': 'Award BIOS splash screen', 'used_by': ['Award BIOS, XnView']}, '.epd': {'description': 'Publication', 'used_by': ['Express Publisher']}, '.epi': {'description': 'Encapsulated PostScript graphic file', 'used_by': ['']}, '.eps': {'description': 'An EPS file is a graphics file saved in the Encapsulated PostScript (EPS) file format. It may contain 2D vector graphics, bitmap images, and text. EPS files also include an embedded preview image in bitmap format.', 'used_by': ['Apple Preview', 'Adobe Illustrator 2020', 'Adobe Acrobat DC', 'Adobe Photoshop 2020', 'Adobe InDesign 2020', 'Microsoft Word 2019', 'Corel PaintShop Pro 2020', 'CorelDRAW Graphics Suite 2020', 'Scribus']}, '.epub': {'description': 'Electronic Publication - (e-Reader format)', 'used_by': ['Okular (Linux) - Apple iBooks - Sony Reader - Adobe Digital Editions - Calibre (LMW)']}, '.eqn': {'description': 'Equation filE', 'used_by': ['WordPerfect for Win']}, '.erd': {'description': 'Entity Relationship Diagram graphic file', 'used_by': ['Prosa']}, '.erl': {'description': 'Erlang source code file', 'used_by': ['']}, '.erm': {'description': 'Entity Relationship Diagram model file', 'used_by': ['Prosa']}, '.err': {'description': 'Compiler/linker error report', 'used_by': ['']}, '.escpcb': {'description': 'Data file of "esCAD pcb", PCB Pattern Layout Design Software', 'used_by': ['esCAD pcb provided by Electro-System']}, '.escsch': {'description': 'Data file of "esCAD sch", Drawing Schematics Diagram Software', 'used_by': ['esCAD sch provided by Electro-System']}, '.esd': {'description': 'Windows Imaging Format', 'used_by': ['ImageX, DISM, 7-Zip, wimlib']}, '.esh': {'description': 'Extended Shell batch file', 'used_by': ['']}, '.eth': {'description': 'Document', 'used_by': ['Ethnograph 3']}, '.etf': {'description': 'Encrypted Text File. Used in some security programs.', 'used_by': ['']}, '.etl': {'description': 'event trace log file', 'used_by': ['Microsoft[11][12]']}, '.etw': {'description': 'Proprietary format from EnterTech for the MagicSing/Mic Karaoke product line.', 'used_by': ['Enter-Tech']}, '.etx': {'description': 'Structure-enhanced text for some ascii text browsers', 'used_by': ['']}, '.eu4': {'description': 'Save file', 'used_by': ['Europa Universalis IV']}, '.eui': {'description': 'Ensoniq EPS family CD image', 'used_by': ['AWAVE']}, '.evt': {'description': 'Windows Event log file', 'used_by': ['Microsoft Windows NT 4.0 - XP; Microsoft Event Viewer']}, '.evtx': {'description': 'Windows Event log file XML structured', 'used_by': ['Microsoft Windows Vista, 7, 8; Microsoft Event Viewer']}, '.evy': {'description': 'Document', 'used_by': ['WordPerfect Envoy']}, '.ewd': {'description': 'Document', 'used_by': ['Express Publisher for Windows']}, '.ex': {'description': 'Elixir source code file', 'used_by': ['Elixir programming language running on BEAM (Erlang virtual machine)[13]']}, '.ex3': {'description': 'Device driveR', 'used_by': ['Harvard Graphics 3.0']}, '.exb': {'description': 'Audio File', 'used_by': ['E-MU Systems Emulator X Sampler File']}, '.exc': {'description': 'REXX source code file', 'used_by': ['VM/CMS']}, '.exe': {'description': 'An EXE file contains an executable program for Windows. EXE is short for "executable," and it is the standard file extension used by Windows programs. For many Windows users, EXE files are synonymous with Windows programs, making ".exe" one of the most recognizable file extensions.', 'used_by': ['Microsoft Windows', '7-Zip', 'RARLAB WinRAR', 'Wine', 'A virtual machine with Windows Installed']}, '.exf': {'description': 'Excute file', 'used_by': ['OnHand PC']}, '.exm': {'description': 'MSDOS executable, system-manager compliant (HP calculator)', 'used_by': ['HP calculator']}, '.exo': {'description': 'YouTube executable file', 'used_by': ['YouTube']}, '.exp': {'description': 'Exports Library File', 'used_by': ['VisualStudio']}, '.exs': {'description': 'Elixir script file', 'used_by': ['Interactive Elixir (IEx) shell[14]']}, '.ext': {'description': 'Extensions descriptions file', 'used_by': ['']}, '.exx': {'description': 'Intermediate file by MsgPut', 'used_by': ['IBM LinkWay']}, '.ezw': {'description': 'easyOFFER document file[15]', 'used_by': ['easyOFFER by Reagency Systems Corp.']}, '.ezf': {'description': 'Fax', 'used_by': ['Calculus EZ-Fax']}, '.f': {'description': 'Fortran language source code file (in fixed form)', 'used_by': ['Many Fortran compilers']}, '.f01': {'description': 'Fax', 'used_by': ['perfectfax']}, '.f03': {'description': 'Fortran language source code file (in free form)', 'used_by': ['Many Fortran compilers']}, '.f08': {'description': 'Fortran language source code file (in free form)', 'used_by': ['Fortran compilers']}, '.f18': {'description': 'Fortran language source code file (in free form)', 'used_by': ['Fortran compilers']}, '.f2r': {'description': 'Farandole Linear Module', 'used_by': ['Farandole']}, '.f3r': {'description': 'Farandole Blocked Linear Module', 'used_by': ['Farandole']}, '.f4': {'description': 'Fortran IV source code file', 'used_by': ['Fortran IV source code']}, '.f4a': {'description': 'Flash Video F4V with only audio (see also SWF)', 'used_by': ['Adobe Flash']}, '.f4b': {'description': 'Flash Video F4V audiobook (see also SWF)', 'used_by': ['Adobe Flash']}, '.f4p': {'description': 'Flash Video F4V with digital rights management (see also SWF)', 'used_by': ['Adobe Flash']}, '.f4v': {'description': 'A container format for Flash Video that differs from the older FLV file format (see also SWF)', 'used_by': ['Adobe Flash']}, '.f77': {'description': 'Fortran language source code file (in fixed form)', 'used_by': ['Many Fortran compilers']}, '.f90': {'description': 'Fortran language source code file (in free form)', 'used_by': ['Many Fortran compilers']}, '.f95': {'description': 'Fortran language source code file (in free form)', 'used_by': ['Many Fortran compilers']}, '.f96': {'description': 'Fax', 'used_by': ['Frecom FAX96']}, '.fa': {'description': 'FASTA format sequence file[1]', 'used_by': ['']}, '.faa': {'description': 'FASTA format amino acid', 'used_by': ['']}, '.fac': {'description': 'see FACE', 'used_by': ['']}, '.face': {'description': 'Usenix FACE graphics file', 'used_by': ['']}, '.fam': {'description': 'Famtasia Famicom image format', 'used_by': ['Famtasia']}, '.faq': {'description': 'Frequently Asked Questions text file', 'used_by': ['']}, '.far': {'description': 'Music format (Farandole Composer Module)', 'used_by': ['Farandole']}, '.fas': {'description': 'Macsyma compiled program', 'used_by': ['']}, '.fasta': {'description': 'FASTA format sequence file[1]', 'used_by': ['']}, '.fastq': {'description': 'FASTQ format sequence file', 'used_by': ['']}, '.fax': {'description': 'Fax (raster graphics in CCITT format)', 'used_by': ['most Fax programs']}, '.fb': {'description': 'Backup files', 'used_by': ['Fifth Generation Systems FastBack Plus']}, '.fb2': {'description': 'FictionBook e-book 2.0 file (DRM-free XML format)', 'used_by': ['e-book readers']}, '.fb2k': {'description': 'foobar2000 File', 'used_by': ['foobar2000']}, '.fb2k-component': {'description': 'foobar2000 Component', 'used_by': ['foobar2000']}, '.fbm': {'description': 'Fuzzy Bitmap', 'used_by': ['']}, '.fbw': {'description': 'HP Backup and Recovery Manager', 'used_by': ['HP Backup']}, '.fbx': {'description': '3D model geometry, material textures, lighting, armature, and animation sequences for inter application use/transport', 'used_by': ['Autodesk']}, '.fc': {'description': 'Spell checking dictionary', 'used_by': ['Harvard Graphics 2.0']}, '.fcm': {'description': 'Binary file patch file (forward compression)', 'used_by': ['jlpak10.zip']}, '.fcs': {'description': 'Flow cytometry standard file', 'used_by': ['']}, '.fcp': {'description': 'Final Cut Pro project file', 'used_by': ['Final Cut Pro']}, '.fcx': {'description': "Fortimer's Completely eXcised archive", 'used_by': ['Unix Archive & CP/M or DOS Archives']}, '.fd': {'description': "Front Door' resource files", 'used_by': ['FD']}, '.fdb': {'description': 'Font Definition Block', 'used_by': ['Ming library']}, '.fds': {'description': 'Headerless Famicom Disk System image', 'used_by': ['']}, '.fdw': {'description': 'Form', 'used_by': ['F3 Design and Mapping']}, '.fdx': {'description': 'Screenplay', 'used_by': ['Final Draft']}, '.fe': {'description': 'Data', 'used_by': ['Surface Evolver 3D surface']}, '.feb': {'description': 'Button bar for Figure Editor', 'used_by': ['WordPerfect for Win']}, '.fei': {'description': 'Fatal Error Infotable', 'used_by': ['Geoworks']}, '.fen': {'description': 'Forsyth–Edwards Notation', 'used_by': ['Chess applications -text data describes a specific position.']}, '.fes': {'description': 'File produced when a fileless occurrence in 3D Topicscape is exported to Windows', 'used_by': ['3D Topicscape']}, '.ff': {'description': 'Outline font description', 'used_by': ['Agfa Compugraphics']}, '.ffe': {'description': 'Front Fareast Famicom image format', 'used_by': ['']}, '.fff': {'description': 'Fax', 'used_by': ['defFax']}, '.ffi': {'description': 'Atech FastFont (AllType)', 'used_by': ['']}, '.ffn': {'description': 'FASTA format nucleotide of gene regions', 'used_by': ['']}, '.ffivw': {'description': 'File Format for the Interchange of Virtual Worlds', 'used_by': ['']}, '.fft': {'description': 'DCA/FFT Final Form Text text file', 'used_by': ['DisplayWrite']}, '.fh3': {'description': 'Vector graphics', 'used_by': ['Aldus FreeHand 3.x']}, '.fh4': {'description': 'Vector graphics', 'used_by': ['Aldus FreeHand 3.x']}, '.fi': {'description': 'Interface file', 'used_by': ['Microsoft Fortran']}, '.fif': {'description': 'Fractal Image Format file', 'used_by': ['']}, '.fig': {'description': 'Figure File', 'used_by': ['MATLAB']}, '.fil': {'description': 'File which was moved to the Virus Vault by AVG', 'used_by': ['']}, '.file': {'description': 'A generic Windows file', 'used_by': ['']}, '.film': {'description': 'Filmkey film file', 'used_by': ['Filmkey Player']}, '.fin': {'description': 'Print-formatted text file', 'used_by': ['Perfect Writer - Scribble - MINCE']}, '.fio': {'description': 'Image PALS viewer DLL', 'used_by': ['']}, '.fit': {'description': 'Fityk Script', 'used_by': ['Fityk']}, '.fits': {'description': 'Flexible Image Transport System', 'used_by': ['astronomy software']}, '.fix': {'description': 'Patch file', 'used_by': ['']}, '.fky': {'description': 'Macro file', 'used_by': ['FoxPro']}, '.fla': {'description': 'An FLA file is an animation project created by Adobe Animate, a program used to draw and publish interactive animations. It contains graphics, video, text elements, audio, and other assets. FLA files are often saved as .SWF files for use on the web as they are viewable in most web browsers with the Flash plugin.', 'used_by': ['Adobe Animate CC 2019']}, '.flac': {'description': 'Audio codec, Audio file format', 'used_by': ['']}, '.flame': {'description': 'Fractal configuration file', 'used_by': ['Apophysis']}, '.flb': {'description': 'Format library', 'used_by': ['Papyrus']}, '.flc': {'description': 'Animation format FLIC >320x200', 'used_by': ['AAPlay - Autodesk AniPro']}, '.fld': {'description': 'Folder', 'used_by': ['Charisma']}, '.fli': {'description': 'TeX font library', 'used_by': ['EmTeX']}, '.flm': {'description': 'Fl Studio Mobile project file', 'used_by': ['Fruity Loops Mobile (FlStudio Mobile)']}, '.flp': {'description': 'FLP Designer layout file', 'used_by': ['FLP Designer']}, '.flt': {'description': 'Support file - graphics filter', 'used_by': ['Asymetrix ToolBook']}, '.flx': {'description': 'Compiled binary', 'used_by': ['DataFlex']}, '.flv': {'description': 'An FLV file is a flash-compatible video file exported by the Flash Video Exporter plug-in (included with Adobe Animate) or other program with FLV file support. It consists of a short header, interleaved audio, video, and metadata packets. The file stores audio and video data in a similar format used by standard Flash (.SWF) files.', 'used_by': ['Adobe Flash Player', 'Adobe Animate CC 2019', 'VideoLAN VLC media player', 'Apple QuickTime Player with Perian component', 'Media Player Classic']}, '.fm': {'description': 'Database', 'used_by': ['FileMaker Pro']}, '.fm1': {'description': 'Spreadsheet format overlay', 'used_by': ['Lotus 1-2-3 release 2.x']}, '.fm3': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 release 3.x']}, '.fmb': {'description': 'File Manager Button bar', 'used_by': ['WordPerfect for Win']}, '.fmf': {'description': 'Font or icon file', 'used_by': ['IBM LinkWay']}, '.fmk': {'description': 'Makefile', 'used_by': ['Fortran PowerStation']}, '.fmo': {'description': 'Compiled format file', 'used_by': ['dBASE IV']}, '.fmt': {'description': 'Style sheet', 'used_by': ['Sprint']}, '.fmv': {'description': 'Full Motion Video file', 'used_by': ['']}, '.fn3': {'description': 'Font file', 'used_by': ['Harvard Graphics 3.0']}, '.fna': {'description': 'FASTA format nucleic acid', 'used_by': ['']}, '.fnd': {'description': 'Files searching properties', 'used_by': ['Win95']}, '.fni': {'description': 'FileNet Native Document', 'used_by': ['FileNet']}, '.fnk': {'description': 'FunkTracker music module', 'used_by': ['AWAVE, FunkTracker']}, '.fnm': {'description': 'Fannie Mae Residential Loan Data (RLD) format for mortgage submission to DO/DU', 'used_by': ['Desktop Originator']}, '.fnn': {'description': 'DOS screen text font - height nn pixels', 'used_by': ['fntcol13.zip']}, '.fnt': {'description': 'An FNT file is a font file used by the Windows operating system and often saved within the system fonts directory. It stores a generic font and may include vector and raster glyphs. FNT files have largely been replaced by TrueType (.TTF) and OpenType (.OTF) fonts.', 'used_by': ['FontForge', 'Microsoft Windows']}, '.fnx': {'description': 'Inactive font', 'used_by': ['Exact']}, '.fo1': {'description': 'Font file', 'used_by': ['Borland Turbo C']}, '.fo2': {'description': 'Font file', 'used_by': ['Borland Turbo C']}, '.fog': {'description': 'Fontographer Database File', 'used_by': ['Fontographer 3.5']}, '.fol': {'description': 'Folder of saved messages', 'used_by': ['1st Reader']}, '.fon': {'description': 'A FON file is a Windows 3.x font library file referenced by programs that access system fonts. It is an older font format that cannot be resized to any size like a TrueType (.TTF) font. The font may also look different on screen than paper.', 'used_by': []}, '.font': {'description': 'Font data', 'used_by': ['unix']}, '.fop': {'description': 'Freedom of the Press graphic file', 'used_by': ['']}, '.for': {'description': 'Fortran language source file', 'used_by': ['many']}, '.fot': {'description': 'Installed Truetype font', 'used_by': ['Windows Font Installer']}, '.fox': {'description': 'Foxbase executable (precompiled .prg)', 'used_by': ['FoxBase']}, '.fp': {'description': 'Video file', 'used_by': ['DVICO/TVIX MPEG1 video file']}, '.fp3': {'description': 'Database', 'used_by': ['FileMaker Pro']}, '.fp4': {'description': 'Database', 'used_by': ['FileMaker Pro']}, '.fp5': {'description': 'Database', 'used_by': ['FileMaker Pro']}, '.fp7': {'description': 'Database', 'used_by': ['FileMaker Pro']}, '.fpc': {'description': 'Catalog', 'used_by': ['FoxPro']}, '.fpd': {'description': 'TMT Pascal compiled unit', 'used_by': ['TMT Pascal']}, '.fpl': {'description': 'Playlist', 'used_by': ['']}, '.fpm': {'description': 'Configuration file', 'used_by': ['FoxPro for MacIntosh']}, '.fpt': {'description': 'Foxpro memo field tables', 'used_by': ['FoxPro']}, '.fpu': {'description': 'Configuration file', 'used_by': ['FoxPro for Unix']}, '.fpw': {'description': 'Configuration file', 'used_by': ['Visual FoxPro']}, '.fpx': {'description': 'FlashPix Bitmap Image File', 'used_by': ['FlashPix']}, '.fq': {'description': 'FASTQ format sequence file', 'used_by': ['']}, '.fr?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.fr3': {'description': 'Renamed dBASE III+ form file', 'used_by': ['dBASE IV']}, '.frf': {'description': 'FontMonger Database file', 'used_by': ['FontMonger']}, '.frg': {'description': 'Uncompiled report file', 'used_by': ['dBASE IV']}, '.frl': {'description': 'GP-Forth library', 'used_by': ['GP-Forth']}, '.frm': {'description': 'MySQL Database Metadata', 'used_by': ['MySQL']}, '.frn': {'description': 'FASTA format non-coding RNA', 'used_by': ['']}, '.fro': {'description': 'Compiled report file', 'used_by': ['dBASE IV']}, '.frp': {'description': 'Form', 'used_by': ['PerForm PRO Plus - FormFlow']}, '.frs': {'description': 'Screen Font Resource', 'used_by': ['WordPerfect for Win']}, '.frt': {'description': 'GP-Forth source file', 'used_by': ['GP-Forth']}, '.frx': {'description': 'Visual Basic binary program file', 'used_by': ['Visual Basic']}, '.fsa': {'description': 'Applied Biosystems Genetic Analysis data file', 'used_by': ['GeneScan']}, '.fsim': {'description': 'Simulation File Format', 'used_by': ['Loudsoft']}, '.fsl': {'description': 'Form', 'used_by': ['Paradox for Windows']}, '.fsm': {'description': 'Farandole Composer WaveSample', 'used_by': ['Farandole']}, '.fsproj': {'description': 'Habanero Firestarter project', 'used_by': ['Habanero Firestarter']}, '.fst': {'description': 'Temporal database file', 'used_by': ['GTKWave data file']}, '.fstick': {'description': 'Temporal database file', 'used_by': ['Flash Joystick']}, '.fsx': {'description': 'Data', 'used_by': ['Lotus 1-2-3']}, '.ftb': {'description': 'Compressed Ftb file', 'used_by': ['Family Tree Builder']}, '.fth': {'description': 'foobar2000 Theme File', 'used_by': ['foobar2000']}, '.ftm': {'description': 'Font file', 'used_by': ['Micrografx']}, '.fts': {'description': 'Full text search index of old Windows Help file', 'used_by': ['Windows 3.0 - XP']}, '.ftxt': {'description': 'text', 'used_by': ['Cloanto text document']}, '.ftp': {'description': 'Configuration', 'used_by': ['FTP Software PC/TCP']}, '.fuk': {'description': 'Map File', 'used_by': ['Postal 2']}, '.fw': {'description': 'Database', 'used_by': ['FrameWork']}, '.fw2': {'description': 'Database', 'used_by': ['Framework II']}, '.fw3': {'description': 'Database', 'used_by': ['Framework III']}, '.fweb': {'description': 'Fortran WEB', 'used_by': ['']}, '.fx': {'description': 'On-line guide', 'used_by': ['FastLynx']}, '.fxd': {'description': 'Phonebook', 'used_by': ['FAXit']}, '.fxp': {'description': 'Foxpro executable (precompiled .prg)', 'used_by': ['Visual FoxPro']}, '.fxs': {'description': 'FAX Transmit Format graphics file', 'used_by': ['WinFax']}, '.fyf': {'description': 'FileLoc', 'used_by': ['FyTek, Inc.']}, '.g': {'description': 'Data chart', 'used_by': ['APPLAUSE']}, '.g16': {'description': 'GoldED for DOS compiled config', 'used_by': ['GOLDED.EXE']}, '.g3': {'description': 'Group 3 Fax', 'used_by': ['Netpbm, ImageMagick, XnView']}, '.g3d': {'description': 'Glest model file', 'used_by': ['G3D viewer']}, '.g3p': {'description': 'data', 'used_by': ['Grand Prix 3 car physics']}, '.g8': {'description': 'Raw graphics file (one byte per pixel) plane three', 'used_by': ['PicLab - Cubicomb Picturemaker']}, '.gaf': {'description': 'Globa Game Engine audio format', 'used_by': ['Globa Game Engine']}, '.gam': {'description': 'A GAM file is created by various video games to store saved games. It allows the gamer to continue where he or she left off the next time the program is opened. GAM files may be manually saved by the user or automatically saved by the program, for example, at the end of each level.', 'used_by': ['Various video games']}, '.game': {'description': 'Chess Game', 'used_by': ['macOS Chess']}, '.gameproj': {'description': 'Gamesalad game project format', 'used_by': ['GameSalad']}, '.gaupol-extension': {'description': '', 'used_by': ['Gaupol']}, '.gb': {'description': 'GenBank flat file', 'used_by': ['']}, '.gb1': {'description': 'Game Maker backup file (can also be GB2, GB3, etc.)', 'used_by': ['']}, '.gba': {'description': 'Game Boy Advance ROM', 'used_by': ['Nintendo']}, '.gbc': {'description': 'Game Boy Color ROM', 'used_by': ['Nintendo']}, '.gbk': {'description': 'GenBank flat file', 'used_by': ['']}, '.gbl': {'description': 'Global module in Basic programs', 'used_by': ['Basic']}, '.gbp': {'description': 'Genesis Bitmap Pattern', 'used_by': ['Genesis Bitmap']}, '.gbs': {'description': 'GBS meta data', 'used_by': ['Generic Build Support (GBS)']}, '.gbr': {'description': 'GIMP brush', 'used_by': ['']}, '.gc': {'description': 'Savegame', 'used_by': ['Star Wars: Battlefront II Galactic Conquest save file']}, '.gc1': {'description': 'Lisp source code', 'used_by': ['Golden Common Lisp 1.1']}, '.gc3': {'description': 'Lisp source code', 'used_by': ['Golden Common Lisp 1.3']}, '.gca': {'description': 'IBM GOCA', 'used_by': ['GCGW']}, '.gcd': {'description': 'Generic Cadd drawing', 'used_by': ['Generic Cadd, Visual Cadd']}, '.gcf': {'description': 'Game cache file', 'used_by': ['Steam content delivery system']}, '.gch': {'description': 'GNU preprocessed C++ header file', 'used_by': ['GNU C++ compiler']}, '.gci': {'description': 'Nintendo GameCube save file', 'used_by': ['Nintendo GameCube']}, '.gcw': {'description': 'Microsoft Mathematics Worksheet', 'used_by': ['Microsoft Mathematics']}, '.gcx': {'description': 'Graph file', 'used_by': ['Mac OS X Grapher']}, '.gd3': {'description': 'Game Doctor Super NES ROM image', 'used_by': ['']}, '.gdf': {'description': 'IBM Graphics Data Format', 'used_by': ['Legacy IBM systems']}, '.gdl': {'description': 'Data', 'used_by': ['ArchiCAD model']}, '.gds': {'description': 'McDonnell-Douglas Things', 'used_by': ['']}, '.gdt': {'description': 'Gerätedatentransfer, an xDT application', 'used_by': ['Healthcare providers in Germany']}, '.ge': {'description': 'GEcho config file', 'used_by': ['GEcho']}, '.ged': {'description': 'A GED file is a data file that stores family history and genealogical event data in the standard GEDCOM genealogy format. It contains data in an ASCII text format that can be opened by different genealogy programs on multiple computer systems.', 'used_by': []}, '.gem': {'description': 'Vector graphics file', 'used_by': ['GEM - Ventura Publisher']}, '.gen': {'description': 'Generated text', 'used_by': ['Ventura Publisher']}, '.genbank': {'description': 'GenBank flat file', 'used_by': ['']}, '.geo': {'description': 'GoldED for OS/2 compiled config file', 'used_by': ['GED2.EXE']}, '.gex': {'description': 'GEcho config file', 'used_by': ['GEcho']}, '.gfb': {'description': 'Compressed GIF image created by GIFBLAST', 'used_by': ['gifblast.exe']}, '.gff': {'description': 'General feature format', 'used_by': ['']}, '.gfo': {'description': 'SGI Radiosity', 'used_by': ['']}, '.gft': {'description': 'GEM-translator font file', 'used_by': ['']}, '.gfx': {'description': 'PCBoard @X-coded colorful text', 'used_by': ['GFX2COM - GFX2EXE']}, '.gho': {'description': 'Norton Ghost File (first file)', 'used_by': ['Symantec']}, '.ghs': {'description': 'Norton Ghost File (split file)', 'used_by': ['Symantec']}, '.ghw': {'description': 'GHDL Wave file', 'used_by': ['GHDL/GTKWave data file']}, '.gi': {'description': 'Disk image', 'used_by': ['Roxio']}, '.gib': {'description': 'GIMP animated brush', 'used_by': ['']}, '.gid': {'description': 'Global index of old Windows Help file', 'used_by': ['Windows 3.0 - XP']}, '.gif': {'description': 'A GIF file is an image file saved in the Graphical Interchange Format (GIF). It may contain up to 256 indexed colors with a color palette that may be a predefined set of colors or may be adapted to the colors in the image. GIF files are saved in a lossless format, meaning the clarity of the image is not compromised with GIF compression.', 'used_by': ['Apple Preview', 'Apple Safari', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'CorelDRAW Graphics Suite 2020', 'Microsoft Photos', 'Microsoft Paint', 'GIMP', 'Other pitcure viewer', 'Web browsers']}, '.giw': {'description': 'Presentation', 'used_by': ['Graph-in-the-Box for Windows']}, '.gkh': {'description': 'Ensoniq Disk Image (VFX, SD, EPS, ASR, TS)', 'used_by': ['Ensoniq']}, '.gks': {'description': 'Graphics Kernel System', 'used_by': ['']}, '.gl': {'description': 'Animation', 'used_by': ['GRASP GRAphical System for Presentation']}, '.glb': {'description': 'Global module in Basic programs', 'used_by': ['']}, '.glm': {'description': 'Datafile, KernelCAD model', 'used_by': ['Glim, KernelCAD']}, '.glo': {'description': 'Global module in Basic programs', 'used_by': ['']}, '.gls': {'description': 'Datafile', 'used_by': ['Across']}, '.gly': {'description': 'Winword Glossary', 'used_by': ['Microsoft Word']}, '.gm6': {'description': 'GameMaker Editable file as of version 6.x', 'used_by': ['Game Maker']}, '.gm81': {'description': 'GameMaker Editable file as of version 8.1.x', 'used_by': ['Game Maker']}, '.gmd': {'description': 'GameMaker Editable file up to version 5.x', 'used_by': ['Game Maker']}, '.gmf': {'description': 'CGM graphics file', 'used_by': ['APPLAUSE']}, '.gmk': {'description': 'GameMaker Editable file as of version 7.x or 8.x', 'used_by': ['Game Maker']}, '.gml': {'description': 'Geography Markup Language File', 'used_by': ['Geography Markup Language']}, '.gmod': {'description': 'Data', 'used_by': ['Golgotha 3D model']}, '.gmp': {'description': 'Geomorph tile map', 'used_by': ['SPX']}, '.gms': {'description': 'Gesture and Motion File Formats', 'used_by': ['']}, '.gmt': {'description': 'data', 'used_by': ['RFactor car physics']}, '.gmx': {'description': 'GameMaker:Studio Editable File as of 1.x', 'used_by': ['Game Maker']}, '.gnd': {'description': 'GNUnet directory file', 'used_by': ['gnunet-fs']}, '.go': {'description': 'Go source code file', 'used_by': ['Golang']}, '.goc': {'description': 'Goc source code file', 'used_by': ['Geoworks']}, '.goe': {'description': 'GOES graphic file', 'used_by': ['']}, '.goh': {'description': 'Goc header file', 'used_by': ['Geoworks']}, '.gp': {'description': 'Great Programmable Calculator script source code', 'used_by': ['PARI/GP']}, '.gp4': {'description': 'data', 'used_by': ['Grand Prix 4 car physics']}, '.gp5': {'description': 'Guitar Pro 5 song', 'used_by': ['Guitar Pro 5']}, '.gph': {'description': 'Graph', 'used_by': ['Lotus 1-2-3/G']}, '.gpk': {'description': 'Omnigo program package', 'used_by': ['']}, '.gpl': {'description': 'GIMP palette file (text)', 'used_by': ['GIMP, Inkscape']}, '.gpx': {'description': 'A GPX file is a GPS data file saved in the GPS Exchange format, which is an open standard that can be freely used by GPS programs. It contains longitude and latitude location data that may include waypoints, routes, and tracks. GPX files are saved in XML format, which allows GPS data to be more easily imported and read by multiple programs and web services.', 'used_by': []}, '.gr2': {'description': 'Screen driver', 'used_by': ['Windows 3.x']}, '.gra': {'description': 'Datafile', 'used_by': ['SigmaPlot']}, '.grads': {'description': 'Metafile', 'used_by': ['']}, '.graffle': {'description': 'OmniGraffle graph file', 'used_by': ['']}, '.grasp': {'description': 'Graphical System for Presentation', 'used_by': ['']}, '.grb': {'description': 'MS-DOS Shell Monitor file', 'used_by': ['MS-DOS 5']}, '.grd': {'description': 'Drivers for GRX (graphics library)', 'used_by': ['GRX (c) Free Soft. Found.']}, '.grdnt': {'description': 'Image format used in the core of some very obscure customized operating systems to represent gradients; see also SCTOR', 'used_by': ['']}, '.gre': {'description': 'data', 'used_by': ['Grenoble Thermal ellipsoids Plot Program']}, '.greenfoot': {'description': 'Greenfoot Project', 'used_by': ['Greenfoot']}, '.grf': {'description': 'Graph file', 'used_by': ['Graph Plus, DPlot, and Charisma']}, '.grft': {'description': 'Graph definition text file', 'used_by': ['SELDM Postprocessor']}, '.grib': {'description': 'Gridded Binary', 'used_by': ['']}, '.grn': {'description': 'Drivers for GRX (graphics library)', 'used_by': ['GRX (c) Free Soft. Found.']}, '.grp': {'description': 'Pictures group', 'used_by': ['PixBase']}, '.gry': {'description': 'Graphics format (RAW GREYz)', 'used_by': ['']}, '.gs': {'description': 'Script written in Google Apps Script, used for automating tasks across online Google products', 'used_by': ['Google Apps Script']}, '.gs1': {'description': 'Presentation', 'used_by': ['GraphShow']}, '.gs3': {'description': 'data', 'used_by': ['GameStarter']}, '.gsa': {'description': 'data', 'used_by': ['Microsoft Office Groove Space Archive']}, '.gsd': {'description': 'Vector graphics', 'used_by': ['Professional Draw']}, '.gsm': {'description': 'Raw GSM 6.10 audio stream', 'used_by': ['AWAVE']}, '.gsp': {'description': "Geometer's Sketchpad", 'used_by': ['']}, '.gsw': {'description': 'Worksheet', 'used_by': ['GraphShow']}, '.gt7': {'description': 'RS7 Guided tour', 'used_by': ['Redshift 7']}, '.gta': {'description': 'data', 'used_by': ['Microsoft Office Groove Tool Archive']}, '.gtf': {'description': 'Gene transfer format', 'used_by': ['']}, '.gup': {'description': '', 'used_by': ['PopMail']}, '.gv': {'description': 'GrandView outline file', 'used_by': ['']}, '.gvo': {'description': 'Data', 'used_by': ['GFXFX Vector Object']}, '.gwi': {'description': 'Groupwise File', 'used_by': ['Local saved Email']}, '.gxl': {'description': 'Graphics library', 'used_by': ['Genus']}, '.gxk': {'description': 'Secure Data encryption Format', 'used_by': ['Galaxkey']}, '.gz': {'description': 'A GZ file is an archive file compressed by the standard GNU zip (gzip) compression algorithm. It contains a compressed collection of one or more files and is commonly used on Unix operating systems for file compression.', 'used_by': ['Apple Archive Utility', 'RARLAB WinRAR', '7-Zip', 'PeaZip', 'gzip']}, '.gzr': {'description': 'data', 'used_by': ['GunZ action replay']}, '.h!': {'description': 'Pertext database', 'used_by': ['HELP.EXE']}, '.h--': {'description': 'C—language header', 'used_by': ['Sphinx C--']}, '.h': {'description': 'An H file is a header file referenced by a document written in C, C++, or Objective-C source code. It may contain variables, constants, and functions that are used by other files within a programming project. H files allow commonly used functions to be written only once and referenced by other source files when needed.', 'used_by': ['Apple Xcode', 'Code::Blocks', 'Eclipse CDT', 'MacroMates TextMate', 'Vim', 'Microsoft Visual Studio 2019', 'Any text editor']}, '.h++': {'description': 'Header file', 'used_by': ['C++']}, '.ha': {'description': 'Archive', 'used_by': ['HA']}, '.hack': {'description': 'Source file for the programming language hack', 'used_by': ['The HHVM[3]']}, '.hal': {'description': 'Data file', 'used_by': ['Hyper Access Lite OS/2']}, '.ham': {'description': 'Hold And Modify', 'used_by': ['Deluxe Paint image file']}, '.hap': {'description': 'Archive', 'used_by': ['HAP3']}, '.har': {'description': 'HTTP Archive format (JSON-format web-browser log)', 'used_by': ['W3C draft standard']}, '.hbc': {'description': 'Compressed Archive File (Shrink Fast Algorithm)', 'used_by': ['Hyperbac']}, '.hbe': {'description': 'Compressed, Encrypted Archive File (Shrink & AES256-bit Encryption)', 'used_by': ['Hyperbac']}, '.hbk': {'description': 'MathCAD handbook', 'used_by': ['MathCAD']}, '.hc': {'description': 'Header file', 'used_by': ['']}, '.hcg': {'description': 'Document', 'used_by': ['HCLab']}, '.hcgs': {'description': 'Document', 'used_by': ['HCLab']}, '.hdd': {'description': 'HotDisc Designer label', 'used_by': ['']}, '.hdf': {'description': 'Hierarchical Data File graphics file', 'used_by': ['SDSC Image Tools']}, '.hdl': {'description': 'Alternate download file listing', 'used_by': ['Procomm Plus']}, '.hdmp': {'description': 'heap dumpfile', 'used_by': ['']}, '.hdr': {'description': 'SPOT image file', 'used_by': ['']}, '.hds': {'description': 'Hierarchical Data System', 'used_by': ['']}, '.hdw': {'description': 'Vector graphics', 'used_by': ['Harvard Draw']}, '.hdx': {'description': 'Help index', 'used_by': ['AutoCAD - Zortech C++']}, '.hdz': {'description': 'Amiga Zip compressed Hard Disk Image', 'used_by': ['']}, '.hep': {'description': 'Novell Help Librarian Data File', 'used_by': ['Novell NetWare']}, '.hex': {'description': 'Hex dump', 'used_by': ['']}, '.hfi': {'description': 'HP Font Info file', 'used_by': ['GEM']}, '.hgl': {'description': 'HP Graphics Language graphics file', 'used_by': ['']}, '.hh': {'description': 'C++ header file', 'used_by': ['']}, '.hhh': {'description': 'Precompiled header file', 'used_by': ['Power C']}, '.hhp': {'description': 'Microsoft HTML Help project', 'used_by': ['Microsoft HTML Help Workshop and Compiler']}, '.hi': {'description': 'Game high scores table', 'used_by': ['']}, '.hin': {'description': 'Molecule', 'used_by': ['HyperChem']}, '.his': {'description': 'Yard Information File', 'used_by': ['FYM']}, '.hkm': {'description': 'Stores sound in a bitmapped graphics file', 'used_by': ['']}, '.hlb': {'description': 'Help library', 'used_by': ['VAX']}, '.hlp': {'description': 'old Windows Help file', 'used_by': ['Windows 3.0 - XP, Help Explorer Viewer']}, '.hlx': {'description': 'Multi Edit help file', 'used_by': ['MultiEdit 5.0']}, '.hlz': {'description': 'Multi Edit packed help file', 'used_by': ['MultiEdit']}, '.hmi': {'description': 'Music format (MIDI)', 'used_by': ['']}, '.hmm': {'description': 'Alternate Mail Read option menu', 'used_by': ['Procomm Plus']}, '.hmp': {'description': 'Hump Setup File - Obsolete as of version 2.4 (See SET and SWT files)', 'used_by': ['FYM']}, '.hnc': {'description': 'CNC program files Heidenhain (?) dialog', 'used_by': ['']}, '.hof': {'description': 'Hall Of Fame (game scores)', 'used_by': ['']}, '.hom': {'description': 'CAD Software Data File', 'used_by': ['PLXHOME']}, '.hp': {'description': 'Printout file for HP printers/plotters (HP/GL)', 'used_by': ['']}, '.hp8': {'description': 'ASCII text HP Roman8 character set', 'used_by': ['NewWave Write']}, '.hp9': {'description': 'ASCII text HP Roman9 character set', 'used_by': ['']}, '.hpf': {'description': 'HP LaserJet fonts', 'used_by': ['PageMaker']}, '.hpg': {'description': 'see HPGL', 'used_by': ['']}, '.hpgl': {'description': 'Plotter file vector graphics (Hewlett-Packard Graphics Language)', 'used_by': ['AutoCad - Harvard Graphics']}, '.hpi': {'description': 'Font information file', 'used_by': ['GEM']}, '.hpj': {'description': 'Help project', 'used_by': ['Microsoft Help Compiler for Windows - HC.EXE']}, '.hpk': {'description': 'Archive', 'used_by': ['HPACK']}, '.hpm': {'description': 'High Performance Map', 'used_by': ['Quaestor 1.x']}, '.hpp': {'description': 'C++ header file', 'used_by': ['Zortech C++ - Watcom C/C++']}, '.hppcl': {'description': 'Hewlett-Packard Printer Control Language', 'used_by': ['']}, '.hqx': {'description': 'An HQX file is a binary to hexadecimal text file created for Mac computers. It contains data that has been compressed and encoded from an 8-bit binary format into a 7-bit text format. HQX files can be useful for transferring binary images, documents, and multimedia as text in email attachments.', 'used_by': ['Apple Archive Utility', 'Corel WinZip 24', 'Smith Micro StuffIt Deluxe for Windows']}, '.hrf': {'description': 'Graphics file (Hitachi Raster Format)', 'used_by': ['']}, '.hrm': {'description': 'Alternate Main menu for limited/normal users', 'used_by': ['Procomm Plus']}, '.hrz': {'description': 'Graphics format', 'used_by': ['SSTV']}, '.hs2': {'description': 'Monochrome image', 'used_by': ['Postering']}, '.hsc': {'description': '2-op FM music', 'used_by': ['HSC tracker - hscplay.exe']}, '.hsh': {'description': 'Disk image hash file', 'used_by': ['DriveSnapshot']}, '.hsi': {'description': 'Handmade Software Inc. graphics file almost JPEG', 'used_by': ['Image Alchemy']}, '.hst': {'description': 'History file', 'used_by': ['Procomm Plus']}, '.hta': {'description': 'HTML Application', 'used_by': ['Microsoft Windows']}, '.htm': {'description': 'An HTM file is an HTML webpage used by web browsers, such as Google Chrome, Microsoft Edge, and Mozilla Firefox. It may contain hyperlinks and markup language, which defines the elements and layout of a webpage.', 'used_by': ['Adobe Dreamweaver 2020', 'Microsoft Visual Studio Code', 'Adobe ColdFusion Builder', 'Microsoft Visual Studio 2019', 'Microsoft Notepad', 'Any web browser', 'Any text editor']}, '.html': {'description': 'An HTML file is a webpage coded in HTML that can be displayed in a web browser. It is used to format text, tables, images, and other content that is displayed on a webpage. HTML files are widely used on the web as most pages within static websites have an ".html" extension.', 'used_by': ['Adobe Dreamweaver 2020', 'Adobe ColdFusion Builder', 'Microsoft Visual Studio Code', 'Notepad++', 'Any browser', 'Any text editor']}, '.htx': {'description': 'Hypertext file', 'used_by': ['']}, '.hus': {'description': 'Husqvarna Viking Embroidery Format', 'used_by': ['Embroidermodder']}, '.hve': {'description': 'Hive file[4]', 'used_by': ['Microsoft']}, '.hwa': {'description': 'Hollywood applet', 'used_by': ['Hollywood']}, '.hwd': {'description': 'Presentation', 'used_by': ['Hollywood Designer']}, '.hwp': {'description': 'Hangul Word Processor Document', 'used_by': ['Hangul (word processor)']}, '.hws': {'description': 'Hollywood script', 'used_by': ['Hollywood']}, '.hxm': {'description': 'Alternate Protocol Selection menu for all users', 'used_by': ['Procomm Plus']}, '.hxs': {'description': 'Microsoft Help 2 compiled help file', 'used_by': ['Microsoft Windows, Help Explorer Viewer']}, '.hxx': {'description': 'C++ header file', 'used_by': ['']}, '.hy1': {'description': 'Hyphenation algorithms', 'used_by': ['Ventura Publisher']}, '.hy2': {'description': 'Hyphenation algorithms', 'used_by': ['Ventura Publisher']}, '.hyc': {'description': 'Data', 'used_by': ['WordPerfect']}, '.hyd': {'description': 'Hyphenation dictionary', 'used_by': ['WordPerfect for Win']}, '.hyp': {'description': 'Archive', 'used_by': ['HYPER']}, '.i': {'description': 'SWIG interface file', 'used_by': ['SWIG']}, '.iak': {'description': 'Internet Access Kit', 'used_by': ['OS/2']}, '.iam': {'description': 'Assembly file', 'used_by': ['Autodesk Inventor']}, '.iax': {'description': 'data', 'used_by': ['InstallAnywhere.NET project']}, '.ibe': {'description': 'Index Braille Embosser', 'used_by': ['Special file for embosser from Index Braille']}, '.ibg': {'description': 'PDS graphic file', 'used_by': ['']}, '.ibm': {'description': 'Archive (Internal IBM only)', 'used_by': ['ARCHDOS']}, '.ibro': {'description': 'Robot save file', 'used_by': ['Incredibots 2']}, '.ica': {'description': 'Bitmap graphics (Image Object Content Architecture)', 'used_by': ['']}, '.icb': {'description': 'Targa ICB bitmap graphics', 'used_by': ['many raster graphics editors']}, '.icc': {'description': 'ICC profile', 'used_by': ['Color Configuration for color input or output devices']}, '.ice': {'description': 'LHA Archive', 'used_by': ['Cracked LHA (old LHA), Total Commander']}, '.icfe': {'description': 'IceFormula Equation Workspace', 'used_by': ['Penguin George']}, '.icfm': {'description': 'IceFormula Math Workspace', 'used_by': ['Penguin George']}, '.icl': {'description': 'Icon Library', 'used_by': ['']}, '.icm': {'description': 'ICC configuration', 'used_by': ['']}, '.icn': {'description': 'ICON source code file', 'used_by': ['']}, '.ico': {'description': 'An ICO file contains an icon, which is typically used for a Windows program, file, or folder. It stores one or more images in various sizes so they can be appropriately scaled depending on their use. ICO files are similar to .CUR files, which are also used in Windows, and .ICNS files, which are used in macOS.', 'used_by': ['Apple Preview', 'Inkscape', 'GIMP', 'Microsoft Photos', 'Microsoft Paint', 'Microsoft Paint 3D']}, '.id': {'description': 'Disk identification file', 'used_by': ['']}, '.idb': {'description': 'VC++ Minimum Rebuild Dependency File', 'used_by': ['Visual C++']}, '.idc': {'description': 'IDA C language source', 'used_by': ['IDA']}, '.ide': {'description': 'Borland C++ 4.x IDE project', 'used_by': ['BCW.EXE']}, '.idf': {'description': 'MIDI instrument description or Intermediate Data Format', 'used_by': ['']}, '.ids': {'description': 'IDA imported names format', 'used_by': ['IDA']}, '.idw': {'description': 'Drawing file', 'used_by': ['Autodesk Inventor']}, '.idx': {'description': 'Index', 'used_by': ['many - FoxPro; also unrelated Quicken file format']}, '.ifc': {'description': 'Industry Foundation Classes (platform neutral, open file format used by BIM software). It is registered by ISO and is an official International Standard ISO 16739-1:2018.', 'used_by': ['BIM softwares[5].']}, '.ifd': {'description': 'Form', 'used_by': ['JetForm Design']}, '.iff': {'description': 'An IFF file is a universal file format created by Electronic Arts. It may contain image, text, or audio data and is used for interchanging different types of data across applications and platforms. IFF files are supported by many programs and are used as the basis for several other file formats, including AIFF.', 'used_by': ['Adobe Audition CC 2019', 'Apple QuickTime Player', 'Corel PaintShop Pro 2020', 'Cloanto Amiga Forever', 'XnView MP']}, '.ifp': {'description': 'Script', 'used_by': ['KnowledgeMan']}, '.ifs': {'description': 'Installable file system', 'used_by': ['OS/2']}, '.igc': {'description': "Flight tracks downloaded from GPS devices in the International Gliding Commission's prescribed format", 'used_by': ['']}, '.iges': {'description': 'Initial Graphics Exchange Specification', 'used_by': ['']}, '.igf': {'description': 'LasershowGen Frames', 'used_by': ['LasershowGen']}, '.igp': {'description': 'LasershowGen Project', 'used_by': ['LasershowGen']}, '.ihp': {'description': 'Watcom help file', 'used_by': ['whelp.exe']}, '.ihs': {'description': 'Inbound History', 'used_by': ['Bink/+']}, '.iic': {'description': 'Sertainty Identity File', 'used_by': ['Sertainty']}, '.iiw': {'description': 'Power Point Image Importer Wizard', 'used_by': ['']}, '.il': {'description': 'hDC Designer Icon Lin dll format', 'used_by': ['']}, '.ilb': {'description': 'Data', 'used_by': ['Scream Tracker']}, '.ilg': {'description': 'data', 'used_by': ['LaTeX Index Generation log']}, '.ilk': {'description': "Outline of program's format", 'used_by': ['Microsoft ILink incremental linker']}, '.ilx': {'description': 'ILMTXT Scrolling Text File Viewer executable file', 'used_by': ['ILMTXT']}, '.im': {'description': 'Auran Jet indexed mesh file', 'used_by': ['Trainz']}, '.im8': {'description': 'Sun Raster graphics file', 'used_by': ['']}, '.ima': {'description': 'Disk image', 'used_by': ['WinImage']}, '.img': {'description': 'Vivid IMG file', 'used_by': ['']}, '.imi': {'description': 'image', 'used_by': ['Magellan eXplorist map']}, '.immodules': {'description': 'Module', 'used_by': ['GTK+']}, '.imp': {'description': 'Spreadsheet', 'used_by': ['Lotus Improv']}, '.imq': {'description': 'Image presentation', 'used_by': ['ImageQ']}, '.imz': {'description': 'Disk image', 'used_by': ['WinImage']}, '.in': {'description': 'autoconf INput file', 'used_by': ['']}, '.in$': {'description': 'Installation file', 'used_by': ['HP NewWave']}, '.in3': {'description': 'Input device driver', 'used_by': ['Harvard Graphics 3.0']}, '.inb': {'description': 'Test script', 'used_by': ['Vermont HighTest']}, '.inc': {'description': 'Include file', 'used_by': ['several programming languages']}, '.ind': {'description': 'Data Index', 'used_by': ['dBASE IV']}, '.indd': {'description': 'An INDD file is a professional page layout project created with Adobe InDesign. It includes page formatting information, page content, linked files, styles, and swatches. INDD files are commonly used for creating and formatting books, magazines, newspapers, flyers, and brochures.', 'used_by': ['Adobe InDesign 2020', 'Adobe InCopy 2020', 'QuarkXPress with ID2Q XTension']}, '.inf': {'description': 'Type 1 LaserJet font information file', 'used_by': ['soft font installers']}, '.info': {'description': 'Icon Data (Amiga)', 'used_by': ['']}, '.ingr': {'description': 'Intergraph Raster File Format', 'used_by': ['']}, '.ini': {'description': 'An INI file is a configuration file used by Windows programs to initialize program settings. It contains sections for settings and preferences (delimited by a string in square brackets) with each section containing one or more name and value parameters.', 'used_by': ['Microsoft Windows', 'Microsoft Notepad', 'Microsoft WordPad', 'A virtual machine with Windows Installed']}, '.ink': {'description': 'Pantone reference fills file', 'used_by': ['CorelDRAW']}, '.ino': {'description': 'Arduino file', 'used_by': ['Arduino']}, '.ins': {'description': 'Instrument music file (Adlib)', 'used_by': ['']}, '.int': {'description': 'Source of Borland interface module', 'used_by': ['']}, '.inx': {'description': 'Index', 'used_by': ['Foxbase']}, '.io': {'description': 'Archive', 'used_by': ['CPIO']}, '.iob': {'description': '3d graphics database in TDDD format', 'used_by': ['Imagine']}, '.ioc': {'description': 'Organizational chart', 'used_by': ['Instant ORGcharting!']}, '.ion': {'description': '4DOS DESCRIPT.ION file (file descriptions like long filenames, comments, or extended attributes)', 'used_by': ['4DOS, NDOS, 4OS2, 4NT, TC, TCC, VC, DN, ODN, NDN, Windows Commander, Total Commander, Double Commander, XnView, ACDSee, Newsbin Pro, V, as well as some CUI LIB-based applications']}, '.ip': {'description': 'Immortal Player file', 'used_by': ['Immortal Player']}, '.ipa': {'description': 'Apple iOS Application', 'used_by': ['iPhone, iPod touch, iPad']}, '.ipc': {'description': 'Intellitec Program Configuration - used to configure vehicle electronics', 'used_by': ['Intellitec']}, '.ipf': {'description': 'Interchangeable Preservation Format', 'used_by': ['SoftPres']}, '.ipg': {'description': 'iPod game file', 'used_by': ['iTunes and iPod']}, '.iph': {'description': 'Hi-Res Image', 'used_by': ['InterPaint']}, '.ipl': {'description': 'Pantone Spot reference palette file', 'used_by': ['CorelDRAW']}, '.ipn': {'description': 'Intecplan project', 'used_by': ['Intecplan Business Plan Software']}, '.ips': {'description': 'IPS Patching Format (International Patching System)[citation needed]', 'used_by': ['Rom hacking community']}, '.ipsw': {'description': 'iOS firmware file', 'used_by': ['iPhone, iPod touch, iPad, Apple TV']}, '.ipt': {'description': 'XnView IPTC template', 'used_by': ['XnView, XnViewMP']}, '.iptc': {'description': 'XnView XML-based IPTC template', 'used_by': ['XnViewMP']}, '.ipynb': {'description': 'IPython Notebook', 'used_by': ['Jupyter Notebook']}, '.irrmesh': {'description': 'static irrMesh files', 'used_by': ['']}, '.irs': {'description': 'Resource (WordPerfect) standard.irs', 'used_by': ['WordPerfect']}, '.irt': {'description': 'Data', 'used_by': ['IRIT 3D model']}, '.irtr': {'description': 'Graphicon-2000 Interactive Real-Time PHIGS', 'used_by': ['']}, '.isd': {'description': 'Spelling Checker dictionary', 'used_by': ['RapidFile']}, '.ish': {'description': 'Archive', 'used_by': ['ISH']}, '.isma': {'description': 'Output Video file', 'used_by': ["Islam Abusa'a Software"]}, '.isn': {'description': 'InstallShield Installer Source File', 'used_by': ['InstallShield']}, '.iso': {'description': 'An ISO file is a common CD or DVD disc image format based on the ISO-9660 standard. It contains an exact duplicate of data from the original disc, which includes the data saved on the disc as well as the filesystem information, such as directory structures, file attributes, and boot code. ISO files are often used for making copies of CDs and DVDs.', 'used_by': ['Apple Disk Utility', 'Parallels Desktop 15 for Mac', 'VMware Fusion 11', 'VideoLAN VLC media player', 'Microsoft File Explorer', 'Corel WinZip 24', '7-Zip', 'RARLAB WinRAR', 'VirtualBox']}, '.ist': {'description': 'Digitrakker Instrument File', 'used_by': ['AWAVE']}, '.it': {'description': 'Settings', 'used_by': ['intalk']}, '.itdb': {'description': 'iTunes Database File', 'used_by': ['iTunes']}, '.itf': {'description': 'Interface file', 'used_by': ['JPI TopSpeed Pascal']}, '.itl': {'description': 'iTunes music library', 'used_by': ['iTunes']}, '.itlp': {'description': 'iTunes LP', 'used_by': ['iTunes']}, '.itn': {'description': 'Itinerary file', 'used_by': ['TomTom PNDs']}, '.itr': {'description': 'i-Tree project files', 'used_by': ['i-Tree Software Suite']}, '.itt': {'description': 'IconTweaker Theme', 'used_by': ['']}, '.iv': {'description': 'SGI Inventor', 'used_by': ['']}, '.iv-vrml': {'description': 'Inventor VRML Format', 'used_by': ['']}, '.ive': {'description': 'OpenSceneGraph 3D model', 'used_by': ['']}, '.ivi': {'description': 'Image file', 'used_by': ['ImmerVision']}, '.ivl': {'description': 'Lensflare file', 'used_by': ['ImmerVision']}, '.ivp': {'description': 'Panorama file', 'used_by': ['ImmerVision']}, '.ivu': {'description': 'User Interface file', 'used_by': ['ImmerVision']}, '.iw': {'description': 'Presentation flowchart', 'used_by': ['IconAuthor - HSC InterActive']}, '.iwa': {'description': 'Text file', 'used_by': ['IBM Writing Assistant']}, '.iwb': {'description': 'Information WorkBench', 'used_by': ['Prodeo']}, '.iwd': {'description': 'Call of Duty Map - Game Data Archive', 'used_by': ['Activision, Inc.']}, '.iwp': {'description': 'Text file', 'used_by': ['Wang']}, '.ix': {'description': 'data', 'used_by': ['dtSearch index']}, '.izt': {'description': 'Izl binary token file', 'used_by': ['IZL']}, '.j2c': {'description': 'JPEG 2000 image', 'used_by': ['JPEG 2000']}, '.ja': {'description': 'Mozilla  archive omni.ja', 'used_by': ['Mozilla Firefox 4, Thunderbird']}, '.jad': {'description': 'Java Application Descriptor', 'used_by': ['Mobile JAR, Java Games and Applications']}, '.jam': {'description': 'Jam music score', 'used_by': ['Jam']}, '.jar': {'description': 'A JAR file is a Java archive (JAR) file used by the Java Runtime Environment (JRE), a framework used for executing Java programs. JAR files may serve as program libraries or as standalone programs that run if the JRE is installed on the computer or mobile device.', 'used_by': ['Corel WinZip Mac 7', 'Oracle Java Runtime Environment', '7-Zip', 'Corel WinZip 24', 'Any web browser']}, '.jas': {'description': 'see JASC', 'used_by': ['']}, '.jasc': {'description': 'Graphics format (JASC)', 'used_by': ['']}, '.jav': {'description': 'see JAVA', 'used_by': ['']}, '.java': {'description': 'A JAVA file is a source code file written in the Java programming language, which was originally developed by Sun Microsystems but is now maintained by Oracle. It uses an object-oriented approach, where structured data types, called classes, are used to instantiate objects at runtime.', 'used_by': ['Oracle Java Virtual Machine', 'Eclipse IDE for Java Developers', 'Apple Xcode', 'MacroMates TextMate', 'Vim']}, '.jbd': {'description': 'Datafile', 'used_by': ['SigmaScan']}, '.jbig': {'description': 'Joint Bilevel Image Group', 'used_by': ['']}, '.jbx': {'description': 'Project file', 'used_by': ['Project Scheduler 4']}, '.jcn': {'description': 'JobClock.Net Synch File', 'used_by': ['']}, '.jef': {'description': 'Janome Embroidery Format', 'used_by': ['Embroidermodder']}, '.jet': {'description': 'Fax', 'used_by': ['Hybrid JetFax']}, '.jff': {'description': 'see JFIF', 'used_by': ['']}, '.jfif': {'description': 'JPEG File Interchange Format', 'used_by': ['']}, '.jif': {'description': 'see JFIF', 'used_by': ['']}, '.jks': {'description': 'Java Keystore', 'used_by': ['Java']}, '.jms': {'description': 'Music format (JMusic file)', 'used_by': ['UltraForce']}, '.jnlp': {'description': 'Java Network Launching Protocol', 'used_by': ['Java Web Start']}, '.jnr': {'description': 'Jinx! file recording', 'used_by': ['Jinx! LED Matrix control']}, '.jnx': {'description': 'Garmin raster map file', 'used_by': ['BirdsEye service (subscription only)']}, '.job': {'description': 'QUEUE output file', 'used_by': ['RT-11']}, '.jor': {'description': 'Journal file SQL', 'used_by': ['']}, '.jou': {'description': 'Journal backup', 'used_by': ['VAX Edt editor']}, '.jp2': {'description': 'JPEG 2000 image', 'used_by': ['']}, '.jpc': {'description': 'Graphics', 'used_by': ['Japan PIC']}, '.jpeg': {'description': 'Joint Photographic Experts Group graphics file format', 'used_by': ['QPeg - FullView - Display']}, '.jpg': {'description': 'A JPG file is an image saved in a compressed image format standardized by the Joint Photographic Experts Group (JPEG). It is commonly used for storing digital photos and used by most digital cameras to save images. JPG files are among the most common image files along with .PNG, .TIF, and .GIF.', 'used_by': ['Apple Preview', 'Apple Photos', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'CorelDRAW Graphics Suite 2020', 'Microsoft Photos', 'Microsoft OneDrive', 'Microsoft Paint', 'GIMP', 'Any picture viewer', 'Any web browser']}, '.jps': {'description': 'backup of startup files (AUTOEXEC.BAT, CONFIG.SYS, 4DOS.INI) by installation of 4DOS (JP Software)', 'used_by': ['4DOS']}, '.jre': {'description': 'Java Runtime Environment', 'used_by': ['Java']}, '.jrn': {'description': 'JMP journal', 'used_by': ['JMP']}, '.js': {'description': 'A JS file is a text file containing JavaScript code that is used to execute JavaScript instructions in web pages. It may include functions that open and close windows, validate form fields, enable rollover images, or create drop-down menus.', 'used_by': ['Adobe Dreamweaver 2020', 'Adobe ColdFusion Builder', 'MacroMates TextMate', 'Microsoft Visual Studio 2019', 'Any web browser', 'Any text editor']}, '.json': {'description': 'JSON (JavaScript Object Notation)', 'used_by': ['Ajax']}, '.jsonld': {'description': 'JSON-LD, a JSON-based Serialization for Linked Data', 'used_by': ['']}, '.jsp': {'description': "A JSP file is a server-generated web page. It is similar to an .ASP or .PHP file, but contains Java code instead of ActiveX or PHP. The code is parsed by the web server, which generates HTML that is sent to the user's computer.", 'used_by': ['Apple Safari', 'Mozilla Firefox', 'Google Chrome', 'Adobe Dreamweaver 2020', 'MacroMates TextMate', 'Eclipse IDE for Java Developers', 'Microsoft Internet Explorer', 'Other Web browser']}, '.jsx': {'description': 'JavaScript XML, an extension to the JavaScript language syntax', 'used_by': ['React components']}, '.jtf': {'description': 'Graphics (TIFF file with JPEG compression)', 'used_by': ['']}, '.jvx': {'description': 'Data', 'used_by': ['JavaView object']}, '.jw': {'description': 'Text document', 'used_by': ['JustWrite']}, '.jwl': {'description': 'Library', 'used_by': ['JustWrite']}, '.jzz': {'description': 'Spreadsheet', 'used_by': ['Jazz']}, '.k2a': {'description': 'Data', 'used_by': ['Prince of Persia 3D object']}, '.k3d': {'description': 'Description of macro language 3DS', 'used_by': ['3DS']}, '.k7z': {'description': 'Keysight 7-Zip File', 'used_by': ['Keysight PathWave FPGA']}, '.kap': {'description': 'Map Info Sea Chart', 'used_by': ['']}, '.kar': {'description': 'Precompiled .prg for KARAT', 'used_by': ['Rus. FOX+ 2.0']}, '.kb': {'description': 'K-Brief in XML format', 'used_by': ["TCC's Set-Based Thinking™ Tools"]}, '.kba': {'description': 'K-Brief Attachment', 'used_by': ["TCC's Set-Based Thinking™ Tools"]}, '.kbasic': {'description': 'Source', 'used_by': ['KBasic']}, '.kbd': {'description': 'Keyboard mapping', 'used_by': ['LocoScript - Signature - Procomm Plus']}, '.kbm': {'description': 'Keyboard mapping', 'used_by': ['Reflection 4.0']}, '.kbs': {'description': 'K-Brief in Encrypted format', 'used_by': ["TCC's Set-Based Thinking™ Tools"]}, '.kbz': {'description': 'K-Brief in Compressed format', 'used_by': ["TCC's Set-Based Thinking™ Tools"]}, '.kcl': {'description': 'Lisp source code', 'used_by': ['Kyoto Common Lisp']}, '.kd': {'description': 'Koara Document', 'used_by': ['Koara']}, '.kdb': {'description': 'KeePass 1.x database file', 'used_by': ['KeePass']}, '.kdbx': {'description': 'KeePass 2.x database file', 'used_by': ['KeePass']}, '.kdc': {'description': 'Kodak Digital Camera (graphics)', 'used_by': ['PhotoEnhancer by PictureWorks']}, '.kep': {'description': '(unknown)', 'used_by': ['(unknown)']}, '.kex': {'description': 'Kedit Macro File', 'used_by': ['Kedit']}, '.kext': {'description': 'macOS Kernel Extension[6]', 'used_by': ['macOS']}, '.key': {'description': 'A KEY file is a generic file extension used by various programs when registering legal copies of the software. It may be saved in a plain text format but generally contains some form of encrypted key string that authenticates the purchase and registers the software.', 'used_by': ['Used by various programs']}, '.kfn': {'description': 'complex music format|[7]', 'used_by': ['Karafun Karaoke(R)']}, '.kfx': {'description': 'Kofax Group', 'used_by': ['GCGW']}, '.kfdk': {'description': 'Keysight PathWave FPGA Design File', 'used_by': ['Keysight PathWave FPGA']}, '.kit': {'description': 'Power Chords drum kit file', 'used_by': ['Power Chord']}, '.kmc': {'description': "KatzReview's MegaCrammer", 'used_by': ['']}, '.kml': {'description': 'A KML file stores geographic modeling information in XML format. It includes points, lines, polygons, and images. KML files are used to identify and label locations, create different camera angles, overlay textures, and add HTML content.', 'used_by': ['Google Earth', 'Blender with Google Earth Importer plug-in']}, '.kmy': {'description': 'data', 'used_by': ['KMyMoney']}, '.kmz': {'description': "A KMZ file is a file that stores map locations viewable in Google Earth, a global mapping program. It contains placemarks that may include a custom name and the latitudinal and longitudinal coordinates of the location. KMZ files provide a bird's eye view of locations throughout the U.S. and other areas of the world.", 'used_by': []}, '.knn': {'description': 'Database key file', 'used_by': ['Clarion']}, '.kno': {'description': 'Personal Knowbase data file', 'used_by': ['Personal Knowbase']}, '.ko': {'description': 'linux kernel object file', 'used_by': ['linux kernel']}, '.kode': {'description': 'Encrypted File', 'used_by': ['KodeFile']}, '.kodu': {'description': 'Kodu game save file', 'used_by': ['Kodu Game Lab']}, '.kpl': {'description': 'source code', 'used_by': ['Phrogram']}, '.kpp': {'description': 'Toolpad', 'used_by': ['SmartPad']}, '.kps': {'description': 'IBM KIPS bitmap graphics', 'used_by': ['']}, '.kr1': {'description': 'Kurzweil 2000 sample file', 'used_by': ['AWAVE']}, '.kr2': {'description': 'Kurzweil 2000 sample file', 'used_by': ['AWAVE']}, '.krz': {'description': 'Kurzweil K2000 File', 'used_by': ['Kurzweil']}, '.ks': {'description': 'Source code', 'used_by': ['KonsolScript Document']}, '.ks3': {'description': 'Data', 'used_by': ['3D Forgastest Editor object']}, '.ksm': {'description': 'Pfaff Embroidery Format', 'used_by': ['Embroidermodder']}, '.kt': {'description': 'Kotlin source code', 'used_by': ['Kotlin Programming Language']}, '.kdlg': {'description': 'Datalog', 'used_by': ['KTuner']}, '.ktu': {'description': 'Know The Unknown Online Service Packs', 'used_by': ['Unknownsoft']}, '.kwb': {'description': 'Knowledge WorkBench', 'used_by': ['Prodeo']}, '.kyb': {'description': 'Keyboard mapping', 'used_by': ['FTP Software PC/TCP']}, '.l': {'description': 'LISP source code file', 'used_by': ['']}, '.la0': {'description': 'Datafile', 'used_by': ['SCUMM index file']}, '.lab': {'description': 'Mailing labels', 'used_by': ['Q+E for Microsoft Excel']}, '.laccdb': {'description': 'Access lock file', 'used_by': ['Microsoft Access']}, '.lan': {'description': 'LAN Drivers', 'used_by': ['Novell NetWare']}, '.lang': {'description': 'Language file', 'used_by': ['Minecraft, Skype']}, '.las': {'description': 'Lasso File', 'used_by': ['Lasso Programming Language File']}, '.lasso': {'description': 'Lasso File', 'used_by': ['Lasso Programming Language File']}, '.lay': {'description': 'Word chart layout', 'used_by': ['APPLAUSE']}, '.lbg': {'description': 'Label generator data', 'used_by': ['dBASE IV']}, '.lbl': {'description': 'Label', 'used_by': ['dBASE IV - Clipper 5 - dBFast']}, '.lbm': {'description': 'Linear bitmap graphics', 'used_by': ['XLib']}, '.lbo': {'description': 'Compiled label', 'used_by': ['dBASE IV']}, '.lbr': {'description': 'EAGLE library file', 'used_by': ['EAGLE (program)EAGLE']}, '.lbt': {'description': 'Additional (FPT) label description file', 'used_by': ['FoxPro']}, '.lbx': {'description': 'Main (DBF) label description file', 'used_by': ['FoxPro']}, '.lcf': {'description': 'Linker Control File', 'used_by': ['Norton Guides compiler']}, '.lch': {'description': 'Chart', 'used_by': ['IBM Works for OS/2']}, '.lck': {'description': 'Lockfile', 'used_by': ['Paradox']}, '.lcl': {'description': 'Data', 'used_by': ['FTP Software PC/TCP']}, '.lcn': {'description': 'Lection', 'used_by': ['WordPerfect']}, '.lcs': {'description': 'Datafile', 'used_by': ['ACT! History Files']}, '.lcw': {'description': 'Spreadsheet', 'used_by': ['Lucid 3-D']}, '.ld': {'description': 'Long Distance codes file', 'used_by': ['Telix']}, '.lda': {'description': 'Absolute binary file (load image)', 'used_by': ['PDP-11, RT-11']}, '.ld1': {'description': 'Overlay file', 'used_by': ['dBASE']}, '.ldb': {'description': 'Overlay file', 'used_by': ['Microsoft Access']}, '.ldf': {'description': 'Library definition file', 'used_by': ['Geoworks Glue']}, '.ldr': {'description': 'LDraw file', 'used_by': ['LDraw']}, '.ldt': {'description': 'Labordatenträger, an xDT application', 'used_by': ['Healthcare providers in Germany']}, '.le': {'description': 'DOS/4GW executable image', 'used_by': ['DOS/4GW PM 32X DOS Extender']}, '.les': {'description': 'Lesson (check *.cbt)', 'used_by': ['']}, '.lev': {'description': 'Level file', 'used_by': ['NetHack 3.x']}, '.lex': {'description': 'Dictionary', 'used_by': ['Microsoft Word - Lexicon']}, '.lfl': {'description': 'LucasArts resource file', 'used_by': ['']}, '.lfd': {'description': 'LucasArts resource file', 'used_by': ['LucasArts games']}, '.lft': {'description': 'Laser printer font', 'used_by': ['ChiWriter']}, '.lg': {'description': 'Logo procedure definitions', 'used_by': ['LSRHS Logo']}, '.lgo': {'description': 'Startup logo code', 'used_by': ['Windows 3.x']}, '.lgp': {'description': 'LG Plate file', 'used_by': ['Lase Graphic Number plate software']}, '.lgs': {'description': 'LG Sign file', 'used_by': ['Laser Graphic Signs Software']}, '.lha': {'description': 'LHA Archive', 'used_by': ['LHA/LHARC, Total Commander']}, '.lhw': {'description': 'Amiga archive', 'used_by': ['LHWARP']}, '.lib': {'description': 'Library file', 'used_by': ['several programming languages']}, '.lic': {'description': 'License file used by some programs to put their license on disk', 'used_by': ['']}, '.license': {'description': 'License file used by some programs to put their license on disk', 'used_by': ['']}, '.lif': {'description': 'Logical Interchange Format data file', 'used_by': ['Hewlett-Packard']}, '.lim': {'description': 'Archive', 'used_by': ['LIMIT']}, '.lin': {'description': 'Line types', 'used_by': ['AutoCAD']}, '.lis': {'description': 'Listing', 'used_by': ['VAX']}, '.lisp': {'description': 'LISP source code file', 'used_by': ['']}, '.lit': {'description': 'Web3D File', 'used_by': ['Web3D']}, '.lix': {'description': 'Log file (history)', 'used_by': ['Audit Command Language (ACL)']}, '.lj': {'description': 'Text file for HP LJ II printer', 'used_by': ['']}, '.ll': {'description': 'LLVM Assembly Language', 'used_by': ['llvm']}, '.ll3': {'description': 'LapLink III related file (document)', 'used_by': ['LapLink III']}, '.lm': {'description': 'Auran Jet LOD mesh table (text file to control LODs)', 'used_by': ['Trainz']}, '.lmp': {'description': 'Doom lump (data file, commonly "demo" recordings)', 'used_by': ['Doom - Doom2']}, '.lng': {'description': 'Language definition file', 'used_by': ['']}, '.lnk': {'description': 'An LNK file is a shortcut or "link" used by Windows as a reference to an original file, folder, or application similar to an alias on the Macintosh platform. It contains the shortcut target type, location, and filename as well as the program that opens the target file and an optional shortcut key. The file can be created in Windows by right-clicking a file, folder, or executable program and then selecting Create shortcut.', 'used_by': ['Microsoft Windows']}, '.loaders': {'description': 'Loaders', 'used_by': ['GTK+']}, '.lock': {'description': 'Lockfile', 'used_by': ['Various systems']}, '.lod': {'description': 'Load file', 'used_by': ['']}, '.log': {'description': 'A LOG file is a log used by various operating systems and programs. It typically contains a plain text log of certain events with their timestamps. LOG files may be created by the operating system to keep track of system events or by a software installation program to list location and names of installed files.', 'used_by': ['Apple Console', 'Apple TextEdit', 'Microsoft Notepad', 'Any text editor']}, '.lom': {'description': '3D Model', 'used_by': ['Lock On: Modern Air Combat']}, '.love': {'description': 'LÖVE Game File', 'used_by': ['LÖVE']}, '.lpc': {'description': 'Printer driver', 'used_by': ['TEKO']}, '.lrc': {'description': 'Lyrics data', 'used_by': ['']}, '.lrf': {'description': 'Unencrypted BroadBand eBook file', 'used_by': ['Sony Librie eBook reader']}, '.lrmodule': {'description': 'Adobe Photoshop Lightroom Module', 'used_by': ['Adobe Photoshop Lightroom']}, '.lrp': {'description': 'Report', 'used_by': ['IBM Works for OS/2']}, '.lrplugin': {'description': 'Adobe Photoshop Lightroom Plug-in', 'used_by': ['Adobe Photoshop Lightroom']}, '.lrs': {'description': 'Language Resource File', 'used_by': ['WordPerfect for Win']}, '.lrweb': {'description': 'Adobe Photoshop Lightroom Web Gallery', 'used_by': ['Adobe Photoshop Lightroom']}, '.lrx': {'description': 'Encrypted BroadBand eBook file', 'used_by': ['Sony Librie eBook reader']}, '.ls': {'description': 'LiveScript source code file', 'used_by': ['']}, '.lsa': {'description': 'Lingvo system audio', 'used_by': ['ABBYY Lingvo']}, '.lsb': {'description': 'Lightscape Technologies Binary', 'used_by': ['']}, '.lsc': {'description': 'Leostream Connect file', 'used_by': ['Leostream Corporation']}, '.lsd': {'description': 'Lingvo system dictionary', 'used_by': ['ABBYY Lingvo']}, '.lsp': {'description': 'LISP source code file', 'used_by': ['Xlisp, AutoLISP']}, '.lss': {'description': 'SYSLINUX Splash Screen Graphic', 'used_by': ['SYSLINUX, XnView']}, '.lst': {'description': 'SLP output file', 'used_by': ['RT-11']}, '.lta': {'description': 'Data', 'used_by': ['LithTech ASCII 3D object']}, '.ltm': {'description': 'Form (Lotus Forms)', 'used_by': ['Lotus']}, '.lua': {'description': 'A LUA file contains source code written in Lua, a light-weight programming language designed for extending or adding functionality to software applications. The Lua scripting language syntax is simple but supports a large number of data types and operators.', 'used_by': ['GNU Compiler Collection (GCC)', 'Microsoft Visual Studio Code', 'MacroMates TextMate', 'Microsoft Notepad', 'Notepad++', 'Vim', 'Any text editor']}, '.lud': {'description': 'Lingvo user dictionary', 'used_by': ['ABBYY Lingvo']}, '.luw': {'description': 'label data file', 'used_by': ['Labels Unlimited for Windows']}, '.lux': {'description': '2D and 3D graphics data file', 'used_by': ['Foliomap and Spectramap']}, '.luz': {'description': '3D graphics data file', 'used_by': ['Spectramap CUDA']}, '.lwd': {'description': 'Text document', 'used_by': ['LotusWorks']}, '.lwo': {'description': 'Lightwave Object Format', 'used_by': ['']}, '.lwp': {'description': 'Word processor', 'used_by': ['IBM Works for OS/2, Lotus Wordpro']}, '.lxf': {'description': 'Lego Exchange Format', 'used_by': ['Lego Digital Designer data file']}, '.lxo': {'description': 'Luxology scene', 'used_by': ['modo3D software']}, '.lxt': {'description': 'Temporal database file', 'used_by': ['GTKWave data file']}, '.ly': {'description': 'LilyPond Notation File', 'used_by': ['LilyPond']}, '.lyr': {'description': 'Lyrics (ASCII)', 'used_by': ['']}, '.lyt': {'description': 'Document Layout file', 'used_by': ['Adminsoft Accounts']}, '.lz': {'description': 'Archive', 'used_by': ['Lzip']}, '.lzd': {'description': 'Difference file for binaries', 'used_by': ['LDiff 1.20']}, '.lzh': {'description': 'LHA Archive', 'used_by': ['LHA/LHARC, Total Commander']}, '.lzs': {'description': 'LHA Archive', 'used_by': ['LARC, Total Commander']}, '.lzw': {'description': 'Archive', 'used_by': ['LHWARP']}, '.lzx': {'description': 'Amiga Archive', 'used_by': ['LZX']}, '.m': {'description': 'An M file is a class implementation file used by programs written in Objective-C. It begins with the @implementation directive and initializes variables and functions that can be referenced by other Objective-C source files. M files may also reference header (.H) files.', 'used_by': []}, '.m2': {'description': 'WoW Model Object file', 'used_by': ['Blizzard Entertainment games (World of Warcraft/Warcraft series)']}, '.m2ts': {'description': 'MPEG 2 Transport Stream', 'used_by': ['Various media playback devices / software']}, '.m3u': {'description': 'More InformationAn M3U file is a media playlist file supported by several media players such as Winamp and iTunes. It contains a playlist of MP3s and other audio or video files and lists the locations of media files in a plain text format.', 'used_by': ['Apple iTunes', 'VideoLAN VLC media player', 'Microsoft Windows Media Player', 'Media Player Classic']}, '.m3u8': {'description': 'Unicode version of M3U playlist file (UTF-8)', 'used_by': ['Winamp, XMMS']}, '.m4': {'description': 'm4 macro file', 'used_by': ['']}, '.m4a': {'description': 'An M4A file is an audio file saved in the MPEG-4 format and encoded with either the Advanced Audio Coding (AAC) codec or the Apple Lossless Audio Codec (ALAC). It may store various types of audio content, such as songs, podcasts, and audiobooks.', 'used_by': ['Apple iTunes', 'Apple QuickTime Player', 'Adobe Audition CC 2019', 'VideoLAN VLC media player', 'Microsoft Windows Media Player', 'Media Player Classic']}, '.m4v': {'description': "An M4V file is an MPEG-4 file used to store video downloaded from the Apple iTunes store, such as TV episodes, music videos, and full-length movies. It is similar to the .MP4 file, but may be copy-protected using Apple's FairPlay DRM copyright protection.", 'used_by': []}, '.m4p': {'description': 'Advanced Video Coding (Protected)', 'used_by': ['iTunes']}, '.m4r': {'description': 'iPhone ringtone', 'used_by': ['iTunes and iOS devices']}, '.m7p': {'description': 'Multilizer 2007 and 2009 localization project file', 'used_by': ['Multilizer']}, '.m8m': {'description': '8MAM8 Model File', 'used_by': ['']}, '.maff': {'description': 'Mozilla Archive Format', 'used_by': ['Mozilla Firefox (with add-on)']}, '.mai': {'description': 'Mail', 'used_by': ['VAX']}, '.mak': {'description': 'Project file', 'used_by': ['VB – VC ++']}, '.man': {'description': 'User guide (manual)', 'used_by': ['']}, '.manager': {'description': 'Accounting data file', 'used_by': ['Manager – free accounting software']}, '.manifest': {'description': 'Manifest file', 'used_by': ['']}, '.map': {'description': 'Game map for Duke Nukem 3D', 'used_by': ['']}, '.mar': {'description': 'Mozilla ARchive', 'used_by': ['Mozilla Updater (used to house binary updates to products)']}, '.mas': {'description': 'SmartMaster set', 'used_by': ['Freelance Graphics']}, '.mat': {'description': 'Microsoft Access Table', 'used_by': ['Microsoft Access']}, '.max': {'description': 'A MAX file is a three-dimensional scene file created by 3ds Max, a 3D modeling, animation, and rendering application. It may contain multiple models that include wireframes, textures, lighting effects, shading, animation, and other 3D design elements.', 'used_by': ['Autodesk 3ds Max 2020']}, '.mb': {'description': 'Memo field values for database', 'used_by': ['Paradox']}, '.mbk': {'description': 'Multiple index file backup', 'used_by': ['dBASE IV']}, '.mbp': {'description': 'Metadata', 'used_by': ['.mobi (Mobipocket)']}, '.mbr': {'description': 'Master Boot Record File', 'used_by': ['GRUB']}, '.mbx': {'description': 'Mailbox data', 'used_by': ['Eudora/ZERBERUS']}, '.mca': {'description': 'Minecraft "Anvil" world format', 'used_by': ['Minecraft 1.2 and onward']}, '.mcc': {'description': 'Configuration file', 'used_by': ['Mathcad']}, '.mcd': {'description': 'MathCad file', 'used_by': ['MathCad']}, '.mcf': {'description': 'Multimedia Container Format (predecessor of Matroska)', 'used_by': ['']}, '.mci': {'description': 'MCI command script', 'used_by': ['Media Control Interface']}, '.mcl': {'description': 'Cartesian manipulator for laser systems', 'used_by': ['']}, '.mcmeta': {'description': 'Minecraft asset metadata file', 'used_by': ['Minecraft']}, '.mcp': {'description': 'Printer driver', 'used_by': ['Mathcad']}, '.mcr': {'description': 'Minecraft saved world "region" file', 'used_by': ['Minecraft (up to 1.1)']}, '.mcw': {'description': 'Text file', 'used_by': ['MacWrite II']}, '.md': {'description': 'Markdown-formatted text file', 'used_by': ['Markdown']}, '.md2': {'description': 'Quake 2 Model File', 'used_by': ['id Software']}, '.md3': {'description': 'Quake 3 Model File', 'used_by': ['id Software']}, '.md5': {'description': 'MD5 checksum', 'used_by': ['md5sum, Total Commander']}, '.mda': {'description': 'Microsoft Access system database', 'used_by': ['Microsoft Access']}, '.mdb': {'description': 'An MDB file is a database file created by Microsoft Access, a widely-used desktop relational database program. It contains the database structure (tables and fields) and database entries (table rows). MDB files may also store data entry forms, queries, stored procedures, reports, and database security settings.', 'used_by': ['Wolfram Research Mathematica', 'Microsoft Access 2019', 'Microsoft Visual Studio 2019', 'SAS Institute SAS']}, '.mdf': {'description': 'An MDF file is a disc image saved by a disc authoring program such as Alcohol 120%. It stores the actual CD or DVD disc data, while the header and track information is stored in a corresponding .MDS file. MDF files are similar to .ISO files, but are saved in a different format.', 'used_by': ['Alcohol 120%', 'CyberLink PowerDVD 17', 'MagicISO']}, '.mdi': {'description': 'Document save in high-resolution, created by MSOffice to scan documents (OCR) and turn them into a .DOC', 'used_by': ['Microsoft Office']}, '.mdl': {'description': "Nintendo GameCube Luigi's Mansion Model", 'used_by': ['Nintendo']}, '.mdm': {'description': 'Modem definition file', 'used_by': ['TELIX']}, '.mdmp': {'description': 'Mini dumpfile', 'used_by': ['']}, '.mdr': {'description': 'Microdrive file', 'used_by': ['ZX Spectrum emulator by g.a.lunter']}, '.mds': {'description': 'Midi Session', 'used_by': ['Sound Imp.']}, '.mdt': {'description': 'Data table', 'used_by': ['Microsoft ILink incremental linker']}, '.mdx': {'description': 'Multiple index file', 'used_by': ['dBASE IV']}, '.mdz': {'description': 'Text description of music module', 'used_by': ['Cubic Player – Cross-View']}, '.me': {'description': 'Text file READ.ME', 'used_by': ['']}, '.meb': {'description': 'Macro Editor bottom overflow file', 'used_by': ['WordPerfect Library']}, '.mec': {'description': 'MECCA source', 'used_by': ['Maximus']}, '.med': {'description': 'Music format', 'used_by': ['MED/OctaMED']}, '.mediawiki': {'description': 'Wiki markup', 'used_by': ['most wikis']}, '.mem': {'description': 'Mnemosyne database', 'used_by': ['Mnemosyne; other spaced repetition software']}, '.meq': {'description': 'Macro Editor print queue file', 'used_by': ['WordPerfect Library']}, '.mer': {'description': 'Macro Editor resident area (vakioalue)', 'used_by': ['WordPerfect Library']}, '.mes': {'description': 'Message', 'used_by': ['']}, '.met': {'description': 'OS/2 graphics metafile', 'used_by': ['PICVIEW.EXE']}, '.meu': {'description': 'Menu group', 'used_by': ['DOS Shell']}, '.mex': {'description': 'MEX file (executable command)', 'used_by': ['Matlab']}, '.mf': {'description': 'Metafont file', 'used_by': ['TeX']}, '.mfa': {'description': 'Source code file', 'used_by': ['Multimedia Fusion 2 / The Games Factory 2']}, '.mff': {'description': 'MIDI', 'used_by': ['Cakewalk, MTPro 4']}, '.mfm': {'description': 'Music format', 'used_by': ['DMP']}, '.mgf': {'description': 'Materials and Geometry Format', 'used_by': ['']}, '.mgx': {'description': 'Designer 4.1 Drawing', 'used_by': ['Designer 4.1']}, '.mht': {'description': 'Web Archive Single File', 'used_by': ['']}, '.mib': {'description': 'Snmp MIB file', 'used_by': ['']}, '.mid': {'description': 'A MID file is a standard MIDI (Musical Instrument Digital Interface) file used by music authoring and mixing programs as well as MIDI hardware devices. It contains music data, such as what notes are played, when they are played, how long each note is held, and how loud each note is played.', 'used_by': ['Apple QuickTime Player', 'Apple Logic Pro X', 'Microsoft Windows Media Player', 'TiMidity++', 'MuseScore']}, '.midi': {'description': 'See MID', 'used_by': ['']}, '.miff': {'description': 'Magick Image File Format', 'used_by': ['']}, '.mii': {'description': 'Datafile', 'used_by': ['MicroStat-II']}, '.mime': {'description': 'Message in MIME format (RFC822)', 'used_by': ['']}, '.miniusf': {'description': 'Nintendo proprietary MIDI file format for the Reality Signal Processor (Nintendo 64)', 'used_by': ['Nintendo 64 games']}, '.mio': {'description': 'MyInfo topic', 'used_by': ['Milenix MyInfo']}, '.mis': {'description': 'Mission, used by many games', 'used_by': ['']}, '.mit': {'description': 'Mitsubishi Embroidery Format', 'used_by': ['Embroidermodder']}, '.mix': {'description': 'Object file', 'used_by': ['Power C']}, '.mjs': {'description': 'JavaScript Module', 'used_by': ['']}, '.mk': {'description': 'Makefile', 'used_by': ['']}, '.mke': {'description': 'Makefile', 'used_by': ['Microsoft Windows SDK']}, '.mkg': {'description': 'Makefile', 'used_by': ['']}, '.mki': {'description': 'Japanese graphics MAKIchan format', 'used_by': ['MagView 0.5']}, '.mks': {'description': 'Data', 'used_by': ['TACT']}, '.mkv': {'description': 'Matroska Multimedia Container', 'used_by': ['Media Player Classic, Windows Media Player, Matroska Splitter']}, '.ml3': {'description': 'Project', 'used_by': ['Milestones 3.x']}, '.mlapp': {'description': 'MATLAB App Designer App', 'used_by': ['MATLAB']}, '.mlb': {'description': 'Macro library file', 'used_by': ['RT-11, Symphony']}, '.mli': {'description': '3DS Materials Libraries', 'used_by': ['3D Studio']}, '.mlraw': {'description': 'Data', 'used_by': ['Moonlight Creator RAW format 3D object']}, '.mlv': {'description': 'LabVIEW MathScript', 'used_by': ['']}, '.mlx': {'description': 'MATLAB LiveScript', 'used_by': ['MATLAB']}, '.mm': {'description': 'Source code', 'used_by': ['Objective-C++']}, '.mmf': {'description': 'Mail message file', 'used_by': ['Microsoft Mail']}, '.mmm': {'description': 'Multimedia movie file, RIFF RMMP format', 'used_by': ['MacroMind Director 3.x']}, '.mmo': {'description': 'Memo writer file', 'used_by': ['RapidFile']}, '.mmp': {'description': 'Output video format from Bravado board', 'used_by': ['']}, '.mmpz': {'description': 'LMMS Compressed Project File', 'used_by': ['LMMS']}, '.mn': {'description': 'MuPAD Pro Notebook', 'used_by': ['Workspace file of MuPAD (integrated in Matlab)']}, '.mnd': {'description': 'Menu source', 'used_by': ['AutoCAD Menu Compiler']}, '.mng': {'description': 'Map', 'used_by': ["DeLorme Map'n'Go"]}, '.mnt': {'description': 'Surface metrology or image analysis document', 'used_by': ['MountainsMap']}, '.mnu': {'description': 'Microsoft Mouse menu (for DOS apps)', 'used_by': ['Microsoft DOS']}, '.mnx': {'description': 'Main (DBF) menu description file', 'used_by': ['FoxPro']}, '.mny': {'description': 'Account book', 'used_by': ['Microsoft Money']}, '.mo': {'description': 'Language file', 'used_by': ['Sundry']}, '.mo?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.mob': {'description': 'Device definition file', 'used_by': ['PEN Windows']}, '.mobi': {'description': 'eBook', 'used_by': ['Mobipocket, Kindle']}, '.mod': {'description': 'Music format (Amiga module)', 'used_by': ['DMP – ST – MDP – VP']}, '.modules': {'description': 'Module', 'used_by': ['GTK+']}, '.mol': {'description': 'MDL Molfile', 'used_by': ['RasMol']}, '.mol2': {'description': 'Tripos’ Sybyl MOL2 Format', 'used_by': ['SYBYL, RasMol']}, '.mon': {'description': 'Monitor description', 'used_by': ['ReadMail']}, '.mop': {'description': 'MOPAC input file', 'used_by': ['MOPAC, RasMol']}, '.mov': {'description': 'A MOV file is a common multimedia container file format developed by Apple and compatible with both Macintosh and Windows platforms. It may contain multiple tracks that store different types of media data and is often used for saving movies and other video files. MOV files commonly use the MPEG-4 codec for compression.', 'used_by': ['Apple QuickTime Player', 'VideoLAN VLC media player', 'CyberLink PowerDVD 17']}, '.mp2': {'description': 'Mpeg audio file', 'used_by': ['Winamp, xing']}, '.mp3': {'description': 'An MP3 file is an audio file saved in a compressed audio format developed by the Moving Picture Experts Group (MPEG) that uses "Layer 3" audio compression (MP3). It is most commonly used to store music, but may also contain other types of audio content, such as a lecture, sermon, audiobook, or podcast.', 'used_by': ['Apple iTunes', 'VideoLAN VLC media player', 'Adobe Audition CC 2019', 'Microsoft Windows Media Player', 'Any music player']}, '.mp4': {'description': 'An MP4 file is a multimedia file commonly used to store a movie or video clip. It may also contain subtitles or images. MP4 is short for MPEG-4 Part 14, which is a container format based on the QuickTime File Format (QTFF) used by .MOV and .QT files.', 'used_by': ['Apple QuickTime Player', 'VideoLAN VLC media player', 'Microsoft Movies & TV', 'Microsoft Windows Media Player', 'Any media player']}, '.mpa': {'description': 'An MPA file is an audio file compressed with MPEG Layer II compression, which reduces the file size while minimally affecting the overall sound quality. It is based on the MPEG-1 audio-coding standard and was later updated for the MPEG-2 specification.', 'used_by': ['Apple QuickTime Player', 'Apple iTunes', 'VideoLAN VLC media player', 'Microsoft Windows Media Player']}, '.mpc': {'description': 'Musepack audio', 'used_by': ['']}, '.mpd': {'description': 'LDraw file (multi-part DAT file)', 'used_by': ['LDraw']}, '.mpeg': {'description': 'multimedia containter format, video, audio', 'used_by': ['MPEG Player, Winamp']}, '.mpg': {'description': 'An MPG file is a common video file that uses a digital video format standardized by the Moving Picture Experts Group (MPEG). It stores video, audio, and metadata interleaved together. MPG files are often used for creating movies that are distributed on the Internet.', 'used_by': ['Apple QuickTime Player', 'VideoLAN VLC media player', 'Adobe Flash Professional CC', 'Microsoft Windows Media Player', 'Any movie player']}, '.mpkg': {'description': 'Multipackage installer script', 'used_by': ['Mac OS X']}, '.mpl': {'description': 'MediaRack Midi Playlist', 'used_by': ['MediaRack']}, '.mpm': {'description': 'MathPlan macro', 'used_by': ['WordPerfect Library']}, '.mpp': {'description': 'Project file', 'used_by': ['Microsoft Project']}, '.mppz': {'description': 'MagicPlot project file', 'used_by': ['MagicPlot']}, '.mpq': {'description': "Mo'PaQ Archive", 'used_by': ['Blizzard games']}, '.mpr': {'description': 'Command & Conquer: Red Alert 2 map file', 'used_by': ['Red Alert 2']}, '.mpt': {'description': 'Bitmap graphics (Multipage TIFF)', 'used_by': ['']}, '.mpv': {'description': 'View file', 'used_by': ['Microsoft Project']}, '.mpx': {'description': 'Video format', 'used_by': ['']}, '.mpz': {'description': 'Miradi Project Zipfile', 'used_by': ['Miradi']}, '.mq4': {'description': 'MetaQuotes Language 4 (MQL4) source code file', 'used_by': ['MetaTrader 4']}, '.mq5': {'description': 'MetaQuotes Language 5 (MQL5) source code file', 'used_by': ['MetaTrader 5']}, '.mqh': {'description': 'MetaQuotes Language (MQL4 or MQL5) header file', 'used_by': ['MetaTrader 4, MetaTrader 5']}, '.mrb': {'description': 'Multiple Resolution Bitmap graphics file', 'used_by': ['Microsoft C/C++']}, '.mrc': {'description': 'mIRC file', 'used_by': ['mIRC']}, '.mrk': {'description': 'Windows User Benchmark', 'used_by': ['Win95']}, '.mrs': {'description': 'Macro Resource file', 'used_by': ['WordPerfect for Win']}, '.ms': {'description': 'Microsoft antivirus report', 'used_by': ['MSAV']}, '.msc': {'description': 'management saved console[1]', 'used_by': ['Microsoft; Microsoft MMC[2]']}, '.msd': {'description': 'Secure and Encrypted File', 'used_by': ['mysecuredelivery/Download']}, '.msdl': {'description': 'Manchester Scene Description Language', 'used_by': ['']}, '.msdvd': {'description': 'Windows DVD Maker Project', 'used_by': ['Windows DVD Maker']}, '.mse': {'description': 'Set file', 'used_by': ['Magic Set Editor']}, '.msf': {'description': 'Multiple sequence file (Pileup format)[3]', 'used_by': ['']}, '.msg': {'description': "An MSG file is an email message, contact, appointment, or task created or saved within Microsoft Outlook. It may contain one or more email fields, which includes the date, sender, recipient, subject, and message body, or contact information, appointment details, and one or more task descriptions. MSG files are also compatible with other programs that use Microsoft's Messaging Applications Programming Interface (MAPI).", 'used_by': ['Mozilla SeaMonkey', 'Microsoft Outlook 2019']}, '.msi': {'description': 'An MSI file is a package that contains installation information for a particular installer, such as files to be installed and installation locations. It may be used for Windows updates as well as third-party software installers.', 'used_by': ['Microsoft Windows Installer', '7-Zip']}, '.mso': {'description': 'Microsoft Outlook metadata for a Microsoft Word 2000 email attachment[4]', 'used_by': ['Microsoft Outlook']}, '.msp': {'description': 'Windows Installer Patch', 'used_by': ['Microsoft Windows']}, '.msproducer': {'description': 'Media Project', 'used_by': ['Microsoft Producer (for Microsoft PowerPoint XP/2003) Project']}, '.msqm': {'description': 'data', 'used_by': ['Microsoft Message Queuing']}, '.msn': {'description': 'Project', 'used_by': ['National Instruments for NI MultiSim-Electronic Circuit simulator']}, '.mss': {'description': 'Manuscript text file', 'used_by': ['Perfect Writer – Scribble – MINCE – Jove']}, '.mst': {'description': 'Setup script file', 'used_by': ['Microsoft Windows SDK']}, '.msw': {'description': 'Text file', 'used_by': ['Microsoft Word']}, '.msx': {'description': 'CP/M archive', 'used_by': ['MSX']}, '.mth': {'description': 'Math file', 'used_by': ['Derive']}, '.mtl': {'description': 'Wavefront', 'used_by': ['']}, '.mtm': {'description': 'Music format', 'used_by': ['MultiTracker']}, '.mts': {'description': 'MPEG 2 Transport Stream', 'used_by': ['Various media playback devices / software']}, '.mtv': {'description': 'MTV Ray Tracer graphic file', 'used_by': ['']}, '.mtw': {'description': 'Datafile', 'used_by': ['Minitab']}, '.mu': {'description': 'Quattro pro for DOS Menu definition file', 'used_by': ['Quattro Pro']}, '.mui': {'description': 'Multilingual User Interface', 'used_by': ['']}, '.mum': {'description': 'Microsoft update file', 'used_by': ['Microsoft']}, '.mus': {'description': 'Sound file', 'used_by': ['MusicTime']}, '.muz': {'description': 'Hover Game MIDI File', 'used_by': ["Windows' Hover! Game[5]"]}, '.mvf': {'description': 'Stop frame file', 'used_by': ['AutoCAD AutoFlix']}, '.mvi': {'description': 'Movie command file', 'used_by': ['AutoCAD AutoFlix']}, '.mvo': {'description': 'Data', 'used_by': ['Mad Virgin 3D object']}, '.mvw': {'description': 'Log file', 'used_by': ['Saber LAN']}, '.mwf': {'description': 'Animation', 'used_by': ['ProMotion']}, '.mws': {'description': 'MWave DSP synths instrument', 'used_by': ['AWAVE']}, '.mxf': {'description': 'Material exchange format (RFC 4539, SMPTE 377M)', 'used_by': ['']}, '.mxl': {'description': 'PackRat 5.0 support DLLs', 'used_by': ['PackRat 5.0']}, '.mxm': {'description': 'Material', 'used_by': ['Maxwell Render']}, '.mxp': {'description': 'MasterCook exported recipe', 'used_by': ['']}, '.mxt': {'description': 'Data', 'used_by': ['Microsoft C']}, '.myd': {'description': 'a MyISAM data file in MySQL', 'used_by': ['MyISAM, MySQL']}, '.myi': {'description': 'a MyISAM index file in MySQL', 'used_by': ['MyISAM, MySQL']}, '.myp': {'description': 'Presentation', 'used_by': ['MM Make Your Point']}, '.mz': {'description': 'Binary-format Map', 'used_by': ['MazeEdit']}, '.mze': {'description': 'Text-format Map', 'used_by': ['MazeEdit']}, '.mzg': {'description': 'Binary-format Map Collection', 'used_by': ['MazeEdit']}, '.mzx': {'description': 'Binary-format Encrypted Map', 'used_by': ['MazeEdit']}, '.nam': {'description': 'Name Space Modules', 'used_by': ['Novell NetWare']}, '.nap': {'description': 'Naplps file (VideoShow)', 'used_by': ['EnerGraphics']}, '.naplps': {'description': 'North American Presentation Layer Protocol Syntax', 'used_by': ['']}, '.nasl': {'description': 'Nessus Attack Scripting Language', 'used_by': ['Tenable Network Security - Nessus']}, '.nb': {'description': 'Wolfram Mathematica Notebook (see Wolfram Language)', 'used_by': ['Mathematica']}, '.nbf': {'description': 'Nokia Backup File', 'used_by': ['Nokia Mobile Phones']}, '.nbs': {'description': 'Minecraft Note Block Studio file', 'used_by': ['Minecraft Note Block Studio']}, '.nbt': {'description': 'Minecraft Named Binary Tag file', 'used_by': ['Minecraft Named Binary Tag']}, '.nbu': {'description': 'Nokia Backup', 'used_by': ['Nokia Suite']}, '.nc': {'description': 'Non-error checking preprocessed Goc source code', 'used_by': ['Geoworks']}, '.ncc': {'description': 'CNC (Computer Numeric Control) control file', 'used_by': ['CamView 3D']}, '.ncd': {'description': 'Norton Change Directory support file', 'used_by': ['Norton Commander']}, '.ncp': {'description': 'Re-volt Collision file', 'used_by': ['Re-volt']}, '.nd': {'description': 'NetConnect data file. Contains information on multi-user access to the company file.', 'used_by': ['Intuit QuickBooks']}, '.ndb': {'description': 'Network database', 'used_by': ['Intellicom - Compex']}, '.nds': {'description': 'Nintendo DS ROM file used for Homebrew and commercial (Game) files on DS', 'used_by': ['Nintendo DS']}, '.ndl': {'description': 'Nodelist file', 'used_by': ['']}, '.ndx': {'description': 'Index file', 'used_by': ['dBASE II - III - IV - dBFast']}, '.nef': {'description': 'Nikon RAW image format', 'used_by': ['Nikon cameras']}, '.neis': {'description': 'Korean Student Record Document', 'used_by': ['학교생활기록부 작성 프로그램(Student Record Writing Program)']}, '.neo': {'description': 'Raster graphics file', 'used_by': ['Atari Neochrome']}, '.nes': {'description': 'An NES file is a game ROM created from an NES (Nintendo Entertainment System) video game. It contains the same data as the original NES cartridge and can be opened and played on a Mac or PC using an NES emulator.', 'used_by': ['RockNES', 'Nestopia', 'MESS', 'OpenEmu']}, '.net': {'description': 'Network configuration/info file', 'used_by': ['']}, '.neu': {'description': 'Pro/Engineer neutral file format', 'used_by': ['PTC Pro/Engineer']}, '.netcdf': {'description': 'Network Common Data Format', 'used_by': ['']}, '.new': {'description': 'New info', 'used_by': ['']}, '.nff': {'description': 'WorldToolKit Neutral File Format', 'used_by': ['']}, '.nfo': {'description': 'Info file', 'used_by': ['Compact NFO Viewer']}, '.ng': {'description': 'Hypertext Database', 'used_by': ['Norton Guide']}, '.ngc': {'description': 'G-Code file', 'used_by': ['Inkscape G-Code tools extension']}, '.ngo': {'description': 'NG linker object file', 'used_by': ['NGML']}, '.ngs': {'description': 'NG compiler source file', 'used_by': ['NGC']}, '.nif': {'description': 'netimmerse/gamebyro file', 'used_by': ['']}, '.nil': {'description': 'NIL', 'used_by': ['Icon Hear-It']}, '.nim': {'description': 'Nim source code file', 'used_by': ['Nim']}, '.nitf': {'description': 'National Imagery Transmission Format', 'used_by': ['']}, '.nk2': {'description': 'e-mail address autocomplete archive', 'used_by': ['Microsoft Office Outlook']}, '.nl': {'description': 'Norton Desktop Icon Library', 'used_by': ['']}, '.nlm': {'description': 'Netware loadable module', 'used_by': ['Novell Netware']}, '.nls': {'description': 'National Language Support file', 'used_by': ['MS-DOS']}, '.nlx': {'description': 'Form', 'used_by': ['FormWorx 3.0']}, '.nmf': {'description': 'Node Map File', 'used_by': ['Used by SpicyNodes']}, '.nnn': {'description': 'RAR archive volumes up to 999', 'used_by': ['RAR']}, '.norm': {'description': 'Normal file (Photo of screen showing Excel file - embedded in Word file)', 'used_by': ['https://xkcd.com/2116/']}, '.not': {'description': 'Yard Notes File', 'used_by': ['FYM']}, '.note': {'description': 'Notability Note File', 'used_by': ['Notability']}, '.np': {'description': 'Project schedule (Nokia Planner)', 'used_by': ['Nokia Planner']}, '.npi': {'description': 'Source for DGEN.EXE interpreter', 'used_by': ['dBASE Application Generator']}, '.npj': {'description': 'Nile Project', 'used_by': ['Game Mission Editor']}, '.npr': {'description': 'Nuendo Project File', 'used_by': ['Steinberg Nuendo']}, '.nrg': {'description': 'Nero Disc Image File', 'used_by': ['Nero Express / Burning ROM']}, '.nrw': {'description': 'Nikon Coolpix RAW image', 'used_by': ['Nikon']}, '.ns1': {'description': 'NetStumbler file', 'used_by': ['NetStumbler']}, '.nsa': {'description': 'media', 'used_by': ['Nullsoft Streaming Audio']}, '.nsf': {'description': 'Music module', 'used_by': ['NES Sound File']}, '.nss': {'description': 'Norton screensaver module', 'used_by': ['NC - NDW Screen Saver']}, '.nst': {'description': 'Music module', 'used_by': ['Amiga Noise Tracker']}, '.nsv': {'description': 'media', 'used_by': ['Nullsoft Streaming Video']}, '.nsx': {'description': 'Compound index file', 'used_by': ['SuccessWare SIX 3.00']}, '.nt': {'description': 'Startup files', 'used_by': ['Windows NT']}, '.nt3': {'description': 'BAHN Layout file', 'used_by': ['JBSS BAHN']}, '.ntf': {'description': 'database design template', 'used_by': ['Lotus Notes']}, '.nth': {'description': 'Nokia Theme File', 'used_by': ['Nokia PC Suite']}, '.ntr': {'description': 'Executable ASCII text file (strip header and rename)', 'used_by': ['netrun31.zip']}, '.nts': {'description': 'Tutorial', 'used_by': ['Norton']}, '.ntx': {'description': 'Database index file', 'used_by': ['Clipper 5']}, '.nuf': {'description': 'Message for new users on their 1st call', 'used_by': ['Procomm Plus']}, '.nug': {'description': 'Video Nugget', 'used_by': ['CBT Nuggets']}, '.numbers': {'description': 'Numbers spreadsheet file', 'used_by': ['Numbers']}, '.nv': {'description': 'NewViews DOS accounting database', 'used_by': ['QW Page NewViews']}, '.nv2': {'description': 'NewViews accounting database', 'used_by': ['QW Page NewViews']}, '.nwc': {'description': 'Note Worthy document', 'used_by': ['Note Worthy']}, '.nws': {'description': 'Info text file (latest news) (ASCII)', 'used_by': ['']}, '.nxt': {'description': 'Sound (NeXT format)', 'used_by': ['']}, '.o$$': {'description': 'Outfile', 'used_by': ['Sprint']}, '.o': {'description': 'Object file', 'used_by': ['UNIX - Atari - GCC']}, '.o01': {'description': 'Typhoon vOice file', 'used_by': ['AWAVE']}, '.oar': {'description': 'OAR file archive format', 'used_by': ['']}, '.oaz': {'description': 'Fax', 'used_by': ['NetFax Manager']}, '.ob': {'description': 'Object cut/paste file', 'used_by': ['IBM LinkWay']}, '.obd': {'description': 'Microsoft Office Binder', 'used_by': ['MSOffice']}, '.obj': {'description': 'An OBJ file is a standard 3D image format that can be exported and opened by various 3D image editing programs. It contains a three-dimensional object, which includes 3D coordinates, texture maps, polygonal faces, and other object information. OBJ files may also store references to one or more .MTL files that contain surface shading material for the object.', 'used_by': ['Apple Preview', 'Adobe Photoshop 2020', 'Autodesk Maya 2020', 'IMSI TurboCAD Deluxe', 'Cheetah3D', 'Blender', 'MAXON Cinema 4D', 'Microsoft 3D Builder', 'Microsoft Paint 3D', 'MeshLab']}, '.objf': {'description': 'Data', 'used_by': ['Triangle strips object']}, '.obr': {'description': 'Object browser data file', 'used_by': ['Borland C++']}, '.obs': {'description': 'Script', 'used_by': ['ObjectScript']}, '.obt': {'description': 'Microsoft Office Binder Template', 'used_by': ['MSOffice']}, '.obv': {'description': 'Visual interface', 'used_by': ['ObjectScript']}, '.obz': {'description': 'Microsoft Office Binder Wizard', 'used_by': ['MSOffice']}, '.ocf': {'description': 'Object Craft File', 'used_by': ['Object Craft']}, '.ocd': {'description': 'OCAD Map File', 'used_by': ['OCAD']}, '.ocr': {'description': 'Incoming fax transcribed to text', 'used_by': ['FAXGrapper']}, '.oct': {'description': 'Musical file', 'used_by': ['Octalizer']}, '.ocx': {'description': 'OLE custom control', 'used_by': ['']}, '.odb': {'description': 'OpenDocument database', 'used_by': ['LibreOffice Base']}, '.odc': {'description': 'Microsoft Office Data Connection', 'used_by': ['']}, '.odf': {'description': 'OpenDocument formula', 'used_by': ['LibreOffice Math']}, '.odg': {'description': 'OpenDocument drawing', 'used_by': ['LibreOffice Draw']}, '.odif': {'description': 'Open Document Interchange Format', 'used_by': ['']}, '.odl': {'description': 'Type library source', 'used_by': ['Visual C++']}, '.odm': {'description': 'OpenDocument master document', 'used_by': ['LibreOffice Writer']}, '.odp': {'description': 'OpenDocument presentation', 'used_by': ['LibreOffice Impress']}, '.ods': {'description': 'OpenDocument spreadsheet', 'used_by': ['LibreOffice Calc']}, '.odt': {'description': 'An ODT file is a text document created by various word processors, such as the Writer program included in Apache OpenOffice and LibreOffice. It contains different elements such as text, images, drawn objects, and styles. ODT files are formatted using the OASIS OpenDocument XML-based standard.', 'used_by': ['Apache OpenOffice', 'LibreOffice', 'Apple TextEdit', 'Microsoft Word', 'IBM Lotus Notes']}, '.oeaccount': {'description': 'XML format, account files', 'used_by': ['Microsoft e-mail software: Outlook Express, Windows Mail, Windows Live Mail, Microsoft Outlook']}, '.ofd': {'description': 'Form definition', 'used_by': ['ObjectView']}, '.off': {'description': 'Object File Format vector graphics', 'used_by': ['']}, '.ofm': {'description': 'PostScript font description file', 'used_by': ['']}, '.ofn': {'description': 'Microsoft Office documents', 'used_by': ['Microsoft Office']}, '.ogg': {'description': 'Ogg multimedia container format', 'used_by': ['']}, '.ohb': {'description': 'Source', 'used_by': ['On Hand Basic']}, '.ohs': {'description': 'Outbound History', 'used_by': ['Bink/+']}, '.oif': {'description': 'QuickBase file format', 'used_by': ['']}, '.okt': {'description': 'Music format', 'used_by': ['Oktalyzer']}, '.olb': {'description': 'Object library', 'used_by': ['VAX']}, '.old': {'description': 'Backup file', 'used_by': ['']}, '.oli': {'description': 'Text file', 'used_by': ['Olivetti']}, '.olk14contact': {'description': 'olk14_contact', 'used_by': ['Microsoft Outlook']}, '.olm': {'description': 'Outlook for Mac Data File', 'used_by': ['Microsoft Outlook for macOS']}, '.olsr': {'description': 'Configuration file', 'used_by': ['olsrd']}, '.oma': {'description': 'Audio file', 'used_by': ['Labelgate CD 2, MAGIQLIP2']}, '.omf': {'description': 'Open Media Framework', 'used_by': ['Avid Media Composer']}, '.omg': {'description': 'Audio file', 'used_by': ['Sony compressed audio file (ATRAC3)']}, '.one': {'description': 'OneNote Section', 'used_by': ['Microsoft OneNote']}, '.onepkg': {'description': 'OneNote Single File Package', 'used_by': ['Microsoft OneNote']}, '.onetoc': {'description': 'OneNote 2003 Table Of Contents', 'used_by': ['Microsoft OneNote']}, '.onetoc2': {'description': 'OneNote Table Of Contents', 'used_by': ['Microsoft OneNote']}, '.oof': {'description': 'Data', 'used_by': ['Outrage 3D Object Format (Descent)']}, '.oog': {'description': 'Data', 'used_by': ['WEBOOGL 3D object']}, '.oom': {'description': 'Swap file', 'used_by': ['Shroom']}, '.opf': {'description': 'Open Packaging Format File (often eBook metatdata)', 'used_by': ['calibre and other ebook readers']}, '.opj': {'description': 'Origin Project File', 'used_by': ['Origin version 4.1 and later']}, '.opn': {'description': 'Active options', 'used_by': ['Exact']}, '.opt': {'description': 'Optimize support file', 'used_by': ['QEMM']}, '.opus': {'description': 'Ogg/Opus audio file', 'used_by': ['mpv, mplayer, many others (official file format).']}, '.opw': {'description': 'Organization chart', 'used_by': ['Org Plus for Windows']}, '.opx': {'description': 'Inactive options', 'used_by': ['Exact']}, '.or2': {'description': 'Calendar file', 'used_by': ['Lotus Organizer']}, '.or3': {'description': 'Calendar file', 'used_by': ['Lotus Organizer']}, '.or4': {'description': 'Calendar file', 'used_by': ['Lotus Organizer']}, '.or5': {'description': 'Calendar file', 'used_by': ['Lotus Organizer']}, '.or6': {'description': 'Calendar file', 'used_by': ['Lotus Organizer']}, '.ora': {'description': 'Parameter file', 'used_by': ['Oracle']}, '.orc': {'description': 'Orchestra MIDI file', 'used_by': ['CSound']}, '.org': {'description': 'Older Origin Project', 'used_by': ['Origin versions 4 or earlier']}, '.osb': {'description': 'osu! storyboard file', 'used_by': ['osu!']}, '.osc': {'description': 'osu!stream combined stream file', 'used_by': ['osu!stream']}, '.osf2': {'description': 'Free osu!stream song file', 'used_by': ['osu!stream']}, '.osk': {'description': 'osu! skin archive', 'used_by': ['osu!']}, '.osm': {'description': 'OpenStreetMap note', 'used_by': ['OpenStreetMap']}, '.osr': {'description': 'osu! replay file', 'used_by': ['osu!']}, '.ost': {'description': 'Offline Storage Table', 'used_by': ['Microsoft e-mail software: Outlook Express, Microsoft Outlook']}, '.osu': {'description': 'osu! beatmap file', 'used_by': ['osu!']}, '.osz': {'description': 'osu! beatmap archive', 'used_by': ['osu!']}, '.osz2': {'description': 'Paid osu!stream song file', 'used_by': ['osu!stream']}, '.otg': {'description': 'OpenDocument drawing template', 'used_by': ['LibreOffice Draw']}, '.otb': {'description': 'Over-the-air bitmap graphics', 'used_by': ['']}, '.otf': {'description': 'An OTF file is a font file saved in the OpenType format developed by Adobe and Microsoft. It combines aspects of the PostScript and TrueType font formats. OTF fonts are fully scalable, meaning the characters can be resized without losing quality.', 'used_by': ['Apple Font Book', 'FontForge', 'Microsoft Windows Font Viewer']}, '.oth': {'description': 'OpenDocument HTML document template', 'used_by': ['LibreOffice']}, '.otl': {'description': 'The Vim Outliner', 'used_by': ['A vim plugin']}, '.otp': {'description': 'OpenDocument presentation template', 'used_by': ['LibreOffice Impress']}, '.ots': {'description': 'OpenDocument spreadsheet template', 'used_by': ['LibreOffice Math']}, '.ott': {'description': 'OpenDocument text document template', 'used_by': ['LibreOffice Writer']}, '.otx': {'description': 'Text file', 'used_by': ['Olivetti Olitext Plus']}, '.out': {'description': 'Design II for Windows Output file', 'used_by': ['']}, '.ova': {'description': 'Open Virtualization Format package for packaging and distributing virtual appliances', 'used_by': ['']}, '.ov1': {'description': 'Overlay file (part of program to be loaded when needed)', 'used_by': ['']}, '.ov2': {'description': 'Overlay file (part of program to be loaded when needed)', 'used_by': ['TomTom Point of Interest']}, '.ovd': {'description': 'Datafile', 'used_by': ['ObjectVision']}, '.ovf': {'description': 'Open Virtualization Format descriptor file, an XML file which describes the virtual machine packed inside an OVF package', 'used_by': ['']}, '.ovl': {'description': 'Overlay file (part of program to be loaded when needed)', 'used_by': ['']}, '.owl': {'description': 'Web ontology language (OWL) file', 'used_by': ['Protégé and other ontology editors']}, '.oxt': {'description': 'OpenOffice.org extension', 'used_by': ['OpenOffice.org / LibreOffice']}, '.p': {'description': 'Rea-C-Time application parameter file', 'used_by': ['ReaGeniX code generator']}, '.p0?': {'description': 'Split archive UC2', 'used_by': ['SAS.EXE']}, '.p10': {'description': 'Certificate Request', 'used_by': ['']}, '.p12': {'description': 'Another variant of the PFX extension', 'used_by': ['']}, '.p16': {'description': 'Music (16 channels)', 'used_by': ['ProTracker Studio 16']}, '.p22': {'description': 'Patch file (Patch22)', 'used_by': ['Patch22']}, '.p80': {'description': 'PLM-80 source', 'used_by': ['']}, '.p86': {'description': 'PLM-86 source', 'used_by': ['']}, '.p2v': {'description': 'Backupfile of a project in eventplanning software plan2viz (windowsbased)', 'used_by': ['']}, '.p3t': {'description': 'PlayStation 3 Theme file', 'used_by': ['PS3 Theme settings menu']}, '.pa1': {'description': 'Worktable', 'used_by': ['PageAhead']}, '.pac': {'description': 'STAD Image (graphics ?)', 'used_by': ['']}, '.pack': {'description': 'Pack200 Packed Jar File', 'used_by': ['']}, '.package': {'description': 'Contents', 'used_by': ['The Sims 2 - Spore - The Sims 3']}, '.pad': {'description': 'Keypad definition', 'used_by': ['Telemate']}, '.paf': {'description': 'For Personal Ancestral File data files', 'used_by': ['']}, '.pages': {'description': 'A PAGES file is a document created by Apple Pages, a word processor and page layout program for macOS and iOS. It is used to save a document, such as a report, poster, resume, newsletter, book, certificate, or brochure that was created from a blank page or built from a template. PAGES documents typically contain text and page formatting information, but may also include images, tables, graphs, and charts.', 'used_by': ['Apple Pages', 'Apple iCloud']}, '.pak': {'description': 'Archive', 'used_by': ['Pak']}, '.pal': {'description': 'Palette file', 'used_by': ['Diablo II']}, '.pam': {'description': 'PAM Portable Arbitrary Map graphics format', 'used_by': ['Netpbm']}, '.pan': {'description': 'Printer-specific file (copy to coreldrw.ink)', 'used_by': ['CorelDRAW']}, '.par': {'description': 'Parity Archive', 'used_by': ['']}, '.par2': {'description': 'Parity Archive v2', 'used_by': ['']}, '.part': {'description': 'A PART file is a partially downloaded file from the Internet used for downloads that are in progress or have been stopped. Some PART files can be resumed at a later time using the same program that started the download. PART files are typically used by Mozilla Firefox and several file transfer programs, such as Go!Zilla, eMule, and the discontinued eDonkey program.', 'used_by': ['Mozilla Firefox', 'Microsoft Skype']}, '.pas': {'description': 'Pascal language source', 'used_by': ['Borland Pascal']}, '.pat': {'description': 'GIMP pattern', 'used_by': ['']}, '.pb': {'description': 'Setup file', 'used_by': ['PixBase']}, '.pb1': {'description': 'Document', 'used_by': ['First Publisher for Windows']}, '.pba': {'description': 'Powerbasic BASIC source code', 'used_by': ['Genus']}, '.pbd': {'description': 'Phone book', 'used_by': ['FaxNOW! - Faxit']}, '.pbi': {'description': 'Profiler Binary Input', 'used_by': ['Microsoft Source Profiler']}, '.pbk': {'description': 'Microsoft Network Phone book', 'used_by': ['MSN']}, '.pbl': {'description': 'Powerbasic library', 'used_by': ['Genus']}, '.pblib': {'description': 'Power Library', 'used_by': ['PowerBASIC']}, '.pbm': {'description': 'Planar bitmap graphics', 'used_by': ['XLib']}, '.pbo': {'description': 'A file type used by Bohemia Interactive', 'used_by': ['Arma 3, PBO Manager']}, '.pbt': {'description': 'Profiler Binary Table', 'used_by': ['Microsoft Source Profiler']}, '.pc': {'description': 'Text file containing IBM PC specific info', 'used_by': ['']}, '.pc3': {'description': 'Custom palette', 'used_by': ['Harvard Graphics 3.0']}, '.pc8': {'description': 'ASCII text IBM8 character set', 'used_by': ['NewWave Write']}, '.pca': {'description': 'Perfect Clarity Audio', 'used_by': ['Sony Vegas Pro']}, '.pcb': {'description': 'Artwork design file (Circuit board design)', 'used_by': ['Zuken CadStar']}, '.pcc': {'description': 'Cutout picture vector graphics', 'used_by': ['PC Paintbrush']}, '.pcd': {'description': 'Pfaff Embroidery Format', 'used_by': ['Embroidermodder']}, '.pcf': {'description': 'Pixel Coordination Format', 'used_by': ['']}, '.pch': {'description': 'Precompiled header', 'used_by': ['Microsoft C/C++']}, '.pcj': {'description': 'Multimedia authoring tool graphics file', 'used_by': ["IBM's Linkaway-Live"]}, '.pck': {'description': 'Pickfile', 'used_by': ['Turbo Pascal']}, '.pcl': {'description': 'Old Pencil Animation File PCL', 'used_by': ['Pencil2D']}, '.pclx': {'description': 'Pencil Animation File PCLX', 'used_by': ['Pencil2D']}, '.pcm': {'description': 'Pfaff Embroidery Format', 'used_by': ['Embroidermodder']}, '.pcq': {'description': 'Pfaff Embroidery Format', 'used_by': ['Embroidermodder']}, '.pcs': {'description': 'Pfaff Embroidery Format', 'used_by': ['Embroidermodder']}, '.pct': {'description': 'A PCT file is an image saved in the Macintosh PICT format, which was developed by Apple in 1984 for storing images using Apple QuickDraw technology. It contains image data in one of two formats, PICT 1, the original format that stores 8 colors, or PICT 2, a newer format that allows thousands of colors (24 and 32-bit images). PCT files support both raster and vector images.', 'used_by': ['Apple Preview', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'Adobe After Effects 2020', 'CorelDRAW Graphics Suite 2020', 'Corel PaintShop Pro 2020', 'XnView MP']}, '.pcw': {'description': 'Text file', 'used_by': ['PC Write']}, '.pcx': {'description': 'PC paintbrush bitmap format', 'used_by': ['QPeg - Display - ZSoft - PC Paintbrush, XnView']}, '.pda': {'description': 'Bitmap graphics', 'used_by': ['']}, '.pdb': {'description': 'A PDB file is a database file used by various applications, including Pegasus, Quicken, MS Visual Studio, and Palm Pilot software. It stores data in a structured format and is typically installed with the corresponding application.', 'used_by': ['Intuit Quicken', 'Microsoft Visual Studio 2019']}, '.pdd': {'description': 'Adobe Photoshop Elements Image', 'used_by': ['Adobe Photoshop Elements']}, '.pde': {'description': 'source code file', 'used_by': ['Processing programming language']}, '.pdf': {'description': 'A PDF file is a multi-platform document created by Adobe Acrobat or another PDF application. The PDF format is commonly used for saving documents and publications in a standard format that can be viewed on multiple platforms. In many cases, PDF files are created from existing documents instead of from scratch.', 'used_by': ['Apple Preview', 'Adobe Acrobat DC', 'Adobe Acrobat Reader DC', 'Apple Pages', 'Microsoft Word 2019', 'LibreOffice', 'Any Web browser with Adobe Reader']}, '.pdg': {'description': 'Print Shop Deluxe data file', 'used_by': ['']}, '.pdi': {'description': 'Protected Digital Identity', 'used_by': ['SertintyONE']}, '.pdl': {'description': 'Project Description Language file', 'used_by': ['Borland C++ 4.5']}, '.pdm': {'description': 'Visual Basic (VB) Project Information File', 'used_by': ['Visual Basic']}, '.pdn': {'description': 'Image file', 'used_by': ['Paint.NET']}, '.pds': {'description': 'Pldasm source code file (hardware assembly)', 'used_by': ['']}, '.pdv': {'description': 'Printer driver', 'used_by': ['Paintbrush']}, '.pdw': {'description': 'Document', 'used_by': ['Professional Draw']}, '.peb': {'description': 'Program Editor bottom overflow file', 'used_by': ['WordPerfect Library']}, '.ped': {'description': 'Program Editor delete save', 'used_by': ['WordPerfect Library']}, '.pem': {'description': 'A text-based certificate file defined in RFC 1421 through RFC 1424[7]', 'used_by': ['Applications that need to use cryptographic certificates, including web-servers']}, '.peq': {'description': 'Program Editor print queue file', 'used_by': ['WordPerfect Library']}, '.per': {'description': 'Program Editor resident area', 'used_by': ['WordPerfect Library']}, '.pes': {'description': 'Program Editor work space file', 'used_by': ['WordPerfect Library']}, '.pet': {'description': 'package[8]', 'used_by': ['Puppy Linux']}, '.pex': {'description': 'Proboard EXecutable file (Executed from PB)', 'used_by': ['Proboard']}, '.pfa': {'description': 'Type 3 font file (unhinted PostScript font)', 'used_by': ['']}, '.pfam': {'description': 'PFAM format[9]', 'used_by': ['']}, '.pfb': {'description': 'PostScript font', 'used_by': ['Adobe Type Manager (ATM)']}, '.pfc': {'description': 'Text file', 'used_by': ['First Choice']}, '.pfk': {'description': 'Programmable function keys', 'used_by': ['XTreePro']}, '.pfm': {'description': 'Windows Type 1 font metric file', 'used_by': ['']}, '.pgn': {'description': 'Portable Game Notation -Text specification for Chess game', 'used_by': ['Most chess playing computer applications']}, '.pfs': {'description': 'Database (PFS:FILE) - text file (PFS:Write)', 'used_by': ['PFS']}, '.pft': {'description': 'Printer font', 'used_by': ['ChiWriter']}, '.pfx': {'description': 'An encrypted certificate file[7]', 'used_by': ['Applications that need to use cryptographic certificates, including web-servers']}, '.pg': {'description': 'Page cut/paste file', 'used_by': ['IBM LinkWay']}, '.pgd': {'description': '', 'used_by': ['PGP cripted disk']}, '.pgi': {'description': 'Printer Graphics File device driver', 'used_by': ['PGRAPH library']}, '.pgl': {'description': 'HP Plotter vector graphics format', 'used_by': ['']}, '.pgm': {'description': 'Program', 'used_by': ['Signature']}, '.pgp': {'description': 'Support file', 'used_by': ['Pretty Good Privacy RSA System']}, '.pgs': {'description': 'Manual page', 'used_by': ['man4dos']}, '.ph': {'description': 'Phrase-table', 'used_by': ['Microsoft C/C++']}, '.phd': {'description': 'PolyHedra Database', 'used_by': ['']}, '.phm': {'description': 'Phone book', 'used_by': ['DN - Lync']}, '.phn': {'description': 'Phone list', 'used_by': ['UltraFax - QmodemPro']}, '.pho': {'description': 'Phone database', 'used_by': ['Metz Phone for Windows']}, '.php': {'description': 'A PHP file is a webpage that contains PHP (Hypertext Preprocessor) code. It may include PHP functions that can process online forms, get the date and time, or access information from a database, such as a MySQL database.', 'used_by': ['Adobe Dreamweaver 2020', 'Eclipse PHP Development Tools', 'MacroMates TextMate', 'Apache Web Server with PHP', 'Sublime Text', 'Notepad++', 'Any text editor']}, '.php3': {'description': 'PHP 3 file', 'used_by': ['']}, '.php4': {'description': 'PHP 4 file', 'used_by': ['']}, '.phy': {'description': 'Phylip format[9]', 'used_by': ['']}, '.phf': {'description': 'Database File', 'used_by': ['Nuverb Systems Inc: Donarius']}, '.phr': {'description': 'Phrases', 'used_by': ['LocoScript']}, '.pi2': {'description': 'Portrait Innovations High Resolution Encrypted Image file', 'used_by': ['Portrait Innovations Studio2 (proprietary)']}, '.pic': {'description': 'PIXAR picture file', 'used_by': ['SDSC Image Tool']}, '.pict': {'description': 'Macintosh Picture', 'used_by': ['']}, '.pie': {'description': 'GlovePIE script file', 'used_by': ['GlovePIE']}, '.pif': {'description': 'Vector graphics GDF format file (IBM mainframe computers)', 'used_by': ['']}, '.pim': {'description': 'Pascal Text Mode Image File', 'used_by': ['The Ultimate Draw']}, '.pipe': {'description': 'PIPE-FLO project design file', 'used_by': ['PIPE-FLO Professional']}, '.pir': {'description': 'PIR format[9]', 'used_by': ['']}, '.pit': {'description': 'File used to connect to a remote system.', 'used_by': ['Dell (previously Quest) vWorkspace']}, '.piv': {'description': 'Pivot Stick Animator file', 'used_by': ['Pivot Stick Animator']}, '.pix': {'description': 'Inset Pix', 'used_by': ['']}, '.pj': {'description': 'Project', 'used_by': ['CA-SuperProject']}, '.pjt': {'description': 'Additional (FPT) project description file', 'used_by': ['FoxPro']}, '.pjx': {'description': 'Main (DBF) project description file', 'used_by': ['FoxPro']}, '.pk': {'description': 'Peak file', 'used_by': ['Cool Edit']}, '.pkl': {'description': 'Pickle file', 'used_by': ['Python object serialization']}, '.pk2': {'description': 'Quake 2 data file', 'used_by': ['id Software']}, '.pk3': {'description': 'Quake 3 data file', 'used_by': ['id Software']}, '.pk4': {'description': 'Doom 3 and Quake 4 data file', 'used_by': ['id Software']}, '.pkcs12': {'description': 'Another variant of the PFX extension', 'used_by': ['']}, '.pka': {'description': 'Archive', 'used_by': ['PKARC']}, '.pkg': {'description': 'A PKG file is a text file required to build an .SIS installer file, which is used to install applications on devices running the Symbian operating system (OS). It contains installation information in plain text that defines how to build the SIS installer file. PKG files typically include information about the languages supported by the application, vendor name, software dependencies, application files to copy, and details for digitally signing the file to verify its contents.', 'used_by': ['Apple Installer']}, '.pkpass': {'description': 'Wallet pass', 'used_by': ['Apple Wallet']}, '.pkt': {'description': 'Fido message packet', 'used_by': ['FTN software']}, '.pl': {'description': 'A PL file contains source code written in Perl, which is a scripting language that is compiled and run using a Perl interpreter. It contains lines of Perl program code with variables, operations, functions, and comments. PL files may be difficult to read due to the brief and compact nature of the Perl language syntax.', 'used_by': ['Perl', 'MacroMates TextMate', 'Microsoft Notepad', 'ActiveState ActivePerl']}, '.pl1': {'description': 'PL/I source file', 'used_by': ['PL/I compilers']}, '.pl2': {'description': 'Palette', 'used_by': ['Diablo II']}, '.pl3': {'description': 'Chart palette', 'used_by': ['Harvard Graphics 3.0']}, '.pla': {'description': 'Playlist', 'used_by': ['']}, '.plagueinc': {'description': 'Plague Inc. Custom Scenario File [10]', 'used_by': ['Plague Inc.']}, '.plantuml': {'description': 'UML Diagram (also PU)', 'used_by': ['PlantUML']}, '.plb': {'description': 'P-CAD library', 'used_by': ['P-CAD']}, '.plc': {'description': 'P-CAD database', 'used_by': ['P-CAD']}, '.pld': {'description': 'PhotoLine Document', 'used_by': ['PhotoLine image processing']}, '.ple': {'description': 'Encrypted Chat Log', 'used_by': ['Messenger Plus! Live Plugin - Log viewer']}, '.pli': {'description': 'PL/I source file', 'used_by': ['PL/I compilers']}, '.plist': {'description': 'Mac OS Property List, also used on iOS, NeXTSTEP, and GNUstep', 'used_by': ["Apple's Property List Editor"]}, '.pll': {'description': 'Prelinked library', 'used_by': ['CA Clipper']}, '.plm': {'description': 'DisorderTracker2 music module', 'used_by': ['AWAVE']}, '.pln': {'description': 'Spreadsheet', 'used_by': ['WordPerfect for Win']}, '.plp': {'description': 'Messenger Plus! Sound Pack', 'used_by': ['Messenger Plus! Live Plugin']}, '.pls': {'description': 'Playlist file', 'used_by': ['WarpVision (OS/2)']}, '.plsc': {'description': 'Messenger Plus! Script Pack', 'used_by': ['Messenger Plus! Live Plugin']}, '.plsk': {'description': 'Messenger Plus! Skin Pack', 'used_by': ['Messenger Plus! Live Plugin']}, '.plt': {'description': 'Table for .pll', 'used_by': ['CA Clipper']}, '.plugin': {'description': 'A PLUGIN file is a plugin used by Photoshop, an image-editing application. It stores content that extends the functionality of the default Photoshop application and is often used for adding image effects and filters, or support for a new raster image format. PLUGIN files may be created and sold by third-party developers. Several preinstalled PLUGIN files are stored in Photoshop installations within the Plug-ins directory. But also: A PLUGIN file is a plugin that adds additional features or hardware support to programs in Mac OS X. It is often installed in a folder within the main Library folder, which includes the /Library/Internet Plug-Ins and Library/Printers/[Manufacturer] locations.', 'used_by': ['Apple QuickTime Player', 'Apple Safari', 'Mozilla Firefox', 'Adobe Photoshop 2020']}, '.ply': {'description': 'Polygon File Format or the Stanford Triangle Format.', 'used_by': ['3D Scanners']}, '.ply2': {'description': 'Data', 'used_by': ['PLY2 object']}, '.pm': {'description': 'Bitmap graphics', 'used_by': ['Presentation Manager']}, '.pm3': {'description': 'PageMaker 3.0 data file', 'used_by': ['PageMaker 3.0']}, '.pm4': {'description': 'Document', 'used_by': ['PageMaker 4']}, '.pm5': {'description': 'Aldus PageMaker 5.0 publication', 'used_by': ['Aldus PageMaker']}, '.pma': {'description': 'PMarc Archive', 'used_by': ['']}, '.pmc': {'description': 'Graphics', 'used_by': ['A4TECH Scanner']}, '.pmi': {'description': 'PhatPad note', 'used_by': ['PathWare']}, '.pmm': {'description': 'Program file', 'used_by': ['Amaris BTX/2']}, '.pmp': {'description': 'PhotoMorph Project', 'used_by': ['PhotoMorph']}, '.pn3': {'description': 'Printer device driver', 'used_by': ['Harvard Graphics 3.0']}, '.png': {'description': 'A PNG file is an image saved in the Portable Network Graphic (PNG) format. It contains a bitmap compressed with lossless compression similar to a .GIF file. PNG files are commonly used to store web graphics, digital photographs, and images with transparent backgrounds.', 'used_by': ['Apple Preview', 'Apple Safari', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'Microsoft Photos', 'Microsoft Paint', 'Microsoft Paint 3D', 'Any picture viewer', 'Any browser']}, '.pncl': {'description': 'Pinnacle file', 'used_by': ['Pinnacle by Optys Tech Corporation']}, '.pnf': {'description': 'Pre-compiled Setup Information file', 'used_by': ['Microsoft Windows']}, '.pnm': {'description': 'PBM Portable aNy Map graphics file', 'used_by': ['']}, '.pnt': {'description': 'QWK reader pointer file', 'used_by': ['MarkMail 2.x']}, '.pod': {'description': 'UNIX perldoc File ("Plain Old Documentation")', 'used_by': ['pod2man, pod2html']}, '.pof': {'description': 'Altera FPGA programming file (External Flash)', 'used_by': ['Altera Quartus']}, '.poh': {'description': 'Optimized .goh file', 'used_by': ['Geoworks']}, '.pol': {'description': 'InnovMetric Software Polygon Models Format', 'used_by': ['']}, '.policy': {'description': 'Group Policy File', 'used_by': ['Microsoft Windows']}, '.poly': {'description': 'Data', 'used_by': ["Patrick Flynn's Poly Format - 3D object"]}, '.pom': {'description': 'Build manager configuration file', 'used_by': ['Apache Maven POM file']}, '.pop': {'description': 'Pop-up menu object', 'used_by': ['dBASE Application Generator']}, '.pot': {'description': 'Microsoft PowerPoint template', 'used_by': ['']}, '.pov': {'description': 'Raytraced graphics image', 'used_by': ['Persistence Of Vision']}, '.pow': {'description': 'Power Chords instrument/song file', 'used_by': ['Power Chords']}, '.pp': {'description': 'Amiga archive', 'used_by': ['POWERPACKER']}, '.ppa': {'description': 'Microsoft PowerPoint Add-in', 'used_by': ['']}, '.ppb': {'description': 'Button bar for Print Preview', 'used_by': ['WordPerfect for Win']}, '.ppd': {'description': 'PostScript printer description file', 'used_by': ['']}, '.ppj': {'description': 'Premiere Project', 'used_by': ['Premiere']}, '.ppk': {'description': 'Archive (using for many distributives)', 'used_by': ['PPK']}, '.ppl': {'description': 'PolaroidPalettePlus ColorKey device driver', 'used_by': ['Harvard Graphics 3.0']}, '.ppm': {'description': 'Graphics format (Portable PixelMap)', 'used_by': ['JASC Media C.']}, '.ppo': {'description': 'Preprocessor output', 'used_by': ['CA Clipper 5.*']}, '.ppp': {'description': 'Publication', 'used_by': ['PagePlus']}, '.pps': {'description': 'A PPS file is a slide show created by Microsoft PowerPoint, a popular program included with Microsoft Office for creating presentations. It is saved as a completed slide show, which can be viewed by PowerPoint, OpenOffice, and several other presentation programs. PPS files are similar to .PPT files but open as a slide show when double-clicked.', 'used_by': ['Microsoft PowerPoint 2019', 'Apple Keynote', 'Apache OpenOffice']}, '.ppt': {'description': 'A PPT file is an editable slide show created by Microsoft PowerPoint or another presentation program, such as OpenOffice Impress or Apple Keynote. It may include formatted text, bullet points, images, movies, sound effects, and music. PPT files are commonly built from one of many templates included with the PowerPoint software, but may also be created from scratch.', 'used_by': ['Microsoft PowerPoint 2019', 'Apple Preview', 'Apple Keynote', 'Apache OpenOffice', 'Google Drive']}, '.pptx': {'description': 'A PPTX file is a presentation file created by Microsoft PowerPoint or another presentation program, such as OpenOffice Impress or Apple Keynote. It contains a collection of slides, including their text, images, formatting, animations, drawn objects, and other media. PPTX files are commonly used in business meetings, marketing applications, and academic classroom settings.', 'used_by': ['Microsoft PowerPoint', 'Apple Preview', 'Apple Keynote', 'Apache OpenOffice', 'LibreOffice']}, '.ppsx': {'description': 'MS Office Open-XML Auto-Play Presentation', 'used_by': ['Microsoft PowerPoint']}, '.pr1': {'description': 'Packrat 4.0 data file', 'used_by': ['Packrat 4.0']}, '.pr2': {'description': 'Printer driver', 'used_by': ['dBASE IV']}, '.pr3': {'description': 'Presentation', 'used_by': ['Aldus Persuasion 3.x']}, '.prc': {'description': '"Product Representation Compact", for embedding 3D data in a PDF file', 'used_by': ['CAE and CAM applications']}, '.prd': {'description': 'Printer driver', 'used_by': ['']}, '.pre': {'description': 'Stork graphic file', 'used_by': ['']}, '.prf': {'description': 'A PRF file is a user profile referenced by Microsoft Outlook that contains user information and preferences. It includes mail account settings, signatures, references to mail folders, and other settings. Also: Might Contains settings and preferences used by the Windows operating system; may also be used by other applications to store program settings; should not be opened manually.', 'used_by': ['Microsoft Windows', 'Microsoft Outlook']}, '.prg': {'description': 'Program', 'used_by': ['Atari']}, '.pri': {'description': 'Printer definitions', 'used_by': ['LocoScript']}, '.prj': {'description': 'Mkd (Unix command)', 'used_by': ['Mkd project file to extract documentation']}, '.prk': {'description': 'SimPark Saved File', 'used_by': ['SimPark']}, '.prm': {'description': 'Parameters', 'used_by': ['']}, '.prn': {'description': 'Usually printer output file', 'used_by': ['']}, '.pro': {'description': 'PROLOG source code file', 'used_by': ['']}, '.proj': {'description': 'Project File (Interface Builder)', 'used_by': ['NeXT']}, '.properties': {'description': 'Java properties file', 'used_by': ['Java applications']}, '.proto': {'description': 'Message specification', 'used_by': ['Google Protocol Buffers']}, '.prp': {'description': 'Plasma Registry Page', 'used_by': ['Plasma (engine)']}, '.prr': {'description': 'The Perfect Resume data file', 'used_by': ['Perfect Resume']}, '.prs': {'description': 'Procedure', 'used_by': ['dBASE IV']}, '.prt': {'description': 'Printer driver', 'used_by': ['Dr. Halo']}, '.prx': {'description': 'Compiled program', 'used_by': ['FoxPro']}, '.ps': {'description': 'Document in PostScript format', 'used_by': ['adobe']}, '.psa': {'description': 'Archive (Pretty Simple Archive)', 'used_by': ['PSA.OUT (GNU)']}, '.psb': {'description': 'For big Photoshop files', 'used_by': ['Photoshop Document']}, '.psd': {'description': 'A PSD file is an image file created by Adobe Photoshop, a professional image-editing program often used to enhance digital photos and create web graphics. It is the native format used to save files in Photoshop. PSD files may include image layers, adjustment layers, layer masks, annotations, file information, keywords, and other Photoshop-specific elements. They are commonly created and shared among graphics professionals.', 'used_by': ['Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'Adobe InDesign 2020', 'Apple Preview', 'GIMP']}, '.pse': {'description': 'Truncated form of PSEG (see below)', 'used_by': ['']}, '.pseg': {'description': 'Bitmap graphics', 'used_by': ['IBM printer Page SEgment']}, '.psf': {'description': 'Outline PostScript printer font', 'used_by': ['ChiWriter']}, '.psm': {'description': '3D Model', 'used_by': ['18 Wheels Of Steel']}, '.psm1': {'description': 'Windows Powershell module[12]', 'used_by': ['Windows Powershell']}, '.psmodel': {'description': 'PowerSHAPE Model', 'used_by': ['PowerSHAPE']}, '.psn': {'description': 'Presentation file for Sound Script', 'used_by': ['Win']}, '.psp': {'description': 'image file with layers', 'used_by': ['Paint Shop Pro (all versions)']}, '.psppalette': {'description': 'Paint Shop Pro color palette (JASC format)', 'used_by': ['Paint Shop Pro 8.0 and newer[13]']}, '.psq': {'description': 'Premiere Sequence', 'used_by': ['Premiere']}, '.pst': {'description': 'Archive File', 'used_by': ['Microsoft Outlook']}, '.psv': {'description': 'PlayStation 2/PlayStation 3 saved game', 'used_by': ['PlayStation 2 and PlayStation 3']}, '.psw': {'description': 'File w/ passwords for any program/game', 'used_by': ['many']}, '.ps1': {'description': 'Windows Powershell script[12]', 'used_by': ['Windows PowerShell']}, '.pt': {'description': 'Kodak Precition Color Management System', 'used_by': ['']}, '.pt3': {'description': 'Template', 'used_by': ['PageMaker 3']}, '.pt4': {'description': 'Template', 'used_by': ['PageMaker 4']}, '.pt5': {'description': 'Aldus PageMaker 5.0 publication template', 'used_by': ['Aldus PageMaker']}, '.ptb': {'description': 'Script', 'used_by': ['PubTech BatchWorks']}, '.ptf': {'description': 'Pro Tools Session File', 'used_by': ['Digidesign Pro Tools']}, '.ptg': {'description': 'Panasonic Title Graphics', 'used_by': ['']}, '.ptl': {'description': 'Premiere Title', 'used_by': ['Premiere']}, '.ptm': {'description': 'Page Magic 2.0 template', 'used_by': ['Page Magic 2.0']}, '.ptn': {'description': 'Pattern', 'used_by': ['CarveWright/CompuCarve Designer']}, '.ptped': {'description': 'PedFast Technologies Pedigree Database[14]', 'used_by': ["The Breeder's Standard, iPed, The Cattery's Standard, Equestrian's Standard"]}, '.ptr': {'description': 'QWK reader pointer file', 'used_by': ['QMail']}, '.ptu': {'description': 'Performer Terrain Utilities', 'used_by': ['']}, '.ptx': {'description': 'Pro Tools 10 session file', 'used_by': ['Avid Pro Tools']}, '.pu': {'description': 'UML Diagram (also PLANTUML)', 'used_by': ['PlantUML']}, '.pub': {'description': 'Publication', 'used_by': ['Ventura Publisher - 1st Publisher']}, '.pud': {'description': 'Warcraft II Map file', 'used_by': ['Warcraft II']}, '.pup': {'description': 'Pileup format[3]', 'used_by': ['']}, '.put': {'description': 'Graphics format', 'used_by': ['WScan']}, '.puz': {'description': 'Microsoft Publisher "Packed and Go" archive', 'used_by': ['Microsoft Publisher, many file archivers with CAB support']}, '.pvd': {'description': 'Script', 'used_by': ['Instalit']}, '.pvk': {'description': 'Private Key File', 'used_by': ['Microsoft Authenticode']}, '.pvl': {'description': 'Library', 'used_by': ['Instalit']}, '.pvm': {'description': 'Texture Files', 'used_by': ['PVMEdit']}, '.pvt': {'description': 'Local Fidonet pointlist', 'used_by': ['FTN software']}, '.pw': {'description': 'Text file', 'used_by': ['Professional Write']}, '.pwf': {'description': 'Workflow Files', 'used_by': ['Mac OS X Server Podcast Producer']}, '.pwk': {'description': 'Workspace File', 'used_by': ['PolyWorks']}, '.pwl': {'description': 'Password List', 'used_by': ['']}, '.pwp': {'description': 'Text document', 'used_by': ['Professional WritePlus']}, '.px': {'description': 'Paradox 3.0 file', 'used_by': ['Paradox 3.0']}, '.pxiproject': {'description': 'PixInsight Project Bundle', 'used_by': ['PixInsight']}, '.pxp': {'description': '3DS Process file', 'used_by': ['3D Studio']}, '.pxr': {'description': 'Pixiar Picio', 'used_by': ['AltamiraComposer']}, '.pxz': {'description': 'Compressed file to exchange media elements', 'used_by': ['PSALMO']}, '.py': {'description': 'A PY file is a program file or script written in Python, an interpreted object-oriented programming language. It can be created and edited with a text editor, but requires a Python interpreter to run. PY files are often used for programming web servers and other administrative computer systems.', 'used_by': ['Python Software Foundation Python', 'MacroMates TextMate', 'Sublime Text', 'Microsoft Notepad', 'Notepad++', 'Any text editor']}, '.pyc': {'description': 'Compiled Python module', 'used_by': ['Python interpreter']}, '.pyd': {'description': 'Python DLL', 'used_by': ['Python interpreter']}, '.pyi': {'description': 'Cognos Powerplay Model', 'used_by': ['']}, '.pyk': {'description': 'PYK Compressed File', 'used_by': ['PYK']}, '.pyo': {'description': 'Optimized compiled Python module', 'used_by': ['Python interpreter']}, '.pyw': {'description': 'Python Script Without Console Window', 'used_by': ['Python interpreter']}, '.pzd': {'description': 'Default settings', 'used_by': ['Pizazz Plus']}, '.pzi': {'description': 'Graphics format', 'used_by': ['PZP']}, '.pzo': {'description': 'Overlay file', 'used_by': ['Pizazz Plus']}, '.pzp': {'description': 'Palette', 'used_by': ['Pizazz Plus']}, '.pzs': {'description': 'Settings', 'used_by': ['Pizazz Plus']}, '.pzt': {'description': 'Transfer file', 'used_by': ['Pizazz Plus']}, '.pzx': {'description': 'Swap file', 'used_by': ['Pizazz Plus']}, '.q0': {'description': 'Q0 graphic file', 'used_by': ['']}, '.q3s': {'description': 'Data', 'used_by': ['Quick3D Scene']}, '.qag': {'description': 'Quick Access Group', 'used_by': ['Norton Desktop']}, '.qap': {'description': 'Application', 'used_by': ['Omnis Quartz - Omnis Studio']}, '.qb': {'description': "Tony Hawk's Pro Skater series scripting files", 'used_by': ['']}, '.qbb': {'description': 'Quickbooks Backup File', 'used_by': ['']}, '.qbe': {'description': 'Saved query (Query By Example)', 'used_by': ['dBASE IV - Quattro Pro']}, '.qbo': {'description': 'Compiled query', 'used_by': ['dBASE IV']}, '.qbw': {'description': 'Spreadsheet', 'used_by': ['QuickBooks for Windows']}, '.qch': {'description': 'Qt Compressed Help', 'used_by': ['Trolltech Qt Assistant']}, '.qcp': {'description': 'Mp3 extension on Motorola ringtones', 'used_by': ['Motorola Phones']}, '.qdf': {'description': 'Data file', 'used_by': ['Quicken data file']}, '.qdk': {'description': 'Backup of startup files created by Optimize', 'used_by': ['QEMM']}, '.qdn': {'description': 'Data file - segment n', 'used_by': ['Omnis Quartz- Omnis Studio']}, '.qdv': {'description': 'Graphics file', 'used_by': ['Steve Blackstock Giffer']}, '.qdr': {'description': 'Configuration file', 'used_by': ['Q-Dir']}, '.qef': {'description': 'Query file', 'used_by': ['Q+E for Microsoft Excel']}, '.qfp': {'description': 'QUICKfind Server Plug-in', 'used_by': ['IDM QUICKfind Server']}, '.qfx': {'description': 'Fax', 'used_by': ['QuickLink']}, '.qg3': {'description': 'Data', 'used_by': ['QuickMem Greek']}, '.qhc': {'description': 'Qt Help Collection', 'used_by': ['Trolltech Qt Assistant']}, '.qhcp': {'description': 'Qt Help Collection Project', 'used_by': ['Trolltech Qt Assistant']}, '.qhp': {'description': 'Qt Help Project', 'used_by': ['Trolltech Qt Assistant']}, '.qif': {'description': 'Quicken Interchange Format', 'used_by': ['Intuit Quicken']}, '.qiz': {'description': 'World book quiz', 'used_by': ['World Book']}, '.qlb': {'description': 'Quick library', 'used_by': ['Microsoft C/C++']}, '.qlc': {'description': 'ATM Type 1 fonts script', 'used_by': ['Adobe Type Manager']}, '.qlp': {'description': 'Printer driver', 'used_by': ['QuickLink']}, '.qm4': {'description': 'Options or services file', 'used_by': ['QMail 4.x Mail Door']}, '.qpr': {'description': 'Print queue device driver', 'used_by': ['OS/2']}, '.qpx': {'description': 'Compiled executable QBE query file', 'used_by': ['FoxPro']}, '.qrmx': {'description': 'Quick Risk Matrix data file', 'used_by': ['Quick Risk Matrix by Riskfiniti']}, '.qrp': {'description': 'Database report file', 'used_by': ['QuickReport [15]']}, '.qrs': {'description': 'Equation Editor support file', 'used_by': ['WordPerfect for Win']}, '.qrt': {'description': 'Graphics format (QRT ray tracing)', 'used_by': ['']}, '.qry': {'description': 'Query', 'used_by': ['dBASE IV']}, '.qt': {'description': 'QuickTime movie (animation)', 'used_by': ['']}, '.qtvr': {'description': 'QuickTime VR Movie', 'used_by': ['']}, '.quox': {'description': 'Question Object Document', 'used_by': ['Quobject Designer and Quobject Explorer']}, '.qvd': {'description': 'QlikView Document (Data)', 'used_by': ['QlikView Compressed Database File']}, '.qvw': {'description': 'QlikView Document (View)', 'used_by': ['QlikView Presentation File']}, '.qwk': {'description': 'QWK reader message file', 'used_by': ['']}, '.qxd': {'description': 'Document', 'used_by': ['QuarkXPress']}, '.qxl': {'description': 'Element library', 'used_by': ['QuarkXPress']}, '.r': {'description': 'Script file', 'used_by': ['R']}, '.r00, r01, ...': {'description': 'Part of a multi-file RAR archive', 'used_by': ['RAR']}, '.r2d': {'description': 'Reflex 2 datafile', 'used_by': ['Reflex 2']}, '.r3d': {'description': 'Red Raw Video (raw video data created with a Red camera)', 'used_by': ['Red Camera']}, '.r8': {'description': 'Raw graphics file (one byte per pixel) plane one', 'used_by': ['PicLab']}, '.r8p': {'description': 'PCL 4 bitmap font file', 'used_by': ['Intellifont']}, '.ra': {'description': 'Remote Access conf. files', 'used_by': ['RA']}, '.ra0, ra1, ...': {'description': 'Part of a multi-file RAR archive', 'used_by': ['RAR']}, '.rad': {'description': 'Radiance', 'used_by': ['Radiance']}, '.ral': {'description': 'Remote Access Language file', 'used_by': ['Remote Access']}, '.ram': {'description': 'Ramfile', 'used_by': ['RealAudio']}, '.rap': {'description': 'Flowchart', 'used_by': ['RAPTOR']}, '.rar': {'description': 'A RAR file is an archive that contains one or more files compressed with RAR compression. It uses a higher compression ratio than typical ZIP compression and incorporates a proprietary compression algorithm that is now used by other compressors, including 7-Zip for its .7Z files. RAR archives are used to compress files to reduce their size for transportation or storage purposes.', 'used_by': ['Corel WinZip Mac 7', 'The Unarchiver', 'RARLAB WinRAR', 'Corel WinZip 24', 'B1 Free Archiver', 'PeaZip']}, '.ras': {'description': 'Graphics format', 'used_by': ['SUN Raster']}, '.rat': {'description': 'Datafile (RATS)', 'used_by': ['']}, '.raw': {'description': 'QRT graphic file', 'used_by': ['']}, '.ray': {'description': 'Rayshade', 'used_by': ['']}, '.rb': {'description': 'Ruby Script file', 'used_by': ['Ruby Script']}, '.rbf': {'description': 'Datafile', 'used_by': ['Rbase']}, '.rbxm': {'description': 'Roblox "model"', 'used_by': ['Roblox']}, '.rbxl': {'description': 'Roblox "level"', 'used_by': ['Roblox']}, '.rc': {'description': 'Windows resource compiler script', 'used_by': ['RC.EXE -Resource WorkShop - OS/2']}, '.rcg': {'description': 'Netscape newsgroup file (netsc.rcg)', 'used_by': ['']}, '.rct': {'description': 'Roller Coaster Tycoon', 'used_by': ['']}, '.rdata': {'description': 'Data file', 'used_by': ['R']}, '.rdf': {'description': 'Compiled UIC source code', 'used_by': ['Geoworks UI Compiler']}, '.rdi': {'description': 'Device-independent bitmap file (RIFF RDIB format)', 'used_by': ['']}, '.rdp': {'description': 'RDP connection', 'used_by': ['Remote Desktop connection']}, '.rdx': {'description': 'Datafile', 'used_by': ['Reflex']}, '.rec': {'description': 'Windows Recorder Macro File', 'used_by': ['WinRecorder']}, '.red': {'description': 'REDuced nodelist file', 'used_by': ['T-Mail nodelist Compiler']}, '.ref': {'description': 'Cross-reference', 'used_by': ['']}, '.reg': {'description': 'Registration information or key', 'used_by': ['']}, '.rel': {'description': 'Foreground job relocatable file', 'used_by': ['RT-11']}, '.rem': {'description': 'Remarks', 'used_by': ['']}, '.rep': {'description': 'Report', 'used_by': ['Report Designer - CodeReporter - DataBoss']}, '.req': {'description': 'File request', 'used_by': ['FTN Software']}, '.res': {'description': 'Windows compiled resource package', 'used_by': ['Win']}, '.rev': {'description': 'Revision file', 'used_by': ['Geoworks']}, '.rex': {'description': 'Rexx language source file', 'used_by': ['Rexx']}, '.rez': {'description': 'Resource file', 'used_by': ['']}, '.rf': {'description': 'Sun raster graphics file', 'used_by': ['']}, '.rfa': {'description': '3D BIM Model Family Element', 'used_by': ['Autodesk Revit']}, '.rfm': {'description': 'Report ForMat (script for customized report)', 'used_by': ['Nuverb Systems Inc: Donarius']}, '.rft': {'description': 'DCA/RFT Revisable Format Text file', 'used_by': ['IBM DisplayWrite 4.0-5.1']}, '.rgb': {'description': 'SGI RGB image file (RAW)', 'used_by': ['SDSC Image Tool']}, '.rgx': {'description': 'Symbol tables etc. info', 'used_by': ['ReaGeniX code generator']}, '.rh': {'description': 'Windows resource file header', 'used_by': ['RC.EXE']}, '.rhistory': {'description': 'Command history logfile', 'used_by': ['R']}, '.ri': {'description': 'Data', 'used_by': ['Lotus 1-2-3']}, '.rib': {'description': 'Graphics (Renderman Interface Bytestream)', 'used_by': ['3D Reality']}, '.ric': {'description': 'Fax', 'used_by': ['Ricoh']}, '.rif': {'description': 'RIFF bitmap graphics (Resource Interchange File Format)', 'used_by': ['Fractal Design Painter']}, '.rin': {'description': 'Sound recording participants and information (Recording Information Notification)', 'used_by': ['Soundways RIN-M']}, '.rip': {'description': 'TeleGrafix Remote Imaging Protocol', 'used_by': ['Maximus 3.0']}, '.rix': {'description': 'Graphics (ColoRIX Image File)', 'used_by': ['ColoRIX']}, '.rl4': {'description': 'Bitmap graphics', 'used_by': ['']}, '.rl8': {'description': 'Bitmap graphics', 'used_by': ['']}, '.rla': {'description': 'Wavefront raster image file', 'used_by': ['SDSC Image Tool']}, '.rlb': {'description': 'Data hgw.rlb', 'used_by': ['Harvard Graphics Win']}, '.rlc': {'description': 'Graphics 1bit/pixel scanner output', 'used_by': ['']}, '.rld': {'description': 'OSIMapDef. RecLoad Definition', 'used_by': ['']}, '.rle': {'description': 'Utah Run Length Encoded rasterfile graphic file', 'used_by': ['SDSC Image Tool']}, '.rlz': {'description': 'REALIZER source code file', 'used_by': ['CA-Realizer']}, '.rm': {'description': 'An RM file is a multimedia file saved in the RealMedia multimedia container format developed by RealNetworks. It may store only audio in the RealAudio format, only video in the RealVideo format, or both RealAudio and RealVideo. RM files are commonly used for streaming content over the Internet such as video and Internet radio.', 'used_by': ['VideoLAN VLC media player']}, '.rmb': {'description': 'data', 'used_by': ['RegistryMaster']}, '.rmi': {'description': 'Windows alternate synthesized sound format', 'used_by': ['RIFF RMID format']}, '.rmk': {'description': 'Make file', 'used_by': ['CA Clipper - RMAKE']}, '.rmvb': {'description': 'RealMedia Variable Bitrate', 'used_by': ['RealPlayer']}, '.rn': {'description': 'XPL program for Nota Bene users', 'used_by': ['']}, '.rn4': {'description': 'Random Numeration 4 Encryption Program File', 'used_by': ['']}, '.rna': {'description': 'Real Native Application File', 'used_by': ['']}, '.rnd': {'description': 'Rendering Slide', 'used_by': ['AutoCAD AutoShade']}, '.rnn': {'description': 'Multi volume RAR archive', 'used_by': ['RAR']}, '.rno': {'description': 'Runoff file', 'used_by': ['VAX']}, '.rol': {'description': 'FM music Adlib Music File', 'used_by': ['Roland']}, '.rom': {'description': 'A ROM file is a data file that contains a copy of the read-only memory ROM chip for a hardware device, typically from computer firmware or a video game cartridge. It is commonly used for software emulation or for updating the firmware on a certain device.', 'used_by': ['Basilisk II', 'Mini vMac', 'SheepShaver']}, '.roo': {'description': 'CODASYL DBMS Database Root', 'used_by': ['Oracle']}, '.ross': {'description': 'Simple function routine', 'used_by': ['Ross shell']}, '.rpb': {'description': 'Data report file used by CP Backup', 'used_by': ['CP Backup']}, '.rpc': {'description': 'Rich Photorealistic Content', 'used_by': ['ArchVision']}, '.rpd': {'description': 'Database', 'used_by': ['RapidFile']}, '.rpf': {'description': 'AutoCAD pattern', 'used_by': ['ACAD']}, '.rpl': {'description': 'Text document', 'used_by': ['Replica']}, '.rpm': {'description': 'An RPM file is an installation package originally developed for the Red Hat Linux operating system, but now used by many other Linux distributions as well. RPM files are commonly used for installing programs on Linux systems.', 'used_by': ['The Unarchiver', 'Red Hat Package Manager']}, '.rpt': {'description': 'Report file used by many applications', 'used_by': ['']}, '.rrd': {'description': 'Reduced Resolution Dataset', 'used_by': ['ESRI (GIS)']}, '.rs': {'description': 'Rust language source', 'used_by': ['']}, '.rs_': {'description': 'Resource fork of a Macintosh file', 'used_by': ['Mac-ette']}, '.rsc': {'description': 'Resource file', 'used_by': ['ViewMax - many']}, '.rsdf': {'description': 'RSD Link Container', 'used_by': ['JDownloader']}, '.rsl': {'description': 'Resource Library used by PC Tools for Windows', 'used_by': ['PC Tools - Win']}, '.rsp': {'description': 'Response File', 'used_by': ['OS/2']}, '.rst': {'description': 'reStructuredText', 'used_by': ['Docutils']}, '.rsy': {'description': 'FLEXIT Multishot Survey Raw Data file', 'used_by': ['FLEXIT']}, '.rtf': {'description': 'An RTF file is a common text file format that supports "rich text." It includes several types of text formatting, such as bold type, italics, different fonts and font sizes, and custom tab settings. RTF files also support objects and images, such as .JPG and .PNG files, saved within the text file.', 'used_by': ['Apple TextEdit', 'Apple Pages', 'Microsoft Word 2019', 'Microsoft WordPad', 'Any text editor that supports formatted text']}, '.rtfd': {'description': 'RTF-Packet', 'used_by': ['NeXT']}, '.rtl': {'description': 'Text file', 'used_by': ['']}, '.rtp': {'description': 'RTPatch software update package data file', 'used_by': ['Pocket soft patch']}, '.rts': {'description': 'Runtime library file', 'used_by': ['CA-Realizer']}, '.rul': {'description': 'Echo-conference rules', 'used_by': ['']}, '.run': {'description': 'PC Tools for Windows batch file', 'used_by': ['PC Tools']}, '.runz': {'description': 'pseudo-executable file, used in Portable Apps and software installers for Super OS', 'used_by': ['RUNZ Framework']}, '.rus': {'description': 'Russian text', 'used_by': ['']}, '.rv': {'description': 'Raw Wind Data', 'used_by': ['']}, '.rvf': {'description': '', 'used_by': ['TRichView']}, '.rvw': {'description': 'Review', 'used_by': ['']}, '.rvt': {'description': '3D BIM Model file', 'used_by': ['Autodesk Revit']}, '.rws': {'description': 'Resource Workshop data file', 'used_by': ['Borland C++']}, '.rwx': {'description': 'Script', 'used_by': ['RenderWare']}, '.rwz': {'description': 'Microsoft Outlook Rules Wizard File', 'used_by': ['Microsoft Outlook']}, '.rxd': {'description': 'Reflex 1 datafile', 'used_by': ['Reflex 1']}, '.rzk': {'description': 'File Crypt password file', 'used_by': ['All text editors']}, '.rzx': {'description': 'File Crypt encrypted file', 'used_by': ['File Crypt (Akte Krypta, Kriptirnik)']}, '.s$$': {'description': 'Temporary sort file', 'used_by': ['Sprint']}, '.s': {'description': 'MSTS Shape file', 'used_by': ['MSTS']}, '.s19': {'description': 'Motorola ASCII format of executables', 'used_by': ['']}, '.s1k': {'description': 'S1000 Simnet Format', 'used_by': ['']}, '.s1p': {'description': 'Touchstone V1 Network Parameter Data (1 port)', 'used_by': ['Vector Network Analyzers']}, '.s2p': {'description': 'Touchstone V1 Network Parameter Data (2 port)', 'used_by': ['Vector Network Analyzers']}, '.s3p': {'description': 'Touchstone V1 Network Parameter Data (3 port)', 'used_by': ['Vector Network Analyzers']}, '.s4p': {'description': 'Touchstone V1 Network Parameter Data (4 port)', 'used_by': ['Vector Network Analyzers']}, '.s3i': {'description': 'Digiplayer/ST3 Sample File', 'used_by': ['Digiplayer - ST3']}, '.s3m': {'description': 'Music (16 channels)', 'used_by': ['Scream Tracker 3.0 - DMP']}, '.s7i': {'description': 'Seed7 library / include file', 'used_by': ['Seed7 interpreter and compiler']}, '.sa?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.sab': {'description': 'Saber file', 'used_by': ['Star Wars: Jedi Knight Jedi Academy']}, '.saf': {'description': 'see SAIF', 'used_by': ['']}, '.safe': {'description': 'SafeIT Encrypted', 'used_by': ['']}, '.saif': {'description': 'Spatial Archive Interchange Format', 'used_by': ['']}, '.sal': {'description': 'Datafile', 'used_by': ['SORITEC']}, '.san': {'description': "LucasArts' SMUSH/INSANE animation", 'used_by': ['']}, '.sam': {'description': 'Text file', 'used_by': ['Samna - Lotus Ami/Ami Pro']}, '.sap': {'description': 'Atari SAP music format', 'used_by': ['']}, '.sar': {'description': 'Archive', 'used_by': ['SAR']}, '.sas': {'description': 'SAS Program File', 'used_by': ['SAS System']}, '.sass': {'description': 'Saas stylesheet language, indented-format', 'used_by': ['']}, '.sat': {'description': 'ACIS ACIS .sat', 'used_by': ['']}, '.sats': {'description': 'Static source', 'used_by': ['ATS']}, '.sav': {'description': 'A SAV file is a saved game used by Nintendo DS portable game system emulators such as DeSmuME and NO$GBA. It stores the state of the current game progress and includes game information such as the character name, experience points, completed levels, and in-game resources.', 'used_by': ['DeSmuME']}, '.saver': {'description': 'Screensaver', 'used_by': ['Mac OS X']}, '.sb': {'description': 'Scratch project', 'used_by': ['Scratch']}, '.sb2': {'description': 'Scratch 2.0 project', 'used_by': ['Scratch']}, '.sb3': {'description': 'Scratch 3.0 project', 'used_by': ['Scratch']}, '.sbd': {'description': 'Storyboard', 'used_by': ['Storyboard Editor']}, '.sbh': {'description': 'Header', 'used_by': ['ScriptBasic']}, '.sbi': {'description': 'Sound Blaster Instrument file (Creative Labs)', 'used_by': ['']}, '.sbk': {'description': 'Emu SoundFont Bank (AWE32 Bank)', 'used_by': ['Convert (c) Villena']}, '.sbl': {'description': 'Stony Brook Pascal library', 'used_by': ['SB Pascal']}, '.sbp': {'description': 'DML program', 'used_by': ['Superbase 4']}, '.sbr': {'description': 'Support file', 'used_by': ['Source Browser']}, '.sbt': {'description': 'Notes related to record', 'used_by': ['Suberbase 4 Windows']}, '.sbx': {'description': 'Sequenced Box container', 'used_by': ['Used by SeqBox']}, '.sc': {'description': 'Script', 'used_by': ['Borland Paradox']}, '.sc3': {'description': 'Saved City', 'used_by': ['SimCity 3000']}, '.sc4': {'description': 'Game Scenario', 'used_by': ['RollerCoaster Tycoon Deluxe/Expansion Pack']}, '.sc6': {'description': 'Game Scenario', 'used_by': ['RollerCoaster Tycoon 2']}, '.sca': {'description': 'Datafile', 'used_by': ['SCA']}, '.scala': {'description': 'Scala source code file', 'used_by': ['Scala (programming language)']}, '.scc': {'description': 'Text file', 'used_by': ['']}, '.scd': {'description': 'SCODOL film recorder (Scan Conversion Object Description Language)', 'used_by': ['SCODOL']}, '.scf': {'description': 'Spelling checker configuration file', 'used_by': ['Symphony']}, '.sch': {'description': 'Circuit Design Schematic', 'used_by': ['P-CAD - Orcad - Protel']}, '.schdoc': {'description': 'Circuit Design Schematic', 'used_by': ['Protel - Altium Designer']}, '.schematic': {'description': 'MCEdit Schematic file', 'used_by': ['MCEdit Tool for Minecraft']}, '.sci': {'description': 'System Configuration Information', 'used_by': ['']}, '.scm': {'description': 'StarCraft mission', 'used_by': ['']}, '.scn': {'description': 'Screen file', 'used_by': ['Kermit']}, '.sco': {'description': 'High score', 'used_by': ['']}, '.scp': {'description': 'Script', 'used_by': ['BITCOM']}, '.scpt': {'description': 'Script', 'used_by': ['macOS']}, '.scptd': {'description': 'Script bundle', 'used_by': ['macOS']}, '.scr': {'description': 'Script file source', 'used_by': ['TeleMate - Kermit - 1st Reader']}, '.script': {'description': 'Script', 'used_by': ['']}, '.scss': {'description': 'Saas stylesheet language, block-formatted with braces and semicolons to denote end-of-line', 'used_by': ['']}, '.sct': {'description': 'Additional (FPT) screen description file', 'used_by': ['FoxPro']}, '.sctor': {'description': 'Raster graphics format used by some very obscure custom operating systems', 'used_by': ['']}, '.scx': {'description': 'StarCraft: Brood War scenario', 'used_by': ['StarCraft: Brood War']}, '.scy': {'description': 'Security file', 'used_by': ['ReaGeniX']}, '.sd': {'description': 'Sound Designer I audio file', 'used_by': ['AWAVE']}, '.sd7': {'description': 'Seed7 source file', 'used_by': ['Seed7 interpreter and compiler']}, '.sda': {'description': "Fidonet's Software Distribution Network file archive description", 'used_by': ['']}, '.sdc': {'description': 'Synopsys Design Constraints', 'used_by': ['Electronic Design Automation Tools']}, '.sdf': {'description': 'An SDF file contains a compact relational database saved in the SQL Server Compact (SQL CE) format, which is developed by Microsoft. It is designed for applications that run on mobile devices and desktops and contains the complete database contents, which may be up to 4GB in size.', 'used_by': ['Microsoft SQL Server 2019', 'Microsoft Visual Studio 2019']}, '.sdi': {'description': 'Software Distribution Network Info file', 'used_by': ['']}, '.sdk': {'description': 'Roland S-550/S-50/W-30 Disk Image', 'used_by': ['']}, '.sdl': {'description': 'Alias Wavefront Scene Description Language', 'used_by': ['']}, '.sdml': {'description': 'Spatial Data Modeling Language', 'used_by': ['']}, '.sdn': {'description': 'Software Distribution Network compressed file archive', 'used_by': ['pak251.exe']}, '.sdr': {'description': 'SmartDraw File', 'used_by': ['SmartDraw Pro']}, '.sds': {'description': 'Self Defining Structure provides for N-dimensional very large datasets using HHCode', 'used_by': ['geographic information systems and relational database management systems']}, '.sdts': {'description': 'Spatial Data Transfer Standard', 'used_by': ['']}, '.sdw': {'description': 'Ami Draw Symbol File', 'used_by': ['']}, '.sdx': {'description': 'Sample DUMP Exchange File', 'used_by': ['']}, '.sea': {'description': 'Self-Extracting compressed Macintosh file Archive', 'used_by': ['']}, '.search': {'description': 'ACDSee saved search', 'used_by': ['ACDSee']}, '.sec': {'description': 'Secured animation file', 'used_by': ['Disney Animation Studio']}, '.sed': {'description': 'Self extraction directive file', 'used_by': ['IExpress']}, '.sen': {'description': 'Scifer Archive Format (Internal Header Mode)', 'used_by': ['']}, '.sep': {'description': 'Printer separator page', 'used_by': ['']}, '.seq': {'description': 'Sequential Instruction File', 'used_by': ['Bubble Chamber']}, '.ses': {'description': 'Multitrack Audio Session info', 'used_by': ['Adobe Audition']}, '.set': {'description': 'YVD card set file', 'used_by': ['YVD']}, '.sf': {'description': 'WPS attribute storage (OS/2 WorkPlace Shell) wp_root.sf', 'used_by': ['OS/2 WorkPlace Shell']}, '.sf2': {'description': 'Emu SoundFont Bank v2.0 file', 'used_by': ['AWAVE, Viena, Polyphone, Swami']}, '.sfb': {'description': 'HP Soft font (obsolete under Windows)', 'used_by': ['']}, '.sfd': {'description': 'SoundStage Data file', 'used_by': ['AWAVE']}, '.sff': {'description': 'Scene File Format', 'used_by': ['']}, '.sfi': {'description': 'Printer font (HP LaserJet landscape)', 'used_by': ['Ventura Publisher']}, '.sfl': {'description': 'Sound file', 'used_by': ['Sound Forge and ACID Pro']}, '.sfn': {'description': 'Font', 'used_by': ['SPX']}, '.sfo': {'description': 'Bitstream font file - fontware format', 'used_by': ['']}, '.sfp': {'description': 'PCL 4 bitmap font', 'used_by': ['portrait - Intellifont - Ventura Publisher']}, '.sfr': {'description': 'Sonic Foundry Sample Resource', 'used_by': ['AWAVE']}, '.sfs': {'description': 'PCL 5 scalable font file', 'used_by': ['Intellifont']}, '.sft': {'description': 'Screen font', 'used_by': ['ChiWriter']}, '.sfv': {'description': 'Simple file verification checksum file', 'used_by': ['many file verification tools']}, '.sfx': {'description': 'SFX (self-extracting archives) script', 'used_by': ['RAR']}, '.sg1': {'description': 'Graphics', 'used_by': ['Stanford Graphics']}, '.sgf': {'description': 'Smart Game Format', 'used_by': ['Many board games']}, '.sgi': {'description': 'Graphics file', 'used_by': ['IRIS - Silicon Graphics']}, '.sgp': {'description': 'Statistics', 'used_by': ['STATGRAPHICS Plus']}, '.sgt': {'description': 'Save/get keyboard macro', 'used_by': ['Signature']}, '.sh': {'description': "An SH file is a script programmed for bash, a type of Unix shell (Bourne-Again SHell). It contains instructions written in the Bash language and can be executed by typing text commands within the shell's command-line interface.", 'used_by': ['Apple Terminal', 'iTerm', 'Vim', 'nano', 'GNU Bash', 'Notepad++', 'Cygwin']}, '.sh3': {'description': 'Presentation', 'used_by': ['Harvard Graphics 3.0']}, '.sh3d': {'description': 'Sweet home 3d file', 'used_by': ['Sweet home 3d, archivers with ZIP support']}, '.sha1': {'description': 'SHA1 Checksum verification File', 'used_by': ['HashCheck (Windows)']}, '.shar': {'description': 'Shell self-extracting archive', 'used_by': ['UNSHAR (Unix)']}, '.shb': {'description': 'Background', 'used_by': ['CorelShow']}, '.shg': {'description': 'Segmented Hyper Graphics', 'used_by': ["Microsoft's shed.exe, JGsoft's Hotspot Builder, EC Software's Help and Manual"]}, '.shk': {'description': 'Apple II archive', 'used_by': ['SHRINKIT']}, '.shm': {'description': 'Shell macro', 'used_by': ['WordPerfect Library']}, '.shp': {'description': 'Shape file and sdiv id="PYI"> PYIource file for text fonts ESRI shapefile', 'used_by': ['AutoCAD ArcGIS']}, '.shr': {'description': 'see SHAR', 'used_by': ['']}, '.shs': {'description': 'Shell Scrap Object File', 'used_by': ['Windows XP and earlier versions']}, '.sht': {'description': 'HTML format for WWW', 'used_by': ['NetScape']}, '.shtm': {'description': 'SSI-enabled HTM file', 'used_by': ['Server Side Includes']}, '.shtml': {'description': 'SSI-enabled HTML file', 'used_by': ['Server Side Includes']}, '.shw': {'description': 'Slide show', 'used_by': ['WordPerfect Presentations, PMview Slide Show']}, '.shx': {'description': 'Shape entities ESRI shapefile', 'used_by': ['AutoCAD ArcGIS']}, '.sib': {'description': 'Sibelius file', 'used_by': ['Sibelius 1-5']}, '.sid': {'description': 'Sound Interface Device file format', 'used_by': ['SIDplayer, SIDplay, sidplay2 /w']}, '.sif': {'description': 'Setup Installation Files info', 'used_by': ['Windows NT Setup']}, '.sig': {'description': 'Signature file', 'used_by': ['gpg, PopMail, ThunderByte AntiVirus']}, '.sik': {'description': 'Backup file (Sicherungskopie)', 'used_by': ['Microsoft Word']}, '.sim': {'description': 'Simon document file - Simon instruction software editor', 'used_by': ['']}, '.sis': {'description': 'symbian file', 'used_by': ['']}, '.sit': {'description': 'Archive (Macintosh)', 'used_by': ['STUFFIT']}, '.sk': {'description': 'Skin file', 'used_by': ['']}, '.ski': {'description': 'Skin file', 'used_by': ['?']}, '.skin': {'description': 'Skin file', 'used_by': ['']}, '.skn': {'description': 'Skin file', 'used_by': ['']}, '.skp': {'description': 'Google SketchUp file', 'used_by': ['']}, '.sky': {'description': 'SYLK Spreadsheet file (used by Multiplan)', 'used_by': ['']}, '.sl': {'description': 'S-Lang source code file', 'used_by': ['']}, '.slb': {'description': 'Slide library', 'used_by': ['AutoCAD']}, '.slc': {'description': 'SALT (script from Telix) compiled code', 'used_by': ['Telix']}, '.sld': {'description': 'Slide', 'used_by': ['AutoCAD']}, '.sldprt': {'description': 'Part', 'used_by': ['SolidWorks']}, '.sldasm': {'description': 'Assembly', 'used_by': ['SolidWorks']}, '.slddrw': {'description': 'Drawing', 'used_by': ['SolidWorks']}, '.sli': {'description': 'Slide', 'used_by': ['MAGICorp Slide Service']}, '.slk': {'description': 'SYLK Symbolic Link format data file', 'used_by': ['MultiPlan']}, '.sll': {'description': 'Static Link Library', 'used_by': ['PowerBASIC']}, '.sln': {'description': 'An SLN file is a structure file used for organizing projects in Microsoft Visual Studio. It contains text-based information about the project environment and project state.', 'used_by': ['MonoDevelop', 'Microsoft Visual Studio 2019']}, '.slp': {'description': 'Age of Empires graphics file', 'used_by': ['Age of Empires (video game)']}, '.sls': {'description': 'Slim source code', 'used_by': ['Slim (programming language)']}, '.slt': {'description': 'SALT Script Application Language for Telix script source', 'used_by': ['Telix']}, '.slv': {'description': 'Solution for any game', 'used_by': ['many']}, '.sm': {'description': 'StepMania Step File', 'used_by': ['StepMania']}, '.smc': {'description': 'Super MagiCom SNES ROM image', 'used_by': ['Super MagiCom']}, '.smclvl': {'description': 'Secret Maryo Chronicles Level', 'used_by': ['Secret Maryo Chronicles']}, '.smf': {'description': '3D World Studio mesh files', 'used_by': ['']}, '.smk': {'description': 'Smacker video Format (RAD Video)', 'used_by': ['']}, '.sml': {'description': 'System Macro Library', 'used_by': ['RT-11']}, '.smm': {'description': 'Ami Pro Macro File', 'used_by': ['Ami Pro']}, '.smmx': {'description': 'SimpleMind mind map file', 'used_by': ['SimpleMind']}, '.smn': {'description': "Font (ParaGraph's WorkScript format)", 'used_by': ['']}, '.smp': {'description': 'Samplevision File', 'used_by': ['Samplevision']}, '.smpl': {'description': 'Data', 'used_by': ['Megahedron 3D object']}, '.sms': {'description': 'MSTS Sound management system file', 'used_by': ['MSTS']}, '.smt': {'description': 'Text file', 'used_by': ['Smart Ware II']}, '.sn': {'description': 'Compressed song file', 'used_by': ['Sound Club editor']}, '.snd': {'description': 'Power Chords drum sound file', 'used_by': ['Power Chord']}, '.sndb': {'description': 'SQLNotes database', 'used_by': ['SQLNotes']}, '.sng': {'description': 'Saved game file for StarCraft', 'used_by': ['StarCraft']}, '.sno': {'description': 'SNOBOL4 source code file', 'used_by': ['']}, '.snp': {'description': 'Output video format from Computer Eyes equipment', 'used_by': ['']}, '.snx': {'description': 'Saved game file for StarCraft: Brood War', 'used_by': ['StarCraft: Brood War']}, '.so': {'description': 'shared object, dynamically linked library', 'used_by': ['Unix, Linux']}, '.soar': {'description': 'Soar Production file', 'used_by': ['']}, '.sof': {'description': 'Altera FPGA programming file (internal RAM)', 'used_by': ['Altera Quartus']}, '.sol': {'description': 'Solidity source code', 'used_by': ['']}, '.som': {'description': 'Sort information', 'used_by': ['Paradox']}, '.son': {'description': 'Song', 'used_by': ['SBStudio II']}, '.sou': {'description': 'Sound data (sound tool)', 'used_by': ['']}, '.sp': {'description': 'Archive (unix)', 'used_by': ['SPLINT']}, '.spc': {'description': 'Spectroscopic data (scientific)', 'used_by': ['Thermo Scientific']}, '.spd': {'description': 'Scalable font', 'used_by': ['Speedo - Harvard Graphics 3.0']}, '.spf': {'description': 'data', 'used_by': ['SQR Portable Format']}, '.spg': {'description': 'Glossary', 'used_by': ['Sprint']}, '.spi': {'description': 'Graphics (Siemens and Philips scanner)', 'used_by': ['']}, '.spiff': {'description': 'Still Picture Interchange File Format', 'used_by': ['']}, '.spin': {'description': 'Spin source file', 'used_by': ['Parallax Propeller Microcontrollers']}, '.spl': {'description': 'Sample', 'used_by': ['']}, '.spm': {'description': 'Data wp{wp}.spm', 'used_by': ['WordPerfect']}, '.spp': {'description': 'Printer file', 'used_by': ['Sprint']}, '.spr': {'description': 'Story Board sprites', 'used_by': ['']}, '.sps': {'description': 'SPSSx source code file', 'used_by': ['VAX/VMS']}, '.spt': {'description': 'SPITBOL source code file', 'used_by': ['']}, '.spw': {'description': 'Worksheet', 'used_by': ['SigmaPlot']}, '.spx': {'description': 'Ogg Speex bitstream[1]', 'used_by': ['Xiph.Org Foundation']}, '.sq': {'description': 'Squish compressed archive format', 'used_by': ['']}, '.sqd': {'description': 'Squish message base', 'used_by': ['Squish']}, '.sqi': {'description': 'Squish message base index', 'used_by': ['Squish']}, '.sql': {'description': 'A SQL file contains Structured Query Language (SQL), which is a language used to access and modify information in a database. It stores SQL statements for creating or modifying database structures, insertions, updates, deletions, or other SQL operations.', 'used_by': ['MySQL', 'MacroMates TextMate', 'Apple TextEdit', 'Bare Bones BBEdit', 'Microsoft Notepad', 'Vim', 'Any text editor']}, '.sqlite': {'description': 'SQLite', 'used_by': ['Firefox SQLiteBrowser']}, '.sqm': {'description': 'Windows Live Messenger log file', 'used_by': ['']}, '.sqn': {'description': 'Note file', 'used_by': ['SquareNote']}, '.sqz': {'description': 'FOXPRO Squeeze file', 'used_by': ['FOXPRO']}, '.src': {'description': 'Source', 'used_by': ['DataFlex']}, '.srf': {'description': 'Sun Raster File graphics file', 'used_by': ['']}, '.srp': {'description': 'Script', 'used_by': ['QuickLink']}, '.srt': {'description': 'An SRT file is a subtitle file saved in the SubRip file format. It is supported by several video formats such as DivX and DVD and used by various video playback programs. SRT files contain subtitle information, which includes the sequential number of subtitles, start and end timecode, subtitle text.', 'used_by': ['Aegisub', 'VideoLAN VLC media player', 'MPlayer', 'Microsoft Windows Media Player with VobSub plugin', 'Media Player Classic', 'Any text editor']}, '.ss': {'description': 'Screen saver', 'used_by': ['DN']}, '.ssc': {'description': 'Stellarium Script', 'used_by': ['Stellarium']}, '.ssd': {'description': 'Datafile', 'used_by': ['SAS/PC']}, '.ssf': {'description': 'Graphic file', 'used_by': ['SnagIt Studio File/PC']}, '.ssfrec': {'description': 'Super Smash Flash 2 replay file', 'used_by': ['File for Super Smash Flash 2']}, '.ssg': {'description': 'Saved game', 'used_by': ['Simsig']}, '.ssif': {'description': 'Stereoscopic Interleaved file', 'used_by': ['Media playback devices / software that supports Blu-ray 3D']}, '.sso': {'description': 'Empowered Song', 'used_by': ['Sertainty']}, '.ssp': {'description': 'Datafile', 'used_by': ['SAS Transport']}, '.ssr': {'description': 'FLEXIT Singleshot Survey Raw Data file', 'used_by': ['FLEXIT']}, '.sst': {'description': 'AVHRR graphic file', 'used_by': ['']}, '.ssv': {'description': 'Spreadsheet viewer file', 'used_by': ['']}, '.st': {'description': 'Stamp', 'used_by': ['NeoPaint']}, '.sta': {'description': 'Stack', 'used_by': ['Spinmaker Plus']}, '.stb': {'description': 'Stub library', 'used_by': ['Genus GX Kernel']}, '.stc': {'description': 'OpenOffice.org XML spreadsheet template', 'used_by': ['OpenOffice.org Calc']}, '.std': {'description': 'OpenOffice.org XML drawing template', 'used_by': ['OpenOffice.org Draw']}, '.steamstart': {'description': 'STEAMSTART file', 'used_by': ['Steam (software)']}, '.step': {'description': 'Standard for the Exchange of Product Data', 'used_by': ['universal format for CAD exchange']}, '.stf': {'description': 'Setup Table File', 'used_by': ['']}, '.sti': {'description': 'OpenOffice.org XML presentation template', 'used_by': ['OpenOffice.org Impress']}, '.stk': {'description': 'Stockholm multiple sequence alignment[2]', 'used_by': ['Bioinformatics tools eg HMMER, Xrate, Jalview']}, '.stl': {'description': 'Subtitle files EBU-standard', 'used_by': ['']}, '.stm': {'description': 'State Transition Diagram model file', 'used_by': ['Prosa']}, '.sto': {'description': 'Stockholm multiple sequence alignment[2]', 'used_by': ['Bioinformatics tools eg HMMER, Xrate, Jalview']}, '.stp': {'description': 'Standard for the Exchange of Product Data', 'used_by': ['universal format for CAD exchange']}, '.str': {'description': 'PlayStation video file', 'used_by': ['']}, '.strings': {'description': 'Strings file', 'used_by': ['Apple']}, '.sts': {'description': 'Project status info', 'used_by': ['Microsoft C/C++']}, '.stu': {'description': 'Studio Project', 'used_by': ['Pinnacle Studio (video editing software)']}, '.stuff': {'description': 'EVE Online compressed file archive', 'used_by': ['CCP hf']}, '.stw': {'description': 'OpenOffice.org XML text document template', 'used_by': ['OpenOffice.org Writer']}, '.stx': {'description': 'Tax form', 'used_by': ['CA-Simply Tax']}, '.sty': {'description': 'Style library or sheet', 'used_by': ['many']}, '.su': {'description': 'Saurus source file', 'used_by': ['']}, '.su?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.sub': {'description': 'Subtitle format', 'used_by': ['SubViewer; Author David Dolinski']}, '.suc': {'description': 'Saurus byte-code file', 'used_by': ['Saurus VM']}, '.suf': {'description': 'Sony camera configuration file (setup.suf)', 'used_by': ['XDCAM-EX camcorders']}, '.sui': {'description': 'SUIT library', 'used_by': ['Simple User Interface Toolkit']}, '.sum': {'description': 'Summary', 'used_by': ['']}, '.sun': {'description': 'Sun rasterfile graphics file', 'used_by': ['Sun Microsystems']}, '.suo': {'description': 'Solution User Options', 'used_by': ['Microsoft Visual Studio']}, '.sup': {'description': 'Supplementary dictionary', 'used_by': ['WordPerfect for Win']}, '.sur': {'description': 'Surface topography (in native "SURF" format)', 'used_by': ['MountainsMap']}, '.sv4': {'description': 'Saved Game File', 'used_by': ['RollerCoaster Tycoon']}, '.sv6': {'description': 'Saved Game File', 'used_by': ['RollerCoaster Tycoon 2']}, '.svc': {'description': 'Represents the ServiceHost instance hosted by Internet Information Services', 'used_by': ['Windows Communication Foundation']}, '.svd': {'description': 'Autosave file for document', 'used_by': ['Microsoft Word']}, '.svg': {'description': 'An SVG file is a graphics file that uses a two-dimensional vector graphic format created by the World Wide Web Consortium (W3C). It describes images using a text format that is based on XML. SVG files are developed as a standard format for displaying vector graphics on the web.', 'used_by': ['Inkscape', 'GIMP', 'Adobe Illustrator 2020', 'Adobe InDesign 2020', 'CorelDRAW Graphics Suite 2020', 'Corel PaintShop Pro 2020', 'Any web browser']}, '.svq': {'description': 'MRC-Pro sequencers music format', 'used_by': ['Roland Corporation synths such as XP or Fantom series']}, '.svs': {'description': 'Autosave file for style sheet', 'used_by': ['Microsoft Word']}, '.svw': {'description': 'Super Video Windows', 'used_by': ['Conversion Artist']}, '.svx': {'description': 'Interchange, 8SVX/16SV', 'used_by': ['AWAVE']}, '.svy': {'description': 'FLEXIT Survey data', 'used_by': ['FLEXIT']}, '.sw': {'description': 'Raw Signed Word (16bit) data', 'used_by': ['AWAVE']}, '.swf': {'description': 'An SWF file is an animation created with Adobe Flash that can be played by Flash Player or with a web browser that has the Flash plugin installed. It may contain text, vector and raster graphics, and interactive content written in ActionScript.', 'used_by': ['Adobe Flash Player', 'Adobe Flash Professional CC', 'Adobe Dreamweaver 2020', 'Media Player Classic', 'Any web browser with the Flash plugin']}, '.swg': {'description': 'SWAG Pascal Snippets file', 'used_by': ['SWAG']}, '.swift': {'description': 'A SWIFT file is a source code file written in Swift, a programming language introduced by Apple with iOS 8 and OS X Yosemite. It is designed for writing and compiling apps and can be used with Xcode beginning with Xcode 6', 'used_by': ['Apple Xcode', 'Any text editor']}, '.swm': {'description': 'split Windows Imaging Format', 'used_by': ['ImageX, DISM, 7-Zip, wimlib']}, '.swp': {'description': 'Swap file', 'used_by': ['vim']}, '.swt': {'description': 'Hump Routes File', 'used_by': ['FYM']}, '.sxc': {'description': 'OpenOffice.org XML spreadsheet', 'used_by': ['OpenOffice.org Calc']}, '.sxd': {'description': 'OpenOffice.org XML drawing', 'used_by': ['OpenOffice.org Draw']}, '.sxg': {'description': 'OpenOffice.org XML master document', 'used_by': ['']}, '.sxi': {'description': 'OpenOffice.org XML presentation', 'used_by': ['OpenOffice.org Impress']}, '.sxm': {'description': 'OpenOffice.org XML formula', 'used_by': ['OpenOffice.org Calc']}, '.sxp': {'description': '3DS Process file', 'used_by': ['3D Studio']}, '.sxw': {'description': 'OpenOffice.org XML text document', 'used_by': ['OpenOffice.org Writer']}, '.sy1': {'description': 'SmartPix symbol library', 'used_by': ['Ami Pro']}, '.sy3': {'description': 'Symbol file', 'used_by': ['Harvard Graphics 3.0']}, '.syd': {'description': 'Sysedit backup file', 'used_by': ['Sysedit']}, '.syg': {'description': 'Monitor and handler files created by SYSGEN', 'used_by': ['RT-11']}, '.sym': {'description': 'Symbol file', 'used_by': ['Harvard Graphics 2.0, Microsoft Windows SDK']}, '.syn': {'description': 'Synonym file', 'used_by': ['Microsoft Word 5']}, '.sys': {'description': 'A SYS file is a system file used by Microsoft DOS and Windows operating systems. It contains system settings and variables, as well as functions that are used to run the operating system. SYS files are commonly used to store device drivers and other core Windows functions.', 'used_by': ['Microsoft Windows']}, '.syw': {'description': 'Yamaha SY-85/SY-99 Wave File', 'used_by': ['Convert (c) Villena']}, '.szproj': {'description': 'SZInstallSystem Project', 'used_by': ['SoftwareZator 2011 Standart Edition']}, '.szs': {'description': 'Method of compressing used by Nintendo', 'used_by': ['Various Nintendo games']}, '.t': {'description': 'Tester symbol table', 'used_by': ['ReaGeniX code generator']}, '.t?h': {'description': 'Turbo Help file (Pascal, C, Assembler, ...)', 'used_by': ['Borland Thelp']}, '.t$m': {'description': 'AVG scan log files[3]', 'used_by': ['AVG']}, '.t2b': {'description': 'Bookeen Cybook thumbnail', 'used_by': ['Cybook']}, '.t2flow': {'description': 'Taverna 2 workflow definition', 'used_by': ['Taverna workbench']}, '.t2l': {'description': 'True2Life file format', 'used_by': ['3D Internet content developers']}, '.t44': {'description': 'Temporary file for Sort or Index', 'used_by': ['dBASE IV']}, '.t64': {'description': 'Program', 'used_by': ['C64S emulator']}, '.taf': {'description': 'Tango Application File, a server-side script', 'used_by': ['Tango Enterprise (Pervasive Software)']}, '.tag': {'description': 'Query tag name', 'used_by': ['DataFlex']}, '.tah': {'description': 'Help file for Turbo Assembler', 'used_by': ['Borland C++']}, '.tak': {'description': 'Audio codec, Lossless audio file format', 'used_by': ['Winamp (+Plugin), foobar2000 (+Plugin), Media Player Classic - BE']}, '.tal': {'description': 'Text illustration', 'used_by': ['TypeAlign']}, '.tap': {'description': 'Tape file', 'used_by': ['ZX Spectrum emulator by g.a.lunter']}, '.tar': {'description': 'A TAR file is an archive created by tar, a Unix-based utility used to package files together for backup or distribution purposes. It contains multiple files stored in an uncompressed format along with metadata about the archive. TAR files are commonly compressed into .GZ files with GNU Zip compression.', 'used_by': ['Apple Archive Utility', 'The Unarchiver', 'PeaZip', 'RARLAB WinRAR', 'Corel WinZip 24', '7-Zip', 'GNU Tar']}, '.taz': {'description': 'compressed tar archive', 'used_by': ['tar, many file archivers with TAR and COMPRESS support']}, '.tb': {'description': 'Tab file (Virtual Desktop Tab)', 'used_by': ['Tabbery']}, '.tb1': {'description': 'Font file', 'used_by': ['Borland Turbo C']}, '.tb2': {'description': 'Font file', 'used_by': ['Borland Turbo C']}, '.tbf': {'description': 'Fax', 'used_by': ['Imavox TurboFax']}, '.tbk': {'description': 'Toolbook', 'used_by': ['Asymetrix ToolBook']}, '.tbl': {'description': 'Table of values', 'used_by': ['OS/2']}, '.tbr': {'description': 'Norton Desktop custom toolbar', 'used_by': ['NDW']}, '.tbs': {'description': 'Text elements ?? (Textbausteine)', 'used_by': ['Microsoft Word']}, '.tbx': {'description': 'Table', 'used_by': ['Project Scheduler 4 - TermBase eXchange (ISO 30042)']}, '.tbz': {'description': 'Archive', 'used_by': ['WinZipNT - TAR - Bzip2']}, '.tc': {'description': 'Configuration', 'used_by': ['Turbo C - Borland C++']}, '.tcc': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire CX CAS']}, '.tch': {'description': 'Help file', 'used_by': ['Turbo C - Borland C++']}, '.tcl': {'description': 'Tool Command Language source code', 'used_by': ['Tcl']}, '.tco': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire CX']}, '.tct': {'description': 'Drawing Template', 'used_by': ['TurboCAD for Windows']}, '.tcw': {'description': 'Native Drawing File', 'used_by': ['TurboCAD for Windows']}, '.td': {'description': 'Config from Turbo Debugger', 'used_by': ['Turbo Debugger']}, '.td0': {'description': 'Compressed disk image file', 'used_by': ['Teledisk']}, '.td1': {'description': 'Multi-part disk image file', 'used_by': ['Teledisk']}, '.td2': {'description': 'Configuration file', 'used_by': ['Turbo Debugger for Win32']}, '.tdb': {'description': 'Database', 'used_by': ['TACT']}, '.tddd': {'description': 'Imagine Object File Format', 'used_by': ['Imagine']}, '.tdesktop-palette': {'description': 'Palette', 'used_by': ['Telegram Desktop']}, '.tdf': {'description': 'Typeface definition file', 'used_by': ['Speedo']}, '.tdh': {'description': 'Help file for Turbo Debugger', 'used_by': ['Borland C++']}, '.tdk': {'description': 'Keystroke recording file', 'used_by': ['Turbo Debugger']}, '.tdr': {'description': 'Contents of Arvid tape', 'used_by': ['']}, '.tds': {'description': 'Symbol table', 'used_by': ['Turbo Debugger']}, '.tdt': {'description': 'Thumbnail data', 'used_by': ['AVCHD']}, '.tdw': {'description': 'Configuration file', 'used_by': ['Turbo Debugger for Windows']}, '.tec': {'description': 'TECO macro file ("compiled" form)', 'used_by': ['TECO']}, '.tef': {'description': 'Fax', 'used_by': ['Relisys TEFAX']}, '.tel': {'description': 'Host file', 'used_by': ['Telnet']}, '.tem': {'description': 'Turbo Editor Macro Language script', 'used_by': ['Borland C++']}, '.term': {'description': 'Terminal File', 'used_by': ['']}, '.tes': {'description': 'TECO macro file (source form)', 'used_by': ['TECO']}, '.tet': {'description': 'Tetris results', 'used_by': ['DN']}, '.tex': {'description': 'A TEX file is a source document prepared by LaTeX, a high-quality typesetting system. It can include text, symbols, mathematical expressions, and graphics. TEX files are commonly used in computer science, electrical engineering, statistics, economics, and physics for typesetting articles, books, and other publications.', 'used_by': ['LyX/Mac', 'TeXworks', 'Texmaker', 'TeXShop', 'Skim', 'LaTeX Editor', 'Vim']}, '.text': {'description': 'Text file', 'used_by': ['']}, '.tf': {'description': 'Configuration', 'used_by': ['Turbo Profiler']}, '.tfa': {'description': 'Area file', 'used_by': ['Turbo Profiler']}, '.tfc': {'description': 'Catalogue file', 'used_by': ["Tobi's Floppy Cataloguer"]}, '.tff': {'description': 'self executing TansForm dialogue', 'used_by': ['TansForm']}, '.tfh': {'description': 'Help file for Turbo Profiler', 'used_by': ['Borland C++']}, '.tfm': {'description': 'TeX font metric file', 'used_by': ['TeX']}, '.tfs': {'description': 'Statistical information', 'used_by': ['Turbo Profiler']}, '.tg1': {'description': 'Project file', 'used_by': ['On Target']}, '.tga': {'description': 'A TGA file is a file saved in the raster graphic format designed by Truevision. It supports 8, 16, 24, or 32 bits per pixel at a maximum of 24 bits for RGB colors and 8-bit alpha channel. TGA files are used for various types of images, such as digital photos and textures referenced by 3D video games.', 'used_by': ['Apple Preview', 'Apple QuickTime Player', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'Serif Affinity Photo', 'GIMP']}, '.tgz': {'description': 'gzip compressed tar archive', 'used_by': ['tar, many file archivers with TAR and GZIP support']}, '.th?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.the': {'description': "Windows'95 Desktop Theme", 'used_by': ['Microsoft Plus']}, '.theme': {'description': 'Windows Theme', 'used_by': ['Microsoft Windows 95 with Plus!, 98 and later']}, '.themepack': {'description': 'Windows Theme package', 'used_by': ['Microsoft Windows 7 and later, many file archivers with CAB support']}, '.thm': {'description': 'A THM file is a theme file used by Sony Ericsson mobile phones. It stores settings used to customize the user interface of the cell phone and includes custom window and text colors, icons, wallpaper, and other images. THM files can be created and edited using the free Themes Creator from Sony Ericsson. But also: Small, icon-sized image that represents a larger image; commonly used on the Web and in clip art galleries; may be created by various photo or video editing programs; also produced by some digital cameras as small sample images of photos captured by the camera.', 'used_by': ['Sony Ericsson Themes Creator', 'Apple Preview', 'Adobe Photoshop 2020', 'Other picture viewer']}, '.thp': {'description': 'Nintendo proprietary video format', 'used_by': ['Various Nintendo games']}, '.thr': {'description': 'ThredWorks Embroidery Format', 'used_by': ['Thred, Embroidermodder']}, '.ths': {'description': 'Thesaurus dictionary', 'used_by': ['WordPerfect for Win']}, '.tib': {'description': 'Acronis True Image Backup', 'used_by': ['Acronis True Image']}, '.tic': {'description': 'FTN special file with assotiated file description', 'used_by': ['ALLFIX']}, '.tif': {'description': 'A TIF file is an image file saved in a high-quality graphics format. It is often used for storing images with many colors, typically digital photos, and includes support for layers and multiple pages.', 'used_by': ['Apple Preview', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Lightroom 2019', 'Adobe Illustrator 2020', 'CorelDRAW Graphics Suite 2020', 'Microsoft Photos', 'Corel PaintShop Pro 2020', 'GIMP', 'Other image viewer']}, '.tiff': {'description': 'A TIFF file is a graphics container that stores raster images. It may contain high-quality graphics that support color depths from 1 to 24-bit and supports both lossy and lossless compression. TIFF files also support multiple layers and pages.', 'used_by': ['Apple Preview', 'Adobe Photoshop 2020', 'Adobe Photoshop Elements 2020', 'Adobe Illustrator 2020', 'CorelDRAW Graphics Suite 2020', 'Microsoft Paint', 'Microsoft Paint 3D', 'Other image viewer']}, '.tiger': {'description': 'Tomb Raider binaries files', 'used_by': ['Ubi']}, '.til': {'description': 'Fuzzy logic knowledge base', 'used_by': ['Togai InfraLogic Fuzzy-C Compiler']}, '.tip': {'description': 'Digital Signage Presentation', 'used_by': ['Tru-Designer, Tru-Player, Tru-Scheduler part of Tru-i Suite[4]']}, '.tis': {'description': 'Tile set', 'used_by': ['MahJongg 3.0']}, '.tjl': {'description': 'Backup file', 'used_by': ['VAXTPU editor']}, '.tlb': {'description': 'Type library [1]', 'used_by': ['A binary file with information about a COM or DCOM object so other applications can use it at runtime. Created by Visual C++ or Visual Studio. Used by many Windows applications.']}, '.tlc': {'description': 'Compiled Tool Command Language source code', 'used_by': ['Swat']}, '.tld': {'description': 'Disk Image', 'used_by': ['Teledisk']}, '.tlg': {'description': 'Transaction Log', 'used_by': ['Intuit QuickBooks']}, '.tlh': {'description': 'Typelib Generated C/C++ Header', 'used_by': ['Visual C++']}, '.tlp': {'description': 'Project', 'used_by': ['TimeLine']}, '.tlx': {'description': 'Website builder', 'used_by': ['Trellix']}, '.tm2': {'description': 'Typical Meteorological Year data (new)', 'used_by': ['Typical Meteorological Year']}, '.tmc': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire CM-C CAS']}, '.tmf': {'description': 'TiVo movie', 'used_by': ['TiVo']}, '.tmo': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire CM-C']}, '.tmp': {'description': 'A TMP file is a temporary file created automatically by a software program that usually serves as a backup or cache file. It is sometimes created as an invisible file and is often deleted when the program is closed. TMP files may also be created to contain information temporarily while a new file is being generated.', 'used_by': ['Microsoft Word', 'Apple Safari', 'Mozilla Firefox', 'Microsoft Internet Explorer']}, '.tmpl': {'description': 'Template', 'used_by': ['']}, '.tms': {'description': 'TeleMate compiled script', 'used_by': ['TeleMate']}, '.tmy': {'description': 'Typical Meteorological Year data (old)', 'used_by': ['Typical Meteorological Year']}, '.tmy2': {'description': 'Typical Meteorological Year data (new)', 'used_by': ['Typical Meteorological Year']}, '.tnc': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire CAS']}, '.tno': {'description': 'TI-Nspire OS upgrade file', 'used_by': ['TI-Nspire']}, '.tns': {'description': 'TI-Nspire document', 'used_by': ['TI-Nspire series']}, '.toc': {'description': 'Table Of Contents text file (ASCII)', 'used_by': ['']}, '.tocg': {'description': 'TorgaNET Diplomatic Cables', 'used_by': ['State Department of Torga']}, '.tok': {'description': 'Borland C++ 4.x reserved word list', 'used_by': ['BCW.EXE']}, '.tog': {'description': 'TorgaNET', 'used_by': ['TorgaNET database file']}, '.topc': {'description': 'TopicCrunch SEO Project file holding keywords, domain and search engine settings (ASCII)', 'used_by': ['']}, '.torrent': {'description': 'A TORRENT file is a file used by BitTorrent, a peer-to-peer (P2P) file sharing program, for downloading a file (often from multiple locations at one time). It does not contain the content being distributed, only the metadata, which includes information about the file or group of files to be downloaded, such as their names, sizes, and folder structure.', 'used_by': ['BitTorrent', 'uTorrent', 'XTorrent', 'Opera', 'Vuze', 'Deluge', 'Transmission']}, '.tos': {'description': 'Self-extracting file archive (Atari ST)', 'used_by': ['']}, '.tp': {'description': 'TinkerPlots Document', 'used_by': ['TinkerPlots and Fathom Dynamic Data Software; documents contain data tables, graphs, text, pictures, etc.']}, '.tp3': {'description': 'Template', 'used_by': ['Harvard Graphics 3.0']}, '.tpb': {'description': 'Downloadable PCL Soft font file backup', 'used_by': ['HiJaak']}, '.tpc': {'description': 'File produced when an inter-Topicscape topic link file is exported to Windows', 'used_by': ['3D Topicscape']}, '.tpf': {'description': 'Print data in EMF format', 'used_by': ['ThinPrint']}, '.tph': {'description': 'Help file', 'used_by': ['Turbo Pascal']}, '.tpl': {'description': 'Template', 'used_by': ['Harvard Graphics 2.0']}, '.tpoly': {'description': 'Data', 'used_by': ['TPOLY 3D object']}, '.tpp': {'description': 'Protected Mode Units', 'used_by': ['Borland Pascal 7.0']}, '.tpt': {'description': 'Digital Signage Presentation Template', 'used_by': ['Tru-Designer, Tru-Scheduler part of Tru-i Suite[4]']}, '.tpu': {'description': 'Command file (VAXTPU editor)', 'used_by': ['VAXTPU editor']}, '.tpw': {'description': 'Session-state file', 'used_by': ['Turbo Profiler for Windows']}, '.tpz': {'description': 'gzip compressed tar archive', 'used_by': ['tar, many file archivers with TAR and GZIP support']}, '.tr': {'description': 'Session-state settings', 'used_by': ['Turbo Debugger for DOS']}, '.tr2': {'description': 'Session-state settings', 'used_by': ['Turbo Debugger for Win32']}, '.trc': {'description': 'Debug support file', 'used_by': ['Power CTrace']}, '.trash': {'description': 'File found during a file scan as bugged', 'used_by': ['Windows']}, '.tre': {'description': 'Directory tree file', 'used_by': ['PC-Tools']}, '.trd': {'description': 'Datafile', 'used_by': ['TrID file identifier filetypes definitions package']}, '.tria': {'description': 'Data', 'used_by': ["Greg Hood's ASCII Triangle"]}, '.trib': {'description': 'Data', 'used_by': ["Greg Hood's Binary Triangle"]}, '.trif': {'description': 'Tiled Raster Interchange Format', 'used_by': ['']}, '.trk': {'description': 'Track (i.e. video sequence), used by many games', 'used_by': ['']}, '.trm': {'description': 'Terminal settings', 'used_by': ['Windows 3.x']}, '.trn': {'description': 'Translation support file', 'used_by': ['Quattro - Clarion']}, '.trp': {'description': 'MPEG-2 Part 1 multiplexed video stream', 'used_by': ['Digital video broadcast, DVRs, video players']}, '.trs': {'description': 'IBM Mainframe log file', 'used_by': ['TRSMAIN']}, '.tru': {'description': 'True Basic source file', 'used_by': ['']}, '.trw': {'description': 'Session-state settings', 'used_by': ['Turbo Debugger for Windows']}, '.try': {'description': 'Typical Meteorological Year data (variant)', 'used_by': ['TRNSYS']}, '.ts': {'description': 'TypeScript source file', 'used_by': ['']}, '.tse': {'description': 'Data', 'used_by': ['Light Map Maker ASCII Scene']}, '.tsk': {'description': 'Microsoft Multimedia Task Application', 'used_by': ['Win95']}, '.tsl': {'description': 'Exported Schedule', 'used_by': ['Tru-Scheduler part of Tru-i Suite']}, '.tsm': {'description': 'Turbo Assembler Manual', 'used_by': ['TASM for OS/2']}, '.tst': {'description': 'ExamView papers and online tests', 'used_by': ['can be opened with WinRAR, ExamView, and TestGen software.[5]']}, '.tsv': {'description': 'Tab Separated Values', 'used_by': ['']}, '.tte': {'description': 'TrueType Font file', 'used_by': ['Windows EUDC editor']}, '.ttf': {'description': 'A TTF file is a font file format created by Apple, but used on both Macintosh and Windows platforms. It can be resized to any size without losing quality and looks the same when printed as it does on the screen.', 'used_by': ['Apple Font Book', 'FontForge', 'CorelDRAW Graphics Suite 2020', 'Microsoft Windows Font Viewer']}, '.ttl': {'description': 'Turtle (syntax) file', 'used_by': ['Resource Description Framework']}, '.tu?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.tud': {'description': 'The Ultimate Draw file', 'used_by': ['The Ultimate Draw']}, '.tut': {'description': 'Tutorial', 'used_by': ['']}, '.tv': {'description': 'Table view settings', 'used_by': ['Paradox']}, '.tvf': {'description': 'Table view settings', 'used_by': ['dBASE']}, '.tvn': {'description': 'Overflow file above insert point in Doc n', 'used_by': ['WordPerfect for Win']}, '.twf': {'description': 'Warp Map File', 'used_by': ['Geo Semiconductor, Inc eWarp Pro Development Took Kit']}, '.txc': {'description': 'Test Configuration Format', 'used_by': ['']}, '.txf': {'description': 'Tax eXchange Format', 'used_by': ['']}, '.txi': {'description': 'Support file', 'used_by': ['TeX']}, '.txt': {'description': 'A TXT file is a standard text document that contains unformatted text. It is recognized by any text editing or word processing program and can also be processed by most other software programs. TXT files are often created and opened using Microsoft Notepad and Apple TextEdit.', 'used_by': ['Apple TextEdit', 'Bare Bones BBEdit', 'MacroMates TextMate', 'Microsoft Word', 'Microsoft Notepad', 'Microsoft WordPad', 'Notepad++', 'Visual Studio Code', 'Any text editor']}, '.txw': {'description': 'Yamaha TX-16W Wave File', 'used_by': ['Convert (c) Villena']}, '.ty': {'description': 'TiVo movie', 'used_by': ['TiVo']}, '.tym': {'description': 'Time Stamp (PageMaker 4)', 'used_by': ['PageMaker 4']}, '.tz': {'description': 'Archive', 'used_by': ['TAR - COMPRESS']}, '.tzb': {'description': 'Archive', 'used_by': ['TAR - COMPRESS - BTOA']}, '.tzl': {'description': 'Tanzzle pattern file', 'used_by': ['Tanzzle']}, '.tzx': {'description': 'Tape image file', 'used_by': ['Common 8bit tape files [6] Original from ZX Spectrum']}, '.u3d': {'description': 'Universal 3D', 'used_by': ['Adobe Acrobat']}, '.u8': {'description': 'Sample', 'used_by': ['']}, '.ub': {'description': 'Raw Unsigned Byte (8bit) data', 'used_by': ['AWAVE']}, '.uc2': {'description': 'Archive', 'used_by': ['UC II']}, '.ucn': {'description': 'New archive', 'used_by': ['UC II']}, '.ucs': {'description': 'Unknownsoft Service Pack (mainly for Shadow OS 2009)', 'used_by': ['Unknownsoft Computer Systems']}, '.udf': {'description': 'Filter', 'used_by': ['Aldus Photostyler']}, '.udo': {'description': 'Data', 'used_by': ['Moray User Defined Object']}, '.udiwww': {'description': 'bookmark data', 'used_by': ['UdiWWW']}, '.udw': {'description': 'Raw Unsigned DWord data', 'used_by': ['AWAVE']}, '.ue2': {'description': 'Encrypted archive', 'used_by': ['UC II']}, '.uf2': {'description': 'USB Flashing Format', 'used_by': ['Microsoft MakeCode file for flashing microcontrollers']}, '.ufi': {'description': 'data', 'used_by': ['UFO CaptureV2 settings -']}, '.ufo': {'description': 'graphic file', 'used_by': ['Ulead Photo Impact']}, '.uha': {'description': 'UHarc archive', 'used_by': ['']}, '.uhs': {'description': 'Universal Hint System (binary file)', 'used_by': ['']}, '.ui': {'description': 'User interface', 'used_by': ['Sprint']}, '.uif': {'description': 'Long prompts for windows', 'used_by': ['WordPerfect for Win']}, '.uih': {'description': 'Espire header file', 'used_by': ['Geoworks UI Compiler Geos']}, '.ul': {'description': 'ULAW audio file', 'used_by': ['']}, '.uld': {'description': 'Information about uploaded files', 'used_by': ['Procomm Plus - Datastorm Technologies, Inc.']}, '.ulf': {'description': 'data', 'used_by': ['MRF Mapping Tool Kit Universal List Format']}, '.ult': {'description': 'Music', 'used_by': ['UltraTracker']}, '.umb': {'description': 'Backup file', 'used_by': ['MemMaker']}, '.ump': {'description': 'Umple UML Programming Language Format', 'used_by': ['Umple']}, '.umx': {'description': 'Unreal Music Package', 'used_by': ['Unreal Tournament']}, '.unf': {'description': 'Universal NES Image Interchange File Format', 'used_by': ['']}, '.uni': {'description': 'Music format', 'used_by': ['UNIMOD - MIKMOD']}, '.unif': {'description': 'Universal NES Image Interchange File Format', 'used_by': ['']}, '.unv': {'description': 'Text file containing finite elements nodal coordinates and more See notes', 'used_by': ['Originally used by SDRC for its I-deas software; a lot of simulation software use it today']}, '.unx': {'description': 'Text file containing UNIX specific info', 'used_by': ['']}, '.uoml': {'description': 'UniqueObject Markup Language (UOML) is a XML-based markup language', 'used_by': ['']}, '.uop': {'description': 'Uniform Office Format presentation', 'used_by': ['']}, '.uos': {'description': 'Uniform Office Format spreadsheet', 'used_by': ['']}, '.uot': {'description': 'Uniform Office Format text', 'used_by': ['']}, '.upd': {'description': 'Update data', 'used_by': ['dBASE']}, '.upo': {'description': 'Compiled update data', 'used_by': ['dBASE']}, '.url': {'description': 'Internet Shortcut (URL)', 'used_by': ['Windows Explorer']}, '.urt': {'description': 'Utah Raster Toolkit', 'used_by': ['']}, '.usdz': {'description': 'Augmented Reality (AR) File', 'used_by': ['Apple, Pixar']}, '.use': {'description': 'Log file', 'used_by': ['']}, '.usp': {'description': 'Printer font with USASCII extended character set', 'used_by': ['Adobe PageMaker']}, '.usr': {'description': 'User database file', 'used_by': ['Procomm Plus - Turbo C++ tour']}, '.ust': {'description': 'UTAU vocal track', 'used_by': ['UTAU']}, '.ut!': {'description': 'datafile', 'used_by': ['uTorrent']}, '.utz': {'description': 'Mobile Phone Theme', 'used_by': ['Sony Ericsson']}, '.uu': {'description': 'Encoded file (ASCII)', 'used_by': ['UUENCODE/UUDECODE - Uuencoding']}, '.uue': {'description': 'A UUE file is a file encoded with uuencode, a Unix program that converts binary files to a text format. It stores the encoded textual representation of a binary file and must first be decoded to open the original file. UUE files are commonly used for emailing documents so the file does not become corrupted.', 'used_by': ['Apple Archive Utility', 'Corel WinZip 24', 'uuencode', 'uudecode']}, '.uw': {'description': 'Raw Unsigned Word 16bit data', 'used_by': ['AWAVE']}, '.uwf': {'description': 'UltraTracker WaveSample', 'used_by': ['UltraTracker']}, '.uxp': {'description': 'Empowered Data Object', 'used_by': ['Sertainty']}, '.uzed': {'description': 'Compressed Unicode GEDCOM file', 'used_by': ['Family Tree Builder']}, '.v': {'description': 'Verilog source file', 'used_by': ['']}, '.v1, v2, ...': {'description': 'Split parts of a whole file', 'used_by': ['JJSplit']}, '.v4p': {'description': 'vvvv patch', 'used_by': ['vvvv']}, '.v64': {'description': 'Nintendo 64 ROM', 'used_by': ['Nintendo 64 emulators']}, '.v8': {'description': 'Covox 8bit file', 'used_by': ['AWAVE']}, '.v10': {'description': 'Data', 'used_by': ['Gouraud Shaded Vectors']}, '.v2d': {'description': 'Voucher design file', 'used_by': ['Voucher management included in JFire (e.g. when printing a voucher)']}, '.vai': {'description': 'multimedia', 'used_by': ['PhotoDub document']}, '.val': {'description': 'Values list object file', 'used_by': ['dBASE Application Generator']}, '.vala': {'description': 'Sourcecode', 'used_by': ['Vala']}, '.van': {'description': 'Animation', 'used_by': ['VistaPro']}, '.vap': {'description': 'Dialogic indexed adpcm voice file', 'used_by': ['VBASE/40']}, '.var': {'description': 'Variable file', 'used_by': ['IconAuthor']}, '.vb': {'description': 'Visual Basic .Net source file', 'used_by': ['Visual Basic .NET']}, '.vbox': {'description': 'virtual machine settings file (in XML format)[7]', 'used_by': ['VirtualBox']}, '.vbox-extpack': {'description': 'VirtualBox extension package[8]', 'used_by': ['VirtualBox']}, '.vbox-prev': {'description': 'backup of virtual machine settings file', 'used_by': ['VirtualBox']}, '.vbproj': {'description': 'Visual Basic .Net project file', 'used_by': ['Visual Basic .Net Express and Visual Studio 2003-2010 Project']}, '.vbr': {'description': 'Visual Basic Custom Control file', 'used_by': ['Visual Basic']}, '.vbs': {'description': 'VBScript script file', 'used_by': ['VBScript']}, '.vbx': {'description': 'Visual Basic eXtension', 'used_by': ['Visual Basic']}, '.vbz': {'description': 'Visual Basic Setup Wizard Template', 'used_by': ['Setup Wizard']}, '.vc6': {'description': 'Graphite - 2D and 3D drafting', 'used_by': ['Ashlar-Vellum']}, '.vc': {'description': 'Spreadsheet', 'used_by': ['VisiCalc']}, '.vca': {'description': 'Visual Clip Art', 'used_by': ['']}, '.vcd': {'description': 'A VCD file is a disc image of a CD or DVD and is recognized by Windows as an actual disc, even though the data is on the hard drive. VCD files allow CDs and DVDs to be used without requiring physical drives and is useful for mounting discs on network computers.', 'used_by': ['MPlayer']}, '.vce': {'description': 'Visual CertExam File', 'used_by': ['VCE Exam Simulator']}, '.vcf': {'description': 'A VCF file is a standard file format for storing contact information for a person or business. It typically includes a name, address, phone number, email address, and other contact information. VCF files also support custom fields, images, and other types of media.', 'used_by': []}, '.vcls': {'description': 'VocaListener voice scanner file', 'used_by': ['VocaListener Plug-in (Vocaloid3)']}, '.vcr': {'description': 'VCR drivers for Arvid', 'used_by': ['']}, '.vcw': {'description': 'Visual workbench information', 'used_by': ['Microsoft Visual C++']}, '.vcx': {'description': 'Spreatsheet', 'used_by': ['VisiCalc Advanced']}, '.vda': {'description': 'Targa bitmap graphics', 'used_by': ['many raster graphics editors']}, '.vdi': {'description': 'Virtual Disk Image', 'used_by': ['VirtualBox']}, '.vdo': {'description': 'Story Board video image', 'used_by': ['Story Board']}, '.vdoc': {'description': 'Vector Document File', 'used_by': ['a Future Corporation Pty. Ltd. (Australia)']}, '.vdr': {'description': 'Drawing', 'used_by': ['ComputerEasy Draw']}, '.vdw': {'description': 'Visio web drawing', 'used_by': ['Microsoft Visio']}, '.vdx': {'description': 'Visio XML drawing', 'used_by': ['Microsoft Visio']}, '.veg': {'description': 'Vegas Project', 'used_by': ['Sony Vegas']}, '.vew': {'description': 'View file', 'used_by': ['Clipper 5 - Lotus Approach']}, '.vf0': {'description': 'Database file', 'used_by': ['OTExpert 5']}, '.vfa': {'description': 'FontLab Database file', 'used_by': ['FontLab']}, '.vfd': {'description': 'Virtual Floppy Disk', 'used_by': ['Windows Virtual PC (among others)']}, '.vfm': {'description': 'Voting Form', 'used_by': ['Voter']}, '.vfn': {'description': 'Voting Form for Customers', 'used_by': ['Voter']}, '.vga': {'description': 'VGA display font', 'used_by': ['']}, '.vgd': {'description': 'VGA display driver', 'used_by': ['Generic CADD']}, '.vgm': {'description': 'Video Game Music audio format', 'used_by': ['']}, '.vgr': {'description': 'Graphics file', 'used_by': ['Ventura Publisher']}, '.vhd': {'description': 'Virtual Hard Disk', 'used_by': ['Windows Virtual PC (among others)']}, '.vhdx': {'description': 'Virtual Hard Disk v2', 'used_by': ['Microsoft Hyper-V (among others)']}, '.vi': {'description': 'Watcom editor script', 'used_by': ['VI.EXE']}, '.via': {'description': 'VIA Document Project', 'used_by': ['VIA Text Editor']}, '.vic': {'description': 'see VICAR', 'used_by': ['']}, '.vicar': {'description': 'Graphics (Video Image Communication and Retrieval)', 'used_by': ['']}, '.vid': {'description': 'Screen device driver', 'used_by': ['Word']}, '.vif': {'description': 'see VIFF', 'used_by': ['']}, '.viff': {'description': 'Khoros Visualization Image File Format', 'used_by': ['SDSC Image Tool']}, '.vik': {'description': 'Graphics format (VIKING)', 'used_by': ['']}, '.vim': {'description': 'Vim script file', 'used_by': ['Vim text editor']}, '.vinf': {'description': 'data', 'used_by': ['ReMPEG log file - frames info']}, '.vir': {'description': 'Virus or infected file', 'used_by': ['']}, '.vis': {'description': 'VIS graphics file', 'used_by': ['']}, '.vlm': {'description': 'Virtual Loadable Module', 'used_by': ['Netware']}, '.vlogo': {'description': 'Vector Logo File', 'used_by': ['a Future Corporation Pty. Ltd. (Australia)']}, '.vm': {'description': 'Virtual Memory file', 'used_by': ['Geoworks']}, '.vmc': {'description': 'Virtual memory configuration', 'used_by': ['DOS/4GW PM 32X DOS Extender']}, '.vmcz': {'description': 'Hyper-V Exported Virtual Machine', 'used_by': ['Microsoft']}, '.vmdk': {'description': 'Virtual Disk file', 'used_by': ['VMware']}, '.vmf': {'description': 'Font characteristics', 'used_by': ['Ventura Publisher']}, '.vmg': {'description': 'Nokia message file format', 'used_by': ['Text Message Editor (Nokia PC Suite)']}, '.vms': {'description': 'Text file containing VMS specific info', 'used_by': ['']}, '.vmt': {'description': 'Source Engine resource file', 'used_by': ['Source Engine']}, '.vo': {'description': 'Include file with object definition', 'used_by': ['Vivid 2.0']}, '.vob': {'description': 'Apple ContactsA VOB file is a movie data file from a DVD disc, typically stored in the VIDEO_TS folder at the root of the DVD. It contains a majority of the data stored on the disc which includes video, audio, subtitles, DVD menus and other navigation contents. VOB files are usually formatted as MPEG-2 system streams and can be opened by various video playback programs.', 'used_by': ['Apple DVD Player', 'VideoLAN VLC media player', 'Roxio Toast 18', 'Media Player Classic']}, '.voc': {'description': "Sound format (Creative Lab's Sound File)", 'used_by': ['PlayVoc']}, '.vof': {'description': 'Object folder', 'used_by': ['VZ Programmer']}, '.vop': {'description': 'Visual OTTHYMO Project', 'used_by': ['']}, '.vox': {'description': 'Dialogic adpcm file', 'used_by': ['AWAVE, CoolEdit']}, '.vp': {'description': '3DS Video posting', 'used_by': ['3D Studio']}, '.vpf': {'description': 'Vector Product Format', 'used_by': ['']}, '.vpg': {'description': 'Graphics file', 'used_by': ['VPGraphics']}, '.vph': {'description': 'Virtual Pascal Help', 'used_by': ['VP/OS2']}, '.vpi': {'description': 'Virtual Pascal Unit', 'used_by': ['VP/OS2']}, '.vpm': {'description': 'Garmin Voice Processing Module', 'used_by': ['']}, '.vpp': {'description': 'Visual Paradigm Project', 'used_by': ['Visual Paradigm for UML']}, '.vqa': {'description': 'Vector Quantized Animation', 'used_by': ['The Legend of Kyrandia']}, '.vqm': {'description': 'Hardware description language', 'used_by': ['Altera']}, '.vrm': {'description': 'Visual rexx source', 'used_by': ['WATCOM VREXX']}, '.vrml': {'description': 'Virtual Reality Modeling Language', 'used_by': ['NetScape']}, '.vrp': {'description': 'Project', 'used_by': ['WATCOM VX?Rexx']}, '.vrs': {'description': 'Video Resource e.g. video device driver', 'used_by': ['WordPerfect']}, '.vs': {'description': 'Include file with surface definition', 'used_by': ['Vivid 2.0']}, '.vsd': {'description': 'Visio drawing', 'used_by': ['Microsoft Visio']}, '.vsdm': {'description': 'Visio macro-enabled drawing', 'used_by': ['Microsoft Visio']}, '.vsdx': {'description': 'Visio drawing', 'used_by': ['Microsoft Visio']}, '.vsl': {'description': 'Visio add-on', 'used_by': ['Microsoft Visio']}, '.vsm': {'description': 'Visual Simulation Model', 'used_by': ['VisSim']}, '.vsp': {'description': 'Sprite', 'used_by': ['SPX']}, '.vsq': {'description': 'Vocal synthesizer track data', 'used_by': ['Vocaloid2, Vocaloid3']}, '.vsqx': {'description': 'Vocal synthesizer track data', 'used_by': ['Vocaloid3']}, '.vss': {'description': 'Visio Stencil', 'used_by': ['Microsoft Visio']}, '.vssm': {'description': 'Visio Macro-enabled Stencil', 'used_by': ['Microsoft Visio']}, '.vssx': {'description': 'Visio Stencil', 'used_by': ['Microsoft Visio']}, '.vst': {'description': 'Visio Template', 'used_by': ['Microsoft Visio']}, '.vstm': {'description': 'Visio Macro-enabled Template', 'used_by': ['Microsoft Visio']}, '.vsto': {'description': 'Microsoft Office add-in file', 'used_by': ['Microsoft Visual Studio']}, '.vstx': {'description': 'Visio Template', 'used_by': ['Microsoft Visio']}, '.vsvnbak': {'description': 'VisualSVN Server repository backup', 'used_by': ['VisualSVN Server']}, '.vsx': {'description': 'Visio XML stencil', 'used_by': ['Microsoft Visio']}, '.vtf': {'description': 'Source Engine resource file', 'used_by': ['Source Engine']}, '.vtx': {'description': 'Visio XML template', 'used_by': ['Microsoft Visio']}, '.vue': {'description': 'View', 'used_by': ['dBASE IV - FoxPro']}, '.vvv': {'description': 'Video game save', 'used_by': ['VVVVVV']}, '.vw': {'description': 'Text file', 'used_by': ['VolksWriter']}, '.vwr': {'description': 'File viewer file', 'used_by': ['PC Tools']}, '.vwx': {'description': 'CAD File', 'used_by': ['VectorWorks 2008']}, '.vxd': {'description': 'Windows 3.x virtual device driver', 'used_by': ['Windows 3.x']}, '.vzt': {'description': 'Temporal database file', 'used_by': ['GTKWave data file']}, '.w': {'description': 'Word chart file', 'used_by': ['APPLAUSE']}, '.w01': {'description': 'Yamaha TX16W wave file', 'used_by': ['AWAVE']}, '.w30': {'description': 'Printer font', 'used_by': ['AST TurboLaser - Ventura Publisher']}, '.w31': {'description': 'Startup file', 'used_by': ['Windows 3.1']}, '.w3a': {'description': 'Warcraft III Abilities Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3b': {'description': 'Warcraft III Destructables Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3d': {'description': 'Shockwave 3D object format', 'used_by': ['']}, '.w3g': {'description': 'Warcraft III Replay File', 'used_by': ['File for Warcraft III']}, '.w3h': {'description': 'Warcraft III Buffs Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3m': {'description': 'Warcraft III Map', 'used_by': ['File for Warcraft III: Reign of Chaos']}, '.w3n': {'description': 'Warcraft III Campaign', 'used_by': ['File for Warcraft III: The Frozen Throne']}, '.w3o': {'description': 'Warcraft III Object Data Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3p': {'description': 'Warcraft III Save', 'used_by': ['Save File for Warcraft III']}, '.w3q': {'description': 'Warcraft III Upgrades Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3t': {'description': 'Warcraft III Item Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3u': {'description': 'Warcraft III Unit Export File', 'used_by': ['Contained in a Warcraft III map']}, '.w3v': {'description': 'Warcraft III Save', 'used_by': ['Save File for Warcraft III']}, '.w3x': {'description': 'Warcraft III Expansion Map', 'used_by': ['File for Warcraft III: The Frozen Throne']}, '.w3z': {'description': 'Warcraft III Save', 'used_by': ['Save File for Warcraft III']}, '.w40': {'description': 'renamed system files (AUTOEXEC.BAT, COMMAND.COM, CONFIG.SYS,DBLSPACE.BIN.DRVSPACE.BIN,MSDOS.SYS) of Windows version', 'used_by': ['Windows 95, 98, ME (dual-boot feature)']}, '.w44': {'description': 'Temporary file for Sort or Index', 'used_by': ['dBASE']}, '.w95': {'description': 'Something for Windows95', 'used_by': ['Win95']}, '.wad': {'description': 'Nintendo proprietary format for Wii channels, menus, etc.', 'used_by': ['Nintendo Wii']}, '.wag': {'description': 'Yard Contents File', 'used_by': ['FYM']}, '.wai': {'description': 'Warcraft III AI Data File', 'used_by': ['Warcraft III AI Data File']}, '.war': {'description': 'Java Web Archive', 'used_by': ['A Java file format used to package and deploy web applications']}, '.was': {'description': 'ProComm Script File (source code)', 'used_by': ['ProComm']}, '.wav': {'description': 'A WAV file is an audio file saved in the WAVE format, which is a standard digital audio file format utilized for storing waveform data. WAV files may contain audio recordings with different sampling rates and bitrates but are often saved in a 44.1 KHz, 16-bit, stereo format, which is the standard format used for CD audio.', 'used_by': ['Apple iTunes', 'Apple QuickTime Player', 'Roxio Toast 18', 'VideoLAN VLC media player', 'Adobe Audition CC 2019', 'Clementine', 'Microsoft Windows Media Player', 'Other music player']}, '.wax': {'description': 'Windows Media Audio Shortcut', 'used_by': ['Windows Media Player (Windows Media Audio Redirector)[9]']}, '.wb1': {'description': 'Notebook', 'used_by': ['Quattro Pro']}, '.wb2': {'description': 'Spreadsheet', 'used_by': ['Quattro Pro']}, '.wbf': {'description': 'Microsoft Windows Batch File', 'used_by': ['Catch']}, '.wbk': {'description': 'Document/workbook or Microsoft Word backup file', 'used_by': ['WordPerfect for Win or Microsoft Word']}, '.wbt': {'description': 'Wilsonware Batch file', 'used_by': ['Winbatch']}, '.wcd': {'description': 'Macro token list', 'used_by': ['WordPerfect for Win']}, '.wch': {'description': 'WordPerfect Macro Facility', 'used_by': ['WP']}, '.wcm': {'description': 'Macro', 'used_by': ['WordPerfect for Win']}, '.wcp': {'description': 'Product information description', 'used_by': ['WordPerfect for Win']}, '.wd': {'description': 'InfoSelect Data file', 'used_by': ['']}, '.wdb': {'description': 'World Database', 'used_by': ['Lego Island']}, '.wdm': {'description': 'Admin tool connection definition', 'used_by': ['War FTP']}, '.we?': {'description': 'Packed mail', 'used_by': ['FTN software']}, '.web': {'description': 'WEB source code file', 'used_by': ['Web Easy Professional']}, '.webloc': {'description': 'Web internet location', 'used_by': ['macOS']}, '.weboogl': {'description': 'Web Object Oriented Graphics Library', 'used_by': ['']}, '.wfb': {'description': 'Turtle Beach WaveFront Bank', 'used_by': ['AWAVE']}, '.wfd': {'description': 'Turtle Beach WaveFront Drum', 'used_by': ['AWAVE']}, '.wfm': {'description': 'Form object', 'used_by': ['dBASE Form Designer']}, '.wfn': {'description': 'Font', 'used_by': ['CorelDRAW']}, '.wfp': {'description': 'Turtle Beach WaveFront Prog.', 'used_by': ['AWAVE']}, '.wft': {'description': 'Web Family Tree', 'used_by': ['GRAMPS']}, '.wfx': {'description': 'Data file', 'used_by': ['Winfax']}, '.wg1': {'description': 'Worksheet', 'used_by': ['Lotus 1-2-3/G']}, '.wg2': {'description': 'Worksheet', 'used_by': ['Lotus 1-2-3 for OS/2']}, '.wid': {'description': 'Width table', 'used_by': ['Ventura Publisher']}, '.wifi': {'description': 'Torga OS Wifi Settings Database', 'used_by': ['14th Information Division (Torga)']}, '.wiki': {'description': 'Wiki markup (various flavors)', 'used_by': ['Wikis']}, '.wim': {'description': 'Windows Imaging Format', 'used_by': ['ImageX, DISM, 7-Zip, wimlib']}, '.win': {'description': 'Window file', 'used_by': ['FoxPro - dBASE']}, '.wireframe': {'description': 'Data', 'used_by': ['EMSE mesh']}, '.wix': {'description': 'Windows Installer XML', 'used_by': ['WiX']}, '.wiz': {'description': 'Page wizard', 'used_by': ['Microsoft Publisher']}, '.wk1': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 version 2.x - Lotus Symphony 1.1+']}, '.wk3': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 version 3.x']}, '.wk4': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 version 3.4']}, '.wkb': {'description': 'Document', 'used_by': ['WordPerfect for Win']}, '.wke': {'description': 'Spreadsheet', 'used_by': ['Lotus 1-2-3 educational version']}, '.wkf': {'description': 'VISI Working file', 'used_by': ['Vero Software']}, '.wki': {'description': 'Spreadsheet format', 'used_by': ['Lotus 123 2x']}, '.wkq': {'description': 'Spreadsheet', 'used_by': ['Quattro']}, '.wks': {'description': 'Workspace', 'used_by': ['Xlisp']}, '.wkz': {'description': 'Spreadsheet format', 'used_by': ['Dos Navigator']}, '.wlk': {'description': 'Walk Through for any game', 'used_by': ['many']}, '.wma': {'description': 'A WMA file is an audio file saved in the Advanced Systems Format (ASF) proprietary format developed by Microsoft. It contains Windows Media Audio and metadata objects such as the title, artist, album, and genre of the track. WMA files are similar to .MP3 files and primarily used for streaming music from the web.', 'used_by': ['Apple QuickTime Player with Flip4Mac WMV Components', 'Microsoft Windows Media Player', 'Microsoft Windows Music', 'Audacious', 'Web browser with the Windows Media Player plugin', 'Web browser with theFlip4Mac WMV plugin']}, '.wmc': {'description': 'Text file', 'used_by': ['WordMARC']}, '.wmdb': {'description': 'Windows Media Player database', 'used_by': ['Windows Media Player']}, '.wmf': {'description': 'Windows MetaFile vector graphics', 'used_by': ['']}, '.wmo': {'description': 'WoW Map Object', 'used_by': ['Blizzard Entertainment games (World of Warcraft/Warcraft series)']}, '.wmp': {'description': 'Graphics (Windows Magic Icon Palette)', 'used_by': ['']}, '.wms': {'description': 'Windows Media Player Skin File', 'used_by': ['Windows Media Player']}, '.wmv': {'description': "A WMV file is a video file based on the Microsoft Advanced Systems Format (ASF) container format and compressed with Windows Media compression. It contains video encoded with one of Microsoft's Windows Media Video (WMV) proprietary codecs and is similar to an .ASF file.", 'used_by': ['Apple QuickTime Player with Flip4Mac WMV Components', 'Web browser with Flip4Mac WMV plugin', 'Microsoft Movies & TV', 'Microsoft Windows Media Player', 'Nullsoft Winamp', 'Web browser with the Windows Media Player plugin']}, '.wn': {'description': 'Text', 'used_by': ['NeXT WriteNow']}, '.wnf': {'description': 'Corel Draw Font File', 'used_by': ['CorelDraw']}, '.woa': {'description': 'Swap file', 'used_by': ['Windows 3.x']}, '.woc': {'description': 'Organization', 'used_by': ['Windows OrgChart']}, '.woff': {'description': 'Web Open Font Format', 'used_by': ['']}, '.woff2': {'description': 'Web Open Font Format', 'used_by': ['']}, '.workflow': {'description': 'Workflow', 'used_by': ['macOS']}, '.wow': {'description': 'Music (8 channels)', 'used_by': ['Grave Mod Player']}, '.wp': {'description': 'Word Perfect Format', 'used_by': ['WP']}, '.wp5': {'description': 'Document', 'used_by': ['WordPerfect 5.x']}, '.wpd': {'description': 'Compressed raster image format developed by Microsoft; similar to the .JPG format, but uses a higher degree of compression and supports both lossy and lossless compression; used primarily for high-resolution digital photographs; can be used with several Microsoft products including Windows Photo Viewer, Windows Live Movie Maker (WLMM), and Microsoft Word.', 'used_by': ['Adobe Photoshop with HD Photo plugin', 'Microsoft Windows Photo Viewer', 'Corel PaintShop Pro 2020']}, '.wpf': {'description': 'Form', 'used_by': ['WordPerfect']}, '.wpg': {'description': 'WordPerfect Graphics vector graphics', 'used_by': ['DrawPerfect']}, '.wpj': {'description': 'Watcom C/C++ IDE project', 'used_by': ['IDE.EXE']}, '.wpk': {'description': 'Macros', 'used_by': ['WordPerfect for Win']}, '.wpl': {'description': 'Windows Media Playlist', 'used_by': ['Windows Media Player']}, '.wpm': {'description': 'Macros', 'used_by': ['WordPerfect']}, '.wps': {'description': 'A WPS file is a document created with Microsoft Works word processing software. It contains document elements similar to a Microsoft Word (.DOC) document, but does not include advanced formatting options and macros that a Word document may contain.', 'used_by': ['Planamesa NeoOffice', 'LibreOffice', 'Microsoft Works', 'OxygenOffice Professional']}, '.wq!': {'description': 'Compressed spreadsheet', 'used_by': ['Quattro Pro']}, '.wq1': {'description': 'Spreadsheet', 'used_by': ['Quattro Pro']}, '.wr1': {'description': 'Spreatsheet', 'used_by': ['Lotus Symphony 1.1 - 1.2 - 2']}, '.wrd': {'description': 'Template', 'used_by': ['Charisma']}, '.wri': {'description': 'Write editor format', 'used_by': ['Write - WinWord']}, '.wrk': {'description': 'Spreadsheet', 'used_by': ['Lotus Symphony 1.0']}, '.wrl': {'description': 'VRML file', 'used_by': ['']}, '.wrp': {'description': 'Archive', 'used_by': ['Amiga WARP']}, '.wrs': {'description': 'Windows Resource e.g. might indicate error if word cannot open', 'used_by': ['WordPerfect for Win']}, '.ws': {'description': 'Document', 'used_by': ['WordStar 5.0-6.0']}, '.ws2': {'description': 'Text file', 'used_by': ['WordStar 2000']}, '.ws7': {'description': 'RS7 Setting', 'used_by': ['Redshift 7']}, '.wsd': {'description': 'Document', 'used_by': ['WordStar']}, '.wsf': {'description': 'A WSF file is an executable script for Windows that can incorporate JScript and VBScript routines and may include XML elements. WSF files run themselves if WScript or CScript is installed.', 'used_by': ['Microsoft WScript', 'Microsoft CScript', 'Microsoft Visual Studio 2019', 'Any text editor']}, '.wsp': {'description': 'Workspace', 'used_by': ['Fortran PowerStation']}, '.wsq': {'description': 'Wavelet-packet Scalar Quantization Format', 'used_by': ['']}, '.wsrc': {'description': 'X-wais source', 'used_by': ['']}, '.wst': {'description': 'Text file', 'used_by': ['WordStar']}, '.wsv': {'description': 'Keysight SystemVue Workspace file', 'used_by': ['Keysight SystemVue']}, '.wtr': {'description': 'Working Timetable rules file', 'used_by': ['Simsig']}, '.wt': {'description': 'Parameter or data dump file', 'used_by': ['WildTangent or MongoDB']}, '.wtt': {'description': 'Working Timetable timings file', 'used_by': ['Simsig']}, '.wtf': {'description': 'WinTaper Data', 'used_by': ['']}, '.wv': {'description': 'WavPack', 'used_by': ['']}, '.wwb': {'description': 'Button bar for document window', 'used_by': ['WordPerfect for Win']}, '.wwf': {'description': 'WWF Document Format', 'used_by': ['']}, '.wwk': {'description': 'Keyboard layout', 'used_by': ['WordPerfect for Win']}, '.wxh': {'description': 'Program/Script File', 'used_by': ['WaxHtml Web Programming Language']}, '.wxp': {'description': 'Document', 'used_by': ['EXP for Windows']}, '.wz': {'description': 'Wizet game archive file', 'used_by': ['Wizet/Nexon MapleStory']}, '.wza': {'description': 'Encrypted archive file', 'used_by': ['Department of Defense Encryption Wizard (Public Edition)']}, '.x': {'description': 'XBasic Source code file', 'used_by': ['Xbasic']}, '.x3d': {'description': 'x3d and xdart Formats', 'used_by': ['']}, '.x3g': {'description': 'Makerbot-specific gcode', 'used_by': ['Makerbot 3D printers (gen5 and earlier), Makerbot desktop']}, '.x86': {'description': 'Executable file for x86 processors', 'used_by': ['']}, '.x86_64': {'description': 'Executable file for x86-64 processors', 'used_by': ['']}, '.x64': {'description': 'Executable file for 64-bit processors', 'used_by': ['']}, '.xa': {'description': 'XA audio file', 'used_by': ['used in SimCity 3000 by Maxis, also by Sony PlayStation']}, '.xar': {'description': 'eXtensible ARchive', 'used_by': ['xar, 7-Zip']}, '.xbe': {'description': 'Xbox Executable', 'used_by': ['Xbox']}, '.xbm': {'description': 'X11 Bitmap graphics file', 'used_by': ['']}, '.xbrl': {'description': 'eXtensible Business Reporting Language instance file', 'used_by': ['eXtensible Business Reporting Language']}, '.xcf': {'description': 'Gimp image file', 'used_by': ['GNU Image Manipulation Program']}, '.xck': {'description': 'Extended crack file (usually text)', 'used_by': ['']}, '.xcl': {'description': 'Xtree for Windows Script file', 'used_by': ['Xtree for Win']}, '.xdf': {'description': 'OS/2 extended disk format image', 'used_by': ['XDFCOPY.EXE']}, '.xdm': {'description': 'Directory Manipulator for 32-bit Protected Mode', 'used_by': ['Xenotech Research Labs']}, '.xe': {'description': 'Xenon - for Associative 3D Modeling', 'used_by': ['Ashlar-Vellum']}, '.xeph': {'description': 'PixInsight Solar System Ephemeris Data File', 'used_by': ['PixInsight']}, '.xex': {'description': 'Xbox 360 Executable File', 'used_by': ['']}, '.xfn': {'description': 'Printer font', 'used_by': ['Xerox 4045 - Ventura Publisher']}, '.xfr': {'description': 'Ventura Publisher Bitmap Editor Font file', 'used_by': ['']}, '.xft': {'description': '24 pin printer font', 'used_by': ['ChiWriter']}, '.xi': {'description': 'FastTracker 2 instrument file', 'used_by': ['AWAVE']}, '.xif': {'description': 'Xerox Image Format', 'used_by': ['Pagis Pro 2.0 and 3.0']}, '.xisb': {'description': 'Extensible Image Serialization Format (XISF data blocks file)', 'used_by': ['PixInsight (see XISF 1.0 Specification)']}, '.xisf': {'description': 'Extensible Image Serialization Format (monolithic XISF file)', 'used_by': ['PixInsight (see XISF 1.0 Specification)']}, '.xish': {'description': 'Extensible Image Serialization Format (XISF header file)', 'used_by': ['PixInsight (see XISF 1.0 Specification)']}, '.xosm': {'description': 'PixInsight Project File', 'used_by': ['PixInsight']}, '.xla': {'description': 'XLib Archive', 'used_by': ['xlibpas2.zip']}, '.xlb': {'description': 'Microsoft Excel Toolbar', 'used_by': ['Microsoft Excel']}, '.xlc': {'description': 'Microsoft Excel Chart', 'used_by': ['Microsoft Excel']}, '.xld': {'description': 'Microsoft Excel Dialog', 'used_by': ['Microsoft Excel']}, '.xlf': {'description': 'Extensible LADAR Format', 'used_by': ['LadarSIM']}, '.xlk': {'description': 'Microsoft Excel Archive', 'used_by': ['Microsoft Excel']}, '.xll': {'description': 'Microsoft Excel Dynamic Link Library', 'used_by': ['Microsoft Excel']}, '.xlm': {'description': 'Microsoft Excel Macro File', 'used_by': ['Microsoft Excel']}, '.xlr': {'description': 'An XLR file is a spreadsheet or chart created with versions 6-9 of Microsoft Works, a popular productivity suite. It stores data in cells that are organized in a grid consisting of rows and columns.', 'used_by': []}, '.xls': {'description': 'An XLS file is a spreadsheet file created by Microsoft Excel or exported by another spreadsheet program, such as OpenOffice Calc or Apple Numbers. It contains one or more worksheets, which store and display data in a table format. XLS files may also store mathematical functions, charts, styles, and formatting.', 'used_by': ['Microsoft Excel 2019', 'Apple Numbers', 'Apache OpenOffice', 'Planamesa NeoOffice', 'LibreOffice']}, '.xlsb': {'description': 'Microsoft Excel 2007 Binary Workbook (BIFF12)(Spreadsheets)', 'used_by': ['Microsoft Excel 2007 (see Microsoft Office 2007 file extensions)']}, '.xlsm': {'description': 'Microsoft Excel 2007 Macro-Enabled Workbook (Spreadsheets)', 'used_by': ['Microsoft Excel 2007 (see Microsoft Office 2007 file extensions)']}, '.xlsx': {'description': 'An XLSX file is an Excel spreadsheet created by Microsoft Excel or another spreadsheet program, such as OpenOffice Calc or Apple Numbers. It stores data in worksheets, which contain cells arranged in a grid of rows and columns, and may also contain charts, mathematical functions, styles, and formatting. XLSX files are commonly used to store financial data and to create simple or complex mathematical models.', 'used_by': ['Microsoft Excel 2019', 'Apple Numbers', 'Apache OpenOffice', 'Planamesa NeoOffice', 'LibreOffice']}, '.xlt': {'description': 'Translation table', 'used_by': ['Lotus 1-2-3 - Symphony - Procomm Plus']}, '.xlv': {'description': 'Microsoft Excel Module', 'used_by': ['Microsoft Excel']}, '.xlw': {'description': 'Microsoft Excel Workbook', 'used_by': ['Microsoft Excel']}, '.xm': {'description': 'Music format', 'used_by': ['FastTracker 2 - Cubic Player']}, '.xmc': {'description': 'Assisted contact lists file format, based on xml and used in kindergartens and schools', 'used_by': ['Classmates iPhone app']}, '.xmod': {'description': 'Monarch Model', 'used_by': ['Monarch Professional']}, '.xmi': {'description': 'Compressed eXtended MIdi music', 'used_by': ['']}, '.xml': {'description': 'An XML file is an XML (Extensible Markup Language) data file. It is formatted much like an .HTML document, but uses custom tags to define objects and the data within each object. XML files can be thought of as a text-based database.', 'used_by': ['Bare Bones BBEdit', 'MacroMates TextMate', 'Adobe Dreamweaver 2020', 'Microsoft Visual Studio 2019', 'Microsoft XML Notepad', 'Any text editor']}, '.xmlt': {'description': 'XML Template File.', 'used_by': ['']}, '.xmf': {'description': 'eXtensible Music Format', 'used_by': ['']}, '.xmpz': {'description': 'XML Miradi Project Zipfile', 'used_by': ['Miradi']}, '.xmv': {'description': 'video', 'used_by': ['Xbox']}, '.xnf': {'description': 'Standard Network File form', 'used_by': ['']}, '.xnk': {'description': 'Microsoft Outlook', 'used_by': ['shortcut to Outlook entities']}, '.xnn': {'description': 'Secondary indexes', 'used_by': ['Borland Paradox']}, '.xof': {'description': 'RenderMorphics', 'used_by': ['']}, '.xp': {'description': 'eXtended Pattern', 'used_by': ['FastTracker 2']}, '.xpl': {'description': 'X-Plane system file', 'used_by': ['Laminar research']}, '.xpm': {'description': 'X11 Pixel Map graphics file', 'used_by': ['']}, '.xpo': {'description': 'Microsoft Dynamics AX Export file', 'used_by': ['']}, '.xps': {'description': 'Open XML Paper Specification / OpenXPS', 'used_by': ['open standard document format initially created by Microsoft and similar in concept to Adobe PDF files']}, '.xqt': {'description': 'Macro sheet', 'used_by': ['SuperCalc']}, '.xrm-ms': {'description': 'XrML Digital License', 'used_by': ['SuperCalc']}, '.xsd': {'description': 'XML schema description', 'used_by': ['']}, '.xsf': {'description': 'data', 'used_by': ['Microsoft InfoPath file']}, '.xspf': {'description': 'XML Sharable Playlist Format', 'used_by': ['']}, '.xsl': {'description': 'XSL Stylesheet', 'used_by': ['']}, '.xslt': {'description': 'XSLT file', 'used_by': ['']}, '.xsn': {'description': 'Microsoft InfoPath template', 'used_by': ['Microsoft InfoPath']}, '.xtb': {'description': 'External translation table', 'used_by': ['LocoScript']}, '.xtp': {'description': 'XTreeGold overlay', 'used_by': ['XTreeGold']}, '.xvf': {'description': 'Xyngo Video File', 'used_by': ['Xyngo Video Board']}, '.xwd': {'description': 'X Window System window dump image graphics file', 'used_by': ['SDSC Image Tool']}, '.xwk': {'description': 'Keyboard mapping', 'used_by': ['Crosstalk']}, '.xwp': {'description': 'Text file', 'used_by': ['Xerox Writer']}, '.xx': {'description': 'XX-encoded file (ASCII)', 'used_by': ['XXDECODE']}, '.xxe': {'description': 'XX-encoded file (ASCII)', 'used_by': ['XXDECODE']}, '.xxx': {'description': 'Singer Embroidery Format', 'used_by': ['Embroidermodder']}, '.xy': {'description': 'Text file', 'used_by': ['XY Write']}, '.xy3': {'description': 'Text file', 'used_by': ['XYWrite III']}, '.xyw': {'description': 'Text file', 'used_by': ['XyWrite III']}, '.xyz': {'description': 'Molecular coordinates', 'used_by': ['XMol, RasMol']}, '.xz': {'description': 'a lossless data compression file format incorporating the LZMA/LZMA2 compression algorithms.', 'used_by': ['xz']}, '.y': {'description': 'YACC grammar file', 'used_by': ['Yacc/Bison']}, '.yal': {'description': 'Data custom/nature.yal', 'used_by': ['Arts & Letters']}, '.yml': {'description': 'YML markup file', 'used_by': ['YML (domain specific language output to XML)']}, '.yaml': {'description': 'YAML source file', 'used_by': ['YAML (data serialization language)']}, '.yc': {'description': 'Archive', 'used_by': ['YACC (YAC.EXE)']}, '.ylib': {'description': 'Yookoo Music Library Backup File', 'used_by': ['Yookoo Media Player']}, '.ymp': {'description': 'Yast Meta Package', 'used_by': ['YAST2 (SUSE Linux Package Manager)']}, '.ynn': {'description': 'Secondary index', 'used_by': ['Borland Paradox']}, '.yookoo': {'description': 'Yookoo Playlist', 'used_by': ['Yookoo Media Player']}, '.yrd': {'description': 'Yard Tracks File', 'used_by': ['FYM']}, '.yst': {'description': 'Data', 'used_by': ['YASRT Raytracer scene']}, '.yuv': {'description': 'A YUV file is a video file encoded in the YUV format. It stores a sequence of YUV images as a single video file and may be saved in YUV 4:2:0, 4:2:2, 4:4:4 formats. YUV video files may be decoded by MPEG-4 and H.264 decoders.', 'used_by': ['MPlayer', 'Sunray Image YUVTools', 'XnView MP']}, '.yy': {'description': 'Bison grammar file', 'used_by': ['Bison']}, '.yz': {'description': 'Archive', 'used_by': ['YAC']}, '.z': {'description': 'Archive', 'used_by': ['WinZipNT - compress - pack']}, '.z01-z99': {'description': 'Split WinRAR Archive', 'used_by': ['']}, '.z2s': {'description': 'Zoo Tycoon 2 saved game', 'used_by': ['Any game in the Zoo Tycoon 2 series']}, '.z3': {'description': 'Infocom game module', 'used_by': ['']}, '.z3d': {'description': 'Zmodeler-file', 'used_by': ['Zmodeler 1 & 2']}, '.z64': {'description': 'Nintendo 64 ROM', 'used_by': ['Project64 Nintendo 64 emulator']}, '.z80': {'description': 'Snapshot', 'used_by': ['ZX Spectrum emulator by g.a.lunter']}, '.zad': {'description': 'ZFax digitized voice file', 'used_by': ['ZFax']}, '.zargo': {'description': 'UML model project file', 'used_by': ['ArgoUML']}, '.zcc': {'description': 'Cutpath for Zund digital cutting systems', 'used_by': ['Zund Cut Center']}, '.zdg': {'description': 'Compressed ZiffNet text document', 'used_by': ['Z-view']}, '.zed': {'description': 'BitTorrent Link', 'used_by': ['Podmailing']}, '.zer': {'description': 'Data file', 'used_by': ['']}, '.zif': {'description': 'Zoomable Image Format', 'used_by': ['']}, '.zip': {'description': 'A ZIP file is an archive that contains one or more files compressed or "zipped" using Zip compression. It stores files separately from each other allowing the files to be compressed using different methods and extracted without compressing or decompressing the entire archive.', 'used_by': ['Corel WinZip Mac 7', 'Apple Archive Utility', 'The Unarchiver']}, '.zoo': {'description': 'Zoo Tycoon saved game', 'used_by': ['Any game in the Zoo Tycoon (first) series']}, '.zs': {'description': 'Script for Minecraft mod MineTweaker[10] and CraftTweaker[11]', 'used_by': ['Minecraft Mods']}, '.ztd': {'description': 'Zoo Tycoon data', 'used_by': ['Zoo Tycoon']}, '.zur': {'description': 'High level compressed file', 'used_by': ['']}, '.zuz': {'description': 'Cost estimating file', 'used_by': ['ZUZIA ZUZIAbim']}, '.zyp': {'description': 'Reason Subtractor Patch File', 'used_by': ['Propellerhead Reason']}, '.zzt': {'description': 'ZZT World', 'used_by': ['Any world created using the ZZT editor']}}
    return(data)

def extension_info(file_ext):
    data = file_extension_description_data()
    result = {}
    try:
        result = data[file_ext]
    except:
        result['result'] = 'unknown file extension'
    return result

def extension_description(file_ext):
    data = file_extension_description_data()
    result = ''
    try:
        result = data[file_ext]['description']
    except:
        result = 'unknown file extension'
    return result

def extension_usage(file_ext):
    data = file_extension_description_data()
    result = ''
    try:
        result = data[file_ext]['used_by']
    except:
        result = 'unknown file extension'
    return result